// java wrapper for vtkBlockItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBlockItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBlockItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBlockItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBlockItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBlockItem *op;
  const char    *temp20;

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBlockItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBlockItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkBlockItem_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBlockItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlockItem_SetLabel_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBlockItem *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBlockItem_GetLabel_14(JNIEnv *env, jobject obj)
{
  vtkBlockItem *op;
  vtkStdString   temp20;

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlockItem_SetDimensions_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkBlockItem *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBlockItem_SetDimensions_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBlockItem *op;
  float  temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkBlockItem_GetDimensions_17(JNIEnv *env, jobject obj)
{
  vtkBlockItem *op;
  float   *temp20;

  op = (vtkBlockItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,4);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBlockItem_VTKInit(JNIEnv *, jobject)
{
  vtkBlockItem *aNewOne = vtkBlockItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
