// java wrapper for vtkChart object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChart.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkChart_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkChart",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChart_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  const char    *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChart *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChart *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_AddPlot_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  vtkPlot  *temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddPlot(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_AddPlot_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChart *op;
  vtkPlot  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkPlot *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddPlot(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_RemovePlot_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  vtkIdType   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemovePlot(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_RemovePlotInstance_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChart *op;
  vtkPlot  *temp0;
  bool   temp20;
  temp0 = (vtkPlot *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemovePlotInstance(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_ClearPlots_17(JNIEnv *env, jobject obj)
{
  vtkChart *op;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearPlots();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetPlot_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  vtkIdType   temp0;
  vtkPlot  *temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlot(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetNumberOfPlots_19(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkIdType   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPlots();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetAxis_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  vtkAxis  *temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxis(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetNumberOfAxes_111(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkIdType   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAxes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_RecalculateBounds_112(JNIEnv *env, jobject obj)
{
  vtkChart *op;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->RecalculateBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetAnnotationLink_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChart *op;
  vtkAnnotationLink  *temp0;
  temp0 = (vtkAnnotationLink *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnnotationLink(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetAnnotationLink_114(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkAnnotationLink  *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnnotationLink();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetGeometry_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetGeometry_116(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkChart *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkChart_GetGeometry_117(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  int     *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometry();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetPoint1_118(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetPoint1_119(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkChart *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkChart_GetPoint1_120(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  int     *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetPoint2_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetPoint2_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkChart *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkChart_GetPoint2_123(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  int     *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetShowLegend_124(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChart *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowLegend(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_GetShowLegend_125(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  bool   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowLegend();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetLegend_126(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkChartLegend  *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLegend();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetTitle_127(JNIEnv *env, jobject obj,jstring id0)
{
  vtkChart *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkChart_GetTitle_128(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkStdString   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetTitleProperties_129(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkTextProperty  *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitleProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetBottomBorder_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBottomBorder(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetTopBorder_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTopBorder(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetLeftBorder_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftBorder(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetRightBorder_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightBorder(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetBorders_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorders(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetLayoutStrategy_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetLayoutStrategy_136(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  int      temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetAutoSize_137(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChart *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoSize(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_GetAutoSize_138(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  bool   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetRenderEmpty_139(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkChart *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderEmpty(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkChart_GetRenderEmpty_140(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  bool   temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderEmpty();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetActionToButton_141(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActionToButton(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetActionToButton_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActionToButton(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetClickActionToButton_143(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkChart *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClickActionToButton(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetClickActionToButton_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClickActionToButton(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetBackgroundBrush_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkChart *op;
  vtkBrush  *temp0;
  temp0 = (vtkBrush *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundBrush(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkChart_GetBackgroundBrush_146(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  vtkBrush  *temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkChart_SetSelectionMode_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkChart *op;
  int      temp0;
  temp0 = id0;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkChart_GetSelectionMode_148(JNIEnv *env, jobject obj)
{
  vtkChart *op;
  int      temp20;

  op = (vtkChart *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionMode();
  return temp20;
}
