// java wrapper for vtkContext2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContext2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContext2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContext2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContext2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  const char    *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContext2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContext2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContext2D_Begin_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkContextDevice2D  *temp0;
  bool   temp20;
  temp0 = (vtkContextDevice2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Begin(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContext2D_GetDevice_13(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  vtkContextDevice2D  *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDevice();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContext2D_End_14(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  bool   temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->End();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContext2D_GetBufferIdMode_15(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  bool   temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBufferIdMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_BufferIdModeEnd_16(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeEnd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawLine_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawLine(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawLine_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkContext2D *op;
  float  temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawLine(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawLine_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawLine(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPoly_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPoly(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPoint_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPoint(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPoints_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPointSprites_113(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkContext2D *op;
  vtkImageData  *temp0;
  vtkPoints2D  *temp1;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPointSprites(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPointSprites_114(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkContext2D *op;
  vtkImageData  *temp0;
  vtkPoints2D  *temp1;
  vtkUnsignedCharArray  *temp2;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPointSprites(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawRect_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawRect(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawQuad_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawQuad(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawQuadStrip_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawQuadStrip(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawPolygon_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPolygon(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawEllipse_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipse(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawWedge_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawWedge(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawEllipseWedge_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawArc_122(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawArc(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawEllipticArc_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawImage_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jobject id2)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  vtkImageData  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawImage(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawImage_125(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  vtkImageData  *temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawImage(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawStringRect_126(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  vtkStdString temp1;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawStringRect(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawString_127(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkContext2D *op;
  vtkPoints2D  *temp0;
  vtkStdString temp1;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawString(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_DrawString_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jstring id2)
{
  vtkContext2D *op;
  float    temp0;
  float    temp1;
  vtkStdString temp2;
  temp0 = id0;
  temp1 = id1;
  vtkJavaUTFToString(env,id2,temp2);

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawString(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ComputeStringBounds_129(JNIEnv *env, jobject obj,jstring id0,jobject id1)
{
  vtkContext2D *op;
  vtkStdString temp0;
  vtkPoints2D  *temp1;
  vtkJavaUTFToString(env,id0,temp0);
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeStringBounds(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ComputeStringBounds_130(JNIEnv *env, jobject obj,jstring id0,jdoubleArray id1)
{
  vtkContext2D *op;
  vtkStdString temp0;
  float  temp1[4];
  void *tempArray1;
  vtkJavaUTFToString(env,id0,temp0);
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeStringBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ApplyPen_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkPen  *temp0;
  temp0 = (vtkPen *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyPen(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContext2D_GetPen_132(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  vtkPen  *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ApplyBrush_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkBrush  *temp0;
  temp0 = (vtkBrush *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyBrush(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContext2D_GetBrush_134(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  vtkBrush  *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ApplyTextProp_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyTextProp(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContext2D_GetTextProp_136(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  vtkTextProperty  *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_SetTransform_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkTransform2D  *temp0;
  temp0 = (vtkTransform2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContext2D_GetTransform_138(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;
  vtkTransform2D  *temp20;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_AppendTransform_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContext2D *op;
  vtkTransform2D  *temp0;
  temp0 = (vtkTransform2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_PushMatrix_140(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PushMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_PopMatrix_141(JNIEnv *env, jobject obj)
{
  vtkContext2D *op;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PopMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContext2D_ApplyId_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkContext2D *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContext2D_FloatToInt_143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContext2D *op;
  float    temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkContext2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FloatToInt(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContext2D_VTKInit(JNIEnv *, jobject)
{
  vtkContext2D *aNewOne = vtkContext2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
