// java wrapper for vtkContextScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextScene.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextScene_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextScene",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextScene_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  const char    *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextScene *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_AddItem_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkAbstractContextItem  *temp0;
   unsigned int      temp20;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_RemoveItem_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkAbstractContextItem  *temp0;
  bool   temp20;
  temp0 = (vtkAbstractContextItem *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_RemoveItem_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextScene *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveItem(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextScene_GetItem_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextScene *op;
   unsigned int      temp0;
  vtkAbstractContextItem  *temp20;
  temp0 = id0;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetItem(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetNumberOfItems_17(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
   unsigned int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_ClearItems_18(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearItems();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetAnnotationLink_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkAnnotationLink  *temp0;
  temp0 = (vtkAnnotationLink *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnnotationLink(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextScene_GetAnnotationLink_110(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  vtkAnnotationLink  *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnnotationLink();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetGeometry_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkContextScene *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetGeometry_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkContextScene *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeometry(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkContextScene_GetGeometry_113(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int     *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeometry();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetUseBufferId_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextScene *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseBufferId(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_GetUseBufferId_115(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  bool   temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseBufferId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetViewWidth_116(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetViewHeight_117(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewHeight();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetSceneWidth_118(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSceneWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextScene_GetSceneHeight_119(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  int      temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSceneHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetScaleTiles_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextScene *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleTiles(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_GetScaleTiles_121(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  bool   temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleTiles();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_ScaleTilesOn_122(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleTilesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_ScaleTilesOff_123(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleTilesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetRenderer_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetDirty_125(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkContextScene *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirty(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_GetDirty_126(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  bool   temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirty();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_ReleaseGraphicsResources_127(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextScene_SetTransform_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextScene *op;
  vtkTransform2D  *temp0;
  temp0 = (vtkTransform2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkContextScene_GetTransform_129(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  vtkTransform2D  *temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextScene_HasTransform_130(JNIEnv *env, jobject obj)
{
  vtkContextScene *op;
  bool   temp20;

  op = (vtkContextScene *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTransform();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkContextScene_VTKInit(JNIEnv *, jobject)
{
  vtkContextScene *aNewOne = vtkContextScene::New();
  return (jlong)(size_t)(void*)aNewOne;
}
