// tcl wrapper for vtkControlPointsItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkControlPointsItem.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkPlotCppCommand(vtkPlot *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkControlPointsItemCppCommand(vtkControlPointsItem *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkControlPointsItemCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkControlPointsItemCppCommand(static_cast<vtkControlPointsItem *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkControlPointsItemCppCommand(vtkControlPointsItem *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkControlPointsItem",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPlotCppCommand(static_cast<vtkPlot *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPlot"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkControlPointsItem  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkControlPointsItem");
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUserBounds",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetUserBounds(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUserBounds",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetUserBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetUserBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetValidBounds",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetValidBounds(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetValidBounds",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetValidBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValidBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetValidBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetScreenPointRadius",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetScreenPointRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScreenPointRadius",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScreenPointRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Paint",argv[1]))&&(argc == 3))
    {
    vtkContext2D  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkContext2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContext2D"),interp,error));
    if (!error)
    {
    temp20 = (op)->Paint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectAllPoints",argv[1]))&&(argc == 2))
    {
    op->SelectAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeselectPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeselectPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeselectAllPoints",argv[1]))&&(argc == 2))
    {
    op->DeselectAllPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToggleSelectPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ToggleSelectPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSelectedPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfSelectedPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetControlPointsIds",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetControlPointsIds();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("GetControlPointsIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetControlPointsIds(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStrokeMode",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetStrokeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSwitchPointsMode",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetSwitchPointsMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwitchPointsMode",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSwitchPointsMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndPointsXMovable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEndPointsXMovable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndPointsXMovable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEndPointsXMovable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndPointsYMovable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEndPointsYMovable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndPointsYMovable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEndPointsYMovable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndPointsMovable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEndPointsMovable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndPointsRemovable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEndPointsRemovable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndPointsRemovable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEndPointsRemovable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemovePoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemovePoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCurrentPoint",argv[1]))&&(argc == 2))
    {
    op->RemoveCurrentPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SpreadPoints",argv[1]))&&(argc == 4))
    {
    float    temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->SpreadPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SpreadPoints",argv[1]))&&(argc == 4))
    {
    float    temp0;
    bool   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->SpreadPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentPoint",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCurrentPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointPen",argv[1]))&&(argc == 2))
    {
    vtkPen  *temp20;
    temp20 = (op)->GetSelectedPointPen();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPen");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedPointBrush",argv[1]))&&(argc == 2))
    {
    vtkBrush  *temp20;
    temp20 = (op)->GetSelectedPointBrush();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrush");
    return TCL_OK;
    }
  if ((!strcmp("ResetBounds",argv[1]))&&(argc == 2))
    {
    op->ResetBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkControlPointsItemCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPlotCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkControlPointsItem:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUserBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUserBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUserBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetValidBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetValidBounds\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValidBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenPointRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetScreenPointRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Paint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  DeselectPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeselectAllPoints\n",NULL);
    Tcl_AppendResult(interp,"  ToggleSelectPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSelectedPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetControlPointsIds\n",NULL);
    Tcl_AppendResult(interp,"  GetControlPointsIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStrokeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetSwitchPointsMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwitchPointsMode\n",NULL);
    Tcl_AppendResult(interp,"  SetEndPointsXMovable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndPointsXMovable\n",NULL);
    Tcl_AppendResult(interp,"  SetEndPointsYMovable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndPointsYMovable\n",NULL);
    Tcl_AppendResult(interp,"  GetEndPointsMovable\n",NULL);
    Tcl_AppendResult(interp,"  SetEndPointsRemovable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndPointsRemovable\n",NULL);
    Tcl_AppendResult(interp,"  RemovePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCurrentPoint\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  SpreadPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SpreadPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointPen\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointBrush\n",NULL);
    Tcl_AppendResult(interp,"  ResetBounds\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPlotCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetUserBounds" );
    Tcl_DStringAppendElement ( &dString, "SetUserBounds" );
    Tcl_DStringAppendElement ( &dString, "GetUserBounds" );
    Tcl_DStringAppendElement ( &dString, "SetValidBounds" );
    Tcl_DStringAppendElement ( &dString, "SetValidBounds" );
    Tcl_DStringAppendElement ( &dString, "GetValidBounds" );
    Tcl_DStringAppendElement ( &dString, "GetScreenPointRadius" );
    Tcl_DStringAppendElement ( &dString, "SetScreenPointRadius" );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    Tcl_DStringAppendElement ( &dString, "SelectPoint" );
    Tcl_DStringAppendElement ( &dString, "SelectAllPoints" );
    Tcl_DStringAppendElement ( &dString, "DeselectPoint" );
    Tcl_DStringAppendElement ( &dString, "DeselectAllPoints" );
    Tcl_DStringAppendElement ( &dString, "ToggleSelectPoint" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSelectedPoints" );
    Tcl_DStringAppendElement ( &dString, "GetControlPointsIds" );
    Tcl_DStringAppendElement ( &dString, "GetControlPointsIds" );
    Tcl_DStringAppendElement ( &dString, "GetStrokeMode" );
    Tcl_DStringAppendElement ( &dString, "SetSwitchPointsMode" );
    Tcl_DStringAppendElement ( &dString, "GetSwitchPointsMode" );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsXMovable" );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsXMovable" );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsYMovable" );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsYMovable" );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsMovable" );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsRemovable" );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsRemovable" );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    Tcl_DStringAppendElement ( &dString, "RemoveCurrentPoint" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SpreadPoints" );
    Tcl_DStringAppendElement ( &dString, "SpreadPoints" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPoint" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentPoint" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointPen" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointBrush" );
    Tcl_DStringAppendElement ( &dString, "ResetBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPlotCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Bounds of the item, typically the bound of all the control points\n except if custom bounds have been set \\sa SetUserBounds.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBounds(double bounds\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserBounds */
    if ( strcmp ( argv[2], "SetUserBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUserBounds(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetUserBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserBounds */
    if ( strcmp ( argv[2], "SetUserBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUserBounds(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetUserBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserBounds */
    if ( strcmp ( argv[2], "GetUserBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetUserBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetUserBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValidBounds */
    if ( strcmp ( argv[2], "SetValidBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValidBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValidBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValidBounds(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetValidBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValidBounds */
    if ( strcmp ( argv[2], "SetValidBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValidBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValidBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValidBounds(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetValidBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValidBounds */
    if ( strcmp ( argv[2], "GetValidBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValidBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValidBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetValidBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetValidBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScreenPointRadius */
    if ( strcmp ( argv[2], "GetScreenPointRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScreenPointRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScreenPointRadius */
    Tcl_DStringAppendElement ( &dString, " Get/set the radius for screen points.\n Default is 6.f\n" );
    Tcl_DStringAppendElement ( &dString, "float GetScreenPointRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetScreenPointRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScreenPointRadius */
    if ( strcmp ( argv[2], "SetScreenPointRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScreenPointRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScreenPointRadius */
    Tcl_DStringAppendElement ( &dString, " Get/set the radius for screen points.\n Default is 6.f\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScreenPointRadius(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetScreenPointRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Paint */
    if ( strcmp ( argv[2], "Paint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Paint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContext2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Paint */
    Tcl_DStringAppendElement ( &dString, " Paint the points with a fixed size (cosmetic) which doesn't depend\n on the scene zoom factor. Selected and unselected points are drawn\n with a different color.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool Paint(vtkContext2D *painter);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for Paint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectPoint */
    if ( strcmp ( argv[2], "SelectPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectPoint */
    Tcl_DStringAppendElement ( &dString, " Select a point by its ID\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectPoint(vtkIdType pointId);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SelectPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectAllPoints */
    if ( strcmp ( argv[2], "SelectAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectAllPoints */
    Tcl_DStringAppendElement ( &dString, " Select all the points\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectAllPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SelectAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeselectPoint */
    if ( strcmp ( argv[2], "DeselectPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeselectPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeselectPoint */
    Tcl_DStringAppendElement ( &dString, " Unselect a point by its ID\n" );
    Tcl_DStringAppendElement ( &dString, "void DeselectPoint(vtkIdType pointId);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for DeselectPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeselectAllPoints */
    if ( strcmp ( argv[2], "DeselectAllPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeselectAllPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeselectAllPoints */
    Tcl_DStringAppendElement ( &dString, " Unselect all the previously selected points\n" );
    Tcl_DStringAppendElement ( &dString, "void DeselectAllPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for DeselectAllPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToggleSelectPoint */
    if ( strcmp ( argv[2], "ToggleSelectPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToggleSelectPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToggleSelectPoint */
    Tcl_DStringAppendElement ( &dString, " Toggle the selection of a point by its ID. If the point was selected then\n unselect it, otherwise select it.\n" );
    Tcl_DStringAppendElement ( &dString, "void ToggleSelectPoint(vtkIdType pointId);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for ToggleSelectPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSelectedPoints */
    if ( strcmp ( argv[2], "GetNumberOfSelectedPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSelectedPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSelectedPoints */
    Tcl_DStringAppendElement ( &dString, " Return the number of selected points.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfSelectedPoints() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetNumberOfSelectedPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetControlPointsIds */
    if ( strcmp ( argv[2], "GetControlPointsIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetControlPointsIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetControlPointsIds */
    Tcl_DStringAppendElement ( &dString, " Utility function that returns an array of all the control points IDs\n Typically: \\[0, 1, 2, ... n -1\\] where n is the point count\n You are responsible for deleting the array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetControlPointsIds() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetControlPointsIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetControlPointsIds */
    if ( strcmp ( argv[2], "GetControlPointsIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetControlPointsIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetControlPointsIds */
    Tcl_DStringAppendElement ( &dString, " Similar to GetControlPointsIds() but can exclude the first and last point\n ids from the array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetControlPointsIds(bool excludeFirstAndLast) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetControlPointsIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStrokeMode */
    if ( strcmp ( argv[2], "GetStrokeMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStrokeMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStrokeMode */
    Tcl_DStringAppendElement ( &dString, " Controls whether or not control points are drawn (true) or clicked and\n moved (false).\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetStrokeMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetStrokeMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwitchPointsMode */
    if ( strcmp ( argv[2], "SetSwitchPointsMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwitchPointsMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwitchPointsMode */
    Tcl_DStringAppendElement ( &dString, " If DrawPoints is false, SwitchPoints controls the behavior when a control\n point is dragged past another point. The crossed point becomes current\n (true) or the current point is blocked/stopped (false).\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwitchPointsMode(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetSwitchPointsMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwitchPointsMode */
    if ( strcmp ( argv[2], "GetSwitchPointsMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwitchPointsMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwitchPointsMode */
    Tcl_DStringAppendElement ( &dString, " If DrawPoints is false, SwitchPoints controls the behavior when a control\n point is dragged past another point. The crossed point becomes current\n (true) or the current point is blocked/stopped (false).\n False by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSwitchPointsMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetSwitchPointsMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndPointsXMovable */
    if ( strcmp ( argv[2], "SetEndPointsXMovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsXMovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndPointsXMovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsMovable is false, the two end points will not\n be moved. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndPointsXMovable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetEndPointsXMovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndPointsXMovable */
    if ( strcmp ( argv[2], "GetEndPointsXMovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsXMovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPointsXMovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsMovable is false, the two end points will not\n be moved. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEndPointsXMovable();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetEndPointsXMovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndPointsYMovable */
    if ( strcmp ( argv[2], "SetEndPointsYMovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsYMovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndPointsYMovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsMovable is false, the two end points will not\n be moved. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndPointsYMovable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetEndPointsYMovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndPointsYMovable */
    if ( strcmp ( argv[2], "GetEndPointsYMovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsYMovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPointsYMovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsMovable is false, the two end points will not\n be moved. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEndPointsYMovable();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetEndPointsYMovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndPointsMovable */
    if ( strcmp ( argv[2], "GetEndPointsMovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsMovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPointsMovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsMovable is false, the two end points will not\n be moved. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEndPointsMovable();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetEndPointsMovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndPointsRemovable */
    if ( strcmp ( argv[2], "SetEndPointsRemovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndPointsRemovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndPointsRemovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsRemovable is false, the two end points will not\n be be removed. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndPointsRemovable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetEndPointsRemovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndPointsRemovable */
    if ( strcmp ( argv[2], "GetEndPointsRemovable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndPointsRemovable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndPointsRemovable */
    Tcl_DStringAppendElement ( &dString, " If EndPointsRemovable is false, the two end points will not\n be be removed. True by default.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEndPointsRemovable();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetEndPointsRemovable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemovePoint */
    if ( strcmp ( argv[2], "RemovePoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemovePoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemovePoint */
    Tcl_DStringAppendElement ( &dString, " Remove a point give its id. It is a utility function that internally call\n the virtual method RemovePoint(double*) and return its result.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType RemovePoint(vtkIdType pointId);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for RemovePoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCurrentPoint */
    if ( strcmp ( argv[2], "RemoveCurrentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCurrentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCurrentPoint */
    Tcl_DStringAppendElement ( &dString, " Remove the current point.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCurrentPoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for RemoveCurrentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the total number of points\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfPoints() const = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpreadPoints */
    if ( strcmp ( argv[2], "SpreadPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpreadPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpreadPoints */
    Tcl_DStringAppendElement ( &dString, " Spread the points referred by pointIds\n If factor > 0, points are moved away from each other.\n If factor < 0, points are moved closer to each other\n SpreadPoints is typically called with GetControlPointsIds() or GetSelection().\n Warning: if you pass this->GetSelection(), the array is deleted after\n each individual point move. Increase the reference count of the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SpreadPoints(float factor, vtkIdTypeArray *pointIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SpreadPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SpreadPoints */
    if ( strcmp ( argv[2], "SpreadPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SpreadPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SpreadPoints */
    Tcl_DStringAppendElement ( &dString, " Utility function to spread all the control points of a given factor\n If dontSpreadFirstAndLast is true, then the first and last points won't be\n spread.\n" );
    Tcl_DStringAppendElement ( &dString, "void SpreadPoints(float factor, bool dontSpreadFirstAndLast=false);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SpreadPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentPoint */
    if ( strcmp ( argv[2], "GetCurrentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentPoint */
    Tcl_DStringAppendElement ( &dString, " Returns the current point ID selected or -1 if there is no point current.\n No current point by default.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCurrentPoint() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetCurrentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentPoint */
    if ( strcmp ( argv[2], "SetCurrentPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentPoint */
    Tcl_DStringAppendElement ( &dString, " Sets the current point selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentPoint(vtkIdType index);" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for SetCurrentPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointPen */
    if ( strcmp ( argv[2], "GetSelectedPointPen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointPen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointPen */
    Tcl_DStringAppendElement ( &dString, " Gets the selected point pen and brush.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPen *GetSelectedPointPen();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetSelectedPointPen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointBrush */
    if ( strcmp ( argv[2], "GetSelectedPointBrush" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointBrush" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointBrush */
    Tcl_DStringAppendElement ( &dString, " Depending on the control points item, the brush might not be taken into\n account.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBrush *GetSelectedPointBrush();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for GetSelectedPointBrush */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetBounds */
    if ( strcmp ( argv[2], "ResetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetBounds */
    Tcl_DStringAppendElement ( &dString, " Recompute the bounds next time they are requested.\n You shouldn't have to call it but it is provided for rare cases.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkControlPointsItem" );
    /* Closing for ResetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPlotCppCommand(static_cast<vtkPlot *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
