// java wrapper for vtkPlot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlot.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlot_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlot",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  const char    *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlot_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlot *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetTooltipLabelFormat_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlot *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTooltipLabelFormat(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetTooltipLabelFormat_13(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkStdString   temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTooltipLabelFormat();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetTooltipNotation_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlot *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTooltipNotation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlot_GetTooltipNotation_15(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  int      temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTooltipNotation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetTooltipPrecision_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlot *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTooltipPrecision(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlot_GetTooltipPrecision_17(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  int      temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTooltipPrecision();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetColor_18(JNIEnv *env, jobject obj,jchar id0,jchar id1,jchar id2,jchar id3)
{
  vtkPlot *op;
   unsigned char     temp0;
   unsigned char     temp1;
   unsigned char     temp2;
   unsigned char     temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetColor_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPlot *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_GetColor_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlot *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetWidth_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPlot *op;
  float    temp0;
  temp0 = id0;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPlot_GetWidth_112(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  float    temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetPen_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkPen  *temp0;
  temp0 = (vtkPen *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPen(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetPen_114(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkPen  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetBrush_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkBrush  *temp0;
  temp0 = (vtkBrush *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBrush(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetBrush_116(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkBrush  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetLabel_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlot *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabel(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetLabel_118(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkStdString   temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetLabels_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabels(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetLabels_120(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkStringArray  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabels();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlot_GetNumberOfLabels_121(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  int      temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlot_GetLabel_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkPlot *op;
  vtkIdType   temp0;
  vtkStdString   temp20;
  temp0 = id0;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabel(temp0);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetIndexedLabels_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIndexedLabels(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetIndexedLabels_124(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkStringArray  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIndexedLabels();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetData_125(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkContextMapper2D  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlot_GetUseIndexForXSeries_126(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  bool   temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseIndexForXSeries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetUseIndexForXSeries_127(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPlot *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseIndexForXSeries(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_129(JNIEnv *env, jobject obj,jobject id0,jstring id1,jstring id2)
{
  vtkPlot *op;
  vtkTable  *temp0;
  vtkStdString temp1;
  vtkStdString temp2;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  vtkJavaUTFToString(env,id1,temp1);
  vtkJavaUTFToString(env,id2,temp2);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInput_130(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkPlot *op;
  vtkTable  *temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetInput_131(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkTable  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetInputArray_132(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPlot *op;
  int      temp0;
  vtkStdString temp1;
  temp0 = id0;
  vtkJavaUTFToString(env,id1,temp1);

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArray(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetSelection_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetSelection_134(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkIdTypeArray  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetXAxis_135(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkAxis  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetXAxis_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxis(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPlot_GetYAxis_137(JNIEnv *env, jobject obj)
{
  vtkPlot *op;
  vtkAxis  *temp20;

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxis();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_SetYAxis_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlot *op;
  vtkAxis  *temp0;
  temp0 = (vtkAxis *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxis(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPlot_GetBounds_139(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPlot *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkPlot *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}
