// java wrapper for vtkTooltipItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTooltipItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTooltipItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTooltipItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTooltipItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  const char    *temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTooltipItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTooltipItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTooltipItem_SetPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTooltipItem *op;
  float    temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTooltipItem_SetPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTooltipItem *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTooltipItem_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  float   *temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTooltipItem_SetText_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTooltipItem *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetText(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTooltipItem_GetText_16(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  vtkStdString   temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetText();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTooltipItem_GetPen_17(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  vtkPen  *temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPen();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTooltipItem_GetBrush_18(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  vtkBrush  *temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBrush();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTooltipItem_GetTextProperties_19(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;
  vtkTextProperty  *temp20;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperties();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTooltipItem_Update_110(JNIEnv *env, jobject obj)
{
  vtkTooltipItem *op;

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTooltipItem_Paint_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTooltipItem *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTooltipItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTooltipItem_VTKInit(JNIEnv *, jobject)
{
  vtkTooltipItem *aNewOne = vtkTooltipItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
