// java wrapper for vtkArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  const char    *temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArray_CreateArray_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkArray *op;
  int      temp0;
  int      temp1;
  vtkArray  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateArray(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArray_IsDense_13(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  bool   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDense();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArray_SetName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArray *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArray_GetName_15(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  vtkStdString   temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArray_DeepCopy_16(JNIEnv *env, jobject obj)
{
  vtkArray *op;
  vtkArray  *temp20;

  op = (vtkArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeepCopy();
  return (jlong)(size_t)temp20;}
