// java wrapper for vtkCharArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCharArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCharArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCharArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkCharArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char  *temp20;
  vtkIdType size;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<char*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfCharFromChar(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetJavaArray_10(JNIEnv *env, jobject obj,jbyteArray id0)
{
  vtkCharArray *op;
  char *tempArray0;
  int length;
  tempArray0 = (char *)(env->GetByteArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(char));
  env->ReleaseByteArrayElements(id0,(jbyte *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  const char    *temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  int      temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_GetTupleValue_13(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTupleValue(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetTupleValue_14(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTupleValue(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_InsertTupleValue_15(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertTupleValue(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_InsertNextTupleValue_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  vtkIdType   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextTupleValue(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char     temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetValue_18(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char     temp1;
  temp0 = id0;
  temp1 = (char)(0xff & id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetNumberOfValues_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_InsertValue_110(JNIEnv *env, jobject obj,jint id0,jchar id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char     temp1;
  temp0 = id0;
  temp1 = (char)(0xff & id1);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCharArray_InsertNextValue_111(JNIEnv *env, jobject obj,jchar id0)
{
  vtkCharArray *op;
  char     temp0;
  vtkIdType   temp20;
  temp0 = (char)(0xff & id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetValueRange_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_GetValueRange_113(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkCharArray *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetValueRange_114(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char    *temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_GetValueRange_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCharArray *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetDataTypeValueMin_116(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char     temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jchar  JNICALL Java_vtk_vtkCharArray_GetDataTypeValueMax_117(JNIEnv *env, jobject obj)
{
  vtkCharArray *op;
  char     temp20;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_WritePointer_118(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  char    *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WritePointer(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCharArray_GetPointer_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkCharArray *op;
  vtkIdType   temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointer(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetArray_120(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkCharArray *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArray(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCharArray_SetArray_121(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCharArray *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCharArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArray(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCharArray_VTKInit(JNIEnv *, jobject)
{
  vtkCharArray *aNewOne = vtkCharArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
