// java wrapper for vtkCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCollection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCollection",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  const char    *temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_InsertItem_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCollection *op;
  int      temp0;
  vtkObject  *temp1;
  temp0 = id0;
  temp1 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertItem(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_ReplaceItem_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCollection *op;
  int      temp0;
  vtkObject  *temp1;
  temp0 = id0;
  temp1 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceItem(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveItem_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveItem_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_RemoveAllItems_17(JNIEnv *env, jobject obj)
{
  vtkCollection *op;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllItems();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_IsItemPresent_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObject  *temp0;
  int      temp20;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsItemPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCollection_GetNumberOfItems_19(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  int      temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_InitTraversal_110(JNIEnv *env, jobject obj)
{
  vtkCollection *op;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCollection_GetNextItemAsObject_111(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  vtkObject  *temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextItemAsObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCollection_GetItemAsObject_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCollection *op;
  int      temp0;
  vtkObject  *temp20;
  temp0 = id0;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetItemAsObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCollection_NewIterator_113(JNIEnv *env, jobject obj)
{
  vtkCollection *op;
  vtkCollectionIterator  *temp20;

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_Register_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCollection_UnRegister_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCollection *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCollection *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCollection_VTKInit(JNIEnv *, jobject)
{
  vtkCollection *aNewOne = vtkCollection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
