// java wrapper for vtkDirectory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDirectory.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDirectory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDirectory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  const char    *temp20;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_Open_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Open(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_GetNumberOfFiles_13(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  vtkIdType   temp20;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFiles();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetFile_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDirectory *op;
  vtkIdType   temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_FileIsDirectory_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FileIsDirectory(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDirectory_GetFiles_16(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  vtkStringArray  *temp20;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFiles();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetCurrentWorkingDirectory_17(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDirectory *op;
  char    *temp0;
   unsigned int      temp1;
  const char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentWorkingDirectory(temp0,temp1);
  if (temp0) delete[] temp0;
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_MakeDirectory_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeDirectory(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_DeleteDirectory_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeleteDirectory(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_Rename_110(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkDirectory *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Rename(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_CreateDirectory_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateDirectory(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}
#endif

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDirectory_VTKInit(JNIEnv *, jobject)
{
  vtkDirectory *aNewOne = vtkDirectory::New();
  return (jlong)(size_t)(void*)aNewOne;
}
