// java wrapper for vtkExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtentTranslator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtentTranslator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtentTranslator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtentTranslator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  const char    *temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtentTranslator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetWholeExtent_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtentTranslator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetWholeExtent_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtentTranslator *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtentTranslator_GetWholeExtent_14(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int     *temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetExtent_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtentTranslator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetExtent_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtentTranslator *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtentTranslator_GetExtent_17(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int     *temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetPiece_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_GetPiece_19(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetNumberOfPieces_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_GetNumberOfPieces_111(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetGhostLevel_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtentTranslator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_GetGhostLevel_113(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_PieceToExtent_114(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PieceToExtent();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_PieceToExtentByPoints_115(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PieceToExtentByPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetSplitModeToBlock_116(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToBlock();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetSplitModeToXSlab_117(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToXSlab();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetSplitModeToYSlab_118(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToYSlab();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtentTranslator_SetSplitModeToZSlab_119(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplitModeToZSlab();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtentTranslator_GetSplitMode_120(JNIEnv *env, jobject obj)
{
  vtkExtentTranslator *op;
  int      temp20;

  op = (vtkExtentTranslator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSplitMode();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtentTranslator_VTKInit(JNIEnv *, jobject)
{
  vtkExtentTranslator *aNewOne = vtkExtentTranslator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
