// java wrapper for vtkFloatArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFloatArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFloatArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFloatArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkFloatArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  float  *temp20;
  vtkIdType size;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<float*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfFloatFromFloat(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_SetJavaArray_10(JNIEnv *env, jobject obj,jfloatArray id0)
{
  vtkFloatArray *op;
  float *tempArray0;
  int length;
  tempArray0 = (float *)(env->GetFloatArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(float));
  env->ReleaseFloatArrayElements(id0,(jfloat *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFloatArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  const char    *temp20;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFloatArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFloatArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFloatArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  int      temp20;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFloatArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkFloatArray *op;
  vtkIdType   temp0;
  float    temp20;
  temp0 = id0;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkFloatArray *op;
  vtkIdType   temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkFloatArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkFloatArray *op;
  vtkIdType   temp0;
  float    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFloatArray_InsertNextValue_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFloatArray *op;
  float    temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFloatArray_GetValueRange_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkFloatArray *op;
  int      temp0;
  float   *temp20;
  temp0 = id0;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_GetValueRange_19(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkFloatArray *op;
  float  temp0[2];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp1 = id1;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFloatArray_GetValueRange_110(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  float   *temp20;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFloatArray_GetValueRange_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkFloatArray *op;
  float  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFloatArray_GetDataTypeValueMin_112(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  float    temp20;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFloatArray_GetDataTypeValueMax_113(JNIEnv *env, jobject obj)
{
  vtkFloatArray *op;
  float    temp20;

  op = (vtkFloatArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFloatArray_VTKInit(JNIEnv *, jobject)
{
  vtkFloatArray *aNewOne = vtkFloatArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
