// java wrapper for vtkIdList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIdList.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIdList_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIdList",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_Initialize_10(JNIEnv *env, jobject obj)
{
  vtkIdList *op;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_Allocate_11(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkIdList *op;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIdList_GetClassName_12(JNIEnv *env, jobject obj)
{
  vtkIdList *op;
  const char    *temp20;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_IsA_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIdList *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_GetNumberOfIds_14(JNIEnv *env, jobject obj)
{
  vtkIdList *op;
  vtkIdType   temp20;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfIds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_GetId_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetId(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_SetNumberOfIds_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfIds(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_SetId_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->SetId(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_InsertId_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertId(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_InsertNextId_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextId(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_InsertUniqueId_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertUniqueId(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_Reset_111(JNIEnv *env, jobject obj)
{
  vtkIdList *op;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_Squeeze_112(JNIEnv *env, jobject obj)
{
  vtkIdList *op;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_DeepCopy_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIdList *op;
  vtkIdList  *temp0;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_DeleteId_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIdList_IsId_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkIdList *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsId(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIdList_IntersectWith_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIdList *op;
  vtkIdList  *temp0;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIdList *)vtkJavaGetPointerFromObject(env,obj);
  op->IntersectWith(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIdList_VTKInit(JNIEnv *, jobject)
{
  vtkIdList *aNewOne = vtkIdList::New();
  return (jlong)(size_t)(void*)aNewOne;
}
