// java wrapper for vtkInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInformation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInformation",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInformation *op;
  const char    *temp20;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInformation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Modified_12(JNIEnv *env, jobject obj)
{
  vtkInformation *op;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Modified();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Modified_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKey  *temp0;
  temp0 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Modified(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Clear_14(JNIEnv *env, jobject obj)
{
  vtkInformation *op;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_GetNumberOfKeys_15(JNIEnv *env, jobject obj)
{
  vtkInformation *op;
  int      temp20;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfKeys();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Copy_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Copy(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_18(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationDataObjectKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_19(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationDoubleVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_110(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationInformationKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_111(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationInformationVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_112(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationIntegerKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_113(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationIntegerVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_114(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationRequestKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_115(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationStringKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_116(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationStringVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntry_117(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationUnsignedLongKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntry(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_CopyEntries_118(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkInformation *op;
  vtkInformation  *temp0;
  vtkInformationKeyVectorKey  *temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyEntries(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKey  *temp0;
  temp0 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_124(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp1;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_128(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp1;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIdTypeKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIdTypeKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_132(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  double   temp1;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInformation_Get_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  double   temp20;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_136(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_137(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_138(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_139(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_143(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  char    *temp1;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_144(JNIEnv *env, jobject obj,jobject id0,jstring id1,jint id2)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformation_Get_145(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  int      temp1;
  const char    *temp20;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_147(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_149(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_150(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_151(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerPointerKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationIntegerPointerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_152(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
   unsigned long     temp1;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Get_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
   unsigned long     temp20;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_155(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_156(JNIEnv *env, jobject obj,jobject id0,jdouble id1)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_157(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_158(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkInformation_Get_159(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp1;
  double   temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_162(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_163(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_164(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_165(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_Get_166(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  int      temp1;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Length_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Length(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_169(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_170(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDataObjectKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_171(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDoubleKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_172(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDoubleVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_173(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_174(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationInformationVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_175(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationIntegerKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_176(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationIntegerVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_177(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationStringKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_178(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationStringVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_179(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationObjectBaseKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Append_180(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationUnsignedLongKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Append(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_181(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDataObjectKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_182(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDoubleKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_183(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationDoubleVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_184(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationInformationKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_185(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationInformationVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_186(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationIntegerKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_187(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationIntegerVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_188(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationStringKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_189(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationStringVectorKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_190(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationObjectBaseKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_AppendUnique_191(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationKeyVectorKey  *temp0;
  vtkInformationUnsignedLongKey  *temp1;
  temp0 = (vtkInformationKeyVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendUnique(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_192(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  char    *temp1;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInformation_Get_193(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  const char    *temp20;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_194(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_195(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_196(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_Get_197(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_198(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_199(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_1100(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp1;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_Get_1101(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationVector  *temp20;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_1102(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_1103(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Set_1104(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp1;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Set(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_Get_1105(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  vtkObjectBase  *temp20;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Get(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_1106(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_1107(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationObjectBaseKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationObjectBaseKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Remove_1108(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Remove(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInformation_Has_1109(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  int      temp20;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Has(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDataObjectKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationDataObjectKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationDoubleKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationDoubleVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationDoubleVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationInformationVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationInformationVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationIntegerKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationIntegerVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationIntegerVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationStringKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationStringVectorKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationStringVectorKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetKey_1121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationUnsignedLongKey  *temp0;
  vtkInformationKey  *temp20;
  temp0 = (vtkInformationUnsignedLongKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKey(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_Register_1122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_UnRegister_1123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInformation_SetRequest_1124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp0;
  temp0 = (vtkInformationRequestKey *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequest(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInformation_GetRequest_1125(JNIEnv *env, jobject obj)
{
  vtkInformation *op;
  vtkInformationRequestKey  *temp20;

  op = (vtkInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequest();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInformation_VTKInit(JNIEnv *, jobject)
{
  vtkInformation *aNewOne = vtkInformation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
