// java wrapper for vtkLongArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLongArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLongArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLongArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkLongArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  long  *temp20;
  vtkIdType size;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<long*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfLongFromLong(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_SetJavaArray_10(JNIEnv *env, jobject obj,jlongArray id0)
{
  vtkLongArray *op;
  long *tempArray0;
  int length;
  tempArray0 = (long *)(env->GetLongArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(long));
  env->ReleaseLongArrayElements(id0,(jlong *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLongArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  const char    *temp20;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLongArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  int      temp20;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkLongArray *op;
  vtkIdType   temp0;
  long     temp20;
  temp0 = id0;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkLongArray *op;
  vtkIdType   temp0;
  long     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkLongArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkLongArray *op;
  vtkIdType   temp0;
  long     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkLongArray *op;
  long     temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLongArray_GetValueRange_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkLongArray *op;
  int      temp0;
  long    *temp20;
  temp0 = id0;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfLongFromLong(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_GetValueRange_19(JNIEnv *env, jobject obj,jintArray id0,jint id1)
{
  vtkLongArray *op;
  long   temp0[2];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp1 = id1;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLongArray_GetValueRange_110(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  long    *temp20;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfLongFromLong(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLongArray_GetValueRange_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkLongArray *op;
  long   temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_GetDataTypeValueMin_112(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  long     temp20;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLongArray_GetDataTypeValueMax_113(JNIEnv *env, jobject obj)
{
  vtkLongArray *op;
  long     temp20;

  op = (vtkLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLongArray_VTKInit(JNIEnv *, jobject)
{
  vtkLongArray *aNewOne = vtkLongArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
