// tcl wrapper for vtkLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLookupTable.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLookupTableNewCommand()
{
  vtkLookupTable *temp = vtkLookupTable::New();
  return static_cast<ClientData>(temp);
}

int vtkScalarsToColorsCppCommand(vtkScalarsToColors *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLookupTableCppCommand(vtkLookupTable *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLookupTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLookupTableCppCommand(static_cast<vtkLookupTable *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLookupTableCppCommand(vtkLookupTable *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLookupTable",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkScalarsToColorsCppCommand(static_cast<vtkScalarsToColors *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkScalarsToColors"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLookupTable  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLookupTable  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLookupTable  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsOpaque",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsOpaque();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Build",argv[1]))&&(argc == 2))
    {
    op->Build();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceBuild",argv[1]))&&(argc == 2))
    {
    op->ForceBuild();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRamp",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRamp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRampToLinear",argv[1]))&&(argc == 2))
    {
    op->SetRampToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRampToSCurve",argv[1]))&&(argc == 2))
    {
    op->SetRampToSCurve();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRampToSQRT",argv[1]))&&(argc == 2))
    {
    op->SetRampToSQRT();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRamp",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRamp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleToLinear",argv[1]))&&(argc == 2))
    {
    op->SetScaleToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleToLog10",argv[1]))&&(argc == 2))
    {
    op->SetScaleToLog10();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTableRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetTableRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTableRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetTableRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTableRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetHueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetHueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHueRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHueRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSaturationRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetSaturationRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSaturationRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetSaturationRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSaturationRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSaturationRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetValueRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAlphaRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetAlphaRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAlphaRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetAlphaRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlphaRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAlphaRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetNanColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNanColor",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetNanColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNanColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNanColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetOpacity(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndex",argv[1]))&&(argc == 3))
    {
    double   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfTableValues",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTableValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTableValues",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTableValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTableValue",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetTableValue(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableValue",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTableValue(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfColors",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfColors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfColorsMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfColorsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfColorsMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfColorsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfColors",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfColors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTable",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    op->SetTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTable",argv[1]))&&(argc == 2))
    {
    vtkUnsignedCharArray  *temp20;
    temp20 = (op)->GetTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UsingLogScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UsingLogScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAvailableColors",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfAvailableColors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLookupTableCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLookupTable:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsOpaque\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Build\n",NULL);
    Tcl_AppendResult(interp,"  ForceBuild\n",NULL);
    Tcl_AppendResult(interp,"  SetRamp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRampToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetRampToSCurve\n",NULL);
    Tcl_AppendResult(interp,"  SetRampToSQRT\n",NULL);
    Tcl_AppendResult(interp,"  GetRamp\n",NULL);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleToLog10\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  SetTableRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTableRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTableRange\n",NULL);
    Tcl_AppendResult(interp,"  SetHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHueRange\n",NULL);
    Tcl_AppendResult(interp,"  SetSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSaturationRange\n",NULL);
    Tcl_AppendResult(interp,"  SetValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetValueRange\n",NULL);
    Tcl_AppendResult(interp,"  SetAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAlphaRange\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNanColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNanColor\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTableValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTableValues\n",NULL);
    Tcl_AppendResult(interp,"  SetTableValue\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTableValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfColors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColorsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColorsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfColors\n",NULL);
    Tcl_AppendResult(interp,"  SetTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTable\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UsingLogScale\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAvailableColors\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "IsOpaque" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "Build" );
    Tcl_DStringAppendElement ( &dString, "ForceBuild" );
    Tcl_DStringAppendElement ( &dString, "SetRamp" );
    Tcl_DStringAppendElement ( &dString, "SetRampToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetRampToSCurve" );
    Tcl_DStringAppendElement ( &dString, "SetRampToSQRT" );
    Tcl_DStringAppendElement ( &dString, "GetRamp" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLog10" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "SetTableRange" );
    Tcl_DStringAppendElement ( &dString, "SetTableRange" );
    Tcl_DStringAppendElement ( &dString, "GetTableRange" );
    Tcl_DStringAppendElement ( &dString, "SetHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetHueRange" );
    Tcl_DStringAppendElement ( &dString, "GetHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "GetSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetValueRange" );
    Tcl_DStringAppendElement ( &dString, "GetValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "SetAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "GetAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    Tcl_DStringAppendElement ( &dString, "GetNanColor" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetIndex" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTableValues" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTableValues" );
    Tcl_DStringAppendElement ( &dString, "SetTableValue" );
    Tcl_DStringAppendElement ( &dString, "GetTableValue" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColorsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColorsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "SetTable" );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "UsingLogScale" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkScalarsToColorsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct with range=\\[0,1\\]; and hsv ranges set up for rainbow color table \n (from red to blue).\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkLookupTable *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOpaque */
    if ( strcmp ( argv[2], "IsOpaque" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOpaque" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOpaque */
    Tcl_DStringAppendElement ( &dString, " Return true if all of the values defining the mapping have an opacity\n equal to 1. Default implementation return true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsOpaque();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for IsOpaque */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Allocate a color table of specified size.\n" );
    Tcl_DStringAppendElement ( &dString, "int Allocate(int sz=256, int ext=256);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Build */
    if ( strcmp ( argv[2], "Build" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Build" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Build */
    Tcl_DStringAppendElement ( &dString, " Generate lookup table from hue, saturation, value, alpha min/max values. \n Table is built from linear ramp of each value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Build();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for Build */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceBuild */
    if ( strcmp ( argv[2], "ForceBuild" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceBuild" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceBuild */
    Tcl_DStringAppendElement ( &dString, " Force the lookup table to regenerate from hue, saturation, value,\n and alpha min/max values.  Table is built from a linear ramp of\n each value.  ForceBuild() is useful if a lookup table has been\n defined manually (using SetTableValue) and then an application\n decides to rebuild the lookup table using the implicit process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ForceBuild();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for ForceBuild */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRamp */
    if ( strcmp ( argv[2], "SetRamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRamp */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetRamp(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRampToLinear */
    if ( strcmp ( argv[2], "SetRampToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRampToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRampToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetRampToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRampToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRampToSCurve */
    if ( strcmp ( argv[2], "SetRampToSCurve" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRampToSCurve" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRampToSCurve */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetRampToSCurve();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRampToSCurve */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRampToSQRT */
    if ( strcmp ( argv[2], "SetRampToSQRT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRampToSQRT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRampToSQRT */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n" );
    Tcl_DStringAppendElement ( &dString, "void SetRampToSQRT();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRampToSQRT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRamp */
    if ( strcmp ( argv[2], "GetRamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRamp */
    Tcl_DStringAppendElement ( &dString, " Set the shape of the table ramp to either linear or S-curve.\n The default is S-curve, which tails off gradually at either end.  \n The equation used for the S-curve is y = (sin((x - 1/2)*pi) + 1)/2,\n while the equation for the linear ramp is simply y = x.  For an\n S-curve greyscale ramp, you should set NumberOfTableValues to 402 \n (which is 256*pi/2) to provide room for the tails of the ramp.\n The equation for the SQRT is y = sqrt(x).  \n" );
    Tcl_DStringAppendElement ( &dString, "int GetRamp();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetRamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale(int scale);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleToLinear */
    if ( strcmp ( argv[2], "SetScaleToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetScaleToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleToLog10 */
    if ( strcmp ( argv[2], "SetScaleToLog10" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleToLog10" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleToLog10 */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleToLog10();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetScaleToLog10 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, " Set the type of scale to use, linear or logarithmic.  The default\n is linear.  If the scale is logarithmic, then the TableRange must not\n cross the value zero.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableRange */
    if ( strcmp ( argv[2], "SetTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum scalar values for scalar mapping. Scalar\n values less than minimum range value are clamped to minimum range value.\n Scalar values greater than maximum range value are clamped to maximum\n range value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTableRange(double r\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableRange */
    if ( strcmp ( argv[2], "SetTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum scalar values for scalar mapping. Scalar\n values less than minimum range value are clamped to minimum range value.\n Scalar values greater than maximum range value are clamped to maximum\n range value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTableRange(double min, double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableRange */
    if ( strcmp ( argv[2], "GetTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum/maximum scalar values for scalar mapping. Scalar\n values less than minimum range value are clamped to minimum range value.\n Scalar values greater than maximum range value are clamped to maximum\n range value.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTableRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHueRange */
    if ( strcmp ( argv[2], "SetHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHueRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHueRange */
    if ( strcmp ( argv[2], "SetHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHueRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHueRange */
    if ( strcmp ( argv[2], "GetHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetHueRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSaturationRange */
    if ( strcmp ( argv[2], "SetSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSaturationRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSaturationRange */
    if ( strcmp ( argv[2], "SetSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSaturationRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSaturationRange */
    if ( strcmp ( argv[2], "GetSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSaturationRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValueRange */
    if ( strcmp ( argv[2], "SetValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValueRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValueRange */
    if ( strcmp ( argv[2], "SetValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetValueRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValueRange */
    if ( strcmp ( argv[2], "GetValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetValueRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlphaRange */
    if ( strcmp ( argv[2], "SetAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAlphaRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlphaRange */
    if ( strcmp ( argv[2], "SetAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAlphaRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlphaRange */
    if ( strcmp ( argv[2], "GetAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAlphaRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNanColor(double, double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNanColor */
    if ( strcmp ( argv[2], "SetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNanColor(double a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNanColor */
    if ( strcmp ( argv[2], "GetNanColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNanColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNanColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetNanColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNanColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " Map one value through the lookup table and return the alpha value\n (the opacity) as a double between 0 and 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacity(double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndex */
    if ( strcmp ( argv[2], "GetIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndex */
    Tcl_DStringAppendElement ( &dString, " Return the table index associated with a particular value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetIndex(double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTableValues */
    if ( strcmp ( argv[2], "SetNumberOfTableValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTableValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTableValues */
    Tcl_DStringAppendElement ( &dString, " Specify the number of values (i.e., colors) in the lookup\n table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTableValues(vtkIdType number);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetNumberOfTableValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTableValues */
    if ( strcmp ( argv[2], "GetNumberOfTableValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTableValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTableValues */
    Tcl_DStringAppendElement ( &dString, " Specify the number of values (i.e., colors) in the lookup\n table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTableValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNumberOfTableValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableValue */
    if ( strcmp ( argv[2], "SetTableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableValue */
    Tcl_DStringAppendElement ( &dString, " Directly load color into lookup table. Use \\[0,1\\] double values for color \n component specification.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTableValue(vtkIdType indx, double r, double g, double b, double a=1.0);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetTableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableValue */
    if ( strcmp ( argv[2], "GetTableValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableValue */
    Tcl_DStringAppendElement ( &dString, " Return a rgba color value for the given index into the lookup table. Color\n components are expressed as \\[0,1\\] double values.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetTableValue(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetTableValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets the range of scalars which will be mapped.  This is a duplicate\n of Get/SetTableRange.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets the range of scalars which will be mapped.  This is a duplicate\n of Get/SetTableRange.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double min, double max);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, " Sets/Gets the range of scalars which will be mapped.  This is a duplicate\n of Get/SetTableRange.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfColors */
    if ( strcmp ( argv[2], "SetNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfColors(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColorsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfColorsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColorsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColorsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfColorsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNumberOfColorsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColorsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfColorsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColorsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColorsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfColorsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNumberOfColorsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfColors */
    if ( strcmp ( argv[2], "GetNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set the number of colors in the lookup table.  Use\n SetNumberOfTableValues() instead, it can be used both before and\n after the table has been built whereas SetNumberOfColors() has no\n effect after the table has been built.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTable */
    if ( strcmp ( argv[2], "SetTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal table array that is used to map the scalars\n to colors.  The table array is an unsigned char array with 4\n components representing RGBA.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTable(vtkUnsignedCharArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for SetTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTable */
    if ( strcmp ( argv[2], "GetTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal table array that is used to map the scalars\n to colors.  The table array is an unsigned char array with 4\n components representing RGBA.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *GetTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Copy the contents from another LookupTable\n" );
    Tcl_DStringAppendElement ( &dString, "void DeepCopy(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UsingLogScale */
    if ( strcmp ( argv[2], "UsingLogScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UsingLogScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UsingLogScale */
    Tcl_DStringAppendElement ( &dString, " This should return 1 is the subclass is using log scale for mapping scalars\n to colors. Returns 1 is scale == VTK_SCALE_LOG10.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UsingLogScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for UsingLogScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAvailableColors */
    if ( strcmp ( argv[2], "GetNumberOfAvailableColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAvailableColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAvailableColors */
    Tcl_DStringAppendElement ( &dString, " Get the number of available colors for mapping to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfAvailableColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    /* Closing for GetNumberOfAvailableColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkScalarsToColorsCppCommand(static_cast<vtkScalarsToColors *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
