// java wrapper for vtkObjectBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectBase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>

extern "C" JNIEXPORT void* vtkObjectBase_Typecast(void *me,char *dType)
{
  if (!strcmp("vtkObjectBase",dType)) { return me; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectBase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;
  const char    *temp20;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_IsTypeOf_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTypeOf(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_IsA_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectBase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_FastDelete_13(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->FastDelete();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_Register_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectBase *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_UnRegister_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectBase *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectBase_GetReferenceCount_16(JNIEnv *env, jobject obj)
{
  vtkObjectBase *op;
  int      temp20;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReferenceCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectBase_SetReferenceCount_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectBase *op;
  int      temp0;
  temp0 = id0;

  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReferenceCount(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectBase_VTKDeleteReference(JNIEnv *,jclass,jlong id)
{
  vtkObjectBase *op;
  op = reinterpret_cast<vtkObjectBase*>(id);
  op->Delete();
}

extern "C" JNIEXPORT jstring JNICALL Java_vtk_vtkObjectBase_VTKGetClassNameFromReference(JNIEnv *env,jclass,jlong id)
{
  const char* name = "";
  vtkObjectBase *op;
  if(id != 0)
    {
    op = reinterpret_cast<vtkObjectBase*>(id);
    name = op->GetClassName();
    }
  return vtkJavaMakeJavaString(env,name);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectBase_VTKDelete(JNIEnv *env,jobject obj)
{
  vtkObjectBase *op;
  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->Delete();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkObjectBase_VTKRegister(JNIEnv *env,jobject obj)
{
  vtkObjectBase *op;
  op = (vtkObjectBase *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(op);
}
