// java wrapper for vtkObjectFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectFactory.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkObjectFactory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkObjectFactory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkObjectFactory_CreateInstance_10(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactory *op;
  char    *temp0;
  vtkObject  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateInstance(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_CreateAllInstance_11(JNIEnv *env, jobject obj,jstring id0,jobject id1)
{
  vtkObjectFactory *op;
  char    *temp0;
  vtkCollection  *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateAllInstance(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_ReHash_12(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->ReHash();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_RegisterFactory_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectFactory *op;
  vtkObjectFactory  *temp0;
  temp0 = (vtkObjectFactory *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterFactory(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_UnRegisterFactory_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkObjectFactory *op;
  vtkObjectFactory  *temp0;
  temp0 = (vtkObjectFactory *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegisterFactory(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_UnRegisterAllFactories_15(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegisterAllFactories();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkObjectFactory_GetRegisteredFactories_16(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  vtkObjectFactoryCollection  *temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegisteredFactories();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_HasOverrideAny_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasOverrideAny(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_GetOverrideInformation_18(JNIEnv *env, jobject obj,jstring id0,jobject id1)
{
  vtkObjectFactory *op;
  char    *temp0;
  vtkOverrideInformationCollection  *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (vtkOverrideInformationCollection *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOverrideInformation(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_SetAllEnableFlags_19(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkObjectFactory *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllEnableFlags(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_SetAllEnableFlags_110(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2)
{
  vtkObjectFactory *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllEnableFlags(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetClassName_111(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  const char    *temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_IsA_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetVTKSourceVersion_113(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  const char    *temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKSourceVersion();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetDescription_114(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  const char    *temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescription();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_GetNumberOfOverrides_115(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  int      temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOverrides();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetClassOverrideName_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectFactory *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassOverrideName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetClassOverrideWithName_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectFactory *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassOverrideWithName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_GetEnableFlag_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectFactory *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableFlag(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetOverrideDescription_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkObjectFactory *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOverrideDescription(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_SetEnableFlag_120(JNIEnv *env, jobject obj,jint id0,jstring id1,jstring id2)
{
  vtkObjectFactory *op;
  int      temp0;
  char    *temp1;
  char    *temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnableFlag(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  if (temp2) delete[] temp2;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_GetEnableFlag_121(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkObjectFactory *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEnableFlag(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_HasOverride_122(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasOverride(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkObjectFactory_HasOverride_123(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkObjectFactory *op;
  char    *temp0;
  char    *temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasOverride(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkObjectFactory_Disable_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkObjectFactory *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  op->Disable(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkObjectFactory_GetLibraryPath_125(JNIEnv *env, jobject obj)
{
  vtkObjectFactory *op;
  char    *temp20;

  op = (vtkObjectFactory *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLibraryPath();
  return vtkJavaMakeJavaString(env,temp20);
}
