// java wrapper for vtkPerspectiveTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPerspectiveTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkHomogeneousTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPerspectiveTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPerspectiveTransform",dType)) { return me; }
  if ((res= vtkHomogeneousTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPerspectiveTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
  const char    *temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPerspectiveTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPerspectiveTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Identity_12(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Identity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Inverse_13(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_AdjustViewport_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->AdjustViewport(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_AdjustZBuffer_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->AdjustZBuffer(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Ortho_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Ortho(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Frustum_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Frustum(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Perspective_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Perspective(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Shear_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Shear(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Stereo_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Stereo(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_SetupCamera_111(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkPerspectiveTransform *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupCamera(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_SetupCamera_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupCamera(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Translate_113(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Translate_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPerspectiveTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_RotateWXYZ_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateWXYZ(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_RotateWXYZ_116(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateWXYZ(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_RotateX_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateX(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_RotateY_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateY(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_RotateZ_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateZ(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Scale_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPerspectiveTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Scale_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPerspectiveTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_SetMatrix_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPerspectiveTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_SetMatrix_123(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPerspectiveTransform *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Concatenate_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPerspectiveTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Concatenate_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPerspectiveTransform *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Concatenate_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPerspectiveTransform *op;
  vtkHomogeneousTransform  *temp0;
  temp0 = (vtkHomogeneousTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_PreMultiply_127(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->PreMultiply();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_PostMultiply_128(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->PostMultiply();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPerspectiveTransform_GetNumberOfConcatenatedTransforms_129(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
  int      temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfConcatenatedTransforms();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPerspectiveTransform_GetConcatenatedTransform_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkPerspectiveTransform *op;
  int      temp0;
  vtkHomogeneousTransform  *temp20;
  temp0 = id0;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConcatenatedTransform(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_SetInput_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPerspectiveTransform *op;
  vtkHomogeneousTransform  *temp0;
  temp0 = (vtkHomogeneousTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPerspectiveTransform_GetInput_132(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
  vtkHomogeneousTransform  *temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPerspectiveTransform_GetInverseFlag_133(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
  int      temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Push_134(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Push();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPerspectiveTransform_Pop_135(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Pop();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPerspectiveTransform_MakeTransform_136(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPerspectiveTransform_CircuitCheck_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPerspectiveTransform *op;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CircuitCheck(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPerspectiveTransform_GetMTime_138(JNIEnv *env, jobject obj)
{
  vtkPerspectiveTransform *op;
   unsigned long     temp20;

  op = (vtkPerspectiveTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPerspectiveTransform_VTKInit(JNIEnv *, jobject)
{
  vtkPerspectiveTransform *aNewOne = vtkPerspectiveTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
