// java wrapper for vtkPriorityQueue object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPriorityQueue.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPriorityQueue_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPriorityQueue",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPriorityQueue_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPriorityQueue *op;
  const char    *temp20;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPriorityQueue_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPriorityQueue *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPriorityQueue_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPriorityQueue *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPriorityQueue_Insert_13(JNIEnv *env, jobject obj,jdouble id0,jint id1)
{
  vtkPriorityQueue *op;
  double   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  op->Insert(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPriorityQueue_Pop_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPriorityQueue *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pop(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPriorityQueue_Peek_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPriorityQueue *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Peek(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPriorityQueue_DeleteId_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPriorityQueue *op;
  vtkIdType   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DeleteId(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPriorityQueue_GetPriority_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPriorityQueue *op;
  vtkIdType   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPriority(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPriorityQueue_GetNumberOfItems_18(JNIEnv *env, jobject obj)
{
  vtkPriorityQueue *op;
  vtkIdType   temp20;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfItems();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPriorityQueue_Reset_19(JNIEnv *env, jobject obj)
{
  vtkPriorityQueue *op;

  op = (vtkPriorityQueue *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPriorityQueue_VTKInit(JNIEnv *, jobject)
{
  vtkPriorityQueue *aNewOne = vtkPriorityQueue::New();
  return (jlong)(size_t)(void*)aNewOne;
}
