// java wrapper for vtkShortArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShortArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShortArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShortArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkShortArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  short  *temp20;
  vtkIdType size;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<short*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfShortFromShort(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_SetJavaArray_10(JNIEnv *env, jobject obj,jshortArray id0)
{
  vtkShortArray *op;
  short *tempArray0;
  int length;
  tempArray0 = (short *)(env->GetShortArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(short));
  env->ReleaseShortArrayElements(id0,(jshort *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShortArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  const char    *temp20;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShortArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  int      temp20;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkShortArray *op;
  vtkIdType   temp0;
  short    temp20;
  temp0 = id0;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkShortArray *op;
  vtkIdType   temp0;
  short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkShortArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkShortArray *op;
  vtkIdType   temp0;
  short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkShortArray *op;
  short    temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkShortArray_GetValueRange_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkShortArray *op;
  int      temp0;
  short   *temp20;
  temp0 = id0;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange(temp0);
    return vtkJavaMakeJArrayOfShortFromShort(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_GetValueRange_19(JNIEnv *env, jobject obj,jintArray id0,jint id1)
{
  vtkShortArray *op;
  short  temp0[2];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp1 = id1;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkShortArray_GetValueRange_110(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  short   *temp20;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValueRange();
    return vtkJavaMakeJArrayOfShortFromShort(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShortArray_GetValueRange_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkShortArray *op;
  short  temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetValueRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_GetDataTypeValueMin_112(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  short    temp20;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShortArray_GetDataTypeValueMax_113(JNIEnv *env, jobject obj)
{
  vtkShortArray *op;
  short    temp20;

  op = (vtkShortArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShortArray_VTKInit(JNIEnv *, jobject)
{
  vtkShortArray *aNewOne = vtkShortArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
