// java wrapper for vtkStructuredData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredData",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredData *op;
  const char    *temp20;

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_SetDimensions_12(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetDimensions(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_SetExtent_13(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetExtent(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_GetDataDescription_14(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStructuredData *op;
  int    temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDescription(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_GetDataDimension_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredData *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDimension(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredData_GetCellPoints_16(JNIEnv *env, jobject obj,jint id0,jobject id1,jint id2,jintArray id3)
{
  vtkStructuredData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  int      temp2;
  int    temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1,temp2,temp3);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredData_GetPointCells_17(JNIEnv *env, jobject obj,jint id0,jobject id1,jintArray id2)
{
  vtkStructuredData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  int    temp2[3];
  void *tempArray2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1,temp2);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredData_GetCellNeighbors_18(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jintArray id3)
{
  vtkStructuredData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  int    temp3[3];
  void *tempArray3;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetIntArrayElements(id3,NULL));
  temp3[0] = ((jint *)tempArray3)[0];
  temp3[1] = ((jint *)tempArray3)[1];
  temp3[2] = ((jint *)tempArray3)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2,temp3);
  ((jint *)tempArray3)[0] = temp3[0];
  ((jint *)tempArray3)[1] = temp3[1];
  ((jint *)tempArray3)[2] = temp3[2];
  env->ReleaseIntArrayElements(id3,(jint *)tempArray3,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_ComputePointIdForExtent_19(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePointIdForExtent(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_ComputeCellIdForExtent_110(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeCellIdForExtent(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_ComputePointId_111(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePointId(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredData_ComputeCellId_112(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkStructuredData *op;
  int    temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeCellId(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredData_ComputeCellStructuredCoords_113(JNIEnv *env, jobject obj,jint id0,jintArray id1,jintArray id2)
{
  vtkStructuredData *op;
  vtkIdType   temp0;
  int    temp1[3];
  void *tempArray1;
  int    temp2[3];
  void *tempArray2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeCellStructuredCoords(temp0,temp1,temp2);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredData_ComputePointStructuredCoords_114(JNIEnv *env, jobject obj,jint id0,jintArray id1,jintArray id2)
{
  vtkStructuredData *op;
  vtkIdType   temp0;
  int    temp1[3];
  void *tempArray1;
  int    temp2[3];
  void *tempArray2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];

  op = (vtkStructuredData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputePointStructuredCoords(temp0,temp1,temp2);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}
