// java wrapper for vtkTransform2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransform2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransform2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransform2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransform2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransform2D *op;
  const char    *temp20;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransform2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Identity_12(JNIEnv *env, jobject obj)
{
  vtkTransform2D *op;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Identity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Inverse_13(JNIEnv *env, jobject obj)
{
  vtkTransform2D *op;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Translate_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTransform2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Translate_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Rotate_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTransform2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Rotate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Scale_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTransform2D *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_Scale_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_SetMatrix_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_SetMatrix_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform2D *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransform2D_GetMatrix_111(JNIEnv *env, jobject obj)
{
  vtkTransform2D *op;
  vtkMatrix3x3  *temp20;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMatrix();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_GetMatrix_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_GetPosition_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_GetInverse_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInverse(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_GetTranspose_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTranspose(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform2D_GetMTime_116(JNIEnv *env, jobject obj)
{
  vtkTransform2D *op;
   unsigned long     temp20;

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_TransformPoints_117(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkTransform2D *op;
  vtkPoints2D  *temp0;
  vtkPoints2D  *temp1;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_InverseTransformPoints_118(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkTransform2D *op;
  vtkPoints2D  *temp0;
  vtkPoints2D  *temp1;
  temp0 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints2D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->InverseTransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform2D_MultiplyPoint_119(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkTransform2D *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkTransform2D *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransform2D_VTKInit(JNIEnv *, jobject)
{
  vtkTransform2D *aNewOne = vtkTransform2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
