// java wrapper for vtkTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLinearTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransform",dType)) { return me; }
  if ((res= vtkLinearTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  const char    *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Identity_12(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Identity();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Inverse_13(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Translate_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Translate_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Translate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_RotateWXYZ_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateWXYZ(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_RotateWXYZ_17(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkTransform *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateWXYZ(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_RotateX_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateX(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_RotateY_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateY(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_RotateZ_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->RotateZ(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Scale_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Scale_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Scale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_SetMatrix_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_SetMatrix_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Concatenate_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Concatenate_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[16];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Concatenate_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkLinearTransform  *temp0;
  temp0 = (vtkLinearTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Concatenate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_PreMultiply_118(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->PreMultiply();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_PostMultiply_119(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->PostMultiply();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform_GetNumberOfConcatenatedTransforms_120(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  int      temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfConcatenatedTransforms();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransform_GetConcatenatedTransform_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransform *op;
  int      temp0;
  vtkLinearTransform  *temp20;
  temp0 = id0;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConcatenatedTransform(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetOrientation_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOrientation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransform_GetOrientation_123(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  double  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetOrientation_124(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  vtkMatrix4x4  *temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOrientation(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetOrientationWXYZ_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOrientationWXYZ(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransform_GetOrientationWXYZ_126(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  double  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationWXYZ();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetPosition_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransform_GetPosition_128(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  double  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetScale_129(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTransform *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTransform_GetScale_130(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  double  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetInverse_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInverse(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_GetTranspose_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTranspose(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_SetInput_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkLinearTransform  *temp0;
  temp0 = (vtkLinearTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransform_GetInput_134(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  vtkLinearTransform  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform_GetInverseFlag_135(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  int      temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Push_136(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Push();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_Pop_137(JNIEnv *env, jobject obj)
{
  vtkTransform *op;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Pop();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform_CircuitCheck_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransform *op;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CircuitCheck(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransform_GetInverse_139(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverse();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransform_MakeTransform_140(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransform_GetMTime_141(JNIEnv *env, jobject obj)
{
  vtkTransform *op;
   unsigned long     temp20;

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransform_MultiplyPoint_142(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkTransform *op;
  float  temp0[4];
  void *tempArray0;
  float  temp1[4];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransform_VTKInit(JNIEnv *, jobject)
{
  vtkTransform *aNewOne = vtkTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
