// java wrapper for vtkUnsignedIntArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedIntArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedIntArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedIntArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkUnsignedIntArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedIntArray *op;
  unsigned int  *temp20;
  vtkIdType size;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<unsigned int*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfUnsignedIntFromUnsignedInt(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedIntArray_SetJavaArray_10(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkUnsignedIntArray *op;
  unsigned int *tempArray0;
  int length;
  tempArray0 = (unsigned int *)(env->GetIntArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(unsigned int));
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnsignedIntArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedIntArray *op;
  const char    *temp20;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedIntArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkUnsignedIntArray *op;
  int      temp20;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedIntArray *op;
  vtkIdType   temp0;
   unsigned int      temp20;
  temp0 = id0;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedIntArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedIntArray *op;
  vtkIdType   temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedIntArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedIntArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedIntArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedIntArray *op;
  vtkIdType   temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedIntArray *op;
   unsigned int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_GetDataTypeValueMin_18(JNIEnv *env, jobject obj)
{
  vtkUnsignedIntArray *op;
   unsigned int      temp20;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedIntArray_GetDataTypeValueMax_19(JNIEnv *env, jobject obj)
{
  vtkUnsignedIntArray *op;
   unsigned int      temp20;

  op = (vtkUnsignedIntArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnsignedIntArray_VTKInit(JNIEnv *, jobject)
{
  vtkUnsignedIntArray *aNewOne = vtkUnsignedIntArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
