// java wrapper for vtkUnsignedLongArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedLongArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedLongArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedLongArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkUnsignedLongArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongArray *op;
  unsigned long  *temp20;
  vtkIdType size;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = static_cast<unsigned long*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfUnsignedLongFromUnsignedLong(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongArray_SetJavaArray_10(JNIEnv *env, jobject obj,jlongArray id0)
{
  vtkUnsignedLongArray *op;
  unsigned long *tempArray0;
  int length;
  tempArray0 = (unsigned long *)(env->GetLongArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(unsigned long));
  env->ReleaseLongArrayElements(id0,(jlong *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnsignedLongArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongArray *op;
  const char    *temp20;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedLongArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongArray *op;
  int      temp20;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongArray *op;
  vtkIdType   temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedLongArray *op;
  vtkIdType   temp0;
   unsigned long     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedLongArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedLongArray *op;
  vtkIdType   temp0;
   unsigned long     temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedLongArray *op;
   unsigned long     temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_GetDataTypeValueMin_18(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongArray *op;
   unsigned long     temp20;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedLongArray_GetDataTypeValueMax_19(JNIEnv *env, jobject obj)
{
  vtkUnsignedLongArray *op;
   unsigned long     temp20;

  op = (vtkUnsignedLongArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeValueMax();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnsignedLongArray_VTKInit(JNIEnv *, jobject)
{
  vtkUnsignedLongArray *aNewOne = vtkUnsignedLongArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
