// java wrapper for vtkVariantArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVariantArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVariantArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVariantArray",dType)) { return me; }
  if ((res= vtkAbstractArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVariantArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  const char    *temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVariantArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_GetDataType_14(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  int      temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_GetDataTypeSize_15(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  int      temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataTypeSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_GetElementComponentSize_16(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  int      temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetElementComponentSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_SetNumberOfTuples_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfTuples(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_SetTuple_18(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTuple(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_InsertTuple_19(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertTuple(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_InsertNextTuple_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextTuple(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_DeepCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVariantArray *op;
  vtkAbstractArray  *temp0;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_InterpolateTuple_112(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2,jint id3,jobject id4,jdouble id5)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;
  temp4 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = id5;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_Squeeze_113(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_Resize_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Resize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_GetActualMemorySize_115(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
   unsigned long     temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_IsNumeric_116(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  int      temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsNumeric();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVariantArray_NewIterator_117(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  vtkArrayIterator  *temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_SetNumberOfValues_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVariantArray_GetNumberOfValues_119(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;
  vtkIdType   temp20;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_DataChanged_120(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->DataChanged();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_DataElementChanged_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkVariantArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->DataElementChanged(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVariantArray_ClearLookup_122(JNIEnv *env, jobject obj)
{
  vtkVariantArray *op;

  op = (vtkVariantArray *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearLookup();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVariantArray_VTKInit(JNIEnv *, jobject)
{
  vtkVariantArray *aNewOne = vtkVariantArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
