// tcl wrapper for vtkVariantArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVariantArray.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVariantArrayNewCommand()
{
  vtkVariantArray *temp = vtkVariantArray::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractArrayCppCommand(vtkAbstractArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVariantArrayCppCommand(vtkVariantArray *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVariantArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVariantArrayCppCommand(static_cast<vtkVariantArray *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVariantArrayCppCommand(vtkVariantArray *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVariantArray",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractArrayCppCommand(static_cast<vtkAbstractArray *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractArray"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVariantArray  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVariantArray");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVariantArray  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVariantArray");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVariantArray  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVariantArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataTypeSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataTypeSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementComponentSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElementComponentSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTuples",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTuples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->SetTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertTuple",argv[1]))&&(argc == 5))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->InsertTuple(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextTuple",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkAbstractArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->InsertNextTuple(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTuple",argv[1]))&&(argc == 8))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    vtkAbstractArray  *temp2;
    vtkIdType   temp3;
    vtkAbstractArray  *temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Resize",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Resize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsNumeric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsNumeric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewIterator",argv[1]))&&(argc == 2))
    {
    vtkArrayIterator  *temp20;
    temp20 = (op)->NewIterator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkArrayIterator");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfValues",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfValues",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DataChanged",argv[1]))&&(argc == 2))
    {
    op->DataChanged();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DataElementChanged",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DataElementChanged(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLookup",argv[1]))&&(argc == 2))
    {
    op->ClearLookup();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVariantArrayCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractArrayCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVariantArray:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  GetDataTypeSize\n",NULL);
    Tcl_AppendResult(interp,"  GetElementComponentSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTuples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertTuple\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextTuple\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTuple\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  Resize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  IsNumeric\n",NULL);
    Tcl_AppendResult(interp,"  NewIterator\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfValues\n",NULL);
    Tcl_AppendResult(interp,"  DataChanged\n",NULL);
    Tcl_AppendResult(interp,"  DataElementChanged\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearLookup\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractArrayCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfValues" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfValues" );
    Tcl_DStringAppendElement ( &dString, "DataChanged" );
    Tcl_DStringAppendElement ( &dString, "DataElementChanged" );
    Tcl_DStringAppendElement ( &dString, "ClearLookup" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractArrayCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVariantArray *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate */
    if ( strcmp ( argv[2], "Allocate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate */
    Tcl_DStringAppendElement ( &dString, " Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Allocate(vtkIdType sz, vtkIdType ext=1000);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for Allocate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Release storage and reset array to initial state.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataTypeSize */
    if ( strcmp ( argv[2], "GetDataTypeSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataTypeSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataTypeSize */
    Tcl_DStringAppendElement ( &dString, " Return the size of the underlying data type.  For a bit, 1 is\n returned.  For string 0 is returned. Arrays with variable length\n components return 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataTypeSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetDataTypeSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementComponentSize */
    if ( strcmp ( argv[2], "GetElementComponentSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementComponentSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementComponentSize */
    Tcl_DStringAppendElement ( &dString, " Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type.  For vtkStringArray, this is\n sizeof(vtkStdString::value_type), which winds up being\n sizeof(char).  \n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetElementComponentSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetElementComponentSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTuples */
    if ( strcmp ( argv[2], "SetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfTuples(vtkIdType number);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for SetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTuple */
    if ( strcmp ( argv[2], "SetTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTuple */
    Tcl_DStringAppendElement ( &dString, " Set the tuple at the ith location using the jth tuple in the source array.\n This method assumes that the two arrays have the same type\n and structure. Note that range checking and memory allocation is not \n performed; use in conjunction with SetNumberOfTuples() to allocate space.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTuple(vtkIdType i, vtkIdType j, vtkAbstractArray *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for SetTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertTuple */
    if ( strcmp ( argv[2], "InsertTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at ith location in this array. \n Note that memory allocation is performed as necessary to hold the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InsertTuple(vtkIdType i, vtkIdType j, vtkAbstractArray *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for InsertTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextTuple */
    if ( strcmp ( argv[2], "InsertNextTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextTuple */
    Tcl_DStringAppendElement ( &dString, " Insert the jth tuple in the source array, at the end in this array. \n Note that memory allocation is performed as necessary to hold the data.\n Returns the location at which the data was inserted.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType InsertNextTuple(vtkIdType j, vtkAbstractArray *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for InsertNextTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Deep copy of data. Implementation left to subclasses, which\n should support as many type conversions as possible given the\n data type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkAbstractArray *da);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateTuple */
    if ( strcmp ( argv[2], "InterpolateTuple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateTuple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateTuple */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void InterpolateTuple(vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for InterpolateTuple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Squeeze */
    if ( strcmp ( argv[2], "Squeeze" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Squeeze" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Squeeze */
    Tcl_DStringAppendElement ( &dString, " Resize object to just fit data requirement. Reclaims extra memory.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Squeeze();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for Squeeze */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Resize */
    if ( strcmp ( argv[2], "Resize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Resize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Resize */
    Tcl_DStringAppendElement ( &dString, " Resize the array while conserving the data.  Returns 1 if\n resizing succeeded and 0 otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Resize(vtkIdType numTuples);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for Resize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetActualMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsNumeric */
    if ( strcmp ( argv[2], "IsNumeric" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsNumeric" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsNumeric */
    Tcl_DStringAppendElement ( &dString, " Since each item can be of a different type, we say that a variant array is not numeric.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsNumeric();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for IsNumeric */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewIterator */
    if ( strcmp ( argv[2], "NewIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewIterator */
    Tcl_DStringAppendElement ( &dString, " Subclasses must override this method and provide the right \n kind of templated vtkArrayIteratorTemplate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkArrayIterator *NewIterator();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for NewIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfValues */
    if ( strcmp ( argv[2], "SetNumberOfValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfValues */
    Tcl_DStringAppendElement ( &dString, " Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfValues(vtkIdType number);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for SetNumberOfValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfValues */
    if ( strcmp ( argv[2], "GetNumberOfValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfValues */
    Tcl_DStringAppendElement ( &dString, " Return the number of values in the array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfValues();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for GetNumberOfValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DataChanged */
    if ( strcmp ( argv[2], "DataChanged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DataChanged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DataChanged */
    Tcl_DStringAppendElement ( &dString, " Tell the array explicitly that the data has changed.\n This is only necessary to call when you modify the array contents\n without using the array's API (i.e. you retrieve a pointer to the\n data and modify the array contents).  You need to call this so that\n the fast lookup will know to rebuild itself.  Otherwise, the lookup\n functions will give incorrect results.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DataChanged();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for DataChanged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DataElementChanged */
    if ( strcmp ( argv[2], "DataElementChanged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DataElementChanged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DataElementChanged */
    Tcl_DStringAppendElement ( &dString, " Tell the array explicitly that a single data element has\n changed. Like DataChanged(), then is only necessary when you\n modify the array contents without using the array's API. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DataElementChanged(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for DataElementChanged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearLookup */
    if ( strcmp ( argv[2], "ClearLookup" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearLookup" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearLookup */
    Tcl_DStringAppendElement ( &dString, " Delete the associated fast lookup data structure on this array,\n if it exists.  The lookup will be rebuilt on the next call to a lookup\n function.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearLookup();" );
    Tcl_DStringAppendElement ( &dString, "vtkVariantArray" );
    /* Closing for ClearLookup */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractArrayCppCommand(static_cast<vtkAbstractArray *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
