// java wrapper for vtkWarpTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWarpTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWarpTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWarpTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWarpTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWarpTransform *op;
  const char    *temp20;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWarpTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_Inverse_12(JNIEnv *env, jobject obj)
{
  vtkWarpTransform *op;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTransform_GetInverseFlag_13(JNIEnv *env, jobject obj)
{
  vtkWarpTransform *op;
  int      temp20;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_SetInverseTolerance_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInverseTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpTransform_GetInverseTolerance_15(JNIEnv *env, jobject obj)
{
  vtkWarpTransform *op;
  double   temp20;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_SetInverseIterations_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInverseIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTransform_GetInverseIterations_17(JNIEnv *env, jobject obj)
{
  vtkWarpTransform *op;
  int      temp20;

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverseIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_InternalTransformPoint_18(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWarpTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_TemplateTransformPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWarpTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TemplateTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTransform_TemplateTransformInverse_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkWarpTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkWarpTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TemplateTransformInverse(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}
