// java wrapper for vtkWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindow.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWindow",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  const char    *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetWindowInfo_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetParentInfo_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParentInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindow_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int     *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetPosition_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetPosition_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindow_GetSize_17(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int     *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetSize_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetSize_19(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetMapped_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapped(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetMapped_111(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapped();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_MappedOn_112(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MappedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_MappedOff_113(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MappedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetErase_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetErase(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetErase_115(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErase();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_EraseOn_116(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->EraseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_EraseOff_117(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->EraseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetDoubleBuffer_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDoubleBuffer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetDoubleBuffer_119(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDoubleBuffer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_DoubleBufferOn_120(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->DoubleBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_DoubleBufferOff_121(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->DoubleBufferOff();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindow_GetWindowName_122(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  char    *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetWindowName_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_Render_124(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetPixelData_125(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetDPI_126(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDPI();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetDPI_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDPI(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetDPIMinValue_128(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDPIMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetDPIMaxValue_129(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDPIMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetOffScreenRendering_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOffScreenRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindow_GetOffScreenRendering_131(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int      temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOffScreenRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_OffScreenRenderingOn_132(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->OffScreenRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_OffScreenRenderingOff_133(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->OffScreenRenderingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_MakeCurrent_134(JNIEnv *env, jobject obj)
{
  vtkWindow *op;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeCurrent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetTileScale_135(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTileScale(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetTileScale_136(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTileScale(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindow_GetTileScale_137(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  int     *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTileScale();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetTileScale_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTileScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetTileViewport_139(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkWindow *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTileViewport(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindow_SetTileViewport_140(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWindow *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTileViewport(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindow_GetTileViewport_141(JNIEnv *env, jobject obj)
{
  vtkWindow *op;
  double  *temp20;

  op = (vtkWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTileViewport();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}
