// tcl wrapper for vtkXMLDataElement object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataElement.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXMLDataElementNewCommand()
{
  vtkXMLDataElement *temp = vtkXMLDataElement::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLDataElementCppCommand(vtkXMLDataElement *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLDataElementCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLDataElementCppCommand(static_cast<vtkXMLDataElement *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLDataElementCppCommand(vtkXMLDataElement *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLDataElement",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetId",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetId();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetId",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttribute",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAttribute(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCharacterData",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCharacterData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCharacterData",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCharacterData();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIntAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIntAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFloatAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    float    temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetFloatAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDoubleAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDoubleAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUnsignedLongAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    unsigned long     temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetUnsignedLongAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAttributes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAttribute",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllAttributes",argv[1]))&&(argc == 2))
    {
    op->RemoveAllAttributes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoot",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetRoot();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNestedElements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNestedElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNestedElement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNestedElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNestedElement",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    op->AddNestedElement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveNestedElement",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    op->RemoveNestedElement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllNestedElements",argv[1]))&&(argc == 2))
    {
    op->RemoveAllNestedElements();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindNestedElement",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->FindNestedElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithNameAndId",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithNameAndId(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithNameAndAttribute",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("LookupElementWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LookupElementWithName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("LookupElement",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LookupElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLByteIndex",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetXMLByteIndex();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXMLByteIndex",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetXMLByteIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsEqualTo",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsEqualTo(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLDataElement"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeEncoding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeEncoding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeEncodingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncodingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeEncodingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncodingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeEncoding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncoding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintXML",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->PrintXML(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCharacterDataWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCharacterDataWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCharacterDataWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCharacterDataWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXMLDataElementCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLDataElement:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetId\n",NULL);
    Tcl_AppendResult(interp,"  SetId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCharacterData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCharacterData\n",NULL);
    Tcl_AppendResult(interp,"  SetIntAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFloatAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDoubleAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUnsignedLongAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAttributes\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllAttributes\n",NULL);
    Tcl_AppendResult(interp,"  GetParent\n",NULL);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoot\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNestedElements\n",NULL);
    Tcl_AppendResult(interp,"  GetNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllNestedElements\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithNameAndId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithNameAndAttribute\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  LookupElementWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LookupElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLByteIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLByteIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsEqualTo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeEncoding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncodingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncodingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncoding\n",NULL);
    Tcl_AppendResult(interp,"  PrintXML\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCharacterDataWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetCharacterDataWidth\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    Tcl_DStringAppendElement ( &dString, "SetId" );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetCharacterData" );
    Tcl_DStringAppendElement ( &dString, "GetCharacterData" );
    Tcl_DStringAppendElement ( &dString, "SetIntAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetFloatAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetDoubleAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetUnsignedLongAttribute" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeName" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValue" );
    Tcl_DStringAppendElement ( &dString, "RemoveAttribute" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    Tcl_DStringAppendElement ( &dString, "GetRoot" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNestedElements" );
    Tcl_DStringAppendElement ( &dString, "GetNestedElement" );
    Tcl_DStringAppendElement ( &dString, "AddNestedElement" );
    Tcl_DStringAppendElement ( &dString, "RemoveNestedElement" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllNestedElements" );
    Tcl_DStringAppendElement ( &dString, "FindNestedElement" );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithName" );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithNameAndId" );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithNameAndAttribute" );
    Tcl_DStringAppendElement ( &dString, "LookupElementWithName" );
    Tcl_DStringAppendElement ( &dString, "LookupElement" );
    Tcl_DStringAppendElement ( &dString, "GetXMLByteIndex" );
    Tcl_DStringAppendElement ( &dString, "SetXMLByteIndex" );
    Tcl_DStringAppendElement ( &dString, "IsEqualTo" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "SetAttributeEncoding" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncodingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncodingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncoding" );
    Tcl_DStringAppendElement ( &dString, "PrintXML" );
    Tcl_DStringAppendElement ( &dString, "GetCharacterDataWidth" );
    Tcl_DStringAppendElement ( &dString, "SetCharacterDataWidth" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXMLDataElement *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetName */
    if ( strcmp ( argv[2], "GetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the element.  This is its XML tag.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetName */
    if ( strcmp ( argv[2], "SetName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the element.  This is its XML tag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetName(const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetId */
    if ( strcmp ( argv[2], "GetId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetId */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the id attribute of the element, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetId();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetId */
    if ( strcmp ( argv[2], "SetId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetId */
    Tcl_DStringAppendElement ( &dString, " Set/Get the value of the id attribute of the element, if any.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetId(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttribute */
    if ( strcmp ( argv[2], "GetAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttribute */
    Tcl_DStringAppendElement ( &dString, " Get the attribute with the given name.  If it doesn't exist,\n returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttribute(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttribute */
    if ( strcmp ( argv[2], "SetAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the attribute with the given name and value. If it doesn't exist,\n adds it.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttribute(const char *name, const char *value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCharacterData */
    if ( strcmp ( argv[2], "SetCharacterData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCharacterData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCharacterData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the character data between XML start/end tags.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCharacterData(const char *c, int length);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetCharacterData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCharacterData */
    if ( strcmp ( argv[2], "GetCharacterData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCharacterData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCharacterData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the character data between XML start/end tags.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetCharacterData();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetCharacterData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntAttribute */
    if ( strcmp ( argv[2], "SetIntAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntAttribute(const char *name, int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetIntAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFloatAttribute */
    if ( strcmp ( argv[2], "SetFloatAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFloatAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFloatAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFloatAttribute(const char *name, float value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetFloatAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDoubleAttribute */
    if ( strcmp ( argv[2], "SetDoubleAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDoubleAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDoubleAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDoubleAttribute(const char *name, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetDoubleAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUnsignedLongAttribute */
    if ( strcmp ( argv[2], "SetUnsignedLongAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnsignedLongAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnsignedLongAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUnsignedLongAttribute(const char *name, unsigned long value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetUnsignedLongAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAttributes */
    if ( strcmp ( argv[2], "GetNumberOfAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAttributes */
    Tcl_DStringAppendElement ( &dString, " Get the number of attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetNumberOfAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeName */
    if ( strcmp ( argv[2], "GetAttributeName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeName */
    Tcl_DStringAppendElement ( &dString, " Get the n-th attribute name.\n Returns 0 if there is no such attribute.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttributeName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttributeName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeValue */
    if ( strcmp ( argv[2], "GetAttributeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeValue */
    Tcl_DStringAppendElement ( &dString, " Get the n-th attribute value.\n Returns 0 if there is no such attribute.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAttributeValue(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttributeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAttribute */
    if ( strcmp ( argv[2], "RemoveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAttribute */
    Tcl_DStringAppendElement ( &dString, " Remove one or all attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAttribute(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for RemoveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllAttributes */
    if ( strcmp ( argv[2], "RemoveAllAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllAttributes */
    Tcl_DStringAppendElement ( &dString, " Remove one or all attributes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllAttributes();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for RemoveAllAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParent */
    if ( strcmp ( argv[2], "GetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the parent of this element.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetParent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParent */
    if ( strcmp ( argv[2], "SetParent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the parent of this element.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParent(vtkXMLDataElement *parent);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetParent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoot */
    if ( strcmp ( argv[2], "GetRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoot */
    Tcl_DStringAppendElement ( &dString, " Get root of the XML tree this element is part of.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkXMLDataElement *GetRoot();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNestedElements */
    if ( strcmp ( argv[2], "GetNumberOfNestedElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNestedElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNestedElements */
    Tcl_DStringAppendElement ( &dString, " Get the number of elements nested in this one.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNestedElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetNumberOfNestedElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNestedElement */
    if ( strcmp ( argv[2], "GetNestedElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNestedElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNestedElement */
    Tcl_DStringAppendElement ( &dString, " Get the element nested in this one at the given index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *GetNestedElement(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetNestedElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddNestedElement */
    if ( strcmp ( argv[2], "AddNestedElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddNestedElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddNestedElement */
    Tcl_DStringAppendElement ( &dString, " Add nested element\n" );
    Tcl_DStringAppendElement ( &dString, "void AddNestedElement(vtkXMLDataElement *element);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for AddNestedElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveNestedElement */
    if ( strcmp ( argv[2], "RemoveNestedElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveNestedElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveNestedElement */
    Tcl_DStringAppendElement ( &dString, " Remove nested element.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveNestedElement(vtkXMLDataElement *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for RemoveNestedElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllNestedElements */
    if ( strcmp ( argv[2], "RemoveAllNestedElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllNestedElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllNestedElements */
    Tcl_DStringAppendElement ( &dString, " Remove all nested elements.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllNestedElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for RemoveAllNestedElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindNestedElement */
    if ( strcmp ( argv[2], "FindNestedElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindNestedElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindNestedElement */
    Tcl_DStringAppendElement ( &dString, " Find the first nested element with the given id, given name, or given\n name and id.\n WARNING: the search is only performed on the children, not \n the grand-children.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *FindNestedElement(const char *id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for FindNestedElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindNestedElementWithName */
    if ( strcmp ( argv[2], "FindNestedElementWithName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindNestedElementWithName */
    Tcl_DStringAppendElement ( &dString, " Find the first nested element with the given id, given name, or given\n name and id.\n WARNING: the search is only performed on the children, not \n the grand-children.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *FindNestedElementWithName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for FindNestedElementWithName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindNestedElementWithNameAndId */
    if ( strcmp ( argv[2], "FindNestedElementWithNameAndId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithNameAndId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindNestedElementWithNameAndId */
    Tcl_DStringAppendElement ( &dString, " Find the first nested element with the given id, given name, or given\n name and id.\n WARNING: the search is only performed on the children, not \n the grand-children.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *FindNestedElementWithNameAndId(const char *name, const char *id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for FindNestedElementWithNameAndId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindNestedElementWithNameAndAttribute */
    if ( strcmp ( argv[2], "FindNestedElementWithNameAndAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindNestedElementWithNameAndAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindNestedElementWithNameAndAttribute */
    Tcl_DStringAppendElement ( &dString, " Find the first nested element with the given id, given name, or given\n name and id.\n WARNING: the search is only performed on the children, not \n the grand-children.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *FindNestedElementWithNameAndAttribute(const char *name, const char *att_name, const char *att_value);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for FindNestedElementWithNameAndAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LookupElementWithName */
    if ( strcmp ( argv[2], "LookupElementWithName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LookupElementWithName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LookupElementWithName */
    Tcl_DStringAppendElement ( &dString, " Find the first nested element with given name.\n WARNING: the search is performed on the whole XML tree.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *LookupElementWithName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for LookupElementWithName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LookupElement */
    if ( strcmp ( argv[2], "LookupElement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LookupElement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LookupElement */
    Tcl_DStringAppendElement ( &dString, " Lookup the element with the given id, starting at this scope.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement *LookupElement(const char *id);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for LookupElement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMLByteIndex */
    if ( strcmp ( argv[2], "GetXMLByteIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMLByteIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMLByteIndex */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the beginning of the XML document to this element.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetXMLByteIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetXMLByteIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMLByteIndex */
    if ( strcmp ( argv[2], "SetXMLByteIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMLByteIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMLByteIndex */
    Tcl_DStringAppendElement ( &dString, " Set/Get the offset from the beginning of the XML document to this element.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXMLByteIndex(unsigned long a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetXMLByteIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsEqualTo */
    if ( strcmp ( argv[2], "IsEqualTo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsEqualTo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsEqualTo */
    Tcl_DStringAppendElement ( &dString, " Check if the instance has the same name, attributes, character data\n and nested elements contents than the given element (this method is\n applied recursively on the nested elements, and they must be stored in\n the same order).\n Warning: Id, Parent, XMLByteIndex are ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsEqualTo(vtkXMLDataElement *elem);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for IsEqualTo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Copy this element from another of the same type (elem), recursively.\n Old attributes and nested elements are removed, new ones are created\n given the contents of 'elem'.\n Warning: Parent is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkXMLDataElement *elem);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAttributeEncoding */
    if ( strcmp ( argv[2], "SetAttributeEncoding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAttributeEncoding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAttributeEncoding */
    Tcl_DStringAppendElement ( &dString, " Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAttributeEncoding(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetAttributeEncoding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeEncodingMinValue */
    if ( strcmp ( argv[2], "GetAttributeEncodingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncodingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeEncodingMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeEncodingMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttributeEncodingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeEncodingMaxValue */
    if ( strcmp ( argv[2], "GetAttributeEncodingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncodingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeEncodingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeEncodingMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttributeEncodingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeEncoding */
    if ( strcmp ( argv[2], "GetAttributeEncoding" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeEncoding" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeEncoding */
    Tcl_DStringAppendElement ( &dString, " Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAttributeEncoding();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetAttributeEncoding */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintXML */
    if ( strcmp ( argv[2], "PrintXML" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintXML" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintXML */
    Tcl_DStringAppendElement ( &dString, " Prints element tree as XML.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintXML(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for PrintXML */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCharacterDataWidth */
    if ( strcmp ( argv[2], "GetCharacterDataWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCharacterDataWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCharacterDataWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set the width (in number of fields) that character\n data (that between open and closing tags ie. <X> ... </X>)\n is printed. If the width is less than one the tag's character\n data is printed all on one line. If it is greater than one\n the character data is streamed insterting line feeds every\n width number of fields. See PrintXML.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCharacterDataWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for GetCharacterDataWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCharacterDataWidth */
    if ( strcmp ( argv[2], "SetCharacterDataWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCharacterDataWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCharacterDataWidth */
    Tcl_DStringAppendElement ( &dString, " Get/Set the width (in number of fields) that character\n data (that between open and closing tags ie. <X> ... </X>)\n is printed. If the width is less than one the tag's character\n data is printed all on one line. If it is greater than one\n the character data is streamed insterting line feeds every\n width number of fields. See PrintXML.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCharacterDataWidth(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLDataElement" );
    /* Closing for SetCharacterDataWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
