// java wrapper for vtkAbstractPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPointLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractPointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractPointLocator",dType)) { return me; }
  if ((res= vtkLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractPointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractPointLocator *op;
  const char    *temp20;

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractPointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPointLocator_FindClosestPoint_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractPointLocator_FindClosestPoint_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAbstractPointLocator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_FindClosestNPoints_14(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkAbstractPointLocator *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_FindClosestNPoints_15(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jobject id4)
{
  vtkAbstractPointLocator *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_FindPointsWithinRadius_16(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jobject id2)
{
  vtkAbstractPointLocator *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_FindPointsWithinRadius_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jobject id4)
{
  vtkAbstractPointLocator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_FreeSearchStructure_18(JNIEnv *env, jobject obj)
{
  vtkAbstractPointLocator *op;

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_BuildLocator_19(JNIEnv *env, jobject obj)
{
  vtkAbstractPointLocator *op;

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractPointLocator_GenerateRepresentation_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAbstractPointLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAbstractPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}
