// java wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAlgorithm",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  const char    *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_HasExecutive_12(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasExecutive();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetExecutive_13(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExecutive();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetExecutive_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecutive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_ProcessRequest_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  vtkCollection  *temp1;
  vtkInformationVector  *temp2;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCollection *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ProcessRequest(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_ModifyRequest_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ModifyRequest(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputPortInformation_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputPortInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPortInformation_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPortInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInformation_19(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformation  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInformation_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputPorts_111(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputPorts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfOutputPorts_112(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputPorts();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Register_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UnRegister_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetAbortExecute_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbortExecute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetAbortExecute_116(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbortExecute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOn_117(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AbortExecuteOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AbortExecuteOff_118(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AbortExecuteOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgress_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgress(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMinValue_120(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgressMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_GetProgress_122(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateProgress_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAlgorithm *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateProgress(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetProgressText_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAlgorithm *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgressText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAlgorithm_GetProgressText_125(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  char    *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgressText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetErrorCode_126(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
   unsigned long     temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErrorCode();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1IS_1OPTIONAL_127(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_IS_OPTIONAL();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1IS_1REPEATABLE_128(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_IS_REPEATABLE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1REQUIRED_1FIELDS_129(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_REQUIRED_FIELDS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1REQUIRED_1DATA_1TYPE_130(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationStringVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_REQUIRED_DATA_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1ARRAYS_1TO_1PROCESS_131(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_ARRAYS_TO_PROCESS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1PORT_132(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_PORT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_INPUT_1CONNECTION_133(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->INPUT_CONNECTION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  if (temp4) delete[] temp4;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_135(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_136(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp1;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputArrayToProcess_137(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jstring id3,jstring id4)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  char    *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = vtkJavaUTFToChar(env,id4);

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
  if (temp3) delete[] temp3;
  if (temp4) delete[] temp4;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputArrayInformation_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArrayInformation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveAllInputs_139(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllInputs();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputDataObject_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputDataObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputDataObject_141(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputDataObject(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_142(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetInputConnection_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_144(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_AddInputConnection_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_RemoveInputConnection_146(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  vtkAlgorithmOutput  *temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPort(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetOutputPort_148(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputPort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetNumberOfInputConnections_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputConnections(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetTotalNumberOfInputConnections_150(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfInputConnections();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_GetInputConnection_151(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAlgorithm *op;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputConnection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_Update_152(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateInformation_153(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_UpdateWholeExtent_154(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateWholeExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetReleaseDataFlag_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkAlgorithm *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_GetReleaseDataFlag_156(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  int      temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOn_157(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_ReleaseDataFlagOff_158(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_159(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkDataObject  *temp0;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateExtentIsEmpty(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAlgorithm_UpdateExtentIsEmpty_160(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkAlgorithm *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAlgorithm_SetDefaultExecutivePrototype_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAlgorithm *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultExecutivePrototype(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAlgorithm_ComputePriority_162(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  double   temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePriority();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1DATASET_163(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_DATASET();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1GEOMETRY_164(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_GEOMETRY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1BOUNDS_165(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_BOUNDS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1TOPOLOGY_166(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_TOPOLOGY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1ATTRIBUTES_167(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_ATTRIBUTES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_PRESERVES_1RANGES_168(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PRESERVES_RANGES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAlgorithm_MANAGES_1METAINFORMATION_169(JNIEnv *env, jobject obj)
{
  vtkAlgorithm *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MANAGES_METAINFORMATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkAlgorithm *aNewOne = vtkAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
