// java wrapper for vtkArrayData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayData",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayData *op;
  const char    *temp20;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArrayData_GetData_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArrayData *op;
  vtkInformation  *temp0;
  vtkArrayData  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArrayData_GetData_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkArrayData *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkArrayData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayData_AddArray_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArrayData *op;
  vtkArray  *temp0;
  temp0 = (vtkArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  op->AddArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayData_ClearArrays_15(JNIEnv *env, jobject obj)
{
  vtkArrayData *op;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearArrays();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayData_GetNumberOfArrays_16(JNIEnv *env, jobject obj)
{
  vtkArrayData *op;
  vtkIdType   temp20;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfArrays();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArrayData_GetArray_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayData *op;
  vtkIdType   temp0;
  vtkArray  *temp20;
  temp0 = id0;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArray(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArrayData_GetArrayByName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayData *op;
  char    *temp0;
  vtkArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayByName(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayData_GetDataObjectType_19(JNIEnv *env, jobject obj)
{
  vtkArrayData *op;
  int      temp20;

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayData_ShallowCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArrayData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayData_DeepCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkArrayData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkArrayData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayData_VTKInit(JNIEnv *, jobject)
{
  vtkArrayData *aNewOne = vtkArrayData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
