// java wrapper for vtkBSPIntersections object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBSPIntersections.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBSPIntersections_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBSPIntersections",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBSPIntersections_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;
  const char    *temp20;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBSPIntersections *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPIntersections_SetCuts_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSPIntersections *op;
  vtkBSPCuts  *temp0;
  temp0 = (vtkBSPCuts *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCuts(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSPIntersections_GetCuts_13(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;
  vtkBSPCuts  *temp20;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCuts();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_GetNumberOfRegions_14(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;
  int      temp20;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRegions();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_GetRegionBounds_15(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkBSPIntersections *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_GetRegionDataBounds_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkBSPIntersections *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionDataBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_IntersectsBox_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6)
{
  vtkBSPIntersections *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_IntersectsSphere2_18(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkBSPIntersections *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_IntersectsCell_19(JNIEnv *env, jobject obj,jint id0,jobject id1,jint id2)
{
  vtkBSPIntersections *op;
  int      temp0;
  vtkCell  *temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectsCell(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSPIntersections_GetComputeIntersectionsUsingDataBounds_110(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;
  int      temp20;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeIntersectionsUsingDataBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPIntersections_SetComputeIntersectionsUsingDataBounds_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkBSPIntersections *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeIntersectionsUsingDataBounds(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOn_112(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeIntersectionsUsingDataBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSPIntersections_ComputeIntersectionsUsingDataBoundsOff_113(JNIEnv *env, jobject obj)
{
  vtkBSPIntersections *op;

  op = (vtkBSPIntersections *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeIntersectionsUsingDataBoundsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBSPIntersections_VTKInit(JNIEnv *, jobject)
{
  vtkBSPIntersections *aNewOne = vtkBSPIntersections::New();
  return (jlong)(size_t)(void*)aNewOne;
}
