// java wrapper for vtkCellArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellArray.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellArray",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  const char    *temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_Allocate_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Allocate(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Initialize_13(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetNumberOfCells_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_EstimateSize_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EstimateSize(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_InitTraversal_17(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetNextCell_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetSize_19(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetNumberOfConnectivityEntries_110(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfConnectivityEntries();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_GetCell_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkCell  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkIdList  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_InsertNextCell_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextCell(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_InsertCellPoint_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertCellPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_UpdateCellCount_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateCellCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetInsertLocation_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsertLocation(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetTraversalLocation_118(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdType   temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTraversalLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetTraversalLocation_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTraversalLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetTraversalLocation_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTraversalLocation(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_ReverseCell_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseCell(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetMaxCellSize_122(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  int      temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_SetCells_123(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellArray *op;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_DeepCopy_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellArray *op;
  vtkCellArray  *temp0;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellArray_GetData_125(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
  vtkIdTypeArray  *temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Reset_126(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellArray_Squeeze_127(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellArray_GetActualMemorySize_128(JNIEnv *env, jobject obj)
{
  vtkCellArray *op;
   unsigned long     temp20;

  op = (vtkCellArray *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellArray_VTKInit(JNIEnv *, jobject)
{
  vtkCellArray *aNewOne = vtkCellArray::New();
  return (jlong)(size_t)(void*)aNewOne;
}
