// java wrapper for vtkCellLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellLocator",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  const char    *temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_SetNumberOfCellsPerBucket_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfCellsPerBucket(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfCellsPerBucket_13(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCellsPerBucket();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_IntersectWithLine_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  vtkCellLocator *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellLocator_GetCells_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellLocator *op;
  int      temp0;
  vtkIdList  *temp20;
  temp0 = id0;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCells(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_GetNumberOfBuckets_16(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;
  int      temp20;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBuckets();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellLocator_FindCell_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCellLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindCell(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_FindCellsAlongLine_18(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdouble id2,jobject id3)
{
  vtkCellLocator *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double   temp2;
  vtkIdList  *temp3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindCellsAlongLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_FreeSearchStructure_19(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_BuildLocator_110(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_BuildLocatorIfNeeded_111(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorIfNeeded();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_ForceBuildLocator_112(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceBuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_BuildLocatorInternal_113(JNIEnv *env, jobject obj)
{
  vtkCellLocator *op;

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorInternal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellLocator_GenerateRepresentation_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCellLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellLocator_VTKInit(JNIEnv *, jobject)
{
  vtkCellLocator *aNewOne = vtkCellLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
