// java wrapper for vtkCellTreeLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellTreeLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellTreeLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellTreeLocator",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellTreeLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;
  const char    *temp20;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellTreeLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_IntersectWithLine_12(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  vtkCellTreeLocator *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellTreeLocator_FindCell_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCellTreeLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindCell(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_FreeSearchStructure_14(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_GenerateRepresentation_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCellTreeLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocatorInternal_16(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorInternal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocatorIfNeeded_17(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocatorIfNeeded();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_ForceBuildLocator_18(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceBuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellTreeLocator_BuildLocator_19(JNIEnv *env, jobject obj)
{
  vtkCellTreeLocator *op;

  op = (vtkCellTreeLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellTreeLocator_VTKInit(JNIEnv *, jobject)
{
  vtkCellTreeLocator *aNewOne = vtkCellTreeLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
