// java wrapper for vtkColorTransferFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorTransferFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkScalarsToColors_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkColorTransferFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkColorTransferFunction",dType)) { return me; }
  if ((res= vtkScalarsToColors_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorTransferFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  const char    *temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorTransferFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_DeepCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorTransferFunction *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_ShallowCopy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorTransferFunction *op;
  vtkColorTransferFunction  *temp0;
  temp0 = (vtkColorTransferFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetSize_14(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddRGBPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRGBPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddRGBPoint_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRGBPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddHSVPoint_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddHSVPoint(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AddHSVPoint_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddHSVPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_RemovePoint_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemovePoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AddRGBSegment_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRGBSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AddHSVSegment_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->AddHSVSegment(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_RemoveAllPoints_112(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllPoints();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkColorTransferFunction_GetColor_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColor(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_GetColor_114(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->GetColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetRedValue_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRedValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetGreenValue_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGreenValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkColorTransferFunction_GetBlueValue_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlueValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetNodeValue_118(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkColorTransferFunction *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNodeValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_SetNodeValue_119(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkColorTransferFunction *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNodeValue(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkColorTransferFunction_GetRange_120(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  double  *temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_AdjustRange_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkColorTransferFunction *op;
  double temp0[2];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AdjustRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetClamping_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClamping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClampingMinValue_123(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClampingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClampingMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClampingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetClamping_125(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClamping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_ClampingOn_126(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_ClampingOff_127(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpace_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSpace(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpaceMinValue_129(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorSpaceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpaceMaxValue_130(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorSpaceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToRGB_131(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSpaceToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToHSV_132(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSpaceToHSV();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToLab_133(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSpaceToLab();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetColorSpaceToDiverging_134(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSpaceToDiverging();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetColorSpace_135(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorSpace();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetHSVWrap_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHSVWrap(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetHSVWrap_137(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHSVWrap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_HSVWrapOn_138(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->HSVWrapOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_HSVWrapOff_139(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->HSVWrapOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetScale_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetScaleToLinear_141(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetScaleToLog10_142(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleToLog10();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetScale_143(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetNanColor_144(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkColorTransferFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNanColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetNanColor_145(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkColorTransferFunction *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNanColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkColorTransferFunction_GetNanColor_146(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  double  *temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNanColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_SetAllowDuplicateScalars_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorTransferFunction *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllowDuplicateScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetAllowDuplicateScalars_148(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  int      temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllowDuplicateScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AllowDuplicateScalarsOn_149(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowDuplicateScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorTransferFunction_AllowDuplicateScalarsOff_150(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->AllowDuplicateScalarsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorTransferFunction_GetNumberOfAvailableColors_151(JNIEnv *env, jobject obj)
{
  vtkColorTransferFunction *op;
  vtkIdType   temp20;

  op = (vtkColorTransferFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAvailableColors();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkColorTransferFunction_VTKInit(JNIEnv *, jobject)
{
  vtkColorTransferFunction *aNewOne = vtkColorTransferFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
