// java wrapper for vtkCompositeDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  const char    *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_NewIterator_12(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  int      temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetProducerPort_14(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProducerPort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_CopyStructure_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataSet  *temp0;
  temp0 = (vtkCompositeDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_SetDataSet_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetDataSet_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkDataObject  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetMetaData_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_HasMetaData_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetActualMemorySize_110(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
   unsigned long     temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetData_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkInformation  *temp0;
  vtkCompositeDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_GetData_112(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkCompositeDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkCompositeDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_Initialize_113(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataSet_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataSet_GetNumberOfPoints_116(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkIdType   temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeDataSet_NAME_117(JNIEnv *env, jobject obj)
{
  vtkCompositeDataSet *op;
  vtkInformationStringKey  *temp20;

  op = (vtkCompositeDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NAME();
  return (jlong)(size_t)temp20;}
