// java wrapper for vtkDataObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObject.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObject",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObject_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  const char    *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObject *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetSource_12(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkSource  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetSource_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkSource  *temp0;
  temp0 = (vtkSource *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetInformation_14(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformation  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetInformation_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetPipelineInformation_16(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformation  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPipelineInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetPipelineInformation_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPipelineInformation(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetProducerPort_18(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProducerPort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Initialize_110(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseData_111(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_ShouldIReleaseData_112(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ShouldIReleaseData();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetDataReleased_113(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataReleased();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetReleaseDataFlag_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetReleaseDataFlag_115(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseDataFlagOn_116(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseDataFlagOff_117(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetGlobalReleaseDataFlag_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GlobalReleaseDataFlagOn_119(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->GlobalReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GlobalReleaseDataFlagOff_120(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->GlobalReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetGlobalReleaseDataFlag_121(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetFieldData_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetFieldData_123(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkFieldData  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Register_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UnRegister_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Update_126(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UpdateInformation_127(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_PropagateUpdateExtent_128(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->PropagateUpdateExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_TriggerAsynchronousUpdate_129(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerAsynchronousUpdate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UpdateData_130(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetEstimatedMemorySize_131(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEstimatedMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_132(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateExtent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_133(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateExtent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_135(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObject_GetUpdateExtent_136(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int     *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetUpdateExtent_137(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->GetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetDataObjectType_138(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateTime_139(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtentToWholeExtent_140(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateExtentToWholeExtent();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetPipelineMTime_141(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPipelineMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetActualMemorySize_142(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformation_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyTypeSpecificInformation_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTypeSpecificInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdatePiece_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdatePiece(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateNumberOfPieces_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdatePiece_147(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdatePiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateNumberOfPieces_148(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateGhostLevel_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpdateGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateGhostLevel_150(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpdateGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetRequestExactExtent_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestExactExtent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetRequestExactExtent_152(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequestExactExtent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RequestExactExtentOn_153(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->RequestExactExtentOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RequestExactExtentOff_154(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->RequestExactExtentOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeExtent_155(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeExtent_156(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObject_GetWholeExtent_157(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int     *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetWholeExtent_158(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeBoundingBox_159(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkDataObject *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeBoundingBox_160(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObject *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeBoundingBox(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObject_GetWholeBoundingBox_161(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  double  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeBoundingBox();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetWholeBoundingBox_162(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObject *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWholeBoundingBox(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetMaximumNumberOfPieces_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetMaximumNumberOfPieces_164(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformationToPipeline_165(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jint id3)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int      temp3;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformationToPipeline_166(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationToPipeline(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformationFromPipeline_167(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationFromPipeline(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetActiveFieldInformation_168(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  vtkInformation  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveFieldInformation(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetNamedFieldInformation_169(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  vtkInformation  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNamedFieldInformation(temp0,temp1,temp2);
  if (temp2) delete[] temp2;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RemoveNamedFieldInformation_170(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNamedFieldInformation(temp0,temp1,temp2);
  if (temp2) delete[] temp2;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_SetActiveAttribute_171(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2,jint id3)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  vtkInformation  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetActiveAttribute(temp0,temp1,temp2,temp3);
  if (temp2) delete[] temp2;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetActiveAttributeInfo_172(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jstring id3,jint id4,jint id5,jint id6)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  if (temp3) delete[] temp3;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetPointDataActiveScalarInfo_173(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointDataActiveScalarInfo(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_DataHasBeenGenerated_174(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->DataHasBeenGenerated();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_PrepareForNewData_175(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForNewData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ShallowCopy_176(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_DeepCopy_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetExtentTranslator_178(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetExtentTranslator_179(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkExtentTranslator  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentTranslator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetExtentType_180(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Crop_181(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  op->Crop();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetAttributes_182(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  vtkDataSetAttributes  *temp20;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributes(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetAttributesAsFieldData_183(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  vtkFieldData  *temp20;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesAsFieldData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetAttributeTypeForArray_184(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkAbstractArray  *temp0;
  int      temp20;
  temp0 = (vtkAbstractArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeTypeForArray(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetNumberOfElements_185(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElements(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObject_GetAssociationTypeAsString_186(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssociationTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1TYPE_1NAME_187(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationStringKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_TYPE_NAME();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1OBJECT_188(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDataObjectKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_OBJECT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1EXTENT_1TYPE_189(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_EXTENT_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1EXTENT_190(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerPointerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_EXTENT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1PIECE_1NUMBER_191(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_PIECE_NUMBER();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1NUMBER_1OF_1PIECES_192(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_NUMBER_OF_PIECES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1NUMBER_1OF_1GHOST_1LEVELS_193(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_NUMBER_OF_GHOST_LEVELS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1RESOLUTION_194(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_RESOLUTION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1TIME_1STEPS_195(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_TIME_STEPS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_POINT_1DATA_1VECTOR_196(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->POINT_DATA_VECTOR();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_CELL_1DATA_1VECTOR_197(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CELL_DATA_VECTOR();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_VERTEX_1DATA_1VECTOR_198(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->VERTEX_DATA_VECTOR();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_EDGE_1DATA_1VECTOR_199(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EDGE_DATA_VECTOR();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1ARRAY_1TYPE_1100(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_ARRAY_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1ASSOCIATION_1101(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_ASSOCIATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1ATTRIBUTE_1TYPE_1102(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_ATTRIBUTE_TYPE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1ACTIVE_1ATTRIBUTE_1103(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_ACTIVE_ATTRIBUTE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1NUMBER_1OF_1COMPONENTS_1104(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_NUMBER_OF_COMPONENTS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1NUMBER_1OF_1TUPLES_1105(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_NUMBER_OF_TUPLES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1OPERATION_1106(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_OPERATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1RANGE_1107(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_RANGE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_PIECE_1FIELD_1RANGE_1108(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PIECE_FIELD_RANGE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1ARRAY_1NAME_1109(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationStringKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_ARRAY_NAME();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_PIECE_1EXTENT_1110(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PIECE_EXTENT();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_FIELD_1NAME_1111(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationStringKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FIELD_NAME();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_ORIGIN_1112(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ORIGIN();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_SPACING_1113(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SPACING();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_DATA_1GEOMETRY_1UNMODIFIED_1114(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DATA_GEOMETRY_UNMODIFIED();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_SIL_1115(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDataObjectKey  *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SIL();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetData_1116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataObject_GetData_1117(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataObject *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkDataObject  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataObject_VTKInit(JNIEnv *, jobject)
{
  vtkDataObject *aNewOne = vtkDataObject::New();
  return (jlong)(size_t)(void*)aNewOne;
}
