// tcl wrapper for vtkDataObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObject.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataObjectNewCommand()
{
  vtkDataObject *temp = vtkDataObject::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataObjectCppCommand(static_cast<vtkDataObject *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataObject",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkSource  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSource");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkSource  *temp0;
    error = 0;

    temp0 = (vtkSource *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSource"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPipelineInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetPipelineInformation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetPipelineInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->SetPipelineInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProducerPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetProducerPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseData",argv[1]))&&(argc == 2))
    {
    op->ReleaseData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShouldIReleaseData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ShouldIReleaseData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataReleased",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataReleased();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->GlobalReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->GlobalReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFieldData"),interp,error));
    if (!error)
    {
    op->SetFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldData",argv[1]))&&(argc == 2))
    {
    vtkFieldData  *temp20;
    temp20 = (op)->GetFieldData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldData");
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 2))
    {
    op->PropagateUpdateExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriggerAsynchronousUpdate",argv[1]))&&(argc == 2))
    {
    op->TriggerAsynchronousUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateData",argv[1]))&&(argc == 2))
    {
    op->UpdateData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEstimatedMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetEstimatedMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetUpdateExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetUpdateTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 2))
    {
    op->SetUpdateExtentToWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPipelineMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetPipelineMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyInformation",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->CopyInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyTypeSpecificInformation",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->CopyTypeSpecificInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdatePiece",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdatePiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdatePiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateGhostLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestExactExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestExactExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RequestExactExtentOn",argv[1]))&&(argc == 2))
    {
    op->RequestExactExtentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RequestExactExtentOff",argv[1]))&&(argc == 2))
    {
    op->RequestExactExtentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWholeExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetWholeBoundingBox(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeBoundingBox",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWholeBoundingBox();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetWholeBoundingBox(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyInformationToPipeline",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    vtkInformation  *temp1;
    vtkInformation  *temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    temp2 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformationToPipeline",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->CopyInformationToPipeline(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformationFromPipeline",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->CopyInformationFromPipeline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetActiveFieldInformation(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNamedFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetNamedFieldInformation(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveNamedFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    op->RemoveNamedFieldInformation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttributeInfo",argv[1]))&&(argc == 9))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    char    *temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointDataActiveScalarInfo",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetPointDataActiveScalarInfo(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DataHasBeenGenerated",argv[1]))&&(argc == 2))
    {
    op->DataHasBeenGenerated();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForNewData",argv[1]))&&(argc == 2))
    {
    op->PrepareForNewData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 3))
    {
    vtkExtentTranslator  *temp0;
    error = 0;

    temp0 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkExtentTranslator"),interp,error));
    if (!error)
    {
    op->SetExtentTranslator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 2))
    {
    vtkExtentTranslator  *temp20;
    temp20 = (op)->GetExtentTranslator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExtentTranslator");
    return TCL_OK;
    }
  if ((!strcmp("GetExtentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Crop",argv[1]))&&(argc == 2))
    {
    op->Crop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSetAttributes  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributes(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetAttributes");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributesAsFieldData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkFieldData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributesAsFieldData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFieldData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeTypeForArray",argv[1]))&&(argc == 3))
    {
    vtkAbstractArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetAttributeTypeForArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElements",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfElements(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssociationTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssociationTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataObjectCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataObject:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPipelineInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetPipelineInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProducerPort\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseData\n",NULL);
    Tcl_AppendResult(interp,"  ShouldIReleaseData\n",NULL);
    Tcl_AppendResult(interp,"  GetDataReleased\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldData\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\n",NULL);
    Tcl_AppendResult(interp,"  TriggerAsynchronousUpdate\n",NULL);
    Tcl_AppendResult(interp,"  UpdateData\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateTime\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetPipelineMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyTypeSpecificInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdatePiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdatePiece\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\n",NULL);
    Tcl_AppendResult(interp,"  RequestExactExtentOn\n",NULL);
    Tcl_AppendResult(interp,"  RequestExactExtentOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeBoundingBox\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationToPipeline\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationToPipeline\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationFromPipeline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNamedFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveNamedFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttributeInfo\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointDataActiveScalarInfo\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DataHasBeenGenerated\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForNewData\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentType\n",NULL);
    Tcl_AppendResult(interp,"  Crop\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesAsFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeTypeForArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElements\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssociationTypeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    Tcl_DStringAppendElement ( &dString, "GetPipelineInformation" );
    Tcl_DStringAppendElement ( &dString, "SetPipelineInformation" );
    Tcl_DStringAppendElement ( &dString, "GetProducerPort" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "ReleaseData" );
    Tcl_DStringAppendElement ( &dString, "ShouldIReleaseData" );
    Tcl_DStringAppendElement ( &dString, "GetDataReleased" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "GlobalReleaseDataFlagOn" );
    Tcl_DStringAppendElement ( &dString, "GlobalReleaseDataFlagOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "TriggerAsynchronousUpdate" );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedMemorySize" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateTime" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetPipelineMTime" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "CopyInformation" );
    Tcl_DStringAppendElement ( &dString, "CopyTypeSpecificInformation" );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    Tcl_DStringAppendElement ( &dString, "RequestExactExtentOn" );
    Tcl_DStringAppendElement ( &dString, "RequestExactExtentOff" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    Tcl_DStringAppendElement ( &dString, "SetWholeBoundingBox" );
    Tcl_DStringAppendElement ( &dString, "SetWholeBoundingBox" );
    Tcl_DStringAppendElement ( &dString, "GetWholeBoundingBox" );
    Tcl_DStringAppendElement ( &dString, "GetWholeBoundingBox" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    Tcl_DStringAppendElement ( &dString, "CopyInformationFromPipeline" );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldInformation" );
    Tcl_DStringAppendElement ( &dString, "GetNamedFieldInformation" );
    Tcl_DStringAppendElement ( &dString, "RemoveNamedFieldInformation" );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttributeInfo" );
    Tcl_DStringAppendElement ( &dString, "SetPointDataActiveScalarInfo" );
    Tcl_DStringAppendElement ( &dString, "DataHasBeenGenerated" );
    Tcl_DStringAppendElement ( &dString, "PrepareForNewData" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    Tcl_DStringAppendElement ( &dString, "Crop" );
    Tcl_DStringAppendElement ( &dString, "GetAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetAttributesAsFieldData" );
    Tcl_DStringAppendElement ( &dString, "GetAttributeTypeForArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "GetAssociationTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObject *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Set/Get the source object creating this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSource *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSource" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Set/Get the source object creating this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkSource *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInformation */
    if ( strcmp ( argv[2], "GetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInformation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the information object associated with this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInformation */
    if ( strcmp ( argv[2], "SetInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInformation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the information object associated with this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInformation(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPipelineInformation */
    if ( strcmp ( argv[2], "GetPipelineInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPipelineInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPipelineInformation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the pipeline information object that owns this data\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation *GetPipelineInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetPipelineInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPipelineInformation */
    if ( strcmp ( argv[2], "SetPipelineInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPipelineInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPipelineInformation */
    Tcl_DStringAppendElement ( &dString, " Get/Set the pipeline information object that owns this data\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPipelineInformation(vtkInformation *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetPipelineInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProducerPort */
    if ( strcmp ( argv[2], "GetProducerPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProducerPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProducerPort */
    Tcl_DStringAppendElement ( &dString, " Get the port currently producing this object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetProducerPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetProducerPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Data objects are composite objects and need to check each part for MTime.\n The information object also needs to be considered.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Restore data object to initial state,\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseData */
    if ( strcmp ( argv[2], "ReleaseData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseData */
    Tcl_DStringAppendElement ( &dString, " Release data back to system to conserve memory resource. Used during\n visualization network execution.  Releasing this data does not make \n down-stream data invalid, so it does not modify the MTime of this \n data object.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for ReleaseData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShouldIReleaseData */
    if ( strcmp ( argv[2], "ShouldIReleaseData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldIReleaseData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldIReleaseData */
    Tcl_DStringAppendElement ( &dString, " Return flag indicating whether data should be released after use  \n by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int ShouldIReleaseData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for ShouldIReleaseData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataReleased */
    if ( strcmp ( argv[2], "GetDataReleased" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataReleased" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataReleased */
    Tcl_DStringAppendElement ( &dString, " Get the flag indicating the data has been released.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataReleased();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetDataReleased */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataFlag */
    if ( strcmp ( argv[2], "SetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReleaseDataFlag(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataFlag */
    if ( strcmp ( argv[2], "GetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReleaseDataFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOn */
    if ( strcmp ( argv[2], "ReleaseDataFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for ReleaseDataFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataFlagOff */
    if ( strcmp ( argv[2], "ReleaseDataFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataFlagOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether this object's data is released\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for ReleaseDataFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalReleaseDataFlag */
    if ( strcmp ( argv[2], "SetGlobalReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalReleaseDataFlag(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetGlobalReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalReleaseDataFlagOn */
    if ( strcmp ( argv[2], "GlobalReleaseDataFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalReleaseDataFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalReleaseDataFlagOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void GlobalReleaseDataFlagOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GlobalReleaseDataFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GlobalReleaseDataFlagOff */
    if ( strcmp ( argv[2], "GlobalReleaseDataFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GlobalReleaseDataFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GlobalReleaseDataFlagOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void GlobalReleaseDataFlagOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GlobalReleaseDataFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalReleaseDataFlag */
    if ( strcmp ( argv[2], "GetGlobalReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " Turn on/off flag to control whether every object releases its data\n after being used by a filter.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalReleaseDataFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetGlobalReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldData */
    if ( strcmp ( argv[2], "SetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldData */
    Tcl_DStringAppendElement ( &dString, " Assign or retrieve a general field data to this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFieldData(vtkFieldData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldData */
    if ( strcmp ( argv[2], "GetFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldData */
    Tcl_DStringAppendElement ( &dString, " Assign or retrieve a general field data to this data object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFieldData *GetFieldData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Provides opportunity for the data object to insure internal \n consistency before access. Also causes owning source/filter \n (if any) to update itself. The Update() method is composed of \n UpdateInformation(), PropagateUpdateExtent(), \n TriggerAsynchronousUpdate(), and UpdateData().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateInformation */
    if ( strcmp ( argv[2], "UpdateInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateInformation */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Update all the \"easy to update\" information about the object such\n as the extent which will be used to control the update.\n This propagates all the way up then back down the pipeline.\n As a by-product the PipelineMTime is updated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for UpdateInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PropagateUpdateExtent */
    if ( strcmp ( argv[2], "PropagateUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PropagateUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PropagateUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n The update extent for this object is propagated up the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PropagateUpdateExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for PropagateUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerAsynchronousUpdate */
    if ( strcmp ( argv[2], "TriggerAsynchronousUpdate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerAsynchronousUpdate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerAsynchronousUpdate */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate back up the pipeline for ports and trigger the update on the\n other side of the port to allow for asynchronous parallel processing in\n the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TriggerAsynchronousUpdate();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for TriggerAsynchronousUpdate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateData */
    if ( strcmp ( argv[2], "UpdateData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateData */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate the update back up the pipeline, and perform the actual \n work of updating on the way down. When the propagate arrives at a\n port, block and wait for the asynchronous update to finish on the\n other side.\n This propagation may early terminate based on the PipelineMTime.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for UpdateData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedMemorySize */
    if ( strcmp ( argv[2], "GetEstimatedMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedMemorySize */
    Tcl_DStringAppendElement ( &dString, " Get the estimated size of this data object itself. Should be called\n after UpdateInformation() and PropagateUpdateExtent() have both been \n called. Should be overridden in a subclass - otherwise the default\n is to assume that this data object requires no memory.\n The size is returned in kilobytes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetEstimatedMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetEstimatedMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " A generic way of specifying an update extent.  Subclasses\n must decide what a piece is.  When the NumberOfPieces is zero, then\n no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUpdateExtent(int piece, int numPieces, int ghostLevel);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " A generic way of specifying an update extent.  Subclasses\n must decide what a piece is.  When the NumberOfPieces is zero, then\n no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdateExtent(int piece, int numPieces);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set the update extent for data objects that use 3D extents. Using this\n method on data objects that set extents as pieces (such as vtkPolyData or\n vtkUnstructuredGrid) has no real effect.\n Don't use the set macro to set the update extent\n since we don't want this object to be modified just due to\n a change in update extent. When the volume of the extent is zero (0, -1,..), \n then no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUpdateExtent(int x0, int x1, int y0, int y1, int z0, int z1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtent */
    if ( strcmp ( argv[2], "SetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set the update extent for data objects that use 3D extents. Using this\n method on data objects that set extents as pieces (such as vtkPolyData or\n vtkUnstructuredGrid) has no real effect.\n Don't use the set macro to set the update extent\n since we don't want this object to be modified just due to\n a change in update extent. When the volume of the extent is zero (0, -1,..), \n then no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUpdateExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateExtent */
    if ( strcmp ( argv[2], "GetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set the update extent for data objects that use 3D extents. Using this\n method on data objects that set extents as pieces (such as vtkPolyData or\n vtkUnstructuredGrid) has no real effect.\n Don't use the set macro to set the update extent\n since we don't want this object to be modified just due to\n a change in update extent. When the volume of the extent is zero (0, -1,..), \n then no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetUpdateExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateExtent */
    if ( strcmp ( argv[2], "GetUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set the update extent for data objects that use 3D extents. Using this\n method on data objects that set extents as pieces (such as vtkPolyData or\n vtkUnstructuredGrid) has no real effect.\n Don't use the set macro to set the update extent\n since we don't want this object to be modified just due to\n a change in update extent. When the volume of the extent is zero (0, -1,..), \n then no data is requested, and the source will not execute.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetUpdateExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return class name of data type. This is one of VTK_STRUCTURED_GRID, \n VTK_STRUCTURED_POINTS, VTK_UNSTRUCTURED_GRID, VTK_POLY_DATA, or\n VTK_RECTILINEAR_GRID (see vtkSetGet.h for definitions).\n THIS METHOD IS THREAD SAFE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateTime */
    if ( strcmp ( argv[2], "GetUpdateTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateTime */
    Tcl_DStringAppendElement ( &dString, " Used by Threaded ports to determine if they should initiate an\n asynchronous update (still in development).\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetUpdateTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdateTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateExtentToWholeExtent */
    if ( strcmp ( argv[2], "SetUpdateExtentToWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateExtentToWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateExtentToWholeExtent */
    Tcl_DStringAppendElement ( &dString, " If the whole input extent is required to generate the requested output\n extent, this method can be called to set the input update extent to the\n whole input extent. This method assumes that the whole extent is known\n (that UpdateInformation has been called)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdateExtentToWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateExtentToWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPipelineMTime */
    if ( strcmp ( argv[2], "GetPipelineMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPipelineMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPipelineMTime */
    Tcl_DStringAppendElement ( &dString, " Get the cumulative modified time of everything upstream.  Does\n not include the MTime of this object.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetPipelineMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetPipelineMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetActualMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformation */
    if ( strcmp ( argv[2], "CopyInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformation */
    Tcl_DStringAppendElement ( &dString, " Copy the generic information (WholeExtent ...)\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyInformation(vtkDataObject *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for CopyInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTypeSpecificInformation */
    if ( strcmp ( argv[2], "CopyTypeSpecificInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTypeSpecificInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTypeSpecificInformation */
    Tcl_DStringAppendElement ( &dString, " By default, there is no type specific information\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyTypeSpecificInformation(vtkDataObject *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for CopyTypeSpecificInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdatePiece */
    if ( strcmp ( argv[2], "SetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdatePiece(int piece);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "SetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdateNumberOfPieces(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdatePiece */
    if ( strcmp ( argv[2], "GetUpdatePiece" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdatePiece" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdatePiece */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUpdatePiece();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdatePiece */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateNumberOfPieces */
    if ( strcmp ( argv[2], "GetUpdateNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update piece and the update number of pieces. Similar\n to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUpdateNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdateNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateGhostLevel */
    if ( strcmp ( argv[2], "SetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update ghost level and the update number of ghost levels.\n Similar to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdateGhostLevel(int level);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateGhostLevel */
    if ( strcmp ( argv[2], "GetUpdateGhostLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGhostLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateGhostLevel */
    Tcl_DStringAppendElement ( &dString, " Set / Get the update ghost level and the update number of ghost levels.\n Similar to update extent in 3D.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetUpdateGhostLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetUpdateGhostLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestExactExtent */
    if ( strcmp ( argv[2], "SetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRequestExactExtent(int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestExactExtent */
    if ( strcmp ( argv[2], "GetRequestExactExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestExactExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestExactExtent */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRequestExactExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetRequestExactExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequestExactExtentOn */
    if ( strcmp ( argv[2], "RequestExactExtentOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequestExactExtentOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequestExactExtentOn */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "void RequestExactExtentOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for RequestExactExtentOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequestExactExtentOff */
    if ( strcmp ( argv[2], "RequestExactExtentOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequestExactExtentOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequestExactExtentOff */
    Tcl_DStringAppendElement ( &dString, " This request flag indicates whether the requester can handle \n more data than requested.  Right now it is used in vtkImageData.\n Image filters can return more data than requested.  The the \n consumer cannot handle this (i.e. DataSetToDataSetFitler)\n the image will crop itself.  This functionality used to be in \n ImageToStructuredPoints.\n" );
    Tcl_DStringAppendElement ( &dString, "void RequestExactExtentOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for RequestExactExtentOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWholeExtent(int x0, int x1, int y0, int y1, int z0, int z1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeExtent */
    if ( strcmp ( argv[2], "SetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWholeExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeExtent */
    if ( strcmp ( argv[2], "GetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetWholeExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeExtent */
    if ( strcmp ( argv[2], "GetWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole extent of this data object.  \n The whole extent is meta data for structured data sets.\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetWholeExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeBoundingBox */
    if ( strcmp ( argv[2], "SetWholeBoundingBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeBoundingBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeBoundingBox */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWholeBoundingBox(double x0, double x1, double y0, double y1, double z0, double z1);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetWholeBoundingBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWholeBoundingBox */
    if ( strcmp ( argv[2], "SetWholeBoundingBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWholeBoundingBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWholeBoundingBox */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWholeBoundingBox(double bb\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetWholeBoundingBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeBoundingBox */
    if ( strcmp ( argv[2], "GetWholeBoundingBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeBoundingBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeBoundingBox */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetWholeBoundingBox();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetWholeBoundingBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWholeBoundingBox */
    if ( strcmp ( argv[2], "GetWholeBoundingBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWholeBoundingBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWholeBoundingBox */
    Tcl_DStringAppendElement ( &dString, " Set/Get the whole bounding box of this data object.  \n The whole whole bounding box is meta data for data sets\n It gets set by the source during the update information call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetWholeBoundingBox(double extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetWholeBoundingBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested.  \n The maximum number of pieces is meta data for unstructured data sets.\n It gets set by the source during the update information call.\n A value of -1 indicates that there is no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaximumNumberOfPieces(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPieces */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPieces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPieces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPieces */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of pieces that can be requested.  \n The maximum number of pieces is meta data for unstructured data sets.\n It gets set by the source during the update information call.\n A value of -1 indicates that there is no maximum.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaximumNumberOfPieces();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetMaximumNumberOfPieces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformationToPipeline */
    if ( strcmp ( argv[2], "CopyInformationToPipeline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformationToPipeline */
    Tcl_DStringAppendElement ( &dString, " Copy information about this data object to the output\n information from its own Information for the given\n request.  If the second argument is not NULL then it is the\n pipeline information object for the input to this data object's\n producer. If forceCopy is true, information is copied even\n if it exists in the output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyInformationToPipeline(vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for CopyInformationToPipeline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformationToPipeline */
    if ( strcmp ( argv[2], "CopyInformationToPipeline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformationToPipeline */
    Tcl_DStringAppendElement ( &dString, " Calls CopyInformationToPipeline(request, input, this->PipelineInformation, 0). \n Subclasses should not override this method (not virtual)\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyInformationToPipeline(vtkInformation *request, vtkInformation *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for CopyInformationToPipeline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformationFromPipeline */
    if ( strcmp ( argv[2], "CopyInformationFromPipeline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformationFromPipeline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformationFromPipeline */
    Tcl_DStringAppendElement ( &dString, " Copy information about this data object from the\n PipelineInformation to its own Information for the given request.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyInformationFromPipeline(vtkInformation *request);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for CopyInformationFromPipeline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveFieldInformation */
    if ( strcmp ( argv[2], "GetActiveFieldInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveFieldInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveFieldInformation */
    Tcl_DStringAppendElement ( &dString, " Return the information object within the input information object's\n field data corresponding to the specified association \n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and attribute\n (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS)\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformation *GetActiveFieldInformation(vtkInformation *info, int fieldAssociation, int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetActiveFieldInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNamedFieldInformation */
    if ( strcmp ( argv[2], "GetNamedFieldInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNamedFieldInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNamedFieldInformation */
    Tcl_DStringAppendElement ( &dString, " Return the information object within the input information object's\n field data corresponding to the specified association \n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and name.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformation *GetNamedFieldInformation(vtkInformation *info, int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetNamedFieldInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveNamedFieldInformation */
    if ( strcmp ( argv[2], "RemoveNamedFieldInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveNamedFieldInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveNamedFieldInformation */
    Tcl_DStringAppendElement ( &dString, " Remove the info associated with an array\n" );
    Tcl_DStringAppendElement ( &dString, "static void RemoveNamedFieldInformation(vtkInformation *info, int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for RemoveNamedFieldInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveAttribute */
    if ( strcmp ( argv[2], "SetActiveAttribute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttribute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveAttribute */
    Tcl_DStringAppendElement ( &dString, " Set the named array to be the active field for the specified type\n (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) and association\n (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS).  Returns the \n active field information object and creates on entry if one not found.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkInformation *SetActiveAttribute(vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetActiveAttribute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveAttributeInfo */
    if ( strcmp ( argv[2], "SetActiveAttributeInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveAttributeInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveAttributeInfo */
    Tcl_DStringAppendElement ( &dString, " Set the name, array type, number of components, and number of tuples\n within the passed information object for the active attribute of type\n attributeType (in specified association, FIELD_ASSOCIATION_POINTS or\n FIELD_ASSOCIATION_CELLS).  If there is not an active attribute of the\n specified type, an entry in the information object is created.  If\n arrayType, numComponents, or numTuples equal to -1, or name=NULL the \n value is not changed.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetActiveAttributeInfo(vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetActiveAttributeInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointDataActiveScalarInfo */
    if ( strcmp ( argv[2], "SetPointDataActiveScalarInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointDataActiveScalarInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointDataActiveScalarInfo */
    Tcl_DStringAppendElement ( &dString, " Convenience version of previous method for use (primarily) by the Imaging\n filters. If arrayType or numComponents == -1, the value is not changed.\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetPointDataActiveScalarInfo(vtkInformation *info, int arrayType, int numComponents);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetPointDataActiveScalarInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DataHasBeenGenerated */
    if ( strcmp ( argv[2], "DataHasBeenGenerated" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DataHasBeenGenerated" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DataHasBeenGenerated */
    Tcl_DStringAppendElement ( &dString, " This method is called by the source when it executes to generate data.\n It is sort of the opposite of ReleaseData.\n It sets the DataReleased flag to 0, and sets a new UpdateTime.\n" );
    Tcl_DStringAppendElement ( &dString, "void DataHasBeenGenerated();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for DataHasBeenGenerated */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareForNewData */
    if ( strcmp ( argv[2], "PrepareForNewData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareForNewData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareForNewData */
    Tcl_DStringAppendElement ( &dString, " make the output data ready for new data to be inserted. For most \n objects we just call Initialize. But for vtkImageData we leave the old\n data in case the memory can be reused.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareForNewData();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for PrepareForNewData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.  These copy the data, but not any of the \n pipeline connections.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.  These copy the data, but not any of the \n pipeline connections.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentTranslator */
    if ( strcmp ( argv[2], "SetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " An object that will translate pieces into structured extents.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtentTranslator(vtkExtentTranslator *translator);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for SetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentTranslator */
    if ( strcmp ( argv[2], "GetExtentTranslator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentTranslator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentTranslator */
    Tcl_DStringAppendElement ( &dString, " An object that will translate pieces into structured extents.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExtentTranslator *GetExtentTranslator();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetExtentTranslator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentType */
    if ( strcmp ( argv[2], "GetExtentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentType */
    Tcl_DStringAppendElement ( &dString, " The ExtentType will be left as VTK_PIECES_EXTENT for data objects \n such as vtkPolyData and vtkUnstructuredGrid. The ExtentType will be \n changed to VTK_3D_EXTENT for data objects with 3D structure such as \n vtkImageData (and its subclass vtkStructuredPoints), vtkRectilinearGrid,\n and vtkStructuredGrid. The default is the have an extent in pieces,\n with only one piece (no streaming possible).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtentType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetExtentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Crop */
    if ( strcmp ( argv[2], "Crop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Crop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Crop */
    Tcl_DStringAppendElement ( &dString, " This method crops the data object (if necesary) so that the extent\n matches the update extent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Crop();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for Crop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributes */
    if ( strcmp ( argv[2], "GetAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributes */
    Tcl_DStringAppendElement ( &dString, " Returns the attributes of the data object of the specified\n attribute type. The type may be:\n <ul>\n <li>POINT  - Defined in vtkDataSet subclasses.\n <li>CELL   - Defined in vtkDataSet subclasses.\n <li>VERTEX - Defined in vtkGraph subclasses.\n <li>EDGE   - Defined in vtkGraph subclasses.\n <li>ROW    - Defined in vtkTable.\n </ul>\n The other attribute type, FIELD, will return NULL since\n field data is stored as a vtkFieldData instance, not a\n vtkDataSetAttributes ins ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataSetAttributes *GetAttributes(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributesAsFieldData */
    if ( strcmp ( argv[2], "GetAttributesAsFieldData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributesAsFieldData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributesAsFieldData */
    Tcl_DStringAppendElement ( &dString, " Returns the attributes of the data object as a vtkFieldData.\n This returns non-null values in all the same cases as GetAttributes,\n in addition to the case of FIELD, which will return the field data\n for any vtkDataObject subclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkFieldData *GetAttributesAsFieldData(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetAttributesAsFieldData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAttributeTypeForArray */
    if ( strcmp ( argv[2], "GetAttributeTypeForArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAttributeTypeForArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAttributeTypeForArray */
    Tcl_DStringAppendElement ( &dString, " Retrieves the attribute type that an array came from.\n This is useful for obtaining which attribute type a input array\n to an algorithm came from (retrieved from GetInputAbstractArrayToProcesss).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAttributeTypeForArray(vtkAbstractArray *arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetAttributeTypeForArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElements */
    if ( strcmp ( argv[2], "GetNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElements */
    Tcl_DStringAppendElement ( &dString, " Get the number of elements for a specific attribute type (POINT, CELL, etc.).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfElements(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssociationTypeAsString */
    if ( strcmp ( argv[2], "GetAssociationTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssociationTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssociationTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Given an integer association type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Points\").\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetAssociationTypeAsString(int associationType);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetAssociationTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObject *GetData(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataObject *GetData(vtkInformationVector *v, int i=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
