// java wrapper for vtkDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  const char    *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp20;
  temp0 = id0;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetPolyDataOutput_15(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetStructuredPointsOutput_16(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkStructuredPoints  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetImageDataOutput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkImageData  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetStructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkStructuredGrid  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetUnstructuredGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataSetAlgorithm_GetRectilinearGridOutput_110(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp1;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_117(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp1;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataSetAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkDataSetAlgorithm *aNewOne = vtkDataSetAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
