// java wrapper for vtkExecutionScheduler object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutionScheduler.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExecutionScheduler_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExecutionScheduler",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExecutionScheduler_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExecutionScheduler *op;
  const char    *temp20;

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExecutionScheduler_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExecutionScheduler *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExecutionScheduler_GetGlobalScheduler_12(JNIEnv *env, jobject obj)
{
  vtkExecutionScheduler *op;
  vtkExecutionScheduler  *temp20;

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalScheduler();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExecutionScheduler_TASK_1PRIORITY_13(JNIEnv *env, jobject obj)
{
  vtkExecutionScheduler *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TASK_PRIORITY();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_Schedule_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkExecutionScheduler *op;
  vtkExecutiveCollection  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->Schedule(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_SchedulePropagate_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkExecutionScheduler *op;
  vtkExecutiveCollection  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->SchedulePropagate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_WaitUntilDone_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutiveCollection  *temp0;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitUntilDone(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_WaitUntilReleased_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutiveCollection  *temp0;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitUntilReleased(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_WaitUntilAllDone_18(JNIEnv *env, jobject obj)
{
  vtkExecutionScheduler *op;

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitUntilAllDone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_WaitForTaskDone_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitForTaskDone(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_WaitForInputsReleased_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitForInputsReleased(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExecutionScheduler_GetTaskDoneMessager_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  vtkThreadMessager  *temp20;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTaskDoneMessager(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExecutionScheduler_GetInputsReleasedMessager_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  vtkThreadMessager  *temp20;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputsReleasedMessager(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExecutionScheduler_GetInputsReleasedLock_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  vtkMutexLock  *temp20;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputsReleasedLock(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_ReleaseResources_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_ReacquireResources_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->ReacquireResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_RescheduleNetwork_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->RescheduleNetwork(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExecutionScheduler_RescheduleFrom_117(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkExecutionScheduler *op;
  vtkExecutive  *temp0;
  vtkComputingResources  *temp1;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkComputingResources *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExecutionScheduler *)vtkJavaGetPointerFromObject(env,obj);
  op->RescheduleFrom(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExecutionScheduler_VTKInit(JNIEnv *, jobject)
{
  vtkExecutionScheduler *aNewOne = vtkExecutionScheduler::New();
  return (jlong)(size_t)(void*)aNewOne;
}
