// java wrapper for vtkGenericDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  const char    *temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetNumberOfPoints_12(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkIdType   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetNumberOfCells_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSet *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetCellDimension_14(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  int      temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetCellTypes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSet *op;
  vtkCellTypes  *temp0;
  temp0 = (vtkCellTypes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellTypes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_NewCellIterator_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSet *op;
  int      temp0;
  vtkGenericCellIterator  *temp20;
  temp0 = id0;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCellIterator(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_NewBoundaryIterator_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericDataSet *op;
  int      temp0;
  int      temp1;
  vtkGenericCellIterator  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewBoundaryIterator(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_NewPointIterator_18(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericPointIterator  *temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewPointIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_FindPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkGenericDataSet *op;
  double temp0[3];
  void *tempArray0;
  vtkGenericPointIterator  *temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkGenericPointIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
   unsigned long     temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_ComputeBounds_111(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetBounds_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericDataSet *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_GetCenter_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericDataSet *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericDataSet_GetLength_114(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  double   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_GetAttributes_115(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericAttributeCollection  *temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_GetAttributes_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericDataSet *op;
  int      temp0;
  vtkDataSetAttributes  *temp20;
  temp0 = id0;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributes(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericDataSet_SetTessellator_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSet *op;
  vtkGenericCellTessellator  *temp0;
  temp0 = (vtkGenericCellTessellator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTessellator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_GetTessellator_118(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkGenericCellTessellator  *temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTessellator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetActualMemorySize_119(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
   unsigned long     temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetDataObjectType_120(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  int      temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericDataSet_GetEstimatedSize_121(JNIEnv *env, jobject obj)
{
  vtkGenericDataSet *op;
  vtkIdType   temp20;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEstimatedSize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_GetData_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericDataSet *op;
  vtkInformation  *temp0;
  vtkGenericDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericDataSet_GetData_123(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkGenericDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkGenericDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkGenericDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}
