// java wrapper for vtkGenericEdgeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericEdgeTable.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericEdgeTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericEdgeTable",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericEdgeTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericEdgeTable *op;
  const char    *temp20;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericEdgeTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_InsertEdge_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertEdge(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_RemoveEdge_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveEdge(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_IncrementEdgeReferenceCount_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IncrementEdgeReferenceCount(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_CheckEdgeReferenceCount_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckEdgeReferenceCount(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_Initialize_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_GetNumberOfComponents_17(JNIEnv *env, jobject obj)
{
  vtkGenericEdgeTable *op;
  int      temp20;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_SetNumberOfComponents_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEdgeTable *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericEdgeTable_CheckPoint_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckPoint(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_InsertPoint_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_RemovePoint_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->RemovePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_IncrementPointReferenceCount_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericEdgeTable *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->IncrementPointReferenceCount(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_DumpTable_113(JNIEnv *env, jobject obj)
{
  vtkGenericEdgeTable *op;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->DumpTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericEdgeTable_LoadFactor_114(JNIEnv *env, jobject obj)
{
  vtkGenericEdgeTable *op;

  op = (vtkGenericEdgeTable *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadFactor();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericEdgeTable_VTKInit(JNIEnv *, jobject)
{
  vtkGenericEdgeTable *aNewOne = vtkGenericEdgeTable::New();
  return (jlong)(size_t)(void*)aNewOne;
}
