// java wrapper for vtkGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraph",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  const char    *temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetVertexData_12(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetEdgeData_13(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetDataObjectType_14(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  int      temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkGraph *op;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetPoint_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetPoints_17(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkPoints  *temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_SetPoints_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_ComputeBounds_19(JNIEnv *env, jobject obj)
{
  vtkGraph *op;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetBounds_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGraph *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetMTime_111(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
   unsigned long     temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetOutEdges_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkOutEdgeIterator  *temp1;
  temp0 = id0;
  temp1 = (vtkOutEdgeIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOutEdges(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetDegree_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDegree(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetOutDegree_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutDegree(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetOutEdge_115(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkGraphEdge *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOutEdge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetInEdges_116(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  temp0 = id0;
  temp1 = (vtkInEdgeIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInEdges(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetInDegree_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInDegree(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetInEdge_118(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkGraphEdge *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInEdge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetAdjacentVertices_119(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  temp0 = id0;
  temp1 = (vtkAdjacentVertexIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetAdjacentVertices(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetEdges_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkEdgeListIterator  *temp0;
  temp0 = (vtkEdgeListIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetEdges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetNumberOfEdges_121(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkIdType   temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetVertices_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkVertexListIterator  *temp0;
  temp0 = (vtkVertexListIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVertices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetNumberOfVertices_123(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkIdType   temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_SetDistributedGraphHelper_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkDistributedGraphHelper  *temp0;
  temp0 = (vtkDistributedGraphHelper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistributedGraphHelper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetDistributedGraphHelper_125(JNIEnv *env, jobject obj)
{
  vtkGraph *op;
  vtkDistributedGraphHelper  *temp20;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistributedGraphHelper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_ShallowCopy_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_DeepCopy_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_CopyStructure_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraph_CheckedShallowCopy_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckedShallowCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraph_CheckedDeepCopy_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckedDeepCopy(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_Squeeze_131(JNIEnv *env, jobject obj)
{
  vtkGraph *op;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->Squeeze();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetData_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkInformation  *temp0;
  vtkGraph  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetData_133(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkGraph *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkGraph  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_ReorderOutVertices_134(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->ReorderOutVertices(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraph_IsSameStructure_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSameStructure(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetSourceVertex_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceVertex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetTargetVertex_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTargetVertex(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetNumberOfEdgePoints_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdgePoints(temp0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGraph_GetEdgePoint_139(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgePoint(temp0,temp1);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_ClearEdgePoints_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearEdgePoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_SetEdgePoint_141(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgePoint(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_SetEdgePoint_142(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgePoint(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_AddEdgePoint_143(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->AddEdgePoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_AddEdgePoint_144(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkGraph *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->AddEdgePoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_ShallowCopyEdgePoints_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopyEdgePoints(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_DeepCopyEdgePoints_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopyEdgePoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetGraphInternals_147(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraph *op;
  bool   temp0;
  vtkGraphInternals  *temp20;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphInternals(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_GetInducedEdges_148(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGraph *op;
  vtkIdTypeArray  *temp0;
  vtkIdTypeArray  *temp1;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInducedEdges(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraph_GetAttributesAsFieldData_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  int      temp0;
  vtkFieldData  *temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesAsFieldData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetNumberOfElements_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkGraph *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfElements(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraph_Dump_151(JNIEnv *env, jobject obj)
{
  vtkGraph *op;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->Dump();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraph_GetEdgeId_152(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeId(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraph_ToDirectedGraph_153(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkDirectedGraph  *temp0;
  bool   temp20;
  temp0 = (vtkDirectedGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToDirectedGraph(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraph_ToUndirectedGraph_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraph *op;
  vtkUndirectedGraph  *temp0;
  bool   temp20;
  temp0 = (vtkUndirectedGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToUndirectedGraph(temp0);
  return temp20;
}
