// java wrapper for vtkHexahedron object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHexahedron.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCell3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHexahedron_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHexahedron",dType)) { return me; }
  if ((res= vtkCell3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHexahedron_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHexahedron *op;
  const char    *temp20;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHexahedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkHexahedron *op;
  int      temp20;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_GetNumberOfEdges_13(JNIEnv *env, jobject obj)
{
  vtkHexahedron *op;
  int      temp20;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_GetNumberOfFaces_14(JNIEnv *env, jobject obj)
{
  vtkHexahedron *op;
  int      temp20;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHexahedron_GetEdge_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHexahedron_GetFace_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkHexahedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_CellBoundary_17(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkHexahedron *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHexahedron_Contour_18(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkHexahedron *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHexahedron_Triangulate_19(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkHexahedron *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHexahedron_InterpolationFunctions_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[8];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHexahedron_InterpolationDerivs_111(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[24];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHexahedron_InterpolateFunctions_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[8];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHexahedron_InterpolateDerivs_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHexahedron *op;
  double temp0[3];
  void *tempArray0;
  double temp1[24];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  temp1[16] = ((jdouble *)tempArray1)[16];
  temp1[17] = ((jdouble *)tempArray1)[17];
  temp1[18] = ((jdouble *)tempArray1)[18];
  temp1[19] = ((jdouble *)tempArray1)[19];
  temp1[20] = ((jdouble *)tempArray1)[20];
  temp1[21] = ((jdouble *)tempArray1)[21];
  temp1[22] = ((jdouble *)tempArray1)[22];
  temp1[23] = ((jdouble *)tempArray1)[23];

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  ((jdouble *)tempArray1)[16] = temp1[16];
  ((jdouble *)tempArray1)[17] = temp1[17];
  ((jdouble *)tempArray1)[18] = temp1[18];
  ((jdouble *)tempArray1)[19] = temp1[19];
  ((jdouble *)tempArray1)[20] = temp1[20];
  ((jdouble *)tempArray1)[21] = temp1[21];
  ((jdouble *)tempArray1)[22] = temp1[22];
  ((jdouble *)tempArray1)[23] = temp1[23];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHexahedron_GetEdgeArray_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkHexahedron *op;
  int      temp0;
  int     *temp20;
  temp0 = id0;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeArray(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHexahedron_GetFaceArray_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkHexahedron *op;
  int      temp0;
  int     *temp20;
  temp0 = id0;

  op = (vtkHexahedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceArray(temp0);
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,4);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHexahedron_VTKInit(JNIEnv *, jobject)
{
  vtkHexahedron *aNewOne = vtkHexahedron::New();
  return (jlong)(size_t)(void*)aNewOne;
}
