// java wrapper for vtkHyperOctree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperOctree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperOctree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperOctree",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_LEVELS_10(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LEVELS();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_DIMENSION_11(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DIMENSION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_SIZES_12(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkInformationDoubleVectorKey  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SIZES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperOctree_GetClassName_13(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  const char    *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_IsA_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperOctree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetDataObjectType_15(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  int      temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetDimension_17(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  int      temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetDimension_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimension(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetNumberOfCells_19(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkIdType   temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetNumberOfLeaves_110(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkIdType   temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLeaves();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetNumberOfPoints_111(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkIdType   temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetMaxNumberOfPoints_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfPoints(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetMaxNumberOfPointsOnBoundary_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfPointsOnBoundary(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetMaxNumberOfCellsOnBoundary_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  int      temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumberOfCellsOnBoundary(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetNumberOfLevels_115(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkIdType   temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetSize_116(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHyperOctree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetSize_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctree *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctree_GetSize_118(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  double  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetOrigin_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHyperOctree *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetOrigin_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctree *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctree_GetOrigin_121(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  double  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_NewCellCursor_122(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewCellCursor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SubdivideLeaf_123(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SubdivideLeaf(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_CollapseTerminalNode_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->CollapseTerminalNode(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperOctree_GetPoint_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPoint_126(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_GetCell_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetCell_128(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetCellType_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetCellPoints_130(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointCells_131(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetCellNeighbors_132(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkHyperOctree *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_FindPoint_133(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperOctree *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_Initialize_134(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetMaxCellSize_135(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  int      temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_ShallowCopy_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_DeepCopy_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnFace_138(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jobject id3)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnFace(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnParentFaces_139(JNIEnv *env, jobject obj,jintArray id0,jint id1,jobject id2,jobject id3)
{
  vtkHyperOctree *op;
  int    temp0[3];
  void *tempArray0;
  int      temp1;
  vtkHyperOctreeCursor  *temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp1 = id1;
  temp2 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnParentFaces(temp0,temp1,temp2,temp3);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnEdge_140(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnEdge(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnParentEdge_141(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkHyperOctreePointsGrabber  *temp5;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnParentEdge(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnEdge2D_142(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jobject id3)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnEdge2D(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_GetPointsOnParentEdge2D_143(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jobject id3)
{
  vtkHyperOctree *op;
  vtkHyperOctreeCursor  *temp0;
  int      temp1;
  int      temp2;
  vtkHyperOctreePointsGrabber  *temp3;
  temp0 = (vtkHyperOctreeCursor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkHyperOctreePointsGrabber *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointsOnParentEdge2D(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_GetLeafData_144(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  vtkDataSetAttributes  *temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperOctree_SetDualGridFlag_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperOctree *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDualGridFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetDualGridFlag_146(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
  int      temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDualGridFlag();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperOctree_GetActualMemorySize_147(JNIEnv *env, jobject obj)
{
  vtkHyperOctree *op;
   unsigned long     temp20;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_GetData_148(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHyperOctree *op;
  vtkInformation  *temp0;
  vtkHyperOctree  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHyperOctree_GetData_149(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkHyperOctree *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkHyperOctree  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkHyperOctree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperOctree_VTKInit(JNIEnv *, jobject)
{
  vtkHyperOctree *aNewOne = vtkHyperOctree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
