// java wrapper for vtkImageData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageData",dType)) { return me; }
  if ((res= vtkDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  const char    *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyStructure_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkIdType   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfPoints_15(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkIdType   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetPoint_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPoint_17(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageData *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetCell_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCell_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCellBounds_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkImageData *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_FindPoint_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_FindPoint_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetCellType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetCellPoints_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPointCells_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkImageData *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_ComputeBounds_116(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeBounds();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetMaxCellSize_117(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_Initialize_118(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDimensions_119(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetDimensions_120(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetDimensions_121(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int     *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetDimensions_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputeStructuredCoordinates_123(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1,jdoubleArray id2)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeStructuredCoordinates(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetVoxelGradient_124(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3,jobject id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetPointGradient_125(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jobject id3,jdoubleArray id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  double temp4[3];
  void *tempArray4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointGradient(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetDataDimension_126(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputePointId_127(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputePointId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_ComputeCellId_128(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeCellId(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetAxisUpdateExtent_129(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisUpdateExtent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_UpdateInformation_130(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetExtent_131(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetExtent_132(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetExtent_133(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int     *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetEstimatedMemorySize_134(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
   unsigned long     temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEstimatedMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMin_135(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMin();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarTypeMax_136(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double   temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeMax();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarSize_137(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarSize();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetIncrements_138(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  vtkIdType  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncrements();
    return vtkJavaMakeJArrayOfIntFromIdType(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetIncrements_139(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageData *op;
  vtkIdType temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetIncrements(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetIncrements_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  vtkIdType  *temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncrements(temp0);
    return vtkJavaMakeJArrayOfIntFromIdType(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetIncrements_141(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  vtkIdType temp1[3];
  void *tempArray1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetIncrements(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarComponentAsFloat_142(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarComponentFromFloat_143(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageData_GetScalarComponentAsDouble_144(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarComponentFromDouble_145(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jdouble id4)
{
  vtkImageData *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_AllocateScalars_146(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->AllocateScalars();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyAndCastFrom_147(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkImageData  *temp0;
  int    temp1[6];
  void *tempArray1;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAndCastFrom(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyAndCastFrom_148(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jint id3,jint id4,jint id5,jint id6)
{
  vtkImageData *op;
  vtkImageData  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_Crop_149(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->Crop();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetActualMemorySize_150(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
   unsigned long     temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetSpacing_151(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetSpacing_152(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetSpacing_153(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetOrigin_154(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageData *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetOrigin_155(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageData *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageData_GetOrigin_156(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  double  *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToFloat_157(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToDouble_158(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToDouble();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToInt_159(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToUnsignedInt_160(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToLong_161(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToUnsignedLong_162(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToShort_163(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToUnsignedShort_164(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToUnsignedChar_165(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToSignedChar_166(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToSignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarTypeToChar_167(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetScalarType_168(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetScalarType_169(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageData_GetScalarTypeAsString_170(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  const char    *temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_SetNumberOfScalarComponents_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageData *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfScalarComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetNumberOfScalarComponents_172(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarComponents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyTypeSpecificInformation_173(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyTypeSpecificInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyInformationToPipeline_174(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jint id3)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int      temp3;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_CopyInformationFromPipeline_175(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyInformationFromPipeline(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_PrepareForNewData_176(JNIEnv *env, jobject obj)
{
  vtkImageData *op;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForNewData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_ShallowCopy_177(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_DeepCopy_178(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageData_GetArrayIncrements_179(JNIEnv *env, jobject obj,jobject id0,jintArray id1)
{
  vtkImageData *op;
  vtkDataArray  *temp0;
  vtkIdType temp1[3];
  void *tempArray1;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  op->GetArrayIncrements(temp0,temp1);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageData_GetExtentType_180(JNIEnv *env, jobject obj)
{
  vtkImageData *op;
  int      temp20;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetData_181(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageData *op;
  vtkInformation  *temp0;
  vtkImageData  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageData_GetData_182(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkImageData *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkImageData  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkImageData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageData_VTKInit(JNIEnv *, jobject)
{
  vtkImageData *aNewOne = vtkImageData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
