// tcl wrapper for vtkImageData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageData.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageDataNewCommand()
{
  vtkImageData *temp = vtkImageData::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetCppCommand(vtkDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageDataCppCommand(vtkImageData *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageDataCppCommand(static_cast<vtkImageData *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageDataCppCommand(vtkImageData *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageData",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetCppCommand(static_cast<vtkDataSet *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSet"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageData  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyStructure",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->CopyStructure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPoint(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCell(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCell",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkGenericCell  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkGenericCell"),interp,error));
    if (!error)
    {
    op->GetCell(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->FindPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->FindPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellPoints",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetCellPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointCells",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdList  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->GetPointCells(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeBounds",argv[1]))&&(argc == 2))
    {
    op->ComputeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDimensions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVoxelGradient",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    vtkDataArray  *temp3;
    vtkDataArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkDataArray"),interp,error));
    temp4 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputePointId",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    temp20 = (op)->ComputePointId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeCellId",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeCellId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisUpdateExtent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetAxisUpdateExtent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetEstimatedMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetEstimatedMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarTypeMin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarTypeMin();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarTypeMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarTypeMax();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIncrements",argv[1]))&&(argc == 2))
    {
    vtkIdType  *temp20;
    temp20 = (op)->GetIncrements();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetIncrements",argv[1]))&&(argc == 5))
    {
    vtkIdType temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetIncrements(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncrements",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    vtkIdType  *temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetIncrements(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentAsFloat",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarComponentFromFloat",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    float    temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponentAsDouble",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarComponentFromDouble",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    double   temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllocateScalars",argv[1]))&&(argc == 2))
    {
    op->AllocateScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAndCastFrom",argv[1]))&&(argc == 9))
    {
    vtkImageData  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Crop",argv[1]))&&(argc == 2))
    {
    op->Crop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToSignedChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToSignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfScalarComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfScalarComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyTypeSpecificInformation",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->CopyTypeSpecificInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformationToPipeline",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    vtkInformation  *temp1;
    vtkInformation  *temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkInformation"),interp,error));
    temp2 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkInformation"),interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformationFromPipeline",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    op->CopyInformationFromPipeline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrepareForNewData",argv[1]))&&(argc == 2))
    {
    op->PrepareForNewData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkImageData  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformation"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 4))
    {
    vtkInformationVector  *temp0;
    int      temp1;
    vtkImageData  *temp20;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInformationVector"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageDataCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageData:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyStructure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  FindPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointCells\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellSize\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVoxelGradient\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataDimension\n",NULL);
    Tcl_AppendResult(interp,"  ComputePointId\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeCellId\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisUpdateExtent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarTypeMin\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarTypeMax\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarSize\n",NULL);
    Tcl_AppendResult(interp,"  GetIncrements\n",NULL);
    Tcl_AppendResult(interp,"  GetIncrements\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIncrements\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentAsFloat\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponentFromFloat\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponentAsDouble\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponentFromDouble\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AllocateScalars\n",NULL);
    Tcl_AppendResult(interp,"  CopyAndCastFrom\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Crop\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToSignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfScalarComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  CopyTypeSpecificInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationToPipeline\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationFromPipeline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForNewData\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentType\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetVoxelGradient" );
    Tcl_DStringAppendElement ( &dString, "GetDataDimension" );
    Tcl_DStringAppendElement ( &dString, "ComputePointId" );
    Tcl_DStringAppendElement ( &dString, "ComputeCellId" );
    Tcl_DStringAppendElement ( &dString, "SetAxisUpdateExtent" );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedMemorySize" );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeMin" );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeMax" );
    Tcl_DStringAppendElement ( &dString, "GetScalarSize" );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentAsFloat" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponentFromFloat" );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentAsDouble" );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponentFromDouble" );
    Tcl_DStringAppendElement ( &dString, "AllocateScalars" );
    Tcl_DStringAppendElement ( &dString, "CopyAndCastFrom" );
    Tcl_DStringAppendElement ( &dString, "Crop" );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToSignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    Tcl_DStringAppendElement ( &dString, "CopyTypeSpecificInformation" );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    Tcl_DStringAppendElement ( &dString, "CopyInformationFromPipeline" );
    Tcl_DStringAppendElement ( &dString, "PrepareForNewData" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    Tcl_DStringAppendElement ( &dString, "GetData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageData *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyStructure */
    if ( strcmp ( argv[2], "CopyStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyStructure */
    Tcl_DStringAppendElement ( &dString, " Copy the geometric and topological structure of an input image data\n object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyStructure(vtkDataSet *ds);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for CopyStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectType */
    if ( strcmp ( argv[2], "GetDataObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectType */
    Tcl_DStringAppendElement ( &dString, " Return what type of dataset this is.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataObjectType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetDataObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetPoint(vtkIdType ptId);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCell *GetCell(vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCell */
    if ( strcmp ( argv[2], "GetCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkGenericCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCell */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCell(vtkIdType cellId, vtkGenericCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindPoint */
    if ( strcmp ( argv[2], "FindPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindPoint */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindPoint(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for FindPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindPoint */
    if ( strcmp ( argv[2], "FindPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindPoint */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindPoint(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for FindPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellType */
    if ( strcmp ( argv[2], "GetCellType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellType */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetCellType(vtkIdType cellId);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetCellType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellPoints */
    if ( strcmp ( argv[2], "GetCellPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellPoints */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellPoints(vtkIdType cellId, vtkIdList *ptIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetCellPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointCells */
    if ( strcmp ( argv[2], "GetPointCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointCells */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointCells(vtkIdType ptId, vtkIdList *cellIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetPointCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeBounds */
    if ( strcmp ( argv[2], "ComputeBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeBounds */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for ComputeBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellSize */
    if ( strcmp ( argv[2], "GetMaxCellSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellSize */
    Tcl_DStringAppendElement ( &dString, " Standard vtkDataSet API methods. See vtkDataSet for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetMaxCellSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetMaxCellSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Restore data object to initial state.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " \\deprecated{This is for backward compatibility only - use SetExtent().}\n Same as SetExtent(0, i-1, 0, j-1, 0, k-1)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDimensions(int i, int j, int k);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDimensions */
    if ( strcmp ( argv[2], "SetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDimensions */
    Tcl_DStringAppendElement ( &dString, " \\deprecated{This is for backward compatibility only - use SetExtent().}\n Same as SetExtent(0, dims\\[0\\]-1, 0, dims\\[1\\]-1, 0, dims\\[2\\]-1)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDimensions(const int dims\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Get dimensions of this structured points dataset.\n It is the number of points on each axis.\n Dimensions are computed from Extents during this call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int *GetDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensions */
    if ( strcmp ( argv[2], "GetDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensions */
    Tcl_DStringAppendElement ( &dString, " Get dimensions of this structured points dataset.\n It is the number of points on each axis.\n Dimensions are computed from Extents during this call.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetDimensions(int dims\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVoxelGradient */
    if ( strcmp ( argv[2], "GetVoxelGradient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxelGradient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxelGradient */
    Tcl_DStringAppendElement ( &dString, " Given structured coordinates (i,j,k) for a voxel cell, compute the eight\n gradient values for the voxel corners. The order in which the gradient\n vectors are arranged corresponds to the ordering of the voxel points.\n Gradient vector is computed by central differences (except on edges of\n volume where forward difference is used). The scalars s are the scalars\n from which the gradient is to be computed. This method will treat\n only 3D structured point datasets (i.e., vo ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVoxelGradient(int i, int j, int k, vtkDataArray *s, vtkDataArray *g);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetVoxelGradient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataDimension */
    if ( strcmp ( argv[2], "GetDataDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataDimension */
    Tcl_DStringAppendElement ( &dString, " Return the dimensionality of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDataDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetDataDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputePointId */
    if ( strcmp ( argv[2], "ComputePointId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputePointId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputePointId */
    Tcl_DStringAppendElement ( &dString, " Given a location in structured coordinates (i-j-k), return the point id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType ComputePointId(int ijk\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for ComputePointId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeCellId */
    if ( strcmp ( argv[2], "ComputeCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeCellId */
    Tcl_DStringAppendElement ( &dString, " Given a location in structured coordinates (i-j-k), return the cell id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType ComputeCellId(int ijk\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for ComputeCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisUpdateExtent */
    if ( strcmp ( argv[2], "SetAxisUpdateExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisUpdateExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisUpdateExtent */
    Tcl_DStringAppendElement ( &dString, " Set / Get the extent on just one axis\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisUpdateExtent(int axis, int min, int max);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetAxisUpdateExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateInformation */
    if ( strcmp ( argv[2], "UpdateInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateInformation */
    Tcl_DStringAppendElement ( &dString, " Override to copy information from pipeline information to data\n information for backward compatibility.  See\n vtkDataObject::UpdateInformation for details.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for UpdateInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent. On each axis, the extent is defined by the index\n of the first point and the index of the last point.  The extent should\n be set before the \"Scalars\" are set or allocated.  The Extent is\n stored in the order (X, Y, Z).\n The dataset extent does not have to start at (0,0,0). (0,0,0) is just the\n extent of the origin.\n The first point (the one with Id=0) is at extent\n (Extent\\[0\\],Extent\\[2\\],Extent\\[4\\]). As for any dataset, a data array on  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get the extent. On each axis, the extent is defined by the index\n of the first point and the index of the last point.  The extent should\n be set before the \"Scalars\" are set or allocated.  The Extent is\n stored in the order (X, Y, Z).\n The dataset extent does not have to start at (0,0,0). (0,0,0) is just the\n extent of the origin.\n The first point (the one with Id=0) is at extent\n (Extent\\[0\\],Extent\\[2\\],Extent\\[4\\]). As for any dataset, a data array on  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetExtent(int x1, int x2, int y1, int y2, int z1, int z2);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtent */
    if ( strcmp ( argv[2], "GetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedMemorySize */
    if ( strcmp ( argv[2], "GetEstimatedMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedMemorySize */
    Tcl_DStringAppendElement ( &dString, " Get the estimated size of this data object itself. Should be called\n after UpdateInformation() and PropagateUpdateExtent() have both been\n called. This estimate should be fairly accurate since this is structured\n data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetEstimatedMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetEstimatedMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarTypeMin */
    if ( strcmp ( argv[2], "GetScalarTypeMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarTypeMin */
    Tcl_DStringAppendElement ( &dString, " These returns the minimum and maximum values the ScalarType can hold\n without overflowing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetScalarTypeMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarTypeMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarTypeMax */
    if ( strcmp ( argv[2], "GetScalarTypeMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarTypeMax */
    Tcl_DStringAppendElement ( &dString, " These returns the minimum and maximum values the ScalarType can hold\n without overflowing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetScalarTypeMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarTypeMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarSize */
    if ( strcmp ( argv[2], "GetScalarSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the scalar type in bytes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetScalarSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncrements */
    if ( strcmp ( argv[2], "GetIncrements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncrements */
    Tcl_DStringAppendElement ( &dString, " Different ways to get the increments for moving around the data.\n GetIncrements() calls ComputeIncrements() to ensure the increments are\n up to date.  The first three methods compute the increments based on the\n active scalar field while the next three, the scalar field is passed in.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType *GetIncrements();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetIncrements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncrements */
    if ( strcmp ( argv[2], "GetIncrements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncrements */
    Tcl_DStringAppendElement ( &dString, " Different ways to get the increments for moving around the data.\n GetIncrements() calls ComputeIncrements() to ensure the increments are\n up to date.  The first three methods compute the increments based on the\n active scalar field while the next three, the scalar field is passed in.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetIncrements(vtkIdType inc\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetIncrements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncrements */
    if ( strcmp ( argv[2], "GetIncrements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncrements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncrements */
    Tcl_DStringAppendElement ( &dString, " Different ways to get the increments for moving around the data.\n GetIncrements() calls ComputeIncrements() to ensure the increments are\n up to date.  The first three methods compute the increments based on the\n active scalar field while the next three, the scalar field is passed in.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType *GetIncrements(vtkDataArray *scalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetIncrements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentAsFloat */
    if ( strcmp ( argv[2], "GetScalarComponentAsFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentAsFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentAsFloat */
    Tcl_DStringAppendElement ( &dString, " For access to data from tcl\n" );
    Tcl_DStringAppendElement ( &dString, "virtual float GetScalarComponentAsFloat(int x, int y, int z, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarComponentAsFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponentFromFloat */
    if ( strcmp ( argv[2], "SetScalarComponentFromFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponentFromFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponentFromFloat */
    Tcl_DStringAppendElement ( &dString, " For access to data from tcl\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarComponentFromFloat(int x, int y, int z, int component, float v);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarComponentFromFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarComponentAsDouble */
    if ( strcmp ( argv[2], "GetScalarComponentAsDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarComponentAsDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarComponentAsDouble */
    Tcl_DStringAppendElement ( &dString, " For access to data from tcl\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetScalarComponentAsDouble(int x, int y, int z, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarComponentAsDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarComponentFromDouble */
    if ( strcmp ( argv[2], "SetScalarComponentFromDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarComponentFromDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarComponentFromDouble */
    Tcl_DStringAppendElement ( &dString, " For access to data from tcl\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalarComponentFromDouble(int x, int y, int z, int component, double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarComponentFromDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllocateScalars */
    if ( strcmp ( argv[2], "AllocateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllocateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllocateScalars */
    Tcl_DStringAppendElement ( &dString, " Allocate the vtkScalars object associated with this object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AllocateScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for AllocateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyAndCastFrom */
    if ( strcmp ( argv[2], "CopyAndCastFrom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyAndCastFrom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyAndCastFrom */
    Tcl_DStringAppendElement ( &dString, " This method is passed a input and output region, and executes the filter\n algorithm to fill the output from the input.\n It just executes a switch statement to call the correct function for\n the regions data types.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyAndCastFrom(vtkImageData *inData, int x0, int x1, int y0, int y1, int z0, int z1);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for CopyAndCastFrom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Crop */
    if ( strcmp ( argv[2], "Crop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Crop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Crop */
    Tcl_DStringAppendElement ( &dString, " Reallocates and copies to set the Extent to the UpdateExtent.\n This is used internally when the exact extent is requested,\n and the source generated more than the update extent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Crop();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for Crop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActualMemorySize */
    if ( strcmp ( argv[2], "GetActualMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActualMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActualMemorySize */
    Tcl_DStringAppendElement ( &dString, " Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetActualMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetActualMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacing */
    if ( strcmp ( argv[2], "SetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacing(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSpacing */
    if ( strcmp ( argv[2], "SetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSpacing(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpacing */
    if ( strcmp ( argv[2], "GetSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToInt */
    if ( strcmp ( argv[2], "SetScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToLong */
    if ( strcmp ( argv[2], "SetScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToShort */
    if ( strcmp ( argv[2], "SetScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToSignedChar */
    if ( strcmp ( argv[2], "SetScalarTypeToSignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToSignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToSignedChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToSignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToSignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarTypeToChar */
    if ( strcmp ( argv[2], "SetScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarTypeToChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalarType */
    if ( strcmp ( argv[2], "SetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalarType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarType */
    if ( strcmp ( argv[2], "GetScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScalarType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalarTypeAsString */
    if ( strcmp ( argv[2], "GetScalarTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalarTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalarTypeAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetScalarTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetScalarTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "SetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of scalar components for points. As with the\n SetScalarType method this is setting pipeline info.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfScalarComponents(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for SetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfScalarComponents */
    if ( strcmp ( argv[2], "GetNumberOfScalarComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfScalarComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfScalarComponents */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of scalar components for points. As with the\n SetScalarType method this is setting pipeline info.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfScalarComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetNumberOfScalarComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTypeSpecificInformation */
    if ( strcmp ( argv[2], "CopyTypeSpecificInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTypeSpecificInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTypeSpecificInformation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyTypeSpecificInformation(vtkDataObject *image);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for CopyTypeSpecificInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformationToPipeline */
    if ( strcmp ( argv[2], "CopyInformationToPipeline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformationToPipeline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformationToPipeline */
    Tcl_DStringAppendElement ( &dString, " Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyInformationToPipeline(vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for CopyInformationToPipeline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyInformationFromPipeline */
    if ( strcmp ( argv[2], "CopyInformationFromPipeline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyInformationFromPipeline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyInformationFromPipeline */
    Tcl_DStringAppendElement ( &dString, " Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyInformationFromPipeline(vtkInformation *request);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for CopyInformationFromPipeline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareForNewData */
    if ( strcmp ( argv[2], "PrepareForNewData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareForNewData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareForNewData */
    Tcl_DStringAppendElement ( &dString, " make the output data ready for new data to be inserted. For most\n objects we just call Initialize. But for image data we leave the old\n data in case the memory can be reused.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareForNewData();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for PrepareForNewData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow and Deep copy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkDataObject *src);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentType */
    if ( strcmp ( argv[2], "GetExtentType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentType */
    Tcl_DStringAppendElement ( &dString, " The extent type is a 3D extent\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetExtentType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetExtentType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageData *GetData(vtkInformation *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetData */
    if ( strcmp ( argv[2], "GetData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInformationVector" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetData */
    Tcl_DStringAppendElement ( &dString, " Retrieve an instance of this class from an information object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageData *GetData(vtkInformationVector *v, int i=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    /* Closing for GetData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetCppCommand(static_cast<vtkDataSet *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
