// java wrapper for vtkImageToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToImageFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageSource_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToImageFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToImageFilter",dType)) { return me; }
  if ((res= vtkImageSource_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToImageFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  const char    *temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToImageFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToImageFilter *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageToImageFilter_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  vtkImageData  *temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_SetBypass_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBypass(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_BypassOn_15(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_BypassOff_16(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->BypassOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_GetBypass_17(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  int      temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBypass();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_ThreadedExecute_18(JNIEnv *env, jobject obj,jobject id0,jobject id1,jintArray id2,jint id3)
{
  vtkImageToImageFilter *op;
  vtkImageData  *temp0;
  vtkImageData  *temp1;
  int    temp2[6];
  void *tempArray2;
  int      temp3;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetIntArrayElements(id2,NULL));
  temp2[0] = ((jint *)tempArray2)[0];
  temp2[1] = ((jint *)tempArray2)[1];
  temp2[2] = ((jint *)tempArray2)[2];
  temp2[3] = ((jint *)tempArray2)[3];
  temp2[4] = ((jint *)tempArray2)[4];
  temp2[5] = ((jint *)tempArray2)[5];
  temp3 = id3;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ThreadedExecute(temp0,temp1,temp2,temp3);
  ((jint *)tempArray2)[0] = temp2[0];
  ((jint *)tempArray2)[1] = temp2[1];
  ((jint *)tempArray2)[2] = temp2[2];
  ((jint *)tempArray2)[3] = temp2[3];
  ((jint *)tempArray2)[4] = temp2[4];
  ((jint *)tempArray2)[5] = temp2[5];
  env->ReleaseIntArrayElements(id2,(jint *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_SetNumberOfThreads_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_GetNumberOfThreadsMinValue_110(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  int      temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_GetNumberOfThreadsMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  int      temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreadsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_GetNumberOfThreads_112(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  int      temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageFilter_SetInputMemoryLimit_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageToImageFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputMemoryLimit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_GetInputMemoryLimit_114(JNIEnv *env, jobject obj)
{
  vtkImageToImageFilter *op;
  long     temp20;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputMemoryLimit();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageFilter_SplitExtent_115(JNIEnv *env, jobject obj,jintArray id0,jintArray id1,jint id2,jint id3)
{
  vtkImageToImageFilter *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp2;
  int      temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageToImageFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SplitExtent(temp0,temp1,temp2,temp3);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}
