// java wrapper for vtkImplicitDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitDataSet",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitDataSet *op;
  const char    *temp20;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitDataSet_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkImplicitDataSet *op;
   unsigned long     temp20;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitDataSet_EvaluateFunction_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitDataSet *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitDataSet_EvaluateFunction_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitDataSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitDataSet_EvaluateGradient_15(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImplicitDataSet *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitDataSet_SetDataSet_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitDataSet *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitDataSet_GetDataSet_17(JNIEnv *env, jobject obj)
{
  vtkImplicitDataSet *op;
  vtkDataSet  *temp20;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitDataSet_SetOutValue_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImplicitDataSet *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitDataSet_GetOutValue_19(JNIEnv *env, jobject obj)
{
  vtkImplicitDataSet *op;
  double   temp20;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitDataSet_SetOutGradient_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitDataSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutGradient(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitDataSet_SetOutGradient_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitDataSet *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutGradient(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitDataSet_GetOutGradient_112(JNIEnv *env, jobject obj)
{
  vtkImplicitDataSet *op;
  double  *temp20;

  op = (vtkImplicitDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutGradient();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitDataSet *aNewOne = vtkImplicitDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
