// java wrapper for vtkImplicitWindowFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitWindowFunction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitWindowFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitWindowFunction",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitWindowFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitWindowFunction *op;
  const char    *temp20;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitWindowFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitWindowFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitWindowFunction_EvaluateFunction_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitWindowFunction *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImplicitWindowFunction_EvaluateFunction_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitWindowFunction *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_EvaluateGradient_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkImplicitWindowFunction *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_SetImplicitFunction_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitWindowFunction *op;
  vtkImplicitFunction  *temp0;
  temp0 = (vtkImplicitFunction *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImplicitFunction(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitWindowFunction_GetImplicitFunction_16(JNIEnv *env, jobject obj)
{
  vtkImplicitWindowFunction *op;
  vtkImplicitFunction  *temp20;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImplicitFunction();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_SetWindowRange_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImplicitWindowFunction *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_SetWindowRange_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitWindowFunction *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitWindowFunction_GetWindowRange_19(JNIEnv *env, jobject obj)
{
  vtkImplicitWindowFunction *op;
  double  *temp20;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_SetWindowValues_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImplicitWindowFunction *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowValues(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_SetWindowValues_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitWindowFunction *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowValues(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitWindowFunction_GetWindowValues_112(JNIEnv *env, jobject obj)
{
  vtkImplicitWindowFunction *op;
  double  *temp20;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWindowValues();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitWindowFunction_GetMTime_113(JNIEnv *env, jobject obj)
{
  vtkImplicitWindowFunction *op;
   unsigned long     temp20;

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_Register_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitWindowFunction *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitWindowFunction_UnRegister_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitWindowFunction *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitWindowFunction *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitWindowFunction_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitWindowFunction *aNewOne = vtkImplicitWindowFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
