// java wrapper for vtkIncrementalOctreeNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIncrementalOctreeNode.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIncrementalOctreeNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIncrementalOctreeNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  const char    *temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIncrementalOctreeNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetNumberOfPoints_12(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  int      temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetPointIdSet_13(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  vtkIdList  *temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointIdSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalOctreeNode_DeleteChildNodes_14(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteChildNodes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalOctreeNode_SetBounds_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkIncrementalOctreeNode *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetBounds_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalOctreeNode *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetMinBounds_17(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  double  *temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetMaxBounds_18(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  double  *temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_IsLeaf_19(JNIEnv *env, jobject obj)
{
  vtkIncrementalOctreeNode *op;
  int      temp20;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLeaf();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetChildIndex_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChildIndex(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetChild_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkIncrementalOctreeNode *op;
  int      temp0;
  vtkIncrementalOctreeNode  *temp20;
  temp0 = id0;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_ContainsPoint_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ContainsPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalOctreeNode_ContainsPointByData_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ContainsPointByData(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetDistance2ToInnerBoundary_114(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  vtkIncrementalOctreeNode  *temp1;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIncrementalOctreeNode *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToInnerBoundary(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetDistance2ToBoundary_115(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1,jint id2)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  vtkIncrementalOctreeNode  *temp1;
  int      temp2;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkIncrementalOctreeNode *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIncrementalOctreeNode_GetDistance2ToBoundary_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jint id3)
{
  vtkIncrementalOctreeNode *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkIncrementalOctreeNode  *temp2;
  int      temp3;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIncrementalOctreeNode *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalOctreeNode_ExportAllPointIdsByInsertion_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIncrementalOctreeNode *op;
  vtkIdList  *temp0;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkIncrementalOctreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->ExportAllPointIdsByInsertion(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkIncrementalOctreeNode_VTKInit(JNIEnv *, jobject)
{
  vtkIncrementalOctreeNode *aNewOne = vtkIncrementalOctreeNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
