// tcl wrapper for vtkIncrementalOctreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIncrementalOctreePointLocator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkIncrementalOctreePointLocatorNewCommand()
{
  vtkIncrementalOctreePointLocator *temp = vtkIncrementalOctreePointLocator::New();
  return static_cast<ClientData>(temp);
}

int vtkIncrementalPointLocatorCppCommand(vtkIncrementalPointLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIncrementalOctreePointLocatorCppCommand(vtkIncrementalOctreePointLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkIncrementalOctreePointLocatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkIncrementalOctreePointLocatorCppCommand(static_cast<vtkIncrementalOctreePointLocator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIncrementalOctreePointLocatorCppCommand(vtkIncrementalOctreePointLocator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkIncrementalOctreePointLocator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkIncrementalPointLocatorCppCommand(static_cast<vtkIncrementalPointLocator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkIncrementalPointLocator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkIncrementalOctreePointLocator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalOctreePointLocator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkIncrementalOctreePointLocator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalOctreePointLocator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkIncrementalOctreePointLocator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalOctreePointLocator");
    return TCL_OK;
    }
  if ((!strcmp("SetMaxPointsPerLeaf",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxPointsPerLeaf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxPointsPerLeafMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxPointsPerLeafMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxPointsPerLeafMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxPointsPerLeafMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxPointsPerLeaf",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxPointsPerLeaf();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBuildCubicOctree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBuildCubicOctree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBuildCubicOctree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBuildCubicOctree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BuildCubicOctreeOn",argv[1]))&&(argc == 2))
    {
    op->BuildCubicOctreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildCubicOctreeOff",argv[1]))&&(argc == 2))
    {
    op->BuildCubicOctreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLocatorPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetLocatorPoints();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FindClosestInsertedPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->FindClosestInsertedPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindClosestPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->FindClosestPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindClosestPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->FindClosestPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsInsertedPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->IsInsertedPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsInsertedPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->IsInsertedPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->InsertNextPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkIncrementalOctreePointLocatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkIncrementalPointLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIncrementalOctreePointLocator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxPointsPerLeaf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxPointsPerLeafMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxPointsPerLeafMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxPointsPerLeaf\n",NULL);
    Tcl_AppendResult(interp,"  SetBuildCubicOctree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBuildCubicOctree\n",NULL);
    Tcl_AppendResult(interp,"  BuildCubicOctreeOn\n",NULL);
    Tcl_AppendResult(interp,"  BuildCubicOctreeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLocatorPoints\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  FindClosestInsertedPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  FindClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  FindClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  IsInsertedPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  IsInsertedPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextPoint\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkIncrementalPointLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetMaxPointsPerLeaf" );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeafMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeafMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeaf" );
    Tcl_DStringAppendElement ( &dString, "SetBuildCubicOctree" );
    Tcl_DStringAppendElement ( &dString, "GetBuildCubicOctree" );
    Tcl_DStringAppendElement ( &dString, "BuildCubicOctreeOn" );
    Tcl_DStringAppendElement ( &dString, "BuildCubicOctreeOff" );
    Tcl_DStringAppendElement ( &dString, "GetLocatorPoints" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "FindClosestInsertedPoint" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "FindClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "FindClosestPoint" );
    Tcl_DStringAppendElement ( &dString, "IsInsertedPoint" );
    Tcl_DStringAppendElement ( &dString, "IsInsertedPoint" );
    Tcl_DStringAppendElement ( &dString, "InsertNextPoint" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkIncrementalPointLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIncrementalOctreePointLocator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxPointsPerLeaf */
    if ( strcmp ( argv[2], "SetMaxPointsPerLeaf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxPointsPerLeaf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxPointsPerLeaf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxPointsPerLeaf(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for SetMaxPointsPerLeaf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxPointsPerLeafMinValue */
    if ( strcmp ( argv[2], "GetMaxPointsPerLeafMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeafMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxPointsPerLeafMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxPointsPerLeafMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetMaxPointsPerLeafMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxPointsPerLeafMaxValue */
    if ( strcmp ( argv[2], "GetMaxPointsPerLeafMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeafMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxPointsPerLeafMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxPointsPerLeafMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetMaxPointsPerLeafMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxPointsPerLeaf */
    if ( strcmp ( argv[2], "GetMaxPointsPerLeaf" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxPointsPerLeaf" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxPointsPerLeaf */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of points that a leaf node may maintain.\n Note that the actual number of points maintained by a leaf node might\n exceed this threshold if there is a large number (equal to or greater\n than the threshold) of exactly duplicate points (with zero distance)\n to be inserted (e.g., to construct an octree for subsequent point \n location) in extreme cases. Respecting this threshold in such scenarios\n would cause endless node sub-division. Thus this t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxPointsPerLeaf();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetMaxPointsPerLeaf */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBuildCubicOctree */
    if ( strcmp ( argv[2], "SetBuildCubicOctree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBuildCubicOctree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBuildCubicOctree */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the search octree is built as a cubic shape or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBuildCubicOctree(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for SetBuildCubicOctree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBuildCubicOctree */
    if ( strcmp ( argv[2], "GetBuildCubicOctree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBuildCubicOctree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBuildCubicOctree */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the search octree is built as a cubic shape or not.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBuildCubicOctree();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetBuildCubicOctree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildCubicOctreeOn */
    if ( strcmp ( argv[2], "BuildCubicOctreeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildCubicOctreeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildCubicOctreeOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the search octree is built as a cubic shape or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildCubicOctreeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for BuildCubicOctreeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildCubicOctreeOff */
    if ( strcmp ( argv[2], "BuildCubicOctreeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildCubicOctreeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildCubicOctreeOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the search octree is built as a cubic shape or not.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildCubicOctreeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for BuildCubicOctreeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocatorPoints */
    if ( strcmp ( argv[2], "GetLocatorPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocatorPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocatorPoints */
    Tcl_DStringAppendElement ( &dString, " Get access to the vtkPoints object in which point coordinates are stored\n for either point location or point insertion.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetLocatorPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetLocatorPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Delete the octree search structure.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Delete the octree search structure. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void FreeSearchStructure();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Get the number of points maintained by the octree.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindClosestInsertedPoint */
    if ( strcmp ( argv[2], "FindClosestInsertedPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindClosestInsertedPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindClosestInsertedPoint */
    Tcl_DStringAppendElement ( &dString, " Given a point x assumed to be covered by the octree, return the index of\n the closest in-octree point regardless of the associated minimum squared\n distance relative to the squared insertion-tolerance distance. This method\n is used when performing incremental point insertion. Note -1 indicates that\n no point is found. InitPointInsertion() should have been called in advance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindClosestInsertedPoint(const double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for FindClosestInsertedPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create a polygonal representation of the octree boundary (from the root\n node to a specified level).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GenerateRepresentation(int nodeLevel, vtkPolyData *polysData);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Load points from a dataset to construct an octree for point location. \n This function resorts to InitPointInsertion() to fulfill some of the work.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindClosestPoint */
    if ( strcmp ( argv[2], "FindClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindClosestPoint */
    Tcl_DStringAppendElement ( &dString, " Given a point x, return the id of the closest point. BuildLocator() should\n have been called prior to this function. This method is thread safe if \n BuildLocator() is directly or indirectly called from a single thread first.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindClosestPoint(const double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for FindClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindClosestPoint */
    if ( strcmp ( argv[2], "FindClosestPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindClosestPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindClosestPoint */
    Tcl_DStringAppendElement ( &dString, " Given a point (x, y, z), return the id of the closest point. Note that\n BuildLocator() should have been called prior to this function. This method\n is thread safe if BuildLocator() is directly or indirectly called from a \n single thread first.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType FindClosestPoint(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for FindClosestPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInsertedPoint */
    if ( strcmp ( argv[2], "IsInsertedPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInsertedPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInsertedPoint */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not a given point has been inserted into the octree.\n Return the id of the already inserted point if true, otherwise return -1.\n InitPointInsertion() should have been called in advance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType IsInsertedPoint(const double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for IsInsertedPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInsertedPoint */
    if ( strcmp ( argv[2], "IsInsertedPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInsertedPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInsertedPoint */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not a given point has been inserted into the octree.\n Return the id of the already inserted point if true, otherwise return -1.\n InitPointInsertion() should have been called in advance.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType IsInsertedPoint(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for IsInsertedPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InsertNextPoint */
    if ( strcmp ( argv[2], "InsertNextPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InsertNextPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InsertNextPoint */
    Tcl_DStringAppendElement ( &dString, " Insert a given point into the octree and return the point index. Note that\n InitPointInsertion() should have been called prior to this function. In \n addition, IsInsertedPoint() should have been called in advance to ensure \n that the given point has not been inserted unless point duplication is \n allowed (in this case, this function invovles a repeated leaf container \n location). vtkPoints::InsertNextPoint() is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType InsertNextPoint(const double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalOctreePointLocator" );
    /* Closing for InsertNextPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkIncrementalPointLocatorCppCommand(static_cast<vtkIncrementalPointLocator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
