// java wrapper for vtkIncrementalPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIncrementalPointLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIncrementalPointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIncrementalPointLocator",dType)) { return me; }
  if ((res= vtkAbstractPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIncrementalPointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIncrementalPointLocator *op;
  const char    *temp20;

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIncrementalPointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalPointLocator_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkIncrementalPointLocator *op;

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_FindClosestInsertedPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestInsertedPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_InitPointInsertion_14(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkIncrementalPointLocator *op;
  vtkPoints  *temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitPointInsertion(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_InitPointInsertion_15(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jint id2)
{
  vtkIncrementalPointLocator *op;
  vtkPoints  *temp0;
  double temp1[6];
  void *tempArray1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp2 = id2;

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitPointInsertion(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_IsInsertedPoint_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkIncrementalPointLocator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_IsInsertedPoint_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIncrementalPointLocator_InsertPoint_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkIncrementalPointLocator *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIncrementalPointLocator_InsertNextPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkIncrementalPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkIncrementalPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}
