// java wrapper for vtkKdTreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTreePointLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdTreePointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdTreePointLocator",dType)) { return me; }
  if ((res= vtkAbstractPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdTreePointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdTreePointLocator *op;
  const char    *temp20;

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTreePointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdTreePointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTreePointLocator_FindClosestPoint_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkKdTreePointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreePointLocator_FindClosestNPoints_13(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkKdTreePointLocator *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreePointLocator_FindPointsWithinRadius_14(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jobject id2)
{
  vtkKdTreePointLocator *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreePointLocator_FreeSearchStructure_15(JNIEnv *env, jobject obj)
{
  vtkKdTreePointLocator *op;

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreePointLocator_BuildLocator_16(JNIEnv *env, jobject obj)
{
  vtkKdTreePointLocator *op;

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreePointLocator_GenerateRepresentation_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkKdTreePointLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKdTreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKdTreePointLocator_VTKInit(JNIEnv *, jobject)
{
  vtkKdTreePointLocator *aNewOne = vtkKdTreePointLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
