// tcl wrapper for vtkKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTree.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkKdTreeNewCommand()
{
  vtkKdTree *temp = vtkKdTree::New();
  return static_cast<ClientData>(temp);
}

int vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKdTreeCppCommand(vtkKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKdTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKdTreeCppCommand(static_cast<vtkKdTree *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKdTreeCppCommand(vtkKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKdTree",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLocator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKdTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKdTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKdTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdTree");
    return TCL_OK;
    }
  if ((!strcmp("TimingOn",argv[1]))&&(argc == 2))
    {
    op->TimingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimingOff",argv[1]))&&(argc == 2))
    {
    op->TimingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTiming",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTiming(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTiming",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTiming();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRegionsOrLess",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegionsOrLess();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRegionsOrLess",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRegionsOrLess(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRegionsOrMore",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegionsOrMore();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRegionsOrMore",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRegionsOrMore(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFudgeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFudgeFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFudgeFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFudgeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCuts",argv[1]))&&(argc == 2))
    {
    vtkBSPCuts  *temp20;
    temp20 = (op)->GetCuts();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBSPCuts");
    return TCL_OK;
    }
  if ((!strcmp("SetCuts",argv[1]))&&(argc == 3))
    {
    vtkBSPCuts  *temp0;
    error = 0;

    temp0 = (vtkBSPCuts *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBSPCuts"),interp,error));
    if (!error)
    {
    op->SetCuts(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OmitXPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitXPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitYPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitYPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitZPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitZPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitXYPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitXYPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitYZPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitYZPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitZXPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitZXPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitNoPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitNoPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataSet",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->RemoveDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllDataSets",argv[1]))&&(argc == 2))
    {
    op->RemoveAllDataSets();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfDataSets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDataSets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataSet(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetDataSets",argv[1]))&&(argc == 2))
    {
    vtkDataSetCollection  *temp20;
    temp20 = (op)->GetDataSets();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetDataSetIndex",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetDataSetIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintTree",argv[1]))&&(argc == 2))
    {
    op->PrintTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintVerboseTree",argv[1]))&&(argc == 2))
    {
    op->PrintVerboseTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->PrintRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateCellLists",argv[1]))&&(argc == 2))
    {
    op->CreateCellLists();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeRegionBoundaryCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncludeRegionBoundaryCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncludeRegionBoundaryCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncludeRegionBoundaryCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IncludeRegionBoundaryCellsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeRegionBoundaryCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeRegionBoundaryCellsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeRegionBoundaryCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteCellLists",argv[1]))&&(argc == 2))
    {
    op->DeleteCellLists();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCellList",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdList  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellList(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdList");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundaryCellList",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdList  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBoundaryCellList(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdList");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 6))
    {
    vtkIntArray  *temp0;
    int      temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIntArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 6))
    {
    vtkIntArray  *temp0;
    vtkDataSet  *temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIntArray"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 5))
    {
    vtkIntArray  *temp0;
    vtkIdList  *temp1;
    vtkIdList  *temp2;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIntArray"),interp,error));
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLocatorFromPoints",argv[1]))&&(argc == 3))
    {
    vtkPointSet  *temp0;
    error = 0;

    temp0 = (vtkPointSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointSet"),interp,error));
    if (!error)
    {
    op->BuildLocatorFromPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildLocatorFromPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->BuildLocatorFromPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildMapForDuplicatePoints",argv[1]))&&(argc == 3))
    {
    float    temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->BuildMapForDuplicatePoints(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->FindPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointsInRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointsInRegion(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateRepresentationUsingDataBoundsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateRepresentationUsingDataBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentationUsingDataBoundsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateRepresentationUsingDataBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateRepresentationUsingDataBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateRepresentationUsingDataBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateRepresentationUsingDataBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateRepresentationUsingDataBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->NewGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InvalidateGeometry",argv[1]))&&(argc == 2))
    {
    op->InvalidateGeometry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTree",argv[1]))&&(argc == 3))
    {
    vtkKdNode  *temp0;
    vtkKdNode  *temp20;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkKdNode"),interp,error));
    if (!error)
    {
    temp20 = (op)->CopyTree(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkKdNode");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkKdTreeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKdTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  TimingOn\n",NULL);
    Tcl_AppendResult(interp,"  TimingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTiming\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTiming\n",NULL);
    Tcl_AppendResult(interp,"  SetMinCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegionsOrLess\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRegionsOrLess\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegionsOrMore\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRegionsOrMore\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFudgeFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetFudgeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCuts\n",NULL);
    Tcl_AppendResult(interp,"  SetCuts\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OmitXPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitYPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitZPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitXYPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitYZPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitZXPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitNoPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllDataSets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDataSets\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSets\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegions\n",NULL);
    Tcl_AppendResult(interp,"  PrintTree\n",NULL);
    Tcl_AppendResult(interp,"  PrintVerboseTree\n",NULL);
    Tcl_AppendResult(interp,"  PrintRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateCellLists\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeRegionBoundaryCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeRegionBoundaryCells\n",NULL);
    Tcl_AppendResult(interp,"  IncludeRegionBoundaryCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeRegionBoundaryCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCellLists\n",NULL);
    Tcl_AppendResult(interp,"  GetCellList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryCellList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocatorFromPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocatorFromPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildMapForDuplicatePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointsInRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentationUsingDataBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentationUsingDataBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateRepresentationUsingDataBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateRepresentationUsingDataBounds\n",NULL);
    Tcl_AppendResult(interp,"  NewGeometry\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateGeometry\n",NULL);
    Tcl_AppendResult(interp,"  CopyTree\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "TimingOn" );
    Tcl_DStringAppendElement ( &dString, "TimingOff" );
    Tcl_DStringAppendElement ( &dString, "SetTiming" );
    Tcl_DStringAppendElement ( &dString, "GetTiming" );
    Tcl_DStringAppendElement ( &dString, "SetMinCells" );
    Tcl_DStringAppendElement ( &dString, "GetMinCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionsOrLess" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRegionsOrLess" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionsOrMore" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRegionsOrMore" );
    Tcl_DStringAppendElement ( &dString, "GetFudgeFactor" );
    Tcl_DStringAppendElement ( &dString, "SetFudgeFactor" );
    Tcl_DStringAppendElement ( &dString, "GetCuts" );
    Tcl_DStringAppendElement ( &dString, "SetCuts" );
    Tcl_DStringAppendElement ( &dString, "OmitXPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitYPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitZPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitXYPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitYZPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitZXPartitioning" );
    Tcl_DStringAppendElement ( &dString, "OmitNoPartitioning" );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    Tcl_DStringAppendElement ( &dString, "RemoveDataSet" );
    Tcl_DStringAppendElement ( &dString, "RemoveDataSet" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllDataSets" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDataSets" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetDataSets" );
    Tcl_DStringAppendElement ( &dString, "GetDataSetIndex" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegions" );
    Tcl_DStringAppendElement ( &dString, "PrintTree" );
    Tcl_DStringAppendElement ( &dString, "PrintVerboseTree" );
    Tcl_DStringAppendElement ( &dString, "PrintRegion" );
    Tcl_DStringAppendElement ( &dString, "CreateCellLists" );
    Tcl_DStringAppendElement ( &dString, "SetIncludeRegionBoundaryCells" );
    Tcl_DStringAppendElement ( &dString, "GetIncludeRegionBoundaryCells" );
    Tcl_DStringAppendElement ( &dString, "IncludeRegionBoundaryCellsOn" );
    Tcl_DStringAppendElement ( &dString, "IncludeRegionBoundaryCellsOff" );
    Tcl_DStringAppendElement ( &dString, "DeleteCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetCellList" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryCellList" );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingPoint" );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    Tcl_DStringAppendElement ( &dString, "BuildLocatorFromPoints" );
    Tcl_DStringAppendElement ( &dString, "BuildLocatorFromPoints" );
    Tcl_DStringAppendElement ( &dString, "BuildMapForDuplicatePoints" );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    Tcl_DStringAppendElement ( &dString, "GetPointsInRegion" );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationUsingDataBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationUsingDataBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateRepresentationUsingDataBounds" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateRepresentationUsingDataBounds" );
    Tcl_DStringAppendElement ( &dString, "NewGeometry" );
    Tcl_DStringAppendElement ( &dString, "InvalidateGeometry" );
    Tcl_DStringAppendElement ( &dString, "CopyTree" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLocatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkKdTree *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimingOn */
    if ( strcmp ( argv[2], "TimingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimingOn */
    Tcl_DStringAppendElement ( &dString, "  Turn on timing of the k-d tree build\n" );
    Tcl_DStringAppendElement ( &dString, "void TimingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for TimingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TimingOff */
    if ( strcmp ( argv[2], "TimingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TimingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TimingOff */
    Tcl_DStringAppendElement ( &dString, "  Turn on timing of the k-d tree build\n" );
    Tcl_DStringAppendElement ( &dString, "void TimingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for TimingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTiming */
    if ( strcmp ( argv[2], "SetTiming" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTiming" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTiming */
    Tcl_DStringAppendElement ( &dString, "  Turn on timing of the k-d tree build\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTiming(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetTiming */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTiming */
    if ( strcmp ( argv[2], "GetTiming" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTiming" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTiming */
    Tcl_DStringAppendElement ( &dString, "  Turn on timing of the k-d tree build\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTiming();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetTiming */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinCells */
    if ( strcmp ( argv[2], "SetMinCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinCells */
    Tcl_DStringAppendElement ( &dString, "  Minimum number of cells per spatial region.  Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinCells(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetMinCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinCells */
    if ( strcmp ( argv[2], "GetMinCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinCells */
    Tcl_DStringAppendElement ( &dString, "  Minimum number of cells per spatial region.  Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetMinCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRegionsOrLess */
    if ( strcmp ( argv[2], "GetNumberOfRegionsOrLess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionsOrLess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRegionsOrLess */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the number of spatial regions you want to get close\n   to without going over.  (The number of spatial regions is normally\n   a power of two.)  Call this before BuildLocator().  Default\n   is unset (0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRegionsOrLess();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetNumberOfRegionsOrLess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfRegionsOrLess */
    if ( strcmp ( argv[2], "SetNumberOfRegionsOrLess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRegionsOrLess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfRegionsOrLess */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the number of spatial regions you want to get close\n   to without going over.  (The number of spatial regions is normally\n   a power of two.)  Call this before BuildLocator().  Default\n   is unset (0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfRegionsOrLess(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetNumberOfRegionsOrLess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRegionsOrMore */
    if ( strcmp ( argv[2], "GetNumberOfRegionsOrMore" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegionsOrMore" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRegionsOrMore */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the number of spatial regions you want to get close\n   to while having at least this many regions.  (The number of\n   spatial regions is normally a power of two.)   Default\n   is unset (0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRegionsOrMore();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetNumberOfRegionsOrMore */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfRegionsOrMore */
    if ( strcmp ( argv[2], "SetNumberOfRegionsOrMore" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfRegionsOrMore" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfRegionsOrMore */
    Tcl_DStringAppendElement ( &dString, "   Set/Get the number of spatial regions you want to get close\n   to while having at least this many regions.  (The number of\n   spatial regions is normally a power of two.)   Default\n   is unset (0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfRegionsOrMore(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetNumberOfRegionsOrMore */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFudgeFactor */
    if ( strcmp ( argv[2], "GetFudgeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFudgeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFudgeFactor */
    Tcl_DStringAppendElement ( &dString, "  Some algorithms on k-d trees require a value that is a very\n  small distance relative to the diameter of the entire space\n  divided by the k-d tree.  This factor is the maximum axis-aligned\n  width of the space multipled by 10e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFudgeFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetFudgeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFudgeFactor */
    if ( strcmp ( argv[2], "SetFudgeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFudgeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFudgeFactor */
    Tcl_DStringAppendElement ( &dString, "  Some algorithms on k-d trees require a value that is a very\n  small distance relative to the diameter of the entire space\n  divided by the k-d tree.  This factor is the maximum axis-aligned\n  width of the space multipled by 10e-6.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFudgeFactor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetFudgeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCuts */
    if ( strcmp ( argv[2], "GetCuts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCuts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCuts */
    Tcl_DStringAppendElement ( &dString, "   Get a vtkBSPCuts object, a general object representing an axis-\n   aligned spatial partitioning.  Used by vtkBSPIntersections.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBSPCuts *GetCuts();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetCuts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCuts */
    if ( strcmp ( argv[2], "SetCuts" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCuts" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBSPCuts" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCuts */
    Tcl_DStringAppendElement ( &dString, "   Normally the k-d tree is computed from the dataset(s) provided\n   in SetDataSet.  Alternatively, you can provide the cuts that will\n   be applied by calling SetCuts.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCuts(vtkBSPCuts *cuts);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetCuts */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitXPartitioning */
    if ( strcmp ( argv[2], "OmitXPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitXPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitXPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the X axis, yielding shafts in the X direction\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitXPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitXPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitYPartitioning */
    if ( strcmp ( argv[2], "OmitYPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitYPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitYPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the Y axis, yielding shafts in the Y direction\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitYPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitYPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitZPartitioning */
    if ( strcmp ( argv[2], "OmitZPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitZPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitZPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the Z axis, yielding shafts in the Z direction\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitZPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitZPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitXYPartitioning */
    if ( strcmp ( argv[2], "OmitXYPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitXYPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitXYPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the X and Y axes, yielding slabs along Z\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitXYPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitXYPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitYZPartitioning */
    if ( strcmp ( argv[2], "OmitYZPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitYZPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitYZPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the Y and Z axes, yielding slabs along X\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitYZPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitYZPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitZXPartitioning */
    if ( strcmp ( argv[2], "OmitZXPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitZXPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitZXPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Omit partitions along the Z and X axes, yielding slabs along Y\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitZXPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitZXPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OmitNoPartitioning */
    if ( strcmp ( argv[2], "OmitNoPartitioning" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OmitNoPartitioning" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OmitNoPartitioning */
    Tcl_DStringAppendElement ( &dString, "    Partition along all three axes - this is the default\n" );
    Tcl_DStringAppendElement ( &dString, "void OmitNoPartitioning();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for OmitNoPartitioning */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataSet */
    if ( strcmp ( argv[2], "SetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataSet */
    Tcl_DStringAppendElement ( &dString, " Clear out all data sets and replace with single data set.  For backward\n compatibility with superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDataSet(vtkDataSet *set);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataSet */
    if ( strcmp ( argv[2], "AddDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataSet */
    Tcl_DStringAppendElement ( &dString, " This class can compute a spatial decomposition based on the cells in a list\n of one or more input data sets.  Add them one at a time with this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddDataSet(vtkDataSet *set);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for AddDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDataSet */
    if ( strcmp ( argv[2], "RemoveDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDataSet */
    Tcl_DStringAppendElement ( &dString, " Remove the given data set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveDataSet(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for RemoveDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDataSet */
    if ( strcmp ( argv[2], "RemoveDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDataSet */
    Tcl_DStringAppendElement ( &dString, " Remove the given data set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveDataSet(vtkDataSet *set);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for RemoveDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllDataSets */
    if ( strcmp ( argv[2], "RemoveAllDataSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllDataSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllDataSets */
    Tcl_DStringAppendElement ( &dString, " Remove the given data set.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllDataSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for RemoveAllDataSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDataSets */
    if ( strcmp ( argv[2], "GetNumberOfDataSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDataSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDataSets */
    Tcl_DStringAppendElement ( &dString, "   Get the number of data sets included in spatial paritioning\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfDataSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetNumberOfDataSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Return the n'th data set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetDataSet(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSet */
    if ( strcmp ( argv[2], "GetDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSet */
    Tcl_DStringAppendElement ( &dString, " Return the 0'th data set.  For compatability with the superclass'\n interface.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSets */
    if ( strcmp ( argv[2], "GetDataSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSets */
    Tcl_DStringAppendElement ( &dString, " Return a collection of all the data sets.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetCollection *GetDataSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetDataSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataSetIndex */
    if ( strcmp ( argv[2], "GetDataSetIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataSetIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataSetIndex */
    Tcl_DStringAppendElement ( &dString, " Return the index of the given data set.  Returns -1 if that data\n set does not exist.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataSetIndex(vtkDataSet *set);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetDataSetIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRegions */
    if ( strcmp ( argv[2], "GetNumberOfRegions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRegions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRegions */
    Tcl_DStringAppendElement ( &dString, "   The number of leaf nodes of the tree, the spatial regions\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRegions();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetNumberOfRegions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintTree */
    if ( strcmp ( argv[2], "PrintTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintTree */
    Tcl_DStringAppendElement ( &dString, "    Print out nodes of kd tree\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for PrintTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintVerboseTree */
    if ( strcmp ( argv[2], "PrintVerboseTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintVerboseTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintVerboseTree */
    Tcl_DStringAppendElement ( &dString, "    Print out nodes of kd tree\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintVerboseTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for PrintVerboseTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintRegion */
    if ( strcmp ( argv[2], "PrintRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintRegion */
    Tcl_DStringAppendElement ( &dString, "    Print out leaf node data for given id\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintRegion(int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for PrintRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateCellLists */
    if ( strcmp ( argv[2], "CreateCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateCellLists */
    Tcl_DStringAppendElement ( &dString, "   Create a list for each of the requested regions, listing\n   the IDs of all cells whose centroid falls in the region.\n   These lists are obtained with GetCellList().\n   If no DataSet is specified, the cell list is created\n   for DataSet 0.  If no list of requested regions is provided,\n   the cell lists for all regions are created.  \n\n   When CreateCellLists is called again, the lists created\n   on the previous call  are deleted.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateCellLists();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for CreateCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIncludeRegionBoundaryCells */
    if ( strcmp ( argv[2], "SetIncludeRegionBoundaryCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIncludeRegionBoundaryCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIncludeRegionBoundaryCells */
    Tcl_DStringAppendElement ( &dString, "   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIncludeRegionBoundaryCells(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetIncludeRegionBoundaryCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIncludeRegionBoundaryCells */
    if ( strcmp ( argv[2], "GetIncludeRegionBoundaryCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIncludeRegionBoundaryCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIncludeRegionBoundaryCells */
    Tcl_DStringAppendElement ( &dString, "   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIncludeRegionBoundaryCells();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetIncludeRegionBoundaryCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeRegionBoundaryCellsOn */
    if ( strcmp ( argv[2], "IncludeRegionBoundaryCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeRegionBoundaryCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeRegionBoundaryCellsOn */
    Tcl_DStringAppendElement ( &dString, "   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeRegionBoundaryCellsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for IncludeRegionBoundaryCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncludeRegionBoundaryCellsOff */
    if ( strcmp ( argv[2], "IncludeRegionBoundaryCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncludeRegionBoundaryCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncludeRegionBoundaryCellsOff */
    Tcl_DStringAppendElement ( &dString, "   If IncludeRegionBoundaryCells is ON,\n   CreateCellLists() will also create a list of cells which\n   intersect a given region, but are not assigned\n   to the region.  These lists are obtained with \n   GetBoundaryCellList().  Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void IncludeRegionBoundaryCellsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for IncludeRegionBoundaryCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteCellLists */
    if ( strcmp ( argv[2], "DeleteCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteCellLists */
    Tcl_DStringAppendElement ( &dString, "    Free the memory used by the cell lists.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteCellLists();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for DeleteCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellList */
    if ( strcmp ( argv[2], "GetCellList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellList */
    Tcl_DStringAppendElement ( &dString, "    Get the cell list for a region.  This returns a pointer\n    to vtkKdTree's memory, so don't free it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList *GetCellList(int regionID);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetCellList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundaryCellList */
    if ( strcmp ( argv[2], "GetBoundaryCellList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryCellList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryCellList */
    Tcl_DStringAppendElement ( &dString, "    The cell list obtained with GetCellList is the list\n    of all cells such that their centroid is contained in\n    the spatial region.  It may also be desirable to get\n    a list of all cells intersecting a spatial region,\n    but with centroid in some other region.  This is that\n    list.  This list is computed in CreateCellLists() if\n    and only if IncludeRegionBoundaryCells is ON.  This\n    returns a pointer to KdTree's memory, so don't free it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList *GetBoundaryCellList(int regionID);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetBoundaryCellList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLists */
    if ( strcmp ( argv[2], "GetCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLists */
    Tcl_DStringAppendElement ( &dString, "   \n   For a list of regions, get two cell lists.  The first lists\n   the IDs  all cells whose centroids lie in one of the regions.\n   The second lists the IDs of all cells that intersect the regions,\n   but whose centroid lies in a region not on the list.\n\n   The total number of cell IDs written to both lists is returned.\n   Either list pointer passed in can be NULL, and it will be ignored.\n   If there are multiple data sets, you must specify which data set\n   you  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellLists(vtkIntArray *regions, int set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLists */
    if ( strcmp ( argv[2], "GetCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLists */
    Tcl_DStringAppendElement ( &dString, "   \n   For a list of regions, get two cell lists.  The first lists\n   the IDs  all cells whose centroids lie in one of the regions.\n   The second lists the IDs of all cells that intersect the regions,\n   but whose centroid lies in a region not on the list.\n\n   The total number of cell IDs written to both lists is returned.\n   Either list pointer passed in can be NULL, and it will be ignored.\n   If there are multiple data sets, you must specify which data set\n   you  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellLists(vtkIntArray *regions, vtkDataSet *set, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLists */
    if ( strcmp ( argv[2], "GetCellLists" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLists" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLists */
    Tcl_DStringAppendElement ( &dString, "   \n   For a list of regions, get two cell lists.  The first lists\n   the IDs  all cells whose centroids lie in one of the regions.\n   The second lists the IDs of all cells that intersect the regions,\n   but whose centroid lies in a region not on the list.\n\n   The total number of cell IDs written to both lists is returned.\n   Either list pointer passed in can be NULL, and it will be ignored.\n   If there are multiple data sets, you must specify which data set\n   you  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellLists(vtkIntArray *regions, vtkIdList *inRegionCells, vtkIdList *onBoundaryCells);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetCellLists */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionContainingCell */
    if ( strcmp ( argv[2], "GetRegionContainingCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionContainingCell */
    Tcl_DStringAppendElement ( &dString, "    Get the id of the region containing the cell centroid.  If\n    no DataSet is specified, assume DataSet 0.  If you need the\n    region ID for every cell, use AllGetRegionContainingCell\n    instead.  It is more efficient.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionContainingCell(vtkDataSet *set, vtkIdType cellID);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetRegionContainingCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionContainingCell */
    if ( strcmp ( argv[2], "GetRegionContainingCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionContainingCell */
    Tcl_DStringAppendElement ( &dString, "    Get the id of the region containing the cell centroid.  If\n    no DataSet is specified, assume DataSet 0.  If you need the\n    region ID for every cell, use AllGetRegionContainingCell\n    instead.  It is more efficient.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionContainingCell(int set, vtkIdType cellID);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetRegionContainingCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionContainingCell */
    if ( strcmp ( argv[2], "GetRegionContainingCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionContainingCell */
    Tcl_DStringAppendElement ( &dString, "    Get the id of the region containing the cell centroid.  If\n    no DataSet is specified, assume DataSet 0.  If you need the\n    region ID for every cell, use AllGetRegionContainingCell\n    instead.  It is more efficient.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionContainingCell(vtkIdType cellID);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetRegionContainingCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRegionContainingPoint */
    if ( strcmp ( argv[2], "GetRegionContainingPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRegionContainingPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRegionContainingPoint */
    Tcl_DStringAppendElement ( &dString, "    Get the id of the region containing the specified location.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRegionContainingPoint(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetRegionContainingPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocator */
    if ( strcmp ( argv[2], "BuildLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocator */
    Tcl_DStringAppendElement ( &dString, " Create the k-d tree decomposition of the cells of the data set\n or data sets.  Cells are assigned to k-d tree spatial regions\n based on the location of their centroids.\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for BuildLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocatorFromPoints */
    if ( strcmp ( argv[2], "BuildLocatorFromPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocatorFromPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocatorFromPoints */
    Tcl_DStringAppendElement ( &dString, " This is a special purpose locator that builds a k-d tree to \n find duplicate and near-by points.  It builds the tree from \n one or more vtkPoints objects instead of from the cells of\n a vtkDataSet.  This build would normally be followed by\n BuildMapForDuplicatePoints, FindPoint, or FindClosestPoint.\n Since this will build a normal k-d tree, all the region intersection\n queries will still work, as will most other calls except those that\n have \"Cell\" in the name.\n\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocatorFromPoints(vtkPointSet *pointset);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for BuildLocatorFromPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildLocatorFromPoints */
    if ( strcmp ( argv[2], "BuildLocatorFromPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildLocatorFromPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildLocatorFromPoints */
    Tcl_DStringAppendElement ( &dString, " This is a special purpose locator that builds a k-d tree to \n find duplicate and near-by points.  It builds the tree from \n one or more vtkPoints objects instead of from the cells of\n a vtkDataSet.  This build would normally be followed by\n BuildMapForDuplicatePoints, FindPoint, or FindClosestPoint.\n Since this will build a normal k-d tree, all the region intersection\n queries will still work, as will most other calls except those that\n have \"Cell\" in the name.\n\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void BuildLocatorFromPoints(vtkPoints *ptArray);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for BuildLocatorFromPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildMapForDuplicatePoints */
    if ( strcmp ( argv[2], "BuildMapForDuplicatePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildMapForDuplicatePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildMapForDuplicatePoints */
    Tcl_DStringAppendElement ( &dString, " This call returns a mapping from the original point IDs supplied\n to BuildLocatorFromPoints to a subset of those IDs that is unique \n within the specified tolerance.  \n If points 2, 5, and 12 are the same, then \n IdMap\\[2\\] = IdMap\\[5\\] = IdMap\\[12\\] = 2 (or 5 or 12).\n\n \"original point IDs\" - For point IDs we start at 0 for the first\n point in the first vtkPoints object, and increase by 1 for subsequent\n points and subsequent vtkPoints objects.\n\n You must  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *BuildMapForDuplicatePoints(float tolerance);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for BuildMapForDuplicatePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindPoint */
    if ( strcmp ( argv[2], "FindPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindPoint */
    Tcl_DStringAppendElement ( &dString, " Find the Id of the point that was previously supplied\n to BuildLocatorFromPoints().  Returns -1 if the point\n was not in the original array.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType FindPoint(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for FindPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointsInRegion */
    if ( strcmp ( argv[2], "GetPointsInRegion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointsInRegion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointsInRegion */
    Tcl_DStringAppendElement ( &dString, " Get a list of the original IDs of all points in a region.  You\n must have called BuildLocatorFromPoints before calling this.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray *GetPointsInRegion(int regionId);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetPointsInRegion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FreeSearchStructure */
    if ( strcmp ( argv[2], "FreeSearchStructure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FreeSearchStructure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FreeSearchStructure */
    Tcl_DStringAppendElement ( &dString, " Delete the k-d tree data structure. Also delete any\n cell lists that were computed with CreateCellLists().\n" );
    Tcl_DStringAppendElement ( &dString, "void FreeSearchStructure();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for FreeSearchStructure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentation */
    if ( strcmp ( argv[2], "GenerateRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create a polydata representation of the boundaries of\n the k-d tree regions.  If level equals GetLevel(), the\n leaf nodes are represented.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRepresentation(int level, vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GenerateRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentationUsingDataBoundsOn */
    if ( strcmp ( argv[2], "GenerateRepresentationUsingDataBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationUsingDataBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentationUsingDataBoundsOn */
    Tcl_DStringAppendElement ( &dString, "    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRepresentationUsingDataBoundsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GenerateRepresentationUsingDataBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateRepresentationUsingDataBoundsOff */
    if ( strcmp ( argv[2], "GenerateRepresentationUsingDataBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateRepresentationUsingDataBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateRepresentationUsingDataBoundsOff */
    Tcl_DStringAppendElement ( &dString, "    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateRepresentationUsingDataBoundsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GenerateRepresentationUsingDataBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateRepresentationUsingDataBounds */
    if ( strcmp ( argv[2], "SetGenerateRepresentationUsingDataBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateRepresentationUsingDataBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateRepresentationUsingDataBounds */
    Tcl_DStringAppendElement ( &dString, "    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateRepresentationUsingDataBounds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for SetGenerateRepresentationUsingDataBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateRepresentationUsingDataBounds */
    if ( strcmp ( argv[2], "GetGenerateRepresentationUsingDataBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateRepresentationUsingDataBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateRepresentationUsingDataBounds */
    Tcl_DStringAppendElement ( &dString, "    The polydata representation of the k-d tree shows the boundaries\n    of the k-d tree decomposition spatial regions.  The data inside\n    the regions may not occupy the entire space.  To draw just the\n    bounds of the data in the regions, set this variable ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateRepresentationUsingDataBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for GetGenerateRepresentationUsingDataBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewGeometry */
    if ( strcmp ( argv[2], "NewGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewGeometry */
    Tcl_DStringAppendElement ( &dString, "    Return 1 if the geometry of the input data sets\n    has changed since the last time the k-d tree was built.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int NewGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for NewGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InvalidateGeometry */
    if ( strcmp ( argv[2], "InvalidateGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InvalidateGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InvalidateGeometry */
    Tcl_DStringAppendElement ( &dString, " Forget about the last geometry used.  The next call to NewGeometry will\n return 1.  A new k-d tree will be built the next time BuildLocator is\n called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InvalidateGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for InvalidateGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyTree */
    if ( strcmp ( argv[2], "CopyTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkKdNode" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyTree */
    Tcl_DStringAppendElement ( &dString, "    Create a copy of the binary tree representation of the\n    k-d tree spatial partitioning provided.  \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkKdNode *CopyTree(vtkKdNode *kd);" );
    Tcl_DStringAppendElement ( &dString, "vtkKdTree" );
    /* Closing for CopyTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLocatorCppCommand(static_cast<vtkLocator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
