// java wrapper for vtkKochanekSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKochanekSpline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSpline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKochanekSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKochanekSpline",dType)) { return me; }
  if ((res= vtkSpline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKochanekSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKochanekSpline *op;
  const char    *temp20;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKochanekSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKochanekSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKochanekSpline_Compute_12(JNIEnv *env, jobject obj)
{
  vtkKochanekSpline *op;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->Compute();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKochanekSpline_Evaluate_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKochanekSpline *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Evaluate(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKochanekSpline_SetDefaultBias_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKochanekSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultBias(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKochanekSpline_GetDefaultBias_15(JNIEnv *env, jobject obj)
{
  vtkKochanekSpline *op;
  double   temp20;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultBias();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKochanekSpline_SetDefaultTension_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKochanekSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultTension(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKochanekSpline_GetDefaultTension_17(JNIEnv *env, jobject obj)
{
  vtkKochanekSpline *op;
  double   temp20;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultTension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKochanekSpline_SetDefaultContinuity_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKochanekSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultContinuity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKochanekSpline_GetDefaultContinuity_19(JNIEnv *env, jobject obj)
{
  vtkKochanekSpline *op;
  double   temp20;

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultContinuity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKochanekSpline_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKochanekSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKochanekSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKochanekSpline_VTKInit(JNIEnv *, jobject)
{
  vtkKochanekSpline *aNewOne = vtkKochanekSpline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
