// java wrapper for vtkLinearSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLinearSelector.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLinearSelector_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLinearSelector",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLinearSelector_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  const char    *temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLinearSelector_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLinearSelector *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetStartPoint_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLinearSelector *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetStartPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLinearSelector *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLinearSelector_GetStartPoint_14(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double  *temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetEndPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkLinearSelector *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetEndPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLinearSelector *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLinearSelector_GetEndPoint_17(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double  *temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEndPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetPoints_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLinearSelector *op;
  vtkPoints  *temp0;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoints(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLinearSelector_GetPoints_19(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  vtkPoints  *temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetTolerance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinearSelector *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinearSelector_GetTolerance_111(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double   temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetIncludeVertices_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkLinearSelector *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkLinearSelector_GetIncludeVertices_113(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  bool   temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_IncludeVerticesOn_114(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_IncludeVerticesOff_115(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLinearSelector_SetVertexEliminationTolerance_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkLinearSelector *op;
  double   temp0;
  temp0 = id0;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexEliminationTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinearSelector_GetVertexEliminationToleranceMinValue_117(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double   temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexEliminationToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinearSelector_GetVertexEliminationToleranceMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double   temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexEliminationToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkLinearSelector_GetVertexEliminationTolerance_119(JNIEnv *env, jobject obj)
{
  vtkLinearSelector *op;
  double   temp20;

  op = (vtkLinearSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexEliminationTolerance();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLinearSelector_VTKInit(JNIEnv *, jobject)
{
  vtkLinearSelector *aNewOne = vtkLinearSelector::New();
  return (jlong)(size_t)(void*)aNewOne;
}
