// java wrapper for vtkMolecule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMolecule.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUndirectedGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMolecule_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMolecule",dType)) { return me; }
  if ((res= vtkUndirectedGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMolecule_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  const char    *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMolecule *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfAtoms_13(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkIdType   temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfAtoms();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetNumberOfBonds_14(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkIdType   temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBonds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetAtomAtomicNumber_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  vtkIdType   temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomAtomicNumber(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomAtomicNumber_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMolecule *op;
  vtkIdType   temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomAtomicNumber(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetAtomPosition_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkMolecule *op;
  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAtomPosition(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_GetAtomPosition_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkMolecule *op;
  vtkIdType   temp0;
  float  temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->GetAtomPosition(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_SetBondOrder_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMolecule *op;
  vtkIdType   temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBondOrder(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMolecule_GetBondOrder_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  vtkIdType   temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondOrder(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMolecule_GetBondLength_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkMolecule *op;
  vtkIdType   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBondLength(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomicPositionArray_112(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkPoints  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomicPositionArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMolecule_GetAtomicNumberArray_113(JNIEnv *env, jobject obj)
{
  vtkMolecule *op;
  vtkUnsignedShortArray  *temp20;

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAtomicNumberArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopyStructure_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopyStructure_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopyStructure(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_ShallowCopyAttributes_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopyAttributes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMolecule_DeepCopyAttributes_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMolecule *op;
  vtkMolecule  *temp0;
  temp0 = (vtkMolecule *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMolecule *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopyAttributes(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMolecule_VTKInit(JNIEnv *, jobject)
{
  vtkMolecule *aNewOne = vtkMolecule::New();
  return (jlong)(size_t)(void*)aNewOne;
}
