// java wrapper for vtkMultiBlockDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiBlockDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiBlockDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiBlockDataSet",dType)) { return me; }
  if ((res= vtkCompositeDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiBlockDataSet *op;
  const char    *temp20;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockDataSet_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkMultiBlockDataSet *op;
  int      temp20;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockDataSet_SetNumberOfBlocks_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBlocks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockDataSet_GetNumberOfBlocks_14(JNIEnv *env, jobject obj)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp20;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiBlockDataSet_GetBlock_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlock(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockDataSet_SetBlock_16(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlock(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockDataSet_RemoveBlock_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlock(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockDataSet_HasMetaData_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiBlockDataSet_GetMetaData_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockDataSet *op;
   unsigned int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiBlockDataSet_GetData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiBlockDataSet *op;
  vtkInformation  *temp0;
  vtkMultiBlockDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiBlockDataSet_GetData_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkMultiBlockDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkMultiBlockDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiBlockDataSet_GetMetaData_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiBlockDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockDataSet_HasMetaData_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiBlockDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiBlockDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMultiBlockDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkMultiBlockDataSet *aNewOne = vtkMultiBlockDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
