// java wrapper for vtkMultiPieceDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiPieceDataSet.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiPieceDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiPieceDataSet",dType)) { return me; }
  if ((res= vtkCompositeDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiPieceDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiPieceDataSet *op;
  const char    *temp20;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPieceDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiPieceDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPieceDataSet_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkMultiPieceDataSet *op;
  int      temp20;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiPieceDataSet_SetNumberOfPieces_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPieceDataSet_GetNumberOfPieces_14(JNIEnv *env, jobject obj)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp20;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetPiece_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  vtkDataSet  *temp20;
  temp0 = id0;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetPieceAsDataObject_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPieceAsDataObject(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiPieceDataSet_SetPiece_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiece(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPieceDataSet_HasMetaData_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetMetaData_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiPieceDataSet *op;
   unsigned int      temp0;
  vtkInformation  *temp20;
  temp0 = id0;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiPieceDataSet *op;
  vtkInformation  *temp0;
  vtkMultiPieceDataSet  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetData_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkMultiPieceDataSet *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkMultiPieceDataSet  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiPieceDataSet_GetMetaData_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiPieceDataSet *op;
  vtkCompositeDataIterator  *temp0;
  vtkInformation  *temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMetaData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiPieceDataSet_HasMetaData_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiPieceDataSet *op;
  vtkCompositeDataIterator  *temp0;
  int      temp20;
  temp0 = (vtkCompositeDataIterator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiPieceDataSet *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMultiPieceDataSet_VTKInit(JNIEnv *, jobject)
{
  vtkMultiPieceDataSet *aNewOne = vtkMultiPieceDataSet::New();
  return (jlong)(size_t)(void*)aNewOne;
}
