// java wrapper for vtkMutableUndirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMutableUndirectedGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUndirectedGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMutableUndirectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMutableUndirectedGraph",dType)) { return me; }
  if ((res= vtkUndirectedGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMutableUndirectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMutableUndirectedGraph *op;
  const char    *temp20;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableUndirectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMutableUndirectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableUndirectedGraph_SetNumberOfVertices_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetNumberOfVertices(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableUndirectedGraph_AddVertex_13(JNIEnv *env, jobject obj)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp20;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddVertex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableUndirectedGraph_AddVertex_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableUndirectedGraph *op;
  vtkVariantArray  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddVertex(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_LazyAddVertex_15(JNIEnv *env, jobject obj)
{
  vtkMutableUndirectedGraph *op;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddVertex();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_LazyAddVertex_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableUndirectedGraph *op;
  vtkVariantArray  *temp0;
  temp0 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_LazyAddEdge_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddEdge(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_LazyAddEdge_18(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkVariantArray  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkVariantArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->LazyAddEdge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMutableUndirectedGraph_AddGraphEdge_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddGraphEdge(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_RemoveVertex_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_RemoveEdge_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableUndirectedGraph *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdge(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_RemoveVertices_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableUndirectedGraph *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertices(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableUndirectedGraph_RemoveEdges_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableUndirectedGraph *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdges(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMutableUndirectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkMutableUndirectedGraph *aNewOne = vtkMutableUndirectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
