// java wrapper for vtkOctreePointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOctreePointLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOctreePointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOctreePointLocator",dType)) { return me; }
  if ((res= vtkAbstractPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOctreePointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;
  const char    *temp20;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOctreePointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_SetMaximumPointsPerRegion_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOctreePointLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPointsPerRegion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_GetMaximumPointsPerRegion_13(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;
  int      temp20;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPointsPerRegion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_SetCreateCubicOctants_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkOctreePointLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCreateCubicOctants(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_GetCreateCubicOctants_15(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;
  int      temp20;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCreateCubicOctants();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkOctreePointLocator_GetFudgeFactor_16(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;
  double   temp20;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFudgeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_SetFudgeFactor_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkOctreePointLocator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFudgeFactor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_GetNumberOfLeafNodes_18(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;
  int      temp20;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLeafNodes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_GetRegionBounds_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkOctreePointLocator *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRegionBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_GetRegionDataBounds_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkOctreePointLocator *op;
  int      temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRegionDataBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_GetRegionContainingPoint_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkOctreePointLocator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionContainingPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_BuildLocator_112(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOctreePointLocator_FindClosestPoint_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOctreePointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_FindPointsWithinRadius_114(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jobject id2)
{
  vtkOctreePointLocator *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_FindClosestNPoints_115(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkOctreePointLocator *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOctreePointLocator_GetPointsInRegion_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkOctreePointLocator *op;
  int      temp0;
  vtkIdTypeArray  *temp20;
  temp0 = id0;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointsInRegion(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_FreeSearchStructure_117(JNIEnv *env, jobject obj)
{
  vtkOctreePointLocator *op;

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOctreePointLocator_GenerateRepresentation_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOctreePointLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOctreePointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOctreePointLocator_VTKInit(JNIEnv *, jobject)
{
  vtkOctreePointLocator *aNewOne = vtkOctreePointLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
