// java wrapper for vtkOrderedTriangulator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrderedTriangulator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOrderedTriangulator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOrderedTriangulator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOrderedTriangulator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;
  const char    *temp20;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOrderedTriangulator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_InitTriangulation_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jint id6)
{
  vtkOrderedTriangulator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_InitTriangulation_13(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkOrderedTriangulator *op;
  double temp0[6];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp1 = id1;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTriangulation(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_InsertPoint_14(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jdoubleArray id2,jint id3)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp3;
  vtkIdType   temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp3 = id3;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertPoint(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_InsertPoint_15(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2,jdoubleArray id3,jint id4)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  int      temp4;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp4 = id4;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertPoint(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_InsertPoint_16(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jdoubleArray id3,jdoubleArray id4,jint id5)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[3];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  int      temp5;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  temp5 = id5;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertPoint(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_Triangulate_17(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->Triangulate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_TemplateTriangulate_18(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->TemplateTriangulate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_UpdatePointType_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdatePointType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetPointId_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointId(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetNumberOfPoints_111(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;
  int      temp20;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_SetUseTemplates_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseTemplates(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetUseTemplates_113(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;
  int      temp20;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseTemplates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_UseTemplatesOn_114(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTemplatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_UseTemplatesOff_115(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTemplatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_SetPreSorted_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreSorted(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetPreSorted_117(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;
  int      temp20;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreSorted();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_PreSortedOn_118(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->PreSortedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_PreSortedOff_119(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->PreSortedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_SetUseTwoSortIds_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseTwoSortIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetUseTwoSortIds_121(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;
  int      temp20;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseTwoSortIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_UseTwoSortIdsOn_122(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTwoSortIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_UseTwoSortIdsOff_123(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTwoSortIdsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetTetras_124(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTetras(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTetras_125(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkUnstructuredGrid *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTetras(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTetras_126(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkCellArray  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTetras(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTetras_127(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jint id6,jobject id7)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkIncrementalPointLocator  *temp1;
  vtkCellArray  *temp2;
  vtkPointData  *temp3;
  vtkPointData  *temp4;
  vtkCellData  *temp5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = id6;
  temp7 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id7));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTetras_128(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTetras(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTriangles_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOrderedTriangulator *op;
  vtkCellArray  *temp0;
  vtkIdType   temp20;
  temp0 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTriangles(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_AddTriangles_130(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOrderedTriangulator *op;
  vtkIdType   temp0;
  vtkCellArray  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddTriangles(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOrderedTriangulator_InitTetraTraversal_131(JNIEnv *env, jobject obj)
{
  vtkOrderedTriangulator *op;

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTetraTraversal();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOrderedTriangulator_GetNextTetra_132(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2,jobject id3)
{
  vtkOrderedTriangulator *op;
  int      temp0;
  vtkTetra  *temp1;
  vtkDataArray  *temp2;
  vtkDoubleArray  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkTetra *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkOrderedTriangulator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextTetra(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOrderedTriangulator_VTKInit(JNIEnv *, jobject)
{
  vtkOrderedTriangulator *aNewOne = vtkOrderedTriangulator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
