// tcl wrapper for vtkOrderedTriangulator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrderedTriangulator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOrderedTriangulatorNewCommand()
{
  vtkOrderedTriangulator *temp = vtkOrderedTriangulator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOrderedTriangulatorCppCommand(vtkOrderedTriangulator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOrderedTriangulatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOrderedTriangulatorCppCommand(static_cast<vtkOrderedTriangulator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOrderedTriangulatorCppCommand(vtkOrderedTriangulator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOrderedTriangulator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOrderedTriangulator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderedTriangulator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOrderedTriangulator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderedTriangulator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOrderedTriangulator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderedTriangulator");
    return TCL_OK;
    }
  if ((!strcmp("InitTriangulation",argv[1]))&&(argc == 9))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp6;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 2))
    {
    op->Triangulate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TemplateTriangulate",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->TemplateTriangulate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePointType",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdatePointType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTemplates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTemplates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTemplates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTemplates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseTemplatesOn",argv[1]))&&(argc == 2))
    {
    op->UseTemplatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTemplatesOff",argv[1]))&&(argc == 2))
    {
    op->UseTemplatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPreSorted",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreSorted(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreSorted",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreSorted();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreSortedOn",argv[1]))&&(argc == 2))
    {
    op->PreSortedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreSortedOff",argv[1]))&&(argc == 2))
    {
    op->PreSortedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTwoSortIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTwoSortIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTwoSortIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTwoSortIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseTwoSortIdsOn",argv[1]))&&(argc == 2))
    {
    op->UseTwoSortIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTwoSortIdsOff",argv[1]))&&(argc == 2))
    {
    op->UseTwoSortIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkUnstructuredGrid  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkUnstructuredGrid  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkCellArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 10))
    {
    int      temp0;
    vtkIncrementalPointLocator  *temp1;
    vtkCellArray  *temp2;
    vtkPointData  *temp3;
    vtkPointData  *temp4;
    vtkCellData  *temp5;
    vtkIdType   temp6;
    vtkCellData  *temp7;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    temp2 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkCellArray"),interp,error));
    temp3 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPointData"),interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPointData"),interp,error));
    temp5 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkCellData"),interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkCellData"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkPoints  *temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdList"),interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriangles",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTriangles(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriangles",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkCellArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCellArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddTriangles(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitTetraTraversal",argv[1]))&&(argc == 2))
    {
    op->InitTetraTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNextTetra",argv[1]))&&(argc == 6))
    {
    int      temp0;
    vtkTetra  *temp1;
    vtkDataArray  *temp2;
    vtkDoubleArray  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkTetra *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTetra"),interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataArray"),interp,error));
    temp3 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkDoubleArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetNextTetra(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOrderedTriangulatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOrderedTriangulator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  InitTriangulation\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\n",NULL);
    Tcl_AppendResult(interp,"  TemplateTriangulate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePointType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTemplates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTemplates\n",NULL);
    Tcl_AppendResult(interp,"  UseTemplatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTemplatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPreSorted\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreSorted\n",NULL);
    Tcl_AppendResult(interp,"  PreSortedOn\n",NULL);
    Tcl_AppendResult(interp,"  PreSortedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTwoSortIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTwoSortIds\n",NULL);
    Tcl_AppendResult(interp,"  UseTwoSortIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTwoSortIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTriangles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddTriangles\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InitTetraTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetNextTetra\t with 4 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "InitTriangulation" );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    Tcl_DStringAppendElement ( &dString, "TemplateTriangulate" );
    Tcl_DStringAppendElement ( &dString, "UpdatePointType" );
    Tcl_DStringAppendElement ( &dString, "GetPointId" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetUseTemplates" );
    Tcl_DStringAppendElement ( &dString, "GetUseTemplates" );
    Tcl_DStringAppendElement ( &dString, "UseTemplatesOn" );
    Tcl_DStringAppendElement ( &dString, "UseTemplatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetPreSorted" );
    Tcl_DStringAppendElement ( &dString, "GetPreSorted" );
    Tcl_DStringAppendElement ( &dString, "PreSortedOn" );
    Tcl_DStringAppendElement ( &dString, "PreSortedOff" );
    Tcl_DStringAppendElement ( &dString, "SetUseTwoSortIds" );
    Tcl_DStringAppendElement ( &dString, "GetUseTwoSortIds" );
    Tcl_DStringAppendElement ( &dString, "UseTwoSortIdsOn" );
    Tcl_DStringAppendElement ( &dString, "UseTwoSortIdsOff" );
    Tcl_DStringAppendElement ( &dString, "GetTetras" );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    Tcl_DStringAppendElement ( &dString, "AddTriangles" );
    Tcl_DStringAppendElement ( &dString, "AddTriangles" );
    Tcl_DStringAppendElement ( &dString, "InitTetraTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetNextTetra" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOrderedTriangulator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTriangulation */
    if ( strcmp ( argv[2], "InitTriangulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTriangulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTriangulation */
    Tcl_DStringAppendElement ( &dString, " Initialize the triangulation process. Provide a bounding box and\n the maximum number of points to be inserted. Note that since the\n triangulation is performed using parametric coordinates (see\n InsertPoint()) the bounds should be represent the range of the\n parametric coordinates inserted.\n \\post no_point_inserted: GetNumberOfPoints()==0\n" );
    Tcl_DStringAppendElement ( &dString, "void InitTriangulation(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, int numPts);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for InitTriangulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Triangulate */
    if ( strcmp ( argv[2], "Triangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Triangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Triangulate */
    Tcl_DStringAppendElement ( &dString, " Perform the triangulation. (Complete all calls to InsertPoint() prior\n to invoking this method.) A special version is available when templates\n should be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void Triangulate();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for Triangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TemplateTriangulate */
    if ( strcmp ( argv[2], "TemplateTriangulate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TemplateTriangulate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TemplateTriangulate */
    Tcl_DStringAppendElement ( &dString, " Perform the triangulation. (Complete all calls to InsertPoint() prior\n to invoking this method.) A special version is available when templates\n should be used.\n" );
    Tcl_DStringAppendElement ( &dString, "void TemplateTriangulate(int cellType, int numPts, int numEdges);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for TemplateTriangulate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePointType */
    if ( strcmp ( argv[2], "UpdatePointType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePointType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePointType */
    Tcl_DStringAppendElement ( &dString, " Update the point type. This is useful when the merging of nearly \n coincident points is performed. The id is the internal id returned\n from InsertPoint(). The method should be invoked prior to the\n Triangulate method. The type is specified as inside (type=0), \n outside (type=1), or on the boundary (type=2).\n \\pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePointType(vtkIdType internalId, int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for UpdatePointType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointId */
    if ( strcmp ( argv[2], "GetPointId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointId */
    Tcl_DStringAppendElement ( &dString, " Return the Id of point `internalId'. This id is the one passed in\n argument of InsertPoint.\n It assumes that the point has already been inserted.\n The method should be invoked prior to the Triangulate method.\n \\pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointId(vtkIdType internalId);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetPointId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPoints */
    if ( strcmp ( argv[2], "GetNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Return the number of inserted points.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseTemplates */
    if ( strcmp ( argv[2], "SetUseTemplates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTemplates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTemplates */
    Tcl_DStringAppendElement ( &dString, " If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseTemplates(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for SetUseTemplates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseTemplates */
    if ( strcmp ( argv[2], "GetUseTemplates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTemplates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTemplates */
    Tcl_DStringAppendElement ( &dString, " If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseTemplates();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetUseTemplates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTemplatesOn */
    if ( strcmp ( argv[2], "UseTemplatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTemplatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTemplatesOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTemplatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for UseTemplatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTemplatesOff */
    if ( strcmp ( argv[2], "UseTemplatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTemplatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTemplatesOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTemplatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for UseTemplatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreSorted */
    if ( strcmp ( argv[2], "SetPreSorted" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreSorted" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreSorted */
    Tcl_DStringAppendElement ( &dString, " Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreSorted(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for SetPreSorted */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreSorted */
    if ( strcmp ( argv[2], "GetPreSorted" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreSorted" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreSorted */
    Tcl_DStringAppendElement ( &dString, " Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreSorted();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetPreSorted */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreSortedOn */
    if ( strcmp ( argv[2], "PreSortedOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreSortedOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreSortedOn */
    Tcl_DStringAppendElement ( &dString, " Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n" );
    Tcl_DStringAppendElement ( &dString, "void PreSortedOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for PreSortedOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreSortedOff */
    if ( strcmp ( argv[2], "PreSortedOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreSortedOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreSortedOff */
    Tcl_DStringAppendElement ( &dString, " Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n" );
    Tcl_DStringAppendElement ( &dString, "void PreSortedOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for PreSortedOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseTwoSortIds */
    if ( strcmp ( argv[2], "SetUseTwoSortIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTwoSortIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTwoSortIds */
    Tcl_DStringAppendElement ( &dString, " Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseTwoSortIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for SetUseTwoSortIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseTwoSortIds */
    if ( strcmp ( argv[2], "GetUseTwoSortIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTwoSortIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTwoSortIds */
    Tcl_DStringAppendElement ( &dString, " Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseTwoSortIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetUseTwoSortIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTwoSortIdsOn */
    if ( strcmp ( argv[2], "UseTwoSortIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTwoSortIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTwoSortIdsOn */
    Tcl_DStringAppendElement ( &dString, " Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTwoSortIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for UseTwoSortIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseTwoSortIdsOff */
    if ( strcmp ( argv[2], "UseTwoSortIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseTwoSortIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseTwoSortIdsOff */
    Tcl_DStringAppendElement ( &dString, " Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseTwoSortIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for UseTwoSortIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTetras */
    if ( strcmp ( argv[2], "GetTetras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTetras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTetras */
    Tcl_DStringAppendElement ( &dString, " Initialize and add the tetras and points from the triangulation to the\n unstructured grid provided.  New points are created and the mesh is\n allocated. (This method differs from AddTetras() in that it inserts\n points and cells; AddTetras only adds the tetra cells.) The tetrahdera\n added are of the type specified (0=inside,1=outside,2=all). Inside\n tetrahedron are those whose points are classified \"inside\" or on the\n \"boundary.\"  Outside tetrahedron have at least o ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTetras(int classification, vtkUnstructuredGrid *ugrid);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetTetras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTetras */
    if ( strcmp ( argv[2], "AddTetras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTetras */
    Tcl_DStringAppendElement ( &dString, " Add the tetras to the unstructured grid provided. The unstructured\n grid is assumed to have been initialized (with Allocate()) and\n points set (with SetPoints()). The tetrahdera added are of the type\n specified (0=inside,1=outside,2=all). Inside tetrahedron are \n those whose points are classified \"inside\" or on the \"boundary.\" \n Outside tetrahedron have at least one point classified \"outside.\" \n The method returns the number of tetrahedrahedron of the type \n re ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTetras(int classification, vtkUnstructuredGrid *ugrid);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTetras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTetras */
    if ( strcmp ( argv[2], "AddTetras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTetras */
    Tcl_DStringAppendElement ( &dString, " Add the tetrahedra classified (0=inside,1=outside) to the connectivity\n list provided. Inside tetrahedron are those whose points are all\n classified \"inside.\" Outside tetrahedron have at least one point\n classified \"outside.\" The method returns the number of tetrahedron\n of the type requested.    \n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTetras(int classification, vtkCellArray *connectivity);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTetras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTetras */
    if ( strcmp ( argv[2], "AddTetras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTetras */
    Tcl_DStringAppendElement ( &dString, " Assuming that all the inserted points come from a cell `cellId' to\n triangulate, get the tetrahedra in outConnectivity, the points in locator\n and copy point data and cell data. Return the number of added tetras.\n \\pre locator_exists: locator!=0\n \\pre outConnectivity: outConnectivity!=0\n \\pre inPD_exists: inPD!=0\n \\pre outPD_exists:  outPD!=0\n \\pre inCD_exists: inCD!=0\n \\pre outCD_exists: outCD!=0\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTetras(int classification, vtkIncrementalPointLocator *locator, vtkCellArray *outConnectivity, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTetras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTetras */
    if ( strcmp ( argv[2], "AddTetras" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTetras" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTetras */
    Tcl_DStringAppendElement ( &dString, " Add the tetrahedra classified (0=inside,1=outside) to the list\n of ids and coordinates provided. These assume that the first four points\n form a tetrahedron, the next four the next, and so on.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTetras(int classification, vtkIdList *ptIds, vtkPoints *pts);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTetras */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTriangles */
    if ( strcmp ( argv[2], "AddTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTriangles */
    Tcl_DStringAppendElement ( &dString, " Add the triangle faces classified (2=boundary) to the connectivity\n list provided. The method returns the number of triangles.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTriangles(vtkCellArray *connectivity);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTriangles */
    if ( strcmp ( argv[2], "AddTriangles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTriangles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkCellArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTriangles */
    Tcl_DStringAppendElement ( &dString, " Add the triangle faces classified (2=boundary) and attached to the\n specified point id to the connectivity list provided. (The id is the\n same as that specified in InsertPoint().)  \n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType AddTriangles(vtkIdType id, vtkCellArray *connectivity);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for AddTriangles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTetraTraversal */
    if ( strcmp ( argv[2], "InitTetraTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTetraTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTetraTraversal */
    Tcl_DStringAppendElement ( &dString, " Methods to get one tetra at a time. Start with InitTetraTraversal()\n and then invoke GetNextTetra() until the method returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitTetraTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for InitTetraTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNextTetra */
    if ( strcmp ( argv[2], "GetNextTetra" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNextTetra" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkTetra" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNextTetra */
    Tcl_DStringAppendElement ( &dString, " Methods to get one tetra at a time. Start with InitTetraTraversal()\n and then invoke GetNextTetra() until the method returns 0.\n cellScalars are point-centered scalars on the original cell.\n tetScalars are point-centered scalars on the tetra: the values will be\n copied from cellScalars.\n \\pre tet_exists: tet!=0\n \\pre cellScalars_exists: cellScalars!=0\n \\pre tetScalars_exists: tetScalars!=0\n \\pre tetScalars_valid_size: tetScalars->GetNumberOfTuples()==4\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNextTetra(int classification, vtkTetra *tet, vtkDataArray *cellScalars, vtkDoubleArray *tetScalars);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderedTriangulator" );
    /* Closing for GetNextTetra */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
