// java wrapper for vtkPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointLocator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkIncrementalPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointLocator",dType)) { return me; }
  if ((res= vtkIncrementalPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  const char    *temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_SetDivisions_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkPointLocator *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_SetDivisions_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkPointLocator *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDivisions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointLocator_GetDivisions_14(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  int     *temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDivisions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_SetNumberOfPointsPerBucket_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointLocator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPointsPerBucket(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_GetNumberOfPointsPerBucketMinValue_16(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  int      temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBucketMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_GetNumberOfPointsPerBucketMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  int      temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBucketMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_GetNumberOfPointsPerBucket_18(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  int      temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsPerBucket();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_FindClosestPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_InitPointInsertion_110(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPointLocator *op;
  vtkPoints  *temp0;
  double temp1[6];
  void *tempArray1;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitPointInsertion(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_InitPointInsertion_111(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jint id2)
{
  vtkPointLocator *op;
  vtkPoints  *temp0;
  double temp1[6];
  void *tempArray1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp2 = id2;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InitPointInsertion(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_InsertPoint_112(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkPointLocator *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_InsertNextPoint_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsertNextPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_IsInsertedPoint_114(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPointLocator *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_IsInsertedPoint_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInsertedPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointLocator_FindClosestInsertedPoint_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointLocator *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindClosestInsertedPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_FindClosestNPoints_117(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkPointLocator *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindClosestNPoints(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_FindDistributedPoints_118(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2,jint id3)
{
  vtkPointLocator *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp3;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = id3;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindDistributedPoints(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_FindDistributedPoints_119(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jobject id4,jint id5)
{
  vtkPointLocator *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = id5;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindDistributedPoints(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_FindPointsWithinRadius_120(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jobject id2)
{
  vtkPointLocator *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FindPointsWithinRadius(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointLocator_GetPointsInBucket_121(JNIEnv *env, jobject obj,jdoubleArray id0,jintArray id1)
{
  vtkPointLocator *op;
  double temp0[3];
  void *tempArray0;
  int    temp1[3];
  void *tempArray1;
  vtkIdList  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointsInBucket(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPointLocator_GetPoints_122(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;
  vtkPoints  *temp20;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_Initialize_123(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_FreeSearchStructure_124(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_BuildLocator_125(JNIEnv *env, jobject obj)
{
  vtkPointLocator *op;

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointLocator_GenerateRepresentation_126(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPointLocator *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointLocator_VTKInit(JNIEnv *, jobject)
{
  vtkPointLocator *aNewOne = vtkPointLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
