// java wrapper for vtkPolyDataAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataAlgorithm *op;
  const char    *temp20;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkPolyDataAlgorithm *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataAlgorithm *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataAlgorithm_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetInput_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataAlgorithm_GetPolyDataInput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataAlgorithm *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataAlgorithm_SetInput_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataAlgorithm_SetInput_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyDataAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataAlgorithm_AddInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataAlgorithm_AddInput_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPolyDataAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyDataAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataAlgorithm *aNewOne = vtkPolyDataAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
