// java wrapper for vtkPolygon object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygon.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolygon_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolygon",dType)) { return me; }
  if ((res= vtkCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolygon_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  const char    *temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolygon *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetCellDimension_13(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetNumberOfEdges_14(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_GetNumberOfFaces_15(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygon_GetEdge_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolygon *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolygon_GetFace_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolygon *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_CellBoundary_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkPolygon *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkPolygon *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_Clip_110(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkPolygon *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_Triangulate_111(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkPolygon *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_IsPrimaryCell_112(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  int      temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPrimaryCell();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPolygon_ComputeArea_113(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  double   temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeArea();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_ComputeNormal_114(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1)
{
  vtkPolygon *op;
  vtkPoints  *temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormal(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_ComputeNormal_115(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2)
{
  vtkPolygon *op;
  vtkIdTypeArray  *temp0;
  vtkPoints  *temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormal(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_ComputeCentroid_116(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2)
{
  vtkPolygon *op;
  vtkIdTypeArray  *temp0;
  vtkPoints  *temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeCentroid(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_Triangulate_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygon *op;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_NonDegenerateTriangulate_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolygon *op;
  vtkIdList  *temp0;
  int      temp20;
  temp0 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NonDegenerateTriangulate(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolygon_IntersectConvex2DCells_119(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdouble id2,jdoubleArray id3,jdoubleArray id4)
{
  vtkPolygon *op;
  vtkCell  *temp0;
  vtkCell  *temp1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  int      temp20;
  temp0 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCell *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectConvex2DCells(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPolygon_GetUseMVCInterpolation_120(JNIEnv *env, jobject obj)
{
  vtkPolygon *op;
  bool   temp20;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseMVCInterpolation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolygon_SetUseMVCInterpolation_121(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPolygon *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPolygon *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseMVCInterpolation(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolygon_VTKInit(JNIEnv *, jobject)
{
  vtkPolygon *aNewOne = vtkPolygon::New();
  return (jlong)(size_t)(void*)aNewOne;
}
