// java wrapper for vtkPolyhedron object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyhedron.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCell3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyhedron_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyhedron",dType)) { return me; }
  if ((res= vtkCell3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyhedron_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  const char    *temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyhedron *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_RequiresInitialization_13(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequiresInitialization();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyhedron_Initialize_14(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_GetNumberOfEdges_15(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyhedron_GetEdge_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyhedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_GetNumberOfFaces_17(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyhedron_GetFace_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyhedron *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyhedron_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkPolyhedron *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyhedron_Clip_110(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkPolyhedron *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_Triangulate_111(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkPolyhedron *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_CellBoundary_112(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkPolyhedron *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_GetParametricCenter_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyhedron *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParametricCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_IsPrimaryCell_114(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPrimaryCell();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_RequiresExplicitFaceRepresentation_115(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  int      temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequiresExplicitFaceRepresentation();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyhedron_IsInside_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdouble id1)
{
  vtkPolyhedron *op;
  double temp0[3];
  void *tempArray0;
  double   temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsInside(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyhedron_GetPolyData_117(JNIEnv *env, jobject obj)
{
  vtkPolyhedron *op;
  vtkPolyData  *temp20;

  op = (vtkPolyhedron *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyhedron_VTKInit(JNIEnv *, jobject)
{
  vtkPolyhedron *aNewOne = vtkPolyhedron::New();
  return (jlong)(size_t)(void*)aNewOne;
}
