// java wrapper for vtkProcessObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcessObject.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProcessObject_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProcessObject",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProcessObject_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProcessObject *op;
  const char    *temp20;

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcessObject_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProcessObject *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcessObject_GetNumberOfInputs_12(JNIEnv *env, jobject obj)
{
  vtkProcessObject *op;
  int      temp20;

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfInputs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_SqueezeInputArray_13(JNIEnv *env, jobject obj)
{
  vtkProcessObject *op;

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SqueezeInputArray();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_RemoveAllInputs_14(JNIEnv *env, jobject obj)
{
  vtkProcessObject *op;

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllInputs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_SetInputConnection_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProcessObject *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_SetInputConnection_16(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkProcessObject *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_AddInputConnection_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkProcessObject *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_AddInputConnection_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProcessObject *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_RemoveInputConnection_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkProcessObject *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_SetNthInputConnection_110(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkProcessObject *op;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNthInputConnection(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcessObject_SetNumberOfInputConnections_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkProcessObject *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkProcessObject *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfInputConnections(temp0,temp1);
}
