// java wrapper for vtkQuadraticEdge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadraticEdge.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkNonLinearCell_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuadraticEdge_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuadraticEdge",dType)) { return me; }
  if ((res= vtkNonLinearCell_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuadraticEdge_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuadraticEdge *op;
  const char    *temp20;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuadraticEdge *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_GetCellType_12(JNIEnv *env, jobject obj)
{
  vtkQuadraticEdge *op;
  int      temp20;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_GetCellDimension_13(JNIEnv *env, jobject obj)
{
  vtkQuadraticEdge *op;
  int      temp20;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellDimension();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_GetNumberOfEdges_14(JNIEnv *env, jobject obj)
{
  vtkQuadraticEdge *op;
  int      temp20;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_GetNumberOfFaces_15(JNIEnv *env, jobject obj)
{
  vtkQuadraticEdge *op;
  int      temp20;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQuadraticEdge_GetEdge_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadraticEdge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdge(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkQuadraticEdge_GetFace_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuadraticEdge *op;
  int      temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFace(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_CellBoundary_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jobject id2)
{
  vtkQuadraticEdge *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  vtkIdList  *temp2;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CellBoundary(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_Contour_19(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jobject id7,jobject id8,jint id9,jobject id10)
{
  vtkQuadraticEdge *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkCellArray  *temp4;
  vtkCellArray  *temp5;
  vtkPointData  *temp6;
  vtkPointData  *temp7;
  vtkCellData  *temp8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id7));
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;
  temp10 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id10));

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_Triangulate_110(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkQuadraticEdge *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkPoints  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Triangulate(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_Clip_111(JNIEnv *env, jobject obj,jdouble id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5,jobject id6,jint id7,jobject id8,jint id9)
{
  vtkQuadraticEdge *op;
  double   temp0;
  vtkDataArray  *temp1;
  vtkIncrementalPointLocator  *temp2;
  vtkCellArray  *temp3;
  vtkPointData  *temp4;
  vtkPointData  *temp5;
  vtkCellData  *temp6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  int      temp9;
  temp0 = id0;
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIncrementalPointLocator *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkPointData *)(vtkJavaGetPointerFromObject(env,id5));
  temp6 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id6));
  temp7 = id7;
  temp8 = (vtkCellData *)(vtkJavaGetPointerFromObject(env,id8));
  temp9 = id9;

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuadraticEdge_GetParametricCenter_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkQuadraticEdge *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParametricCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_InterpolationFunctions_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuadraticEdge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_InterpolationDerivs_114(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuadraticEdge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolationDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_InterpolateFunctions_115(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuadraticEdge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateFunctions(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuadraticEdge_InterpolateDerivs_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkQuadraticEdge *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkQuadraticEdge *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateDerivs(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuadraticEdge_VTKInit(JNIEnv *, jobject)
{
  vtkQuadraticEdge *aNewOne = vtkQuadraticEdge::New();
  return (jlong)(size_t)(void*)aNewOne;
}
