// java wrapper for vtkSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelection.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelection",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  const char    *temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
  int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetNumberOfNodes_14(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
   unsigned int      temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNodes();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetNode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
   unsigned int      temp0;
  vtkSelectionNode  *temp20;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNode(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_AddNode_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelectionNode  *temp0;
  temp0 = (vtkSelectionNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->AddNode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveNode_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelection *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveNode_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelectionNode  *temp0;
  temp0 = (vtkSelectionNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_RemoveAllNodes_19(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllNodes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_DeepCopy_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_ShallowCopy_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Union_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Union(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Union_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelectionNode  *temp0;
  temp0 = (vtkSelectionNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Union(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Subtract_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Subtract(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Subtract_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkSelectionNode  *temp0;
  temp0 = (vtkSelectionNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Subtract(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelection_GetMTime_116(JNIEnv *env, jobject obj)
{
  vtkSelection *op;
   unsigned long     temp20;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelection_Dump_117(JNIEnv *env, jobject obj)
{
  vtkSelection *op;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->Dump();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetData_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSelection *op;
  vtkInformation  *temp0;
  vtkSelection  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSelection_GetData_119(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkSelection *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkSelection  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelection_VTKInit(JNIEnv *, jobject)
{
  vtkSelection *aNewOne = vtkSelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
