// java wrapper for vtkSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSpline",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  const char    *temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetParametricRange_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkSpline *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParametricRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetParametricRange_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSpline *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParametricRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_GetParametricRange_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSpline *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->GetParametricRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetClampValue_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClampValue(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetClampValue_16(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClampValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_ClampValueOn_17(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampValueOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_ClampValueOff_18(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClampValueOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_Compute_19(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->Compute();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSpline_Evaluate_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSpline *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Evaluate(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetNumberOfPoints_111(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_AddPoint_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkSpline *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->AddPoint(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_RemovePoint_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->RemovePoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_RemoveAllPoints_114(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetClosed_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetClosed_116(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClosed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_ClosedOn_117(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_ClosedOff_118(JNIEnv *env, jobject obj)
{
  vtkSpline *op;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->ClosedOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetLeftConstraint_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetLeftConstraintMinValue_120(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetLeftConstraintMaxValue_121(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetLeftConstraint_122(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetRightConstraint_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkSpline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightConstraint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetRightConstraintMinValue_124(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraintMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetRightConstraintMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraintMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetRightConstraint_126(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  int      temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightConstraint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetLeftValue_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeftValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSpline_GetLeftValue_128(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  double   temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_SetRightValue_129(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRightValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSpline_GetRightValue_130(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
  double   temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRightValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSpline_GetMTime_131(JNIEnv *env, jobject obj)
{
  vtkSpline *op;
   unsigned long     temp20;

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSpline_DeepCopy_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}
