// java wrapper for vtkStructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredGrid",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  const char    *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int      temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_CopyStructure_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetNumberOfPoints_14(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  vtkIdType   temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStructuredGrid_GetPoint_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetPoint_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGrid_GetCell_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetCell_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetCellBounds_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetCellType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetNumberOfCells_111(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  vtkIdType   temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetCellPoints_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetPointCells_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_Initialize_114(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetMaxCellSize_115(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int      temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetCellNeighbors_116(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetScalarRange_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStructuredGrid *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStructuredGrid_GetScalarRange_118(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  double  *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetDimensions_119(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkStructuredGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetDimensions_120(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStructuredGrid *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStructuredGrid_GetDimensions_121(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int     *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetDimensions_122(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStructuredGrid *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetDataDimension_123(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int      temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataDimension();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetExtent_124(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkStructuredGrid *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetExtent_125(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkStructuredGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStructuredGrid_GetExtent_126(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int     *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetActualMemorySize_127(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
   unsigned long     temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_ShallowCopy_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_DeepCopy_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetExtentType_130(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  int      temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_BlankPoint_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->BlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_UnBlankPoint_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->UnBlankPoint(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_BlankCell_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->BlankCell(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_UnBlankCell_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->UnBlankCell(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGrid_GetPointVisibilityArray_135(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointVisibilityArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetPointVisibilityArray_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointVisibilityArray(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGrid_GetCellVisibilityArray_137(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellVisibilityArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_SetCellVisibilityArray_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkUnsignedCharArray  *temp0;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCellVisibilityArray(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_IsPointVisible_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsPointVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_IsCellVisible_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGrid *op;
  vtkIdType   temp0;
   unsigned char     temp20;
  temp0 = id0;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsCellVisible(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetPointBlanking_141(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
   unsigned char     temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointBlanking();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGrid_GetCellBlanking_142(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;
   unsigned char     temp20;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellBlanking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_Crop_143(JNIEnv *env, jobject obj)
{
  vtkStructuredGrid *op;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->Crop();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGrid_GetData_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGrid *op;
  vtkInformation  *temp0;
  vtkStructuredGrid  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGrid_GetData_145(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkStructuredGrid *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkStructuredGrid  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGrid_GetPoint_146(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jdoubleArray id3,jboolean id4)
{
  vtkStructuredGrid *op;
  int      temp0;
  int      temp1;
  int      temp2;
  double temp3[3];
  void *tempArray3;
  bool   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp4 = (id4 != 0) ? true : false;

  op = (vtkStructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStructuredGrid_VTKInit(JNIEnv *, jobject)
{
  vtkStructuredGrid *aNewOne = vtkStructuredGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
