// java wrapper for vtkSuperquadric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSuperquadric.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImplicitFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSuperquadric_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSuperquadric",dType)) { return me; }
  if ((res= vtkImplicitFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSuperquadric_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  const char    *temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadric_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSuperquadric *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_EvaluateFunction_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSuperquadric *op;
  double temp0[3];
  void *tempArray0;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_EvaluateFunction_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSuperquadric *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EvaluateFunction(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_EvaluateGradient_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkSuperquadric *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->EvaluateGradient(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetCenter_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSuperquadric *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetCenter_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSuperquadric *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSuperquadric_GetCenter_17(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double  *temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetScale_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSuperquadric *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetScale_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSuperquadric *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSuperquadric_GetScale_110(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double  *temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetThickness_111(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetThickness_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetThicknessMinValue_113(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetThicknessMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetPhiRoundness_115(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiRoundness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetPhiRoundness_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiRoundness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetThetaRoundness_117(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaRoundness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetThetaRoundness_118(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThetaRoundness(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetSize_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadric *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadric_GetSize_120(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  double   temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_ToroidalOn_121(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->ToroidalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_ToroidalOff_122(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->ToroidalOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadric_GetToroidal_123(JNIEnv *env, jobject obj)
{
  vtkSuperquadric *op;
  int      temp20;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToroidal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadric_SetToroidal_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSuperquadric *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSuperquadric *)vtkJavaGetPointerFromObject(env,obj);
  op->SetToroidal(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSuperquadric_VTKInit(JNIEnv *, jobject)
{
  vtkSuperquadric *aNewOne = vtkSuperquadric::New();
  return (jlong)(size_t)(void*)aNewOne;
}
