// java wrapper for vtkThreadedStreamingPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreadedStreamingPipeline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataPipeline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkThreadedStreamingPipeline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkThreadedStreamingPipeline",dType)) { return me; }
  if ((res= vtkCompositeDataPipeline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkThreadedStreamingPipeline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;
  const char    *temp20;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedStreamingPipeline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkThreadedStreamingPipeline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkThreadedStreamingPipeline_AUTO_1PROPAGATE_12(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AUTO_PROPAGATE();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkThreadedStreamingPipeline_EXTRA_1INFORMATION_13(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EXTRA_INFORMATION();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_SetMultiThreadedEnabled_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkThreadedStreamingPipeline *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMultiThreadedEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_SetAutoPropagatePush_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkThreadedStreamingPipeline *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoPropagatePush(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutiveCollection  *temp0;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutiveCollection  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutiveCollection  *temp0;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutiveCollection  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutiveCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_111(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutive  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutive  *temp0;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_113(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkThreadedStreamingPipeline *op;
  vtkExecutive  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkExecutive *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_114(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Pull_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Pull(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_116(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_Push_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkThreadedStreamingPipeline *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->Push(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_ReleaseInputs_118(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseInputs();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkThreadedStreamingPipeline_ForceUpdateData_119(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkThreadedStreamingPipeline *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ForceUpdateData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkThreadedStreamingPipeline_UpdateRequestDataTimeFromSource_120(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateRequestDataTimeFromSource();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkThreadedStreamingPipeline_GetResources_121(JNIEnv *env, jobject obj)
{
  vtkThreadedStreamingPipeline *op;
  vtkComputingResources  *temp20;

  op = (vtkThreadedStreamingPipeline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResources();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkThreadedStreamingPipeline_VTKInit(JNIEnv *, jobject)
{
  vtkThreadedStreamingPipeline *aNewOne = vtkThreadedStreamingPipeline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
