// java wrapper for vtkTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectedAcyclicGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTree",dType)) { return me; }
  if ((res= vtkDirectedAcyclicGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTree *op;
  const char    *temp20;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkTree *op;
  int      temp20;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetRoot_13(JNIEnv *env, jobject obj)
{
  vtkTree *op;
  vtkIdType   temp20;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRoot();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetNumberOfChildren_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfChildren(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetChild_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChild(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTree_GetChildren_16(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkAdjacentVertexIterator  *temp1;
  temp0 = id0;
  temp1 = (vtkAdjacentVertexIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GetChildren(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetParent_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTree_GetLevel_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevel(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTree_IsLeaf_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkTree *op;
  vtkIdType   temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLeaf(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTree_GetData_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTree *op;
  vtkInformation  *temp0;
  vtkTree  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTree_GetData_111(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkTree *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkTree  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTree_ReorderChildren_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTree *op;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ReorderChildren(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTree_VTKInit(JNIEnv *, jobject)
{
  vtkTree *aNewOne = vtkTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
