// java wrapper for vtkUndirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUndirectedGraph.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraph_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUndirectedGraph_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUndirectedGraph",dType)) { return me; }
  if ((res= vtkGraph_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUndirectedGraph_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUndirectedGraph *op;
  const char    *temp20;

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUndirectedGraph_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUndirectedGraph *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUndirectedGraph_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkUndirectedGraph *op;
  int      temp20;

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUndirectedGraph_GetInDegree_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInDegree(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUndirectedGraph_GetInEdge_14(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkUndirectedGraph *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkGraphEdge *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInEdge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUndirectedGraph_GetData_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUndirectedGraph *op;
  vtkInformation  *temp0;
  vtkUndirectedGraph  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUndirectedGraph_GetData_16(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkUndirectedGraph *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkUndirectedGraph  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUndirectedGraph_GetInEdges_17(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUndirectedGraph *op;
  vtkIdType   temp0;
  vtkInEdgeIterator  *temp1;
  temp0 = id0;
  temp1 = (vtkInEdgeIterator *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  op->GetInEdges(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkUndirectedGraph_IsStructureValid_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUndirectedGraph *op;
  vtkGraph  *temp0;
  bool   temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUndirectedGraph *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsStructureValid(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUndirectedGraph_VTKInit(JNIEnv *, jobject)
{
  vtkUndirectedGraph *aNewOne = vtkUndirectedGraph::New();
  return (jlong)(size_t)(void*)aNewOne;
}
