// java wrapper for vtkUnstructuredGridAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridAlgorithm *op;
  const char    *temp20;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridAlgorithm *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridAlgorithm *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_SetOutput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetInput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetInput_16(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridAlgorithm *op;
  vtkDataObject  *temp20;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_GetUnstructuredGridInput_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridAlgorithm *op;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_SetInput_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_SetInput_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_AddInput_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_AddInput_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGridAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridAlgorithm *aNewOne = vtkUnstructuredGridAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
