// java wrapper for vtkGenericStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericStreamTracer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  const char    *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetStartPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetStartPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGenericStreamTracer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGenericStreamTracer_GetStartPosition_14(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double  *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetSource_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericStreamTracer_GetSource_16(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkDataSet  *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetSourceConnection_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_FillInputPortInformation_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrator_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrator_110(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkInitialValueProblemSolver  *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorType_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegratorType_112(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegratorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta2_113(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta4_114(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegratorTypeToRungeKutta45_115(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta45();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagation_116(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagation_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnit_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumPropagationUnit_119(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumPropagation_120(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToTimeUnit_121(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToLengthUnit_122(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumPropagationUnitToCellLengthUnit_123(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStep_124(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnit_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStep_126(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMinimumIntegrationStepUnit_127(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMinimumIntegrationStep_128(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit_129(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit_130(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit_131(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStep_132(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnit_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStep_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumIntegrationStepUnit_135(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumIntegrationStep_136(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit_137(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit_138(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit_139(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStep_140(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnit_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStep_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetInitialIntegrationStepUnit_143(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetInitialIntegrationStep_144(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToTimeUnit_145(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToTimeUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToLengthUnit_146(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit_147(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStepUnitToCellLengthUnit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumError_148(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumError_149(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetMaximumNumberOfSteps_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetMaximumNumberOfSteps_151(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  vtkIdType   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetTerminalSpeed_152(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetTerminalSpeed_153(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationStepUnit_154(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirection_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirectionMinValue_156(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirectionMaxValue_157(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetIntegrationDirection_158(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToForward_159(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToBackward_160(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetIntegrationDirectionToBoth_161(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetComputeVorticity_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeVorticity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericStreamTracer_GetComputeVorticity_163(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  int      temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_ComputeVorticityOn_164(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVorticityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_ComputeVorticityOff_165(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVorticityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetRotationScale_166(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGenericStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGenericStreamTracer_GetRotationScale_167(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  double   temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationScale();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericStreamTracer_GetInputVectorsSelection_168(JNIEnv *env, jobject obj)
{
  vtkGenericStreamTracer *op;
  char    *temp20;

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputVectorsSelection();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SelectInputVectors_169(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericStreamTracer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectInputVectors(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_AddInput_170(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkGenericDataSet  *temp0;
  temp0 = (vtkGenericDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericStreamTracer_SetInterpolatorPrototype_171(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGenericStreamTracer *op;
  vtkGenericInterpolatedVelocityField  *temp0;
  temp0 = (vtkGenericInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGenericStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorPrototype(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGenericStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkGenericStreamTracer *aNewOne = vtkGenericStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
