// java wrapper for vtkGeoSphereTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoSphereTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoSphereTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoSphereTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoSphereTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;
  const char    *temp20;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoSphereTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoSphereTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_Inverse_12(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_InternalTransformPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkGeoSphereTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoSphereTransform_MakeTransform_14(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_SetToRectangular_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoSphereTransform *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetToRectangular(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoSphereTransform_GetToRectangular_16(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;
  bool   temp20;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToRectangular();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_ToRectangularOn_17(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->ToRectangularOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_ToRectangularOff_18(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->ToRectangularOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoSphereTransform_SetBaseAltitude_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoSphereTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBaseAltitude(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoSphereTransform_GetBaseAltitude_110(JNIEnv *env, jobject obj)
{
  vtkGeoSphereTransform *op;
  double   temp20;

  op = (vtkGeoSphereTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBaseAltitude();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoSphereTransform_VTKInit(JNIEnv *, jobject)
{
  vtkGeoSphereTransform *aNewOne = vtkGeoSphereTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
