// java wrapper for vtkGeoTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  const char    *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_SetSourceProjection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp0;
  temp0 = (vtkGeoProjection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceProjection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_GetSourceProjection_13(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSourceProjection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_SetDestinationProjection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp0;
  temp0 = (vtkGeoProjection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDestinationProjection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_GetDestinationProjection_15(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkGeoProjection  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDestinationProjection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_TransformPoints_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkGeoTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_Inverse_17(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTransform_InternalTransformPoint_18(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkGeoTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoTransform_MakeTransform_19(JNIEnv *env, jobject obj)
{
  vtkGeoTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTransform_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTransform *aNewOne = vtkGeoTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
