// java wrapper for vtkGeoView2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoView2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoView2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoView2D",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoView2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoView2D *op;
  const char    *temp20;

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoView2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoView2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoView2D_GetSurface_12(JNIEnv *env, jobject obj)
{
  vtkGeoView2D *op;
  vtkGeoTerrain2D  *temp20;

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSurface();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView2D_SetSurface_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoView2D *op;
  vtkGeoTerrain2D  *temp0;
  temp0 = (vtkGeoTerrain2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSurface(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoView2D_GetTransform_14(JNIEnv *env, jobject obj)
{
  vtkGeoView2D *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView2D_ApplyViewTheme_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoView2D *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView2D_Render_16(JNIEnv *env, jobject obj)
{
  vtkGeoView2D *op;

  op = (vtkGeoView2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoView2D_VTKInit(JNIEnv *, jobject)
{
  vtkGeoView2D *aNewOne = vtkGeoView2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
