// java wrapper for vtkGeoView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;
  const char    *temp20;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoView_AddDefaultImageRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoView *op;
  vtkImageData  *temp0;
  vtkGeoAlignedImageRepresentation  *temp20;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddDefaultImageRepresentation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_PrepareForRendering_13(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForRendering();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_BuildLowResEarth_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoView *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLowResEarth(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_SetLockHeading_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLockHeading(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoView_GetLockHeading_16(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;
  bool   temp20;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLockHeading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_LockHeadingOn_17(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_LockHeadingOff_18(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->LockHeadingOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoView_GetGeoInteractorStyle_19(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;
  vtkGeoInteractorStyle  *temp20;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGeoInteractorStyle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_SetGeoInteractorStyle_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoView *op;
  vtkGeoInteractorStyle  *temp0;
  temp0 = (vtkGeoInteractorStyle *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGeoInteractorStyle(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_SetTerrain_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoView *op;
  vtkGeoTerrain  *temp0;
  temp0 = (vtkGeoTerrain *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerrain(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoView_GetTerrain_112(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;
  vtkGeoTerrain  *temp20;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerrain();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoView_Render_113(JNIEnv *env, jobject obj)
{
  vtkGeoView *op;

  op = (vtkGeoView *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoView_VTKInit(JNIEnv *, jobject)
{
  vtkGeoView *aNewOne = vtkGeoView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
