// java wrapper for vtkArrayCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayCalculator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayCalculator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayCalculator",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  const char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetFunction_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFunction(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetFunction_13(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFunction();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddScalarArrayName_14(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddScalarArrayName(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddVectorArrayName_15(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddVectorArrayName(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddScalarVariable_16(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkArrayCalculator *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddScalarVariable(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddVectorVariable_17(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3,jint id4)
{
  vtkArrayCalculator *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddCoordinateScalarVariable_18(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCoordinateScalarVariable(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_AddCoordinateVectorVariable_19(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkArrayCalculator *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCoordinateVectorVariable(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetResultArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayCalculator *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResultArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetResultArrayName_111(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResultArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetResultArrayType_112(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResultArrayType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetResultArrayType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResultArrayType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetCoordinateResults_114(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinateResults();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetCoordinateResults_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinateResults(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_CoordinateResultsOn_116(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinateResultsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_CoordinateResultsOff_117(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinateResultsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeMode_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetAttributeMode_119(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToDefault_120(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUsePointData_121(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUseCellData_122(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUseVertexData_123(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUseVertexData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetAttributeModeToUseEdgeData_124(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributeModeToUseEdgeData();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetAttributeModeAsString_125(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  const char    *temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributeModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveAllVariables_126(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveScalarVariables_127(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveScalarVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveVectorVariables_128(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVectorVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveCoordinateScalarVariables_129(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCoordinateScalarVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_RemoveCoordinateVectorVariables_130(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCoordinateVectorVariables();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetScalarArrayName_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetVectorArrayName_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetScalarVariableName_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayCalculator_GetVectorVariableName_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  char    *temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorVariableName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetSelectedScalarComponent_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedScalarComponent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetNumberOfScalarArrays_136(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarArrays();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetNumberOfVectorArrays_137(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetReplaceInvalidValues_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkArrayCalculator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplaceInvalidValues(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayCalculator_GetReplaceInvalidValues_139(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  int      temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplaceInvalidValues();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_ReplaceInvalidValuesOn_140(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInvalidValuesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_ReplaceInvalidValuesOff_141(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->ReplaceInvalidValuesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayCalculator_SetReplacementValue_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkArrayCalculator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReplacementValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkArrayCalculator_GetReplacementValue_143(JNIEnv *env, jobject obj)
{
  vtkArrayCalculator *op;
  double   temp20;

  op = (vtkArrayCalculator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReplacementValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayCalculator_VTKInit(JNIEnv *, jobject)
{
  vtkArrayCalculator *aNewOne = vtkArrayCalculator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
