// java wrapper for vtkAxes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAxes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAxes",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAxes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAxes *op;
  const char    *temp20;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAxes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SetOrigin_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAxes *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SetOrigin_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAxes *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAxes_GetOrigin_14(JNIEnv *env, jobject obj)
{
  vtkAxes *op;
  double  *temp20;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SetScaleFactor_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAxes *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAxes_GetScaleFactor_16(JNIEnv *env, jobject obj)
{
  vtkAxes *op;
  double   temp20;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SetSymmetric_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSymmetric(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxes_GetSymmetric_18(JNIEnv *env, jobject obj)
{
  vtkAxes *op;
  int      temp20;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSymmetric();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SymmetricOn_19(JNIEnv *env, jobject obj)
{
  vtkAxes *op;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SymmetricOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SymmetricOff_110(JNIEnv *env, jobject obj)
{
  vtkAxes *op;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SymmetricOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_SetComputeNormals_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkAxes *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAxes_GetComputeNormals_112(JNIEnv *env, jobject obj)
{
  vtkAxes *op;
  int      temp20;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_ComputeNormalsOn_113(JNIEnv *env, jobject obj)
{
  vtkAxes *op;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAxes_ComputeNormalsOff_114(JNIEnv *env, jobject obj)
{
  vtkAxes *op;

  op = (vtkAxes *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeNormalsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAxes_VTKInit(JNIEnv *, jobject)
{
  vtkAxes *aNewOne = vtkAxes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
