// java wrapper for vtkCenterOfMass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCenterOfMass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCenterOfMass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCenterOfMass",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCenterOfMass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCenterOfMass *op;
  const char    *temp20;

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCenterOfMass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCenterOfMass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenterOfMass_SetCenter_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCenterOfMass *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenterOfMass_SetCenter_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCenterOfMass *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCenterOfMass_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkCenterOfMass *op;
  double  *temp20;

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenterOfMass_SetUseScalarsAsWeights_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkCenterOfMass *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseScalarsAsWeights(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCenterOfMass_GetUseScalarsAsWeights_16(JNIEnv *env, jobject obj)
{
  vtkCenterOfMass *op;
  bool   temp20;

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseScalarsAsWeights();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCenterOfMass_ComputeCenterOfMass_17(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2)
{
  vtkCenterOfMass *op;
  vtkPoints  *temp0;
  vtkDataArray  *temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkCenterOfMass *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeCenterOfMass(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCenterOfMass_VTKInit(JNIEnv *, jobject)
{
  vtkCenterOfMass *aNewOne = vtkCenterOfMass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
