// java wrapper for vtkCoincidentPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCoincidentPoints.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCoincidentPoints_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCoincidentPoints",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCoincidentPoints_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCoincidentPoints *op;
  const char    *temp20;

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCoincidentPoints_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCoincidentPoints *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoincidentPoints_AddPoint_12(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkCoincidentPoints *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->AddPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentPoints_GetCoincidentPointIds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCoincidentPoints *op;
  double temp0[3];
  void *tempArray0;
  vtkIdList  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoincidentPointIds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCoincidentPoints_GetNextCoincidentPointIds_14(JNIEnv *env, jobject obj)
{
  vtkCoincidentPoints *op;
  vtkIdList  *temp20;

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextCoincidentPointIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoincidentPoints_InitTraversal_15(JNIEnv *env, jobject obj)
{
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->InitTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoincidentPoints_RemoveNonCoincidentPoints_16(JNIEnv *env, jobject obj)
{
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveNonCoincidentPoints();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoincidentPoints_Clear_17(JNIEnv *env, jobject obj)
{
  vtkCoincidentPoints *op;

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCoincidentPoints_SpiralPoints_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkCoincidentPoints *op;
  vtkIdType   temp0;
  vtkPoints  *temp1;
  temp0 = id0;
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCoincidentPoints *)vtkJavaGetPointerFromObject(env,obj);
  op->SpiralPoints(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCoincidentPoints_VTKInit(JNIEnv *, jobject)
{
  vtkCoincidentPoints *aNewOne = vtkCoincidentPoints::New();
  return (jlong)(size_t)(void*)aNewOne;
}
