// java wrapper for vtkCursor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCursor2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCursor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCursor2D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCursor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  const char    *temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCursor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetModelBounds_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCursor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetModelBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCursor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCursor2D_GetModelBounds_14(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  double  *temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetFocalPoint_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCursor2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetFocalPoint_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkCursor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCursor2D_GetFocalPoint_17(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  double  *temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetOutline_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCursor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutline(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_GetOutline_19(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  int      temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutline();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_OutlineOn_110(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_OutlineOff_111(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetAxes_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCursor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_GetAxes_113(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  int      temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_AxesOn_114(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AxesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_AxesOff_115(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AxesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetRadius_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCursor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCursor2D_GetRadiusMinValue_117(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  double   temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCursor2D_GetRadiusMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  double   temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCursor2D_GetRadius_119(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  double   temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetPoint_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkCursor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_GetPoint_121(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  int      temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_PointOn_122(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PointOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_PointOff_123(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PointOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetTranslationMode_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkCursor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_GetTranslationMode_125(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  int      temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_TranslationModeOn_126(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_TranslationModeOff_127(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationModeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_SetWrap_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkCursor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrap(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCursor2D_GetWrap_129(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;
  int      temp20;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_WrapOn_130(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WrapOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_WrapOff_131(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WrapOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_AllOn_132(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCursor2D_AllOff_133(JNIEnv *env, jobject obj)
{
  vtkCursor2D *op;

  op = (vtkCursor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->AllOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCursor2D_VTKInit(JNIEnv *, jobject)
{
  vtkCursor2D *aNewOne = vtkCursor2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
