// tcl wrapper for vtkDecimatePro object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDecimatePro.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDecimateProNewCommand()
{
  vtkDecimatePro *temp = vtkDecimatePro::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDecimateProCppCommand(vtkDecimatePro *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDecimateProCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDecimateProCppCommand(static_cast<vtkDecimatePro *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDecimateProCppCommand(vtkDecimatePro *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDecimatePro",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDecimatePro  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDecimatePro");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDecimatePro  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDecimatePro");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDecimatePro  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDecimatePro");
    return TCL_OK;
    }
  if ((!strcmp("SetTargetReduction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTargetReduction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetReductionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReductionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReduction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPreserveTopology",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreserveTopology(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreserveTopology",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreserveTopology();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreserveTopologyOn",argv[1]))&&(argc == 2))
    {
    op->PreserveTopologyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreserveTopologyOff",argv[1]))&&(argc == 2))
    {
    op->PreserveTopologyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplitting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplitting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplitting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SplittingOn",argv[1]))&&(argc == 2))
    {
    op->SplittingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SplittingOff",argv[1]))&&(argc == 2))
    {
    op->SplittingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSplitAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplitAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSplitAngleMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSplitAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSplitAngleMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSplitAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSplitAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPreSplitMesh",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreSplitMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreSplitMesh",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreSplitMesh();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreSplitMeshOn",argv[1]))&&(argc == 2))
    {
    op->PreSplitMeshOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreSplitMeshOff",argv[1]))&&(argc == 2))
    {
    op->PreSplitMeshOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAccumulateError",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAccumulateError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAccumulateError",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAccumulateError();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AccumulateErrorOn",argv[1]))&&(argc == 2))
    {
    op->AccumulateErrorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AccumulateErrorOff",argv[1]))&&(argc == 2))
    {
    op->AccumulateErrorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorIsAbsolute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErrorIsAbsolute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErrorIsAbsolute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorIsAbsolute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbsoluteError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAbsoluteError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbsoluteErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbsoluteError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAbsoluteError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryVertexDeletion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundaryVertexDeletion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundaryVertexDeletion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundaryVertexDeletion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundaryVertexDeletionOn",argv[1]))&&(argc == 2))
    {
    op->BoundaryVertexDeletionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundaryVertexDeletionOff",argv[1]))&&(argc == 2))
    {
    op->BoundaryVertexDeletionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDegree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDegree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDegreeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDegreeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDegreeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDegreeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDegree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDegree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInflectionPointRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInflectionPointRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInflectionPointRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInflectionPointRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInflectionPointRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInflectionPointRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInflectionPointRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInflectionPointRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInflectionPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfInflectionPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDecimateProCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDecimatePro:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetReduction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReduction\n",NULL);
    Tcl_AppendResult(interp,"  SetPreserveTopology\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreserveTopology\n",NULL);
    Tcl_AppendResult(interp,"  PreserveTopologyOn\n",NULL);
    Tcl_AppendResult(interp,"  PreserveTopologyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitting\n",NULL);
    Tcl_AppendResult(interp,"  SplittingOn\n",NULL);
    Tcl_AppendResult(interp,"  SplittingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetPreSplitMesh\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreSplitMesh\n",NULL);
    Tcl_AppendResult(interp,"  PreSplitMeshOn\n",NULL);
    Tcl_AppendResult(interp,"  PreSplitMeshOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumError\n",NULL);
    Tcl_AppendResult(interp,"  SetAccumulateError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAccumulateError\n",NULL);
    Tcl_AppendResult(interp,"  AccumulateErrorOn\n",NULL);
    Tcl_AppendResult(interp,"  AccumulateErrorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorIsAbsolute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorIsAbsolute\n",NULL);
    Tcl_AppendResult(interp,"  SetAbsoluteError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAbsoluteError\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryVertexDeletion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryVertexDeletion\n",NULL);
    Tcl_AppendResult(interp,"  BoundaryVertexDeletionOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundaryVertexDeletionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDegree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDegreeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDegreeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDegree\n",NULL);
    Tcl_AppendResult(interp,"  SetInflectionPointRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInflectionPointRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInflectionPointRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInflectionPointRatio\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInflectionPoints\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetTargetReduction" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTargetReduction" );
    Tcl_DStringAppendElement ( &dString, "SetPreserveTopology" );
    Tcl_DStringAppendElement ( &dString, "GetPreserveTopology" );
    Tcl_DStringAppendElement ( &dString, "PreserveTopologyOn" );
    Tcl_DStringAppendElement ( &dString, "PreserveTopologyOff" );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    Tcl_DStringAppendElement ( &dString, "SetSplitting" );
    Tcl_DStringAppendElement ( &dString, "GetSplitting" );
    Tcl_DStringAppendElement ( &dString, "SplittingOn" );
    Tcl_DStringAppendElement ( &dString, "SplittingOff" );
    Tcl_DStringAppendElement ( &dString, "SetSplitAngle" );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngleMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngleMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngle" );
    Tcl_DStringAppendElement ( &dString, "SetPreSplitMesh" );
    Tcl_DStringAppendElement ( &dString, "GetPreSplitMesh" );
    Tcl_DStringAppendElement ( &dString, "PreSplitMeshOn" );
    Tcl_DStringAppendElement ( &dString, "PreSplitMeshOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    Tcl_DStringAppendElement ( &dString, "SetAccumulateError" );
    Tcl_DStringAppendElement ( &dString, "GetAccumulateError" );
    Tcl_DStringAppendElement ( &dString, "AccumulateErrorOn" );
    Tcl_DStringAppendElement ( &dString, "AccumulateErrorOff" );
    Tcl_DStringAppendElement ( &dString, "SetErrorIsAbsolute" );
    Tcl_DStringAppendElement ( &dString, "GetErrorIsAbsolute" );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteError" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteError" );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryVertexDeletion" );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryVertexDeletion" );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOn" );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOff" );
    Tcl_DStringAppendElement ( &dString, "SetDegree" );
    Tcl_DStringAppendElement ( &dString, "GetDegreeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDegreeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    Tcl_DStringAppendElement ( &dString, "SetInflectionPointRatio" );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatio" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInflectionPoints" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create object with specified reduction of 90% and feature angle of\n 15 degrees. Edge splitting is on, defer splitting is on, and the\n split angle is 75 degrees. Topology preservation is off, delete\n boundary vertices is on, and the maximum error is set to\n VTK_DOUBLE_MAX. The inflection point ratio is 10 and the vertex\n degree is 25. Error accumulation is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkDecimatePro *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetReduction */
    if ( strcmp ( argv[2], "SetTargetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetReduction */
    Tcl_DStringAppendElement ( &dString, " Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). Because of various constraints, this level of\n reduction may not be realized. If you want to guarantee a particular\n reduction, you must turn off PreserveTopology, turn on SplitEdges and\n BoundaryVertexDeletion, and set the MaximumError to VTK_DOUBLE_MAX (these\n ivars are initialized this way ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetReduction(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetTargetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReductionMinValue */
    if ( strcmp ( argv[2], "GetTargetReductionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReductionMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). Because of various constraints, this level of\n reduction may not be realized. If you want to guarantee a particular\n reduction, you must turn off PreserveTopology, turn on SplitEdges and\n BoundaryVertexDeletion, and set the MaximumError to VTK_DOUBLE_MAX (these\n ivars are initialized this way ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReductionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetTargetReductionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReductionMaxValue */
    if ( strcmp ( argv[2], "GetTargetReductionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReductionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReductionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). Because of various constraints, this level of\n reduction may not be realized. If you want to guarantee a particular\n reduction, you must turn off PreserveTopology, turn on SplitEdges and\n BoundaryVertexDeletion, and set the MaximumError to VTK_DOUBLE_MAX (these\n ivars are initialized this way ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReductionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetTargetReductionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetReduction */
    if ( strcmp ( argv[2], "GetTargetReduction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetReduction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetReduction */
    Tcl_DStringAppendElement ( &dString, " Specify the desired reduction in the total number of polygons (e.g., if\n TargetReduction is set to 0.9, this filter will try to reduce the data set\n to 10% of its original size). Because of various constraints, this level of\n reduction may not be realized. If you want to guarantee a particular\n reduction, you must turn off PreserveTopology, turn on SplitEdges and\n BoundaryVertexDeletion, and set the MaximumError to VTK_DOUBLE_MAX (these\n ivars are initialized this way ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTargetReduction();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetTargetReduction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreserveTopology */
    if ( strcmp ( argv[2], "SetPreserveTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreserveTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreserveTopology */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to preserve the topology of the original mesh. If\n on, mesh splitting and hole elimination will not occur. This may limit\n the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreserveTopology(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetPreserveTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreserveTopology */
    if ( strcmp ( argv[2], "GetPreserveTopology" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreserveTopology" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreserveTopology */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to preserve the topology of the original mesh. If\n on, mesh splitting and hole elimination will not occur. This may limit\n the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreserveTopology();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetPreserveTopology */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveTopologyOn */
    if ( strcmp ( argv[2], "PreserveTopologyOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveTopologyOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveTopologyOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to preserve the topology of the original mesh. If\n on, mesh splitting and hole elimination will not occur. This may limit\n the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveTopologyOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for PreserveTopologyOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveTopologyOff */
    if ( strcmp ( argv[2], "PreserveTopologyOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveTopologyOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveTopologyOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off whether to preserve the topology of the original mesh. If\n on, mesh splitting and hole elimination will not occur. This may limit\n the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveTopologyOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for PreserveTopologyOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFeatureAngle */
    if ( strcmp ( argv[2], "SetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh feature angle. This angle is used to define what\n an edge is (i.e., if the surface normal between two adjacent triangles\n is >= FeatureAngle, an edge exists).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFeatureAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMinValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh feature angle. This angle is used to define what\n an edge is (i.e., if the surface normal between two adjacent triangles\n is >= FeatureAngle, an edge exists).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetFeatureAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngleMaxValue */
    if ( strcmp ( argv[2], "GetFeatureAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh feature angle. This angle is used to define what\n an edge is (i.e., if the surface normal between two adjacent triangles\n is >= FeatureAngle, an edge exists).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetFeatureAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFeatureAngle */
    if ( strcmp ( argv[2], "GetFeatureAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFeatureAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFeatureAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh feature angle. This angle is used to define what\n an edge is (i.e., if the surface normal between two adjacent triangles\n is >= FeatureAngle, an edge exists).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFeatureAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetFeatureAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitting */
    if ( strcmp ( argv[2], "SetSplitting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of the mesh at corners, along edges, at\n non-manifold points, or anywhere else a split is required. Turning \n splitting off will better preserve the original topology of the\n mesh, but you may not obtain the requested reduction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitting(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetSplitting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitting */
    if ( strcmp ( argv[2], "GetSplitting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of the mesh at corners, along edges, at\n non-manifold points, or anywhere else a split is required. Turning \n splitting off will better preserve the original topology of the\n mesh, but you may not obtain the requested reduction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplitting();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetSplitting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SplittingOn */
    if ( strcmp ( argv[2], "SplittingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplittingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplittingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of the mesh at corners, along edges, at\n non-manifold points, or anywhere else a split is required. Turning \n splitting off will better preserve the original topology of the\n mesh, but you may not obtain the requested reduction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SplittingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SplittingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SplittingOff */
    if ( strcmp ( argv[2], "SplittingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplittingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplittingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the splitting of the mesh at corners, along edges, at\n non-manifold points, or anywhere else a split is required. Turning \n splitting off will better preserve the original topology of the\n mesh, but you may not obtain the requested reduction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SplittingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SplittingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitAngle */
    if ( strcmp ( argv[2], "SetSplitAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh split angle. This angle is used to control the splitting\n of the mesh. A split line exists when the surface normals between\n two edge connected triangles are >= SplitAngle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitAngle(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetSplitAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitAngleMinValue */
    if ( strcmp ( argv[2], "GetSplitAngleMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngleMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitAngleMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh split angle. This angle is used to control the splitting\n of the mesh. A split line exists when the surface normals between\n two edge connected triangles are >= SplitAngle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSplitAngleMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetSplitAngleMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitAngleMaxValue */
    if ( strcmp ( argv[2], "GetSplitAngleMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngleMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitAngleMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh split angle. This angle is used to control the splitting\n of the mesh. A split line exists when the surface normals between\n two edge connected triangles are >= SplitAngle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSplitAngleMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetSplitAngleMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitAngle */
    if ( strcmp ( argv[2], "GetSplitAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitAngle */
    Tcl_DStringAppendElement ( &dString, " Specify the mesh split angle. This angle is used to control the splitting\n of the mesh. A split line exists when the surface normals between\n two edge connected triangles are >= SplitAngle.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSplitAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetSplitAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreSplitMesh */
    if ( strcmp ( argv[2], "SetPreSplitMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreSplitMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreSplitMesh */
    Tcl_DStringAppendElement ( &dString, " In some cases you may wish to split the mesh prior to algorithm\n execution. This separates the mesh into semi-planar patches, which are\n disconnected from each other. This can give superior results in some\n cases. If the ivar PreSplitMesh ivar is enabled, the mesh is split with\n the specified SplitAngle. Otherwise mesh splitting is deferred as long\n as possible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreSplitMesh(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetPreSplitMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreSplitMesh */
    if ( strcmp ( argv[2], "GetPreSplitMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreSplitMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreSplitMesh */
    Tcl_DStringAppendElement ( &dString, " In some cases you may wish to split the mesh prior to algorithm\n execution. This separates the mesh into semi-planar patches, which are\n disconnected from each other. This can give superior results in some\n cases. If the ivar PreSplitMesh ivar is enabled, the mesh is split with\n the specified SplitAngle. Otherwise mesh splitting is deferred as long\n as possible.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreSplitMesh();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetPreSplitMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreSplitMeshOn */
    if ( strcmp ( argv[2], "PreSplitMeshOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreSplitMeshOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreSplitMeshOn */
    Tcl_DStringAppendElement ( &dString, " In some cases you may wish to split the mesh prior to algorithm\n execution. This separates the mesh into semi-planar patches, which are\n disconnected from each other. This can give superior results in some\n cases. If the ivar PreSplitMesh ivar is enabled, the mesh is split with\n the specified SplitAngle. Otherwise mesh splitting is deferred as long\n as possible.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreSplitMeshOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for PreSplitMeshOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreSplitMeshOff */
    if ( strcmp ( argv[2], "PreSplitMeshOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreSplitMeshOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreSplitMeshOff */
    Tcl_DStringAppendElement ( &dString, " In some cases you may wish to split the mesh prior to algorithm\n execution. This separates the mesh into semi-planar patches, which are\n disconnected from each other. This can give superior results in some\n cases. If the ivar PreSplitMesh ivar is enabled, the mesh is split with\n the specified SplitAngle. Otherwise mesh splitting is deferred as long\n as possible.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreSplitMeshOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for PreSplitMeshOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumError */
    if ( strcmp ( argv[2], "SetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumError */
    Tcl_DStringAppendElement ( &dString, " Set the largest decimation error that is allowed during the decimation\n process. This may limit the maximum reduction that may be achieved. The\n maximum error is specified as a fraction of the maximum length of\n the input data bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumErrorMinValue */
    if ( strcmp ( argv[2], "GetMaximumErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the largest decimation error that is allowed during the decimation\n process. This may limit the maximum reduction that may be achieved. The\n maximum error is specified as a fraction of the maximum length of\n the input data bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetMaximumErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumErrorMaxValue */
    if ( strcmp ( argv[2], "GetMaximumErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the largest decimation error that is allowed during the decimation\n process. This may limit the maximum reduction that may be achieved. The\n maximum error is specified as a fraction of the maximum length of\n the input data bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetMaximumErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumError */
    if ( strcmp ( argv[2], "GetMaximumError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumError */
    Tcl_DStringAppendElement ( &dString, " Set the largest decimation error that is allowed during the decimation\n process. This may limit the maximum reduction that may be achieved. The\n maximum error is specified as a fraction of the maximum length of\n the input data bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumError();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetMaximumError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAccumulateError */
    if ( strcmp ( argv[2], "SetAccumulateError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAccumulateError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAccumulateError */
    Tcl_DStringAppendElement ( &dString, " The computed error can either be computed directly from the mesh\n or the error may be accumulated as the mesh is modified. If the error\n is accumulated, then it represents a global error bounds, and the ivar\n MaximumError becomes a global bounds on mesh error. Accumulating the\n error requires extra memory proportional to the number of vertices in\n the mesh. If AccumulateError is off, then the error is not accumulated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAccumulateError(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetAccumulateError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAccumulateError */
    if ( strcmp ( argv[2], "GetAccumulateError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAccumulateError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAccumulateError */
    Tcl_DStringAppendElement ( &dString, " The computed error can either be computed directly from the mesh\n or the error may be accumulated as the mesh is modified. If the error\n is accumulated, then it represents a global error bounds, and the ivar\n MaximumError becomes a global bounds on mesh error. Accumulating the\n error requires extra memory proportional to the number of vertices in\n the mesh. If AccumulateError is off, then the error is not accumulated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAccumulateError();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetAccumulateError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AccumulateErrorOn */
    if ( strcmp ( argv[2], "AccumulateErrorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AccumulateErrorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AccumulateErrorOn */
    Tcl_DStringAppendElement ( &dString, " The computed error can either be computed directly from the mesh\n or the error may be accumulated as the mesh is modified. If the error\n is accumulated, then it represents a global error bounds, and the ivar\n MaximumError becomes a global bounds on mesh error. Accumulating the\n error requires extra memory proportional to the number of vertices in\n the mesh. If AccumulateError is off, then the error is not accumulated.\n" );
    Tcl_DStringAppendElement ( &dString, "void AccumulateErrorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for AccumulateErrorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AccumulateErrorOff */
    if ( strcmp ( argv[2], "AccumulateErrorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AccumulateErrorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AccumulateErrorOff */
    Tcl_DStringAppendElement ( &dString, " The computed error can either be computed directly from the mesh\n or the error may be accumulated as the mesh is modified. If the error\n is accumulated, then it represents a global error bounds, and the ivar\n MaximumError becomes a global bounds on mesh error. Accumulating the\n error requires extra memory proportional to the number of vertices in\n the mesh. If AccumulateError is off, then the error is not accumulated.\n" );
    Tcl_DStringAppendElement ( &dString, "void AccumulateErrorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for AccumulateErrorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErrorIsAbsolute */
    if ( strcmp ( argv[2], "SetErrorIsAbsolute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErrorIsAbsolute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErrorIsAbsolute */
    Tcl_DStringAppendElement ( &dString, " The MaximumError is normally defined as a fraction of the dataset bounding\n diagonal. By setting ErrorIsAbsolute to 1, the error is instead defined\n as that specified by AbsoluteError. By default ErrorIsAbsolute=0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErrorIsAbsolute(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetErrorIsAbsolute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErrorIsAbsolute */
    if ( strcmp ( argv[2], "GetErrorIsAbsolute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErrorIsAbsolute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErrorIsAbsolute */
    Tcl_DStringAppendElement ( &dString, " The MaximumError is normally defined as a fraction of the dataset bounding\n diagonal. By setting ErrorIsAbsolute to 1, the error is instead defined\n as that specified by AbsoluteError. By default ErrorIsAbsolute=0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErrorIsAbsolute();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetErrorIsAbsolute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbsoluteError */
    if ( strcmp ( argv[2], "SetAbsoluteError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbsoluteError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbsoluteError */
    Tcl_DStringAppendElement ( &dString, " Same as MaximumError, but to be used when ErrorIsAbsolute is 1\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbsoluteError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetAbsoluteError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteErrorMinValue */
    if ( strcmp ( argv[2], "GetAbsoluteErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " Same as MaximumError, but to be used when ErrorIsAbsolute is 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetAbsoluteErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteErrorMaxValue */
    if ( strcmp ( argv[2], "GetAbsoluteErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Same as MaximumError, but to be used when ErrorIsAbsolute is 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetAbsoluteErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbsoluteError */
    if ( strcmp ( argv[2], "GetAbsoluteError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbsoluteError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbsoluteError */
    Tcl_DStringAppendElement ( &dString, " Same as MaximumError, but to be used when ErrorIsAbsolute is 1\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAbsoluteError();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetAbsoluteError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundaryVertexDeletion */
    if ( strcmp ( argv[2], "SetBoundaryVertexDeletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundaryVertexDeletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundaryVertexDeletion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundaryVertexDeletion(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetBoundaryVertexDeletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundaryVertexDeletion */
    if ( strcmp ( argv[2], "GetBoundaryVertexDeletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundaryVertexDeletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundaryVertexDeletion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundaryVertexDeletion();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetBoundaryVertexDeletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundaryVertexDeletionOn */
    if ( strcmp ( argv[2], "BoundaryVertexDeletionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryVertexDeletionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundaryVertexDeletionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for BoundaryVertexDeletionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundaryVertexDeletionOff */
    if ( strcmp ( argv[2], "BoundaryVertexDeletionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundaryVertexDeletionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundaryVertexDeletionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the deletion of vertices on the boundary of a mesh. This\n may limit the maximum reduction that may be achieved.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundaryVertexDeletionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for BoundaryVertexDeletionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDegree */
    if ( strcmp ( argv[2], "SetDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDegree */
    Tcl_DStringAppendElement ( &dString, " If the number of triangles connected to a vertex exceeds \"Degree\", then\n the vertex will be split. (NOTE: the complexity of the triangulation\n algorithm is proportional to Degree^2. Setting degree small can improve\n the performance of the algorithm.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDegree(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDegreeMinValue */
    if ( strcmp ( argv[2], "GetDegreeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDegreeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDegreeMinValue */
    Tcl_DStringAppendElement ( &dString, " If the number of triangles connected to a vertex exceeds \"Degree\", then\n the vertex will be split. (NOTE: the complexity of the triangulation\n algorithm is proportional to Degree^2. Setting degree small can improve\n the performance of the algorithm.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDegreeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetDegreeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDegreeMaxValue */
    if ( strcmp ( argv[2], "GetDegreeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDegreeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDegreeMaxValue */
    Tcl_DStringAppendElement ( &dString, " If the number of triangles connected to a vertex exceeds \"Degree\", then\n the vertex will be split. (NOTE: the complexity of the triangulation\n algorithm is proportional to Degree^2. Setting degree small can improve\n the performance of the algorithm.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDegreeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetDegreeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDegree */
    if ( strcmp ( argv[2], "GetDegree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDegree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDegree */
    Tcl_DStringAppendElement ( &dString, " If the number of triangles connected to a vertex exceeds \"Degree\", then\n the vertex will be split. (NOTE: the complexity of the triangulation\n algorithm is proportional to Degree^2. Setting degree small can improve\n the performance of the algorithm.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDegree();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetDegree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInflectionPointRatio */
    if ( strcmp ( argv[2], "SetInflectionPointRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInflectionPointRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInflectionPointRatio */
    Tcl_DStringAppendElement ( &dString, " Specify the inflection point ratio. An inflection point occurs\n when the ratio of reduction error between two iterations is greater\n than or equal to the InflectionPointRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInflectionPointRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for SetInflectionPointRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInflectionPointRatioMinValue */
    if ( strcmp ( argv[2], "GetInflectionPointRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInflectionPointRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the inflection point ratio. An inflection point occurs\n when the ratio of reduction error between two iterations is greater\n than or equal to the InflectionPointRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInflectionPointRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetInflectionPointRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInflectionPointRatioMaxValue */
    if ( strcmp ( argv[2], "GetInflectionPointRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInflectionPointRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the inflection point ratio. An inflection point occurs\n when the ratio of reduction error between two iterations is greater\n than or equal to the InflectionPointRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInflectionPointRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetInflectionPointRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInflectionPointRatio */
    if ( strcmp ( argv[2], "GetInflectionPointRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInflectionPointRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInflectionPointRatio */
    Tcl_DStringAppendElement ( &dString, " Specify the inflection point ratio. An inflection point occurs\n when the ratio of reduction error between two iterations is greater\n than or equal to the InflectionPointRatio.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInflectionPointRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetInflectionPointRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfInflectionPoints */
    if ( strcmp ( argv[2], "GetNumberOfInflectionPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfInflectionPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfInflectionPoints */
    Tcl_DStringAppendElement ( &dString, " Get the number of inflection points. Only returns a valid value after\n the filter has executed.  The values in the list are mesh reduction\n values at each inflection point. Note: the first inflection point always\n occurs right before non-planar triangles are decimated (i.e., as the\n error becomes non-zero).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfInflectionPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkDecimatePro" );
    /* Closing for GetNumberOfInflectionPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
