// java wrapper for vtkHyperStreamline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperStreamline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperStreamline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperStreamline",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperStreamline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  const char    *temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperStreamline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetStartLocation_12(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkHyperStreamline *op;
  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartLocation(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetStartLocation_13(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkHyperStreamline *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetStartPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHyperStreamline *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetStartPosition_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHyperStreamline *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkHyperStreamline_GetStartPosition_16(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double  *temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetMaximumPropagationDistance_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperStreamline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetMaximumPropagationDistanceMinValue_18(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetMaximumPropagationDistanceMaxValue_19(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetMaximumPropagationDistance_110(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationEigenvector_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperStreamline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationEigenvector(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationEigenvectorMinValue_112(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationEigenvectorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationEigenvectorMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationEigenvectorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationEigenvector_114(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationEigenvector();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationEigenvectorToMajor_115(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationEigenvectorToMajor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationEigenvectorToMedium_116(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationEigenvectorToMedium();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationEigenvectorToMinor_117(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationEigenvectorToMinor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_IntegrateMajorEigenvector_118(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->IntegrateMajorEigenvector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_IntegrateMediumEigenvector_119(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->IntegrateMediumEigenvector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_IntegrateMinorEigenvector_120(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->IntegrateMinorEigenvector();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationStepLength_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperStreamline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationStepLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationStepLengthMinValue_122(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationStepLengthMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationStepLength_124(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetStepLength_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperStreamline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStepLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetStepLengthMinValue_126(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetStepLengthMaxValue_127(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetStepLength_128(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationDirection_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperStreamline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationDirectionMinValue_130(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationDirectionMaxValue_131(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetIntegrationDirection_132(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationDirectionToForward_133(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationDirectionToBackward_134(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetIntegrationDirectionToIntegrateBothDirections_135(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToIntegrateBothDirections();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetTerminalEigenvalue_136(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperStreamline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalEigenvalue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetTerminalEigenvalueMinValue_137(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalEigenvalueMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetTerminalEigenvalueMaxValue_138(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalEigenvalueMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetTerminalEigenvalue_139(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalEigenvalue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetNumberOfSides_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperStreamline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSides(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetNumberOfSidesMinValue_141(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSidesMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetNumberOfSidesMaxValue_142(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSidesMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetNumberOfSides_143(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSides();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetRadius_144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperStreamline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetRadiusMinValue_145(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetRadiusMaxValue_146(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperStreamline_GetRadius_147(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  double   temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_SetLogScaling_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperStreamline *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogScaling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperStreamline_GetLogScaling_149(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;
  int      temp20;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_LogScalingOn_150(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->LogScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperStreamline_LogScalingOff_151(JNIEnv *env, jobject obj)
{
  vtkHyperStreamline *op;

  op = (vtkHyperStreamline *)vtkJavaGetPointerFromObject(env,obj);
  op->LogScalingOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperStreamline_VTKInit(JNIEnv *, jobject)
{
  vtkHyperStreamline *aNewOne = vtkHyperStreamline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
