// java wrapper for vtkKdTreeSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTreeSelector.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKdTreeSelector_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKdTreeSelector",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdTreeSelector_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  const char    *temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTreeSelector_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdTreeSelector *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetKdTree_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKdTreeSelector *op;
  vtkKdTree  *temp0;
  temp0 = (vtkKdTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKdTree(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKdTreeSelector_GetKdTree_13(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  vtkKdTree  *temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKdTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSelectionBounds_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkKdTreeSelector *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSelectionBounds_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkKdTreeSelector *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkKdTreeSelector_GetSelectionBounds_16(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  double  *temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSelectionFieldName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKdTreeSelector *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionFieldName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKdTreeSelector_GetSelectionFieldName_18(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  char    *temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionFieldName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSelectionAttribute_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkKdTreeSelector *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionAttribute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTreeSelector_GetSelectionAttribute_110(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  int      temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionAttribute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSingleSelection_111(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkKdTreeSelector *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSingleSelection(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkKdTreeSelector_GetSingleSelection_112(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  bool   temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSingleSelection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SingleSelectionOn_113(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SingleSelectionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SingleSelectionOff_114(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SingleSelectionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKdTreeSelector_SetSingleSelectionThreshold_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKdTreeSelector *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSingleSelectionThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKdTreeSelector_GetSingleSelectionThreshold_116(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
  double   temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSingleSelectionThreshold();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKdTreeSelector_GetMTime_117(JNIEnv *env, jobject obj)
{
  vtkKdTreeSelector *op;
   unsigned long     temp20;

  op = (vtkKdTreeSelector *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKdTreeSelector_VTKInit(JNIEnv *, jobject)
{
  vtkKdTreeSelector *aNewOne = vtkKdTreeSelector::New();
  return (jlong)(size_t)(void*)aNewOne;
}
