// tcl wrapper for vtkMaskPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMaskPoints.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMaskPointsNewCommand()
{
  vtkMaskPoints *temp = vtkMaskPoints::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMaskPointsCppCommand(vtkMaskPoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMaskPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMaskPointsCppCommand(static_cast<vtkMaskPoints *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMaskPointsCppCommand(vtkMaskPoints *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMaskPoints",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMaskPoints  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMaskPoints  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskPoints");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMaskPoints  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMaskPoints");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOnRatio",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOnRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnRatioMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatioMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatioMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOnRatio",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOnRatio();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfPoints",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPointsMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPointsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfPointsMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPointsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOffset",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffsetMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetOffsetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetOffsetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOffset",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRandomMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRandomMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRandomMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RandomModeOn",argv[1]))&&(argc == 2))
    {
    op->RandomModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RandomModeOff",argv[1]))&&(argc == 2))
    {
    op->RandomModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRandomModeType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRandomModeType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRandomModeTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomModeTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRandomModeTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomModeTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRandomModeType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRandomModeType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProportionalMaximumNumberOfPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProportionalMaximumNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProportionalMaximumNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProportionalMaximumNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ProportionalMaximumNumberOfPointsOn",argv[1]))&&(argc == 2))
    {
    op->ProportionalMaximumNumberOfPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProportionalMaximumNumberOfPointsOff",argv[1]))&&(argc == 2))
    {
    op->ProportionalMaximumNumberOfPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateVertices",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateVertices(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateVertices",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVerticesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateVerticesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVerticesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateVerticesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSingleVertexPerCell",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSingleVertexPerCell(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSingleVertexPerCell",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSingleVertexPerCell();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SingleVertexPerCellOn",argv[1]))&&(argc == 2))
    {
    op->SingleVertexPerCellOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SingleVertexPerCellOff",argv[1]))&&(argc == 2))
    {
    op->SingleVertexPerCellOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMaskPointsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMaskPoints:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOnRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOnRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPointsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPointsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetRandomMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomMode\n",NULL);
    Tcl_AppendResult(interp,"  RandomModeOn\n",NULL);
    Tcl_AppendResult(interp,"  RandomModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRandomModeType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomModeTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomModeTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRandomModeType\n",NULL);
    Tcl_AppendResult(interp,"  SetProportionalMaximumNumberOfPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProportionalMaximumNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  ProportionalMaximumNumberOfPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  ProportionalMaximumNumberOfPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateVertices\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateVertices\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVerticesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVerticesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSingleVertexPerCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSingleVertexPerCell\n",NULL);
    Tcl_AppendResult(interp,"  SingleVertexPerCellOn\n",NULL);
    Tcl_AppendResult(interp,"  SingleVertexPerCellOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    Tcl_DStringAppendElement ( &dString, "SetRandomMode" );
    Tcl_DStringAppendElement ( &dString, "GetRandomMode" );
    Tcl_DStringAppendElement ( &dString, "RandomModeOn" );
    Tcl_DStringAppendElement ( &dString, "RandomModeOff" );
    Tcl_DStringAppendElement ( &dString, "SetRandomModeType" );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeType" );
    Tcl_DStringAppendElement ( &dString, "SetProportionalMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "GetProportionalMaximumNumberOfPoints" );
    Tcl_DStringAppendElement ( &dString, "ProportionalMaximumNumberOfPointsOn" );
    Tcl_DStringAppendElement ( &dString, "ProportionalMaximumNumberOfPointsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
    Tcl_DStringAppendElement ( &dString, "SetSingleVertexPerCell" );
    Tcl_DStringAppendElement ( &dString, "GetSingleVertexPerCell" );
    Tcl_DStringAppendElement ( &dString, "SingleVertexPerCellOn" );
    Tcl_DStringAppendElement ( &dString, "SingleVertexPerCellOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMaskPoints *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOnRatio */
    if ( strcmp ( argv[2], "SetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Turn on every nth point (strided sampling), ignored by random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOnRatio(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMinValue */
    if ( strcmp ( argv[2], "GetOnRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on every nth point (strided sampling), ignored by random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOnRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatioMaxValue */
    if ( strcmp ( argv[2], "GetOnRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on every nth point (strided sampling), ignored by random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOnRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOnRatio */
    if ( strcmp ( argv[2], "GetOnRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOnRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOnRatio */
    Tcl_DStringAppendElement ( &dString, " Turn on every nth point (strided sampling), ignored by random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOnRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOnRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Limit the number of points that can be passed through (i.e.,\n sets the output sample size).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfPoints(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPointsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPointsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPointsMinValue */
    Tcl_DStringAppendElement ( &dString, " Limit the number of points that can be passed through (i.e.,\n sets the output sample size).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfPointsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetMaximumNumberOfPointsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPointsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPointsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPointsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPointsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Limit the number of points that can be passed through (i.e.,\n sets the output sample size).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfPointsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetMaximumNumberOfPointsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " Limit the number of points that can be passed through (i.e.,\n sets the output sample size).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffset */
    if ( strcmp ( argv[2], "SetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffset */
    Tcl_DStringAppendElement ( &dString, " Start sampling with this point. Ignored by certain random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffset(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMinValue */
    if ( strcmp ( argv[2], "GetOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Start sampling with this point. Ignored by certain random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetOffsetMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffsetMaxValue */
    if ( strcmp ( argv[2], "GetOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Start sampling with this point. Ignored by certain random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetOffsetMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOffset */
    if ( strcmp ( argv[2], "GetOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOffset */
    Tcl_DStringAppendElement ( &dString, " Start sampling with this point. Ignored by certain random modes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRandomMode */
    if ( strcmp ( argv[2], "SetRandomMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRandomMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRandomMode */
    Tcl_DStringAppendElement ( &dString, " Special flag causes randomization of point selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRandomMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetRandomMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomMode */
    if ( strcmp ( argv[2], "GetRandomMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomMode */
    Tcl_DStringAppendElement ( &dString, " Special flag causes randomization of point selection.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetRandomMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RandomModeOn */
    if ( strcmp ( argv[2], "RandomModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RandomModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RandomModeOn */
    Tcl_DStringAppendElement ( &dString, " Special flag causes randomization of point selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void RandomModeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for RandomModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RandomModeOff */
    if ( strcmp ( argv[2], "RandomModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RandomModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RandomModeOff */
    Tcl_DStringAppendElement ( &dString, " Special flag causes randomization of point selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void RandomModeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for RandomModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRandomModeType */
    if ( strcmp ( argv[2], "SetRandomModeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRandomModeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRandomModeType */
    Tcl_DStringAppendElement ( &dString, " Special mode selector that switches between random mode types.\n 0 - randomized strides: randomly strides through the data (default);\n     fairly certain that this is not a statistically random sample \n     because the output depends on the order of the input and \n     the input points do not have an equal chance to appear in the output \n     (plus Vitter's incremental random algorithms are more complex\n      than this, while not a proof it is good indication this isn' ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRandomModeType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetRandomModeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomModeTypeMinValue */
    if ( strcmp ( argv[2], "GetRandomModeTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomModeTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Special mode selector that switches between random mode types.\n 0 - randomized strides: randomly strides through the data (default);\n     fairly certain that this is not a statistically random sample \n     because the output depends on the order of the input and \n     the input points do not have an equal chance to appear in the output \n     (plus Vitter's incremental random algorithms are more complex\n      than this, while not a proof it is good indication this isn' ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomModeTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetRandomModeTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomModeTypeMaxValue */
    if ( strcmp ( argv[2], "GetRandomModeTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomModeTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Special mode selector that switches between random mode types.\n 0 - randomized strides: randomly strides through the data (default);\n     fairly certain that this is not a statistically random sample \n     because the output depends on the order of the input and \n     the input points do not have an equal chance to appear in the output \n     (plus Vitter's incremental random algorithms are more complex\n      than this, while not a proof it is good indication this isn' ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomModeTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetRandomModeTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRandomModeType */
    if ( strcmp ( argv[2], "GetRandomModeType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRandomModeType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRandomModeType */
    Tcl_DStringAppendElement ( &dString, " Special mode selector that switches between random mode types.\n 0 - randomized strides: randomly strides through the data (default);\n     fairly certain that this is not a statistically random sample \n     because the output depends on the order of the input and \n     the input points do not have an equal chance to appear in the output \n     (plus Vitter's incremental random algorithms are more complex\n      than this, while not a proof it is good indication this isn' ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRandomModeType();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetRandomModeType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProportionalMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "SetProportionalMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProportionalMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProportionalMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " THIS ONLY WORKS WITH THE PARALLEL IMPLEMENTATION vtkPMaskPoints RUNNING\n IN PARALLEL.\n NOTHING WILL CHANGE IF THIS IS NOT THE PARALLEL vtkPMaskPoints.\n Determines whether maximum number of points is taken per processor\n (default) or if the maximum number of points is proportionally\n taken across processors (i.e., number of points per\n processor = points on a processor * maximum number of points /\n total points across all processors).  In the first case,\n the total n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProportionalMaximumNumberOfPoints(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetProportionalMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProportionalMaximumNumberOfPoints */
    if ( strcmp ( argv[2], "GetProportionalMaximumNumberOfPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProportionalMaximumNumberOfPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProportionalMaximumNumberOfPoints */
    Tcl_DStringAppendElement ( &dString, " THIS ONLY WORKS WITH THE PARALLEL IMPLEMENTATION vtkPMaskPoints RUNNING\n IN PARALLEL.\n NOTHING WILL CHANGE IF THIS IS NOT THE PARALLEL vtkPMaskPoints.\n Determines whether maximum number of points is taken per processor\n (default) or if the maximum number of points is proportionally\n taken across processors (i.e., number of points per\n processor = points on a processor * maximum number of points /\n total points across all processors).  In the first case,\n the total n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProportionalMaximumNumberOfPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetProportionalMaximumNumberOfPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProportionalMaximumNumberOfPointsOn */
    if ( strcmp ( argv[2], "ProportionalMaximumNumberOfPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProportionalMaximumNumberOfPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProportionalMaximumNumberOfPointsOn */
    Tcl_DStringAppendElement ( &dString, " THIS ONLY WORKS WITH THE PARALLEL IMPLEMENTATION vtkPMaskPoints RUNNING\n IN PARALLEL.\n NOTHING WILL CHANGE IF THIS IS NOT THE PARALLEL vtkPMaskPoints.\n Determines whether maximum number of points is taken per processor\n (default) or if the maximum number of points is proportionally\n taken across processors (i.e., number of points per\n processor = points on a processor * maximum number of points /\n total points across all processors).  In the first case,\n the total n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ProportionalMaximumNumberOfPointsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for ProportionalMaximumNumberOfPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProportionalMaximumNumberOfPointsOff */
    if ( strcmp ( argv[2], "ProportionalMaximumNumberOfPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProportionalMaximumNumberOfPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProportionalMaximumNumberOfPointsOff */
    Tcl_DStringAppendElement ( &dString, " THIS ONLY WORKS WITH THE PARALLEL IMPLEMENTATION vtkPMaskPoints RUNNING\n IN PARALLEL.\n NOTHING WILL CHANGE IF THIS IS NOT THE PARALLEL vtkPMaskPoints.\n Determines whether maximum number of points is taken per processor\n (default) or if the maximum number of points is proportionally\n taken across processors (i.e., number of points per\n processor = points on a processor * maximum number of points /\n total points across all processors).  In the first case,\n the total n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ProportionalMaximumNumberOfPointsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for ProportionalMaximumNumberOfPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateVertices */
    if ( strcmp ( argv[2], "SetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateVertices(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateVertices */
    if ( strcmp ( argv[2], "GetGenerateVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertices */
    Tcl_DStringAppendElement ( &dString, " Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetGenerateVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVerticesOn */
    if ( strcmp ( argv[2], "GenerateVerticesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOn */
    Tcl_DStringAppendElement ( &dString, " Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVerticesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GenerateVerticesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVerticesOff */
    if ( strcmp ( argv[2], "GenerateVerticesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVerticesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVerticesOff */
    Tcl_DStringAppendElement ( &dString, " Generate output polydata vertices as well as points. A useful\n convenience method because vertices are drawn (they are topology) while\n points are not (they are geometry). By default this method is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVerticesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GenerateVerticesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSingleVertexPerCell */
    if ( strcmp ( argv[2], "SetSingleVertexPerCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleVertexPerCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleVertexPerCell */
    Tcl_DStringAppendElement ( &dString, " When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have \n a single vertex per cell, enable this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSingleVertexPerCell(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SetSingleVertexPerCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSingleVertexPerCell */
    if ( strcmp ( argv[2], "GetSingleVertexPerCell" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSingleVertexPerCell" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSingleVertexPerCell */
    Tcl_DStringAppendElement ( &dString, " When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have \n a single vertex per cell, enable this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSingleVertexPerCell();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for GetSingleVertexPerCell */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SingleVertexPerCellOn */
    if ( strcmp ( argv[2], "SingleVertexPerCellOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleVertexPerCellOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleVertexPerCellOn */
    Tcl_DStringAppendElement ( &dString, " When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have \n a single vertex per cell, enable this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void SingleVertexPerCellOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SingleVertexPerCellOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SingleVertexPerCellOff */
    if ( strcmp ( argv[2], "SingleVertexPerCellOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleVertexPerCellOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleVertexPerCellOff */
    Tcl_DStringAppendElement ( &dString, " When vertex generation is enabled, by default vertices are produced\n as multi-vertex cells (more than one per cell), if you wish to have \n a single vertex per cell, enable this flag.\n" );
    Tcl_DStringAppendElement ( &dString, "void SingleVertexPerCellOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMaskPoints" );
    /* Closing for SingleVertexPerCellOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
