// java wrapper for vtkModifiedBSPTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModifiedBSPTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkModifiedBSPTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkModifiedBSPTree",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkModifiedBSPTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;
  const char    *temp20;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModifiedBSPTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkModifiedBSPTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_FreeSearchStructure_12(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_BuildLocator_13(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_GenerateRepresentation_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkModifiedBSPTree *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkModifiedBSPTree_GenerateRepresentationLeafs_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkModifiedBSPTree *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentationLeafs(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModifiedBSPTree_IntersectWithLine_16(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  vtkModifiedBSPTree *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModifiedBSPTree_IntersectWithLine_17(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdouble id2,jobject id3,jobject id4)
{
  vtkModifiedBSPTree *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double   temp2;
  vtkPoints  *temp3;
  vtkIdList  *temp4;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;
  temp3 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3,temp4);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkModifiedBSPTree_FindCell_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkModifiedBSPTree *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindCell(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkModifiedBSPTree_InsideCellBounds_19(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkModifiedBSPTree *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp1;
  bool   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsideCellBounds(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkModifiedBSPTree_GetLeafNodeCellInformation_110(JNIEnv *env, jobject obj)
{
  vtkModifiedBSPTree *op;
  vtkIdListCollection  *temp20;

  op = (vtkModifiedBSPTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeafNodeCellInformation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkModifiedBSPTree_VTKInit(JNIEnv *, jobject)
{
  vtkModifiedBSPTree *aNewOne = vtkModifiedBSPTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
