// java wrapper for vtkMultiThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiThreshold.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiThreshold_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiThreshold",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiThreshold_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiThreshold *op;
  const char    *temp20;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiThreshold *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddIntervalSet_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jint id2,jint id3,jint id4,jstring id5,jint id6,jint id7)
{
  vtkMultiThreshold *op;
  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  char    *temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = vtkJavaUTFToChar(env,id5);
  temp6 = id6;
  temp7 = id7;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  if (temp5) delete[] temp5;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddIntervalSet_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jint id2,jint id3,jint id4,jint id5,jint id6,jint id7)
{
  vtkMultiThreshold *op;
  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddLowpassIntervalSet_14(JNIEnv *env, jobject obj,jdouble id0,jint id1,jstring id2,jint id3,jint id4)
{
  vtkMultiThreshold *op;
  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;
  temp4 = id4;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddLowpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddHighpassIntervalSet_15(JNIEnv *env, jobject obj,jdouble id0,jint id1,jstring id2,jint id3,jint id4)
{
  vtkMultiThreshold *op;
  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;
  temp4 = id4;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddHighpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
  if (temp2) delete[] temp2;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddBandpassIntervalSet_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jint id2,jstring id3,jint id4,jint id5)
{
  vtkMultiThreshold *op;
  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = id4;
  temp5 = id5;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddBandpassIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
  if (temp3) delete[] temp3;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_AddNotchIntervalSet_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jint id2,jstring id3,jint id4,jint id5)
{
  vtkMultiThreshold *op;
  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = id4;
  temp5 = id5;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddNotchIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
  if (temp3) delete[] temp3;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiThreshold_OutputSet_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiThreshold *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->OutputSet(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiThreshold_Reset_19(JNIEnv *env, jobject obj)
{
  vtkMultiThreshold *op;

  op = (vtkMultiThreshold *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMultiThreshold_VTKInit(JNIEnv *, jobject)
{
  vtkMultiThreshold *aNewOne = vtkMultiThreshold::New();
  return (jlong)(size_t)(void*)aNewOne;
}
