// java wrapper for vtkOBBTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOBBTree.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractCellLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOBBTree_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOBBTree",dType)) { return me; }
  if ((res= vtkAbstractCellLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOBBTree_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOBBTree *op;
  const char    *temp20;

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOBBTree_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOBBTree *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOBBTree_IntersectWithLine_12(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2,jobject id3)
{
  vtkOBBTree *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IntersectWithLine(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOBBTree_ComputeOBB_13(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdoubleArray id4,jdoubleArray id5)
{
  vtkOBBTree *op;
  vtkPoints  *temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  double temp5[3];
  void *tempArray5;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOBBTree_ComputeOBB_14(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jdoubleArray id2,jdoubleArray id3,jdoubleArray id4,jdoubleArray id5)
{
  vtkOBBTree *op;
  vtkDataSet  *temp0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double temp3[3];
  void *tempArray3;
  double temp4[3];
  void *tempArray4;
  double temp5[3];
  void *tempArray5;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOBBTree_InsideOrOutside_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOBBTree *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->InsideOrOutside(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOBBTree_FreeSearchStructure_16(JNIEnv *env, jobject obj)
{
  vtkOBBTree *op;

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  op->FreeSearchStructure();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOBBTree_BuildLocator_17(JNIEnv *env, jobject obj)
{
  vtkOBBTree *op;

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOBBTree_GenerateRepresentation_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkOBBTree *op;
  int      temp0;
  vtkPolyData  *temp1;
  temp0 = id0;
  temp1 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOBBTree *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOBBTree_VTKInit(JNIEnv *, jobject)
{
  vtkOBBTree *aNewOne = vtkOBBTree::New();
  return (jlong)(size_t)(void*)aNewOne;
}
