// java wrapper for vtkOutlineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutlineSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOutlineSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOutlineSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOutlineSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;
  const char    *temp20;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutlineSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOutlineSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetBoxType_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkOutlineSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoxType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutlineSource_GetBoxType_13(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;
  int      temp20;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoxType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetBoxTypeToAxisAligned_14(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoxTypeToAxisAligned();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetBoxTypeToOriented_15(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoxTypeToOriented();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetBounds_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkOutlineSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOutlineSource *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkOutlineSource_GetBounds_18(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;
  double  *temp20;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetCorners_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkOutlineSource *op;
  double temp0[24];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCorners(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkOutlineSource_GetCorners_110(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;
  double  *temp20;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCorners();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,24);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_SetGenerateFaces_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkOutlineSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateFaces(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_GenerateFacesOn_112(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFacesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOutlineSource_GenerateFacesOff_113(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateFacesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOutlineSource_GetGenerateFaces_114(JNIEnv *env, jobject obj)
{
  vtkOutlineSource *op;
  int      temp20;

  op = (vtkOutlineSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateFaces();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOutlineSource_VTKInit(JNIEnv *, jobject)
{
  vtkOutlineSource *aNewOne = vtkOutlineSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
