// java wrapper for vtkPointSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPointSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPointSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPointSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  const char    *temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPointSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetNumberOfPoints_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSource *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPoints(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSource_GetNumberOfPointsMinValue_13(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  vtkIdType   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSource_GetNumberOfPointsMaxValue_14(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  vtkIdType   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSource_GetNumberOfPoints_15(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  vtkIdType   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetCenter_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPointSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetCenter_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPointSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPointSource_GetCenter_18(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  double  *temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetRadius_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPointSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointSource_GetRadiusMinValue_110(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  double   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointSource_GetRadiusMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  double   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkPointSource_GetRadius_112(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  double   temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetDistribution_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkPointSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistribution(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetDistributionToUniform_114(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistributionToUniform();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPointSource_SetDistributionToShell_115(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistributionToShell();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPointSource_GetDistribution_116(JNIEnv *env, jobject obj)
{
  vtkPointSource *op;
  int      temp20;

  op = (vtkPointSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistribution();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPointSource_VTKInit(JNIEnv *, jobject)
{
  vtkPointSource *aNewOne = vtkPointSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
