// java wrapper for vtkPolyDataConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataConnectivityFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataConnectivityFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataConnectivityFilter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  const char    *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataConnectivityFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetRegionSizes_12(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  vtkIdTypeArray  *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRegionSizes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetScalarConnectivity_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarConnectivity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetScalarConnectivity_14(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarConnectivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_ScalarConnectivityOn_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarConnectivityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_ScalarConnectivityOff_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarConnectivityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetFullScalarConnectivity_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFullScalarConnectivity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetFullScalarConnectivity_18(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFullScalarConnectivity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_FullScalarConnectivityOn_19(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->FullScalarConnectivityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_FullScalarConnectivityOff_110(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->FullScalarConnectivityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetScalarRange_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkPolyDataConnectivityFilter *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetScalarRange_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataConnectivityFilter *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetScalarRange_113(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  double  *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionMode_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetExtractionModeMinValue_115(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtractionModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetExtractionModeMaxValue_116(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtractionModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetExtractionMode_117(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtractionMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToPointSeededRegions_118(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToPointSeededRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToCellSeededRegions_119(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToCellSeededRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToLargestRegion_120(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToLargestRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToSpecifiedRegions_121(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToSpecifiedRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToClosestPointRegion_122(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToClosestPointRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetExtractionModeToAllRegions_123(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtractionModeToAllRegions();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetExtractionModeAsString_124(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  const char    *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtractionModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_InitializeSeedList_125(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeSeedList();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_AddSeed_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddSeed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_DeleteSeed_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteSeed(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_InitializeSpecifiedRegionList_128(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->InitializeSpecifiedRegionList();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_AddSpecifiedRegion_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->AddSpecifiedRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_DeleteSpecifiedRegion_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteSpecifiedRegion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetClosestPoint_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkPolyDataConnectivityFilter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosestPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetClosestPoint_132(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataConnectivityFilter *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClosestPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetClosestPoint_133(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  double  *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClosestPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetNumberOfExtractedRegions_134(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfExtractedRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetColorRegions_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorRegions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetColorRegions_136(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorRegions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_ColorRegionsOn_137(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorRegionsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_ColorRegionsOff_138(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorRegionsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_SetMarkVisitedPointIds_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMarkVisitedPointIds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetMarkVisitedPointIds_140(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  int      temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMarkVisitedPointIds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_MarkVisitedPointIdsOn_141(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MarkVisitedPointIdsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_MarkVisitedPointIdsOff_142(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->MarkVisitedPointIdsOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataConnectivityFilter_GetVisitedPointIds_143(JNIEnv *env, jobject obj)
{
  vtkPolyDataConnectivityFilter *op;
  vtkIdList  *temp20;

  op = (vtkPolyDataConnectivityFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisitedPointIds();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataConnectivityFilter_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataConnectivityFilter *aNewOne = vtkPolyDataConnectivityFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
