// java wrapper for vtkPolyDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataStreamer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataStreamer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataStreamer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataStreamer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataStreamer *op;
  const char    *temp20;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataStreamer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataStreamer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataStreamer_SetNumberOfStreamDivisions_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfStreamDivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataStreamer_GetNumberOfStreamDivisions_13(JNIEnv *env, jobject obj)
{
  vtkPolyDataStreamer *op;
  int      temp20;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfStreamDivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataStreamer_SetColorByPiece_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorByPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataStreamer_GetColorByPiece_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataStreamer *op;
  int      temp20;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorByPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataStreamer_ColorByPieceOn_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataStreamer *op;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByPieceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataStreamer_ColorByPieceOff_17(JNIEnv *env, jobject obj)
{
  vtkPolyDataStreamer *op;

  op = (vtkPolyDataStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorByPieceOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataStreamer_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataStreamer *aNewOne = vtkPolyDataStreamer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
