// java wrapper for vtkProgrammableFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPassInputTypeAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableFilter",dType)) { return me; }
  if ((res= vtkPassInputTypeAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  const char    *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableFilter_SetExecuteMethod_12(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableFilter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
  if (temp0_str) delete[] temp0_str;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetPolyDataInput_13(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkPolyData  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetStructuredPointsInput_14(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkStructuredPoints  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetStructuredGridInput_15(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkStructuredGrid  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetUnstructuredGridInput_16(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetRectilinearGridInput_17(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetGraphInput_18(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkGraph  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableFilter_GetTableInput_19(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  vtkTable  *temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTableInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableFilter_SetCopyArrays_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkProgrammableFilter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCopyArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkProgrammableFilter_GetCopyArrays_111(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;
  bool   temp20;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCopyArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableFilter_CopyArraysOn_112(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableFilter_CopyArraysOff_113(JNIEnv *env, jobject obj)
{
  vtkProgrammableFilter *op;

  op = (vtkProgrammableFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyArraysOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProgrammableFilter_VTKInit(JNIEnv *, jobject)
{
  vtkProgrammableFilter *aNewOne = vtkProgrammableFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
