// java wrapper for vtkProgrammableSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProgrammableSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProgrammableSource",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProgrammableSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  const char    *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProgrammableSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProgrammableSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProgrammableSource_SetExecuteMethod_12(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkProgrammableSource *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExecuteMethod(vtkJavaVoidFunc,(void *)temp0);
  op->SetExecuteMethodArgDelete(vtkJavaVoidFuncArgDelete);
  if (temp0_str) delete[] temp0_str;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetPolyDataOutput_13(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkPolyData  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredPointsOutput_14(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredPoints  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredPointsOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetStructuredGridOutput_15(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkStructuredGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetUnstructuredGridOutput_16(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUnstructuredGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProgrammableSource_GetRectilinearGridOutput_17(JNIEnv *env, jobject obj)
{
  vtkProgrammableSource *op;
  vtkRectilinearGrid  *temp20;

  op = (vtkProgrammableSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRectilinearGridOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProgrammableSource_VTKInit(JNIEnv *, jobject)
{
  vtkProgrammableSource *aNewOne = vtkProgrammableSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
