// java wrapper for vtkProjectedTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProjectedTexture.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProjectedTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProjectedTexture",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTexture_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  const char    *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProjectedTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetFocalPoint_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetFocalPoint_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPoint(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetFocalPoint_17(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalPoint();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetCameraMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkProjectedTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCameraMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTexture_GetCameraMode_19(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  int      temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCameraMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetCameraModeToPinhole_110(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCameraModeToPinhole();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetCameraModeToTwoMirror_111(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCameraModeToTwoMirror();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetMirrorSeparation_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkProjectedTexture *op;
  double   temp0;
  temp0 = id0;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMirrorSeparation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkProjectedTexture_GetMirrorSeparation_113(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double   temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMirrorSeparation();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetOrientation_114(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetUp_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUp(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetUp_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUp(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetUp_117(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUp();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetAspectRatio_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAspectRatio(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetAspectRatio_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAspectRatio(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetAspectRatio_120(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAspectRatio();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetSRange_121(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetSRange_122(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetSRange_123(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetTRange_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkProjectedTexture *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTexture_SetTRange_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkProjectedTexture *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkProjectedTexture_GetTRange_126(JNIEnv *env, jobject obj)
{
  vtkProjectedTexture *op;
  double  *temp20;

  op = (vtkProjectedTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProjectedTexture_VTKInit(JNIEnv *, jobject)
{
  vtkProjectedTexture *aNewOne = vtkProjectedTexture::New();
  return (jlong)(size_t)(void*)aNewOne;
}
