// tcl wrapper for vtkRandomAttributeGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRandomAttributeGenerator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRandomAttributeGeneratorNewCommand()
{
  vtkRandomAttributeGenerator *temp = vtkRandomAttributeGenerator::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRandomAttributeGeneratorCppCommand(vtkRandomAttributeGenerator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRandomAttributeGeneratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRandomAttributeGeneratorCppCommand(static_cast<vtkRandomAttributeGenerator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRandomAttributeGeneratorCppCommand(vtkRandomAttributeGenerator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRandomAttributeGenerator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRandomAttributeGenerator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomAttributeGenerator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRandomAttributeGenerator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomAttributeGenerator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRandomAttributeGenerator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRandomAttributeGenerator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataTypeToBit",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToBit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponentsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComponentsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponentsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumComponentValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumComponentValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumComponentValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumComponentValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumComponentValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumComponentValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumComponentValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumComponentValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTuples",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTuples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTuplesMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTuplesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTuplesMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTuplesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTuples",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTuples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointVectorsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointVectorsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointNormalsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointNormalsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointTensors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointTensors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointTensors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointTensorsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointTensorsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointArrayOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointArrayOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellVectorsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellVectorsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellNormalsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellNormalsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellTensors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellTensors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellTensors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellTensorsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellTensorsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateCellArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateCellArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateCellArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateCellArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateCellArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateCellArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateCellArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateFieldArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateFieldArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateFieldArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateFieldArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFieldArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateFieldArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFieldArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateFieldArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllPointDataOn",argv[1]))&&(argc == 2))
    {
    op->GenerateAllPointDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllPointDataOff",argv[1]))&&(argc == 2))
    {
    op->GenerateAllPointDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllCellDataOn",argv[1]))&&(argc == 2))
    {
    op->GenerateAllCellDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllCellDataOff",argv[1]))&&(argc == 2))
    {
    op->GenerateAllCellDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllDataOn",argv[1]))&&(argc == 2))
    {
    op->GenerateAllDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateAllDataOff",argv[1]))&&(argc == 2))
    {
    op->GenerateAllDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRandomAttributeGeneratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRandomAttributeGenerator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToBit\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumComponentValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumComponentValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumComponentValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumComponentValue\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTuples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTuplesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTuplesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTuples\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointScalars\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointVectors\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointNormals\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointTensors\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointTCoords\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointArray\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellVectors\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellNormals\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellTensors\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellTCoords\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateCellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateCellArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateCellArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateFieldArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateFieldArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFieldArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFieldArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllPointDataOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllPointDataOff\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllCellDataOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllCellDataOff\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllDataOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateAllDataOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToBit" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumComponentValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumComponentValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumComponentValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumComponentValue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuplesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuplesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointScalars" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointVectors" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointVectors" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointNormals" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointNormals" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointTensors" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointTensors" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTensorsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTensorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointTCoords" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTCoordsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTCoordsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointArray" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointArray" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePointArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellScalars" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellVectors" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellVectors" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellNormals" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellNormals" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellNormalsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellNormalsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellTensors" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellTensors" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTensorsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTensorsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellTCoords" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellTCoords" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTCoordsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTCoordsOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateCellArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFieldArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFieldArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateFieldArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateFieldArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllPointDataOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllPointDataOff" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllCellDataOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllCellDataOff" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllDataOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateAllDataOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create instance with minimum speed 0.0, maximum speed 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRandomAttributeGenerator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataType */
    if ( strcmp ( argv[2], "SetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToBit */
    if ( strcmp ( argv[2], "SetDataTypeToBit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToBit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToBit */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToBit();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToBit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToChar */
    if ( strcmp ( argv[2], "SetDataTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetDataTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToUnsignedChar();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToShort */
    if ( strcmp ( argv[2], "SetDataTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetDataTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToUnsignedShort();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToInt */
    if ( strcmp ( argv[2], "SetDataTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetDataTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToUnsignedInt();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToLong */
    if ( strcmp ( argv[2], "SetDataTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetDataTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToUnsignedLong();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToFloat */
    if ( strcmp ( argv[2], "SetDataTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToFloat();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataTypeToDouble */
    if ( strcmp ( argv[2], "SetDataTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataTypeToDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetDataTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Specify the type of array to create (all components of this array are of this\n type). This holds true for all arrays that are created.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfComponents */
    if ( strcmp ( argv[2], "SetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the number of components to generate. This value only applies to those\n attribute types that take a variable number of components. For example, a vector\n is only three components so the number of components is not applicable; whereas\n a scalar may support multiple, varying number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfComponents(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfComponentsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of components to generate. This value only applies to those\n attribute types that take a variable number of components. For example, a vector\n is only three components so the number of components is not applicable; whereas\n a scalar may support multiple, varying number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfComponentsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfComponentsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of components to generate. This value only applies to those\n attribute types that take a variable number of components. For example, a vector\n is only three components so the number of components is not applicable; whereas\n a scalar may support multiple, varying number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfComponentsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponents */
    if ( strcmp ( argv[2], "GetNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, " Specify the number of components to generate. This value only applies to those\n attribute types that take a variable number of components. For example, a vector\n is only three components so the number of components is not applicable; whereas\n a scalar may support multiple, varying number of components.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumComponentValue */
    if ( strcmp ( argv[2], "SetMinimumComponentValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumComponentValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumComponentValue */
    Tcl_DStringAppendElement ( &dString, " Set the minimum component value. This applies to all data that is generated, \n although normals and tensors have internal constraints that must be \n observed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumComponentValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetMinimumComponentValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumComponentValue */
    if ( strcmp ( argv[2], "GetMinimumComponentValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumComponentValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumComponentValue */
    Tcl_DStringAppendElement ( &dString, " Set the minimum component value. This applies to all data that is generated, \n although normals and tensors have internal constraints that must be \n observed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumComponentValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetMinimumComponentValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumComponentValue */
    if ( strcmp ( argv[2], "SetMaximumComponentValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumComponentValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumComponentValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum component value. This applies to all data that is generated, \n although normals and tensors have internal constraints that must be \n observed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumComponentValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetMaximumComponentValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumComponentValue */
    if ( strcmp ( argv[2], "GetMaximumComponentValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumComponentValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumComponentValue */
    Tcl_DStringAppendElement ( &dString, " Set the maximum component value. This applies to all data that is generated, \n although normals and tensors have internal constraints that must be \n observed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumComponentValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetMaximumComponentValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfTuples */
    if ( strcmp ( argv[2], "SetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuples to generate. This value only applies when creating\n general field data. In all other cases (i.e., point data or cell data), the number\n of tuples is controlled by the number of points and cells, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfTuples(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTuplesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfTuplesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuplesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTuplesMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuples to generate. This value only applies when creating\n general field data. In all other cases (i.e., point data or cell data), the number\n of tuples is controlled by the number of points and cells, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTuplesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfTuplesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTuplesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfTuplesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuplesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTuplesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuples to generate. This value only applies when creating\n general field data. In all other cases (i.e., point data or cell data), the number\n of tuples is controlled by the number of points and cells, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTuplesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfTuplesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTuples */
    if ( strcmp ( argv[2], "GetNumberOfTuples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTuples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTuples */
    Tcl_DStringAppendElement ( &dString, " Specify the number of tuples to generate. This value only applies when creating\n general field data. In all other cases (i.e., point data or cell data), the number\n of tuples is controlled by the number of points and cells, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTuples();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetNumberOfTuples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointScalars */
    if ( strcmp ( argv[2], "SetGeneratePointScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate that point scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointScalars */
    if ( strcmp ( argv[2], "GetGeneratePointScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate that point scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointScalarsOn */
    if ( strcmp ( argv[2], "GeneratePointScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that point scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointScalarsOff */
    if ( strcmp ( argv[2], "GeneratePointScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that point scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointVectors */
    if ( strcmp ( argv[2], "SetGeneratePointVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointVectors */
    Tcl_DStringAppendElement ( &dString, " Indicate that point vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointVectors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointVectors */
    if ( strcmp ( argv[2], "GetGeneratePointVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointVectors */
    Tcl_DStringAppendElement ( &dString, " Indicate that point vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointVectorsOn */
    if ( strcmp ( argv[2], "GeneratePointVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that point vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointVectorsOff */
    if ( strcmp ( argv[2], "GeneratePointVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that point vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointNormals */
    if ( strcmp ( argv[2], "SetGeneratePointNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointNormals */
    Tcl_DStringAppendElement ( &dString, " Indicate that point normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointNormals(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointNormals */
    if ( strcmp ( argv[2], "GetGeneratePointNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointNormals */
    Tcl_DStringAppendElement ( &dString, " Indicate that point normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointNormalsOn */
    if ( strcmp ( argv[2], "GeneratePointNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that point normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointNormalsOff */
    if ( strcmp ( argv[2], "GeneratePointNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that point normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointTensors */
    if ( strcmp ( argv[2], "SetGeneratePointTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointTensors */
    Tcl_DStringAppendElement ( &dString, " Indicate that point tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointTensors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointTensors */
    if ( strcmp ( argv[2], "GetGeneratePointTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointTensors */
    Tcl_DStringAppendElement ( &dString, " Indicate that point tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointTensors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointTensorsOn */
    if ( strcmp ( argv[2], "GeneratePointTensorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTensorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointTensorsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that point tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointTensorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointTensorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointTensorsOff */
    if ( strcmp ( argv[2], "GeneratePointTensorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTensorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointTensorsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that point tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointTensorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointTensorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointTCoords */
    if ( strcmp ( argv[2], "SetGeneratePointTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointTCoords */
    Tcl_DStringAppendElement ( &dString, " Indicate that point texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointTCoords(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointTCoords */
    if ( strcmp ( argv[2], "GetGeneratePointTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointTCoords */
    Tcl_DStringAppendElement ( &dString, " Indicate that point texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointTCoords();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointTCoordsOn */
    if ( strcmp ( argv[2], "GeneratePointTCoordsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTCoordsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointTCoordsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that point texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointTCoordsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointTCoordsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointTCoordsOff */
    if ( strcmp ( argv[2], "GeneratePointTCoordsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointTCoordsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointTCoordsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that point texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointTCoordsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointTCoordsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePointArray */
    if ( strcmp ( argv[2], "SetGeneratePointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePointArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary point array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePointArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGeneratePointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePointArray */
    if ( strcmp ( argv[2], "GetGeneratePointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePointArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary point array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGeneratePointArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGeneratePointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointArrayOn */
    if ( strcmp ( argv[2], "GeneratePointArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary point array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePointArrayOff */
    if ( strcmp ( argv[2], "GeneratePointArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePointArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePointArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary point array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePointArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GeneratePointArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellScalars */
    if ( strcmp ( argv[2], "SetGenerateCellScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellScalars */
    if ( strcmp ( argv[2], "GetGenerateCellScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellScalars */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellScalarsOn */
    if ( strcmp ( argv[2], "GenerateCellScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellScalarsOff */
    if ( strcmp ( argv[2], "GenerateCellScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell scalars are to be generated. Note that the specified\n number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellVectors */
    if ( strcmp ( argv[2], "SetGenerateCellVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellVectors */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellVectors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellVectors */
    if ( strcmp ( argv[2], "GetGenerateCellVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellVectors */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellVectorsOn */
    if ( strcmp ( argv[2], "GenerateCellVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellVectorsOff */
    if ( strcmp ( argv[2], "GenerateCellVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell vectors are to be generated. Note that the \n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellNormals */
    if ( strcmp ( argv[2], "SetGenerateCellNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellNormals */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellNormals(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellNormals */
    if ( strcmp ( argv[2], "GetGenerateCellNormals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellNormals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellNormals */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellNormals();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellNormals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellNormalsOn */
    if ( strcmp ( argv[2], "GenerateCellNormalsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellNormalsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellNormalsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellNormalsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellNormalsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellNormalsOff */
    if ( strcmp ( argv[2], "GenerateCellNormalsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellNormalsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellNormalsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell normals are to be generated. Note that the\n number of components is always equal to three.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellNormalsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellNormalsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellTensors */
    if ( strcmp ( argv[2], "SetGenerateCellTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellTensors */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellTensors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellTensors */
    if ( strcmp ( argv[2], "GetGenerateCellTensors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellTensors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellTensors */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellTensors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellTensors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellTensorsOn */
    if ( strcmp ( argv[2], "GenerateCellTensorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTensorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellTensorsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellTensorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellTensorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellTensorsOff */
    if ( strcmp ( argv[2], "GenerateCellTensorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTensorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellTensorsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell tensors are to be generated. Note that the\n number of components is always equal to nine.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellTensorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellTensorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellTCoords */
    if ( strcmp ( argv[2], "SetGenerateCellTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellTCoords */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellTCoords(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellTCoords */
    if ( strcmp ( argv[2], "GetGenerateCellTCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellTCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellTCoords */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellTCoords();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellTCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellTCoordsOn */
    if ( strcmp ( argv[2], "GenerateCellTCoordsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTCoordsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellTCoordsOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellTCoordsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellTCoordsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellTCoordsOff */
    if ( strcmp ( argv[2], "GenerateCellTCoordsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellTCoordsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellTCoordsOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that cell texture coordinates are to be generated. Note that\n the specified number of components is used to create the texture\n coordinates (but must range between one and three).\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellTCoordsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellTCoordsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateCellArray */
    if ( strcmp ( argv[2], "SetGenerateCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateCellArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary cell array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateCellArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateCellArray */
    if ( strcmp ( argv[2], "GetGenerateCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateCellArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary cell array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateCellArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellArrayOn */
    if ( strcmp ( argv[2], "GenerateCellArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary cell array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateCellArrayOff */
    if ( strcmp ( argv[2], "GenerateCellArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateCellArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateCellArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary cell array is to be generated. Note that the\n specified number of components is used to create the array.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateCellArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateCellArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateFieldArray */
    if ( strcmp ( argv[2], "SetGenerateFieldArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFieldArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateFieldArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary field data array is to be generated. Note\n that the specified number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateFieldArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for SetGenerateFieldArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateFieldArray */
    if ( strcmp ( argv[2], "GetGenerateFieldArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFieldArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateFieldArray */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary field data array is to be generated. Note\n that the specified number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateFieldArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GetGenerateFieldArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFieldArrayOn */
    if ( strcmp ( argv[2], "GenerateFieldArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFieldArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFieldArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary field data array is to be generated. Note\n that the specified number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFieldArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateFieldArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFieldArrayOff */
    if ( strcmp ( argv[2], "GenerateFieldArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFieldArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFieldArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate that an arbitrary field data array is to be generated. Note\n that the specified number of components is used to create the scalar.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFieldArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateFieldArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllPointDataOn */
    if ( strcmp ( argv[2], "GenerateAllPointDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllPointDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllPointDataOn */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllPointDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllPointDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllPointDataOff */
    if ( strcmp ( argv[2], "GenerateAllPointDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllPointDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllPointDataOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllPointDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllPointDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllCellDataOn */
    if ( strcmp ( argv[2], "GenerateAllCellDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllCellDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllCellDataOn */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllCellDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllCellDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllCellDataOff */
    if ( strcmp ( argv[2], "GenerateAllCellDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllCellDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllCellDataOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllCellDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllCellDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllDataOn */
    if ( strcmp ( argv[2], "GenerateAllDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllDataOn */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateAllDataOff */
    if ( strcmp ( argv[2], "GenerateAllDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateAllDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateAllDataOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for generating data: all data, all point data, or all cell data.\n For example, if all data is enabled, then all point, cell and field data is generated.\n If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,\n and a data array are produced.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateAllDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRandomAttributeGenerator" );
    /* Closing for GenerateAllDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
