// java wrapper for vtkSelectionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSelectionSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSelectionSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSelectionSource",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  const char    *temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddID_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkSelectionSource *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddID(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddStringID_13(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkSelectionSource *op;
  vtkIdType   temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddStringID(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddLocation_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSelectionSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLocation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddThreshold_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkSelectionSource *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddThreshold(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_AddBlock_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AddBlock(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllIDs_17(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllIDs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllStringIDs_18(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllStringIDs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllThresholds_19(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllThresholds();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllLocations_110(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllLocations();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_RemoveAllBlocks_111(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllBlocks();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetContentType_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContentType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetContentType_113(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetFieldType_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetFieldType_115(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetContainingCells_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetContainingCells(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetContainingCells_117(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContainingCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetInverse_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInverse(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetInverse_119(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInverse();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetArrayName_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionSource_GetArrayName_121(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  char    *temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetArrayComponent_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayComponent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetArrayComponent_123(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetCompositeIndex_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetCompositeIndex_125(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetHierarchicalLevel_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHierarchicalLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetHierarchicalLevel_127(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchicalLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetHierarchicalIndex_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkSelectionSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHierarchicalIndex(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSelectionSource_GetHierarchicalIndex_129(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  int      temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHierarchicalIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSelectionSource_SetQueryString_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSelectionSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQueryString(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSelectionSource_GetQueryString_131(JNIEnv *env, jobject obj)
{
  vtkSelectionSource *op;
  char    *temp20;

  op = (vtkSelectionSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQueryString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSelectionSource_VTKInit(JNIEnv *, jobject)
{
  vtkSelectionSource *aNewOne = vtkSelectionSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
