// java wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamTracer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamTracer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamTracer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamTracer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  const char    *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamTracer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkStreamTracer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetStartPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStreamTracer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStreamTracer_GetStartPosition_14(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSource_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetSource_16(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkDataSet  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetSourceConnection_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrator_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamTracer_GetIntegrator_19(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkInitialValueProblemSolver  *temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegratorType_111(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegratorType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta2_112(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta2();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta4_113(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta4();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegratorTypeToRungeKutta45_114(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegratorTypeToRungeKutta45();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorTypeToDataSetPointLocator_115(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorTypeToDataSetPointLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorTypeToCellLocator_116(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorTypeToCellLocator();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumPropagation_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumPropagation_118(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationStepUnit_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationStepUnit(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationStepUnit_120(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepUnit();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInitialIntegrationStep_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInitialIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetInitialIntegrationStep_122(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMinimumIntegrationStep_123(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMinimumIntegrationStep_124(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumIntegrationStep_125(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumIntegrationStep(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumIntegrationStep_126(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumIntegrationStep();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumError_127(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumError(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetMaximumError_128(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumError();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetMaximumNumberOfSteps_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetMaximumNumberOfSteps_130(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  vtkIdType   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetTerminalSpeed_131(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetTerminalSpeed_132(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirection_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMinValue_134(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirectionMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamTracer_GetIntegrationDirection_136(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  int      temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToForward_137(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBackward_138(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetIntegrationDirectionToBoth_139(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBoth();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetComputeVorticity_140(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStreamTracer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComputeVorticity(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStreamTracer_GetComputeVorticity_141(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  bool   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComputeVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetRotationScale_142(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamTracer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationScale(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamTracer_GetRotationScale_143(JNIEnv *env, jobject obj)
{
  vtkStreamTracer *op;
  double   temp20;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorPrototype_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamTracer *op;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = (vtkAbstractInterpolatedVelocityField *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorPrototype(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamTracer_SetInterpolatorType_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamTracer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamTracer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatorType(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStreamTracer_VTKInit(JNIEnv *, jobject)
{
  vtkStreamTracer *aNewOne = vtkStreamTracer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
