// java wrapper for vtkStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStreamer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStreamer",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  const char    *temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStreamer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetStartLocation_12(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkStreamer *op;
  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartLocation(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetStartLocation_13(JNIEnv *env, jobject obj,jint id0,jint id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkStreamer *op;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetStartPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkStreamer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetStartPosition_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkStreamer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkStreamer_GetStartPosition_16(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double  *temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetSource_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamer *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamer_GetSource_18(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  vtkDataSet  *temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSource();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetMaximumPropagationTime_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumPropagationTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetMaximumPropagationTimeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationTimeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetMaximumPropagationTimeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationTimeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetMaximumPropagationTime_112(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumPropagationTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrationDirection_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetIntegrationDirectionMinValue_114(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetIntegrationDirectionMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetIntegrationDirection_116(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirection();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrationDirectionToForward_117(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrationDirectionToBackward_118(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToBackward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrationDirectionToIntegrateBothDirections_119(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationDirectionToIntegrateBothDirections();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStreamer_GetIntegrationDirectionAsString_120(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  const char    *temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationDirectionAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrationStepLength_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrationStepLength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetIntegrationStepLengthMinValue_122(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLengthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetIntegrationStepLengthMaxValue_123(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLengthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetIntegrationStepLength_124(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrationStepLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetSpeedScalars_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpeedScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetSpeedScalars_126(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpeedScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SpeedScalarsOn_127(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SpeedScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SpeedScalarsOff_128(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SpeedScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetOrientationScalars_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientationScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetOrientationScalars_130(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientationScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_OrientationScalarsOn_131(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientationScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_OrientationScalarsOff_132(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->OrientationScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetTerminalSpeed_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTerminalSpeed(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetTerminalSpeedMinValue_134(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeedMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetTerminalSpeedMaxValue_135(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeedMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetTerminalSpeed_136(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTerminalSpeed();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetVorticity_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVorticity(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetVorticity_138(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVorticity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_VorticityOn_139(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->VorticityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_VorticityOff_140(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->VorticityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetNumberOfThreads_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkStreamer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfThreads(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStreamer_GetNumberOfThreads_142(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  int      temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfThreads();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetSavePointInterval_143(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSavePointInterval(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetSavePointInterval_144(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSavePointInterval();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetIntegrator_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStreamer *op;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = (vtkInitialValueProblemSolver *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStreamer_GetIntegrator_146(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  vtkInitialValueProblemSolver  *temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIntegrator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStreamer_SetEpsilon_147(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStreamer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEpsilon(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStreamer_GetEpsilon_148(JNIEnv *env, jobject obj)
{
  vtkStreamer *op;
  double   temp20;

  op = (vtkStreamer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEpsilon();
  return temp20;
}
