// java wrapper for vtkSuperquadricSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSuperquadricSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSuperquadricSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSuperquadricSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSuperquadricSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  const char    *temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadricSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSuperquadricSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetCenter_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSuperquadricSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetCenter_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSuperquadricSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSuperquadricSource_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double  *temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetScale_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkSuperquadricSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetScale_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkSuperquadricSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkSuperquadricSource_GetScale_17(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double  *temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadricSource_GetThetaResolution_18(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  int      temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetThetaResolution_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkSuperquadricSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThetaResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadricSource_GetPhiResolution_110(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  int      temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetPhiResolution_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkSuperquadricSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiResolution(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetThickness_112(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetThickness_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadricSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetThicknessMinValue_114(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetThicknessMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThicknessMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetPhiRoundness_116(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPhiRoundness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetPhiRoundness_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadricSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPhiRoundness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetThetaRoundness_118(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetThetaRoundness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetThetaRoundness_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadricSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetThetaRoundness(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetSize_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSuperquadricSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSuperquadricSource_GetSize_121(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  double   temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_ToroidalOn_122(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ToroidalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_ToroidalOff_123(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ToroidalOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSuperquadricSource_GetToroidal_124(JNIEnv *env, jobject obj)
{
  vtkSuperquadricSource *op;
  int      temp20;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToroidal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSuperquadricSource_SetToroidal_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkSuperquadricSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSuperquadricSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetToroidal(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSuperquadricSource_VTKInit(JNIEnv *, jobject)
{
  vtkSuperquadricSource *aNewOne = vtkSuperquadricSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
