// java wrapper for vtkTextSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextSource",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;
  const char    *temp20;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetText_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextSource *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetText(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextSource_GetText_13(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;
  char    *temp20;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetBacking_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBacking(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextSource_GetBacking_15(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;
  int      temp20;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBacking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_BackingOn_16(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->BackingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_BackingOff_17(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->BackingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetForegroundColor_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForegroundColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetForegroundColor_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForegroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextSource_GetForegroundColor_110(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;
  double  *temp20;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForegroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetBackgroundColor_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextSource_SetBackgroundColor_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextSource_GetBackgroundColor_113(JNIEnv *env, jobject obj)
{
  vtkTextSource *op;
  double  *temp20;

  op = (vtkTextSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextSource_VTKInit(JNIEnv *, jobject)
{
  vtkTextSource *aNewOne = vtkTextSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
