// java wrapper for vtkTextureMapToSphere object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureMapToSphere.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextureMapToSphere_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextureMapToSphere",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextureMapToSphere_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;
  const char    *temp20;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToSphere_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextureMapToSphere *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_SetCenter_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkTextureMapToSphere *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_SetCenter_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkTextureMapToSphere *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextureMapToSphere_GetCenter_14(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;
  double  *temp20;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_SetAutomaticSphereGeneration_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureMapToSphere *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticSphereGeneration(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToSphere_GetAutomaticSphereGeneration_16(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;
  int      temp20;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticSphereGeneration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_AutomaticSphereGenerationOn_17(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticSphereGenerationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_AutomaticSphereGenerationOff_18(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticSphereGenerationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_SetPreventSeam_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextureMapToSphere *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreventSeam(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextureMapToSphere_GetPreventSeam_110(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;
  int      temp20;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreventSeam();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_PreventSeamOn_111(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->PreventSeamOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextureMapToSphere_PreventSeamOff_112(JNIEnv *env, jobject obj)
{
  vtkTextureMapToSphere *op;

  op = (vtkTextureMapToSphere *)vtkJavaGetPointerFromObject(env,obj);
  op->PreventSeamOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextureMapToSphere_VTKInit(JNIEnv *, jobject)
{
  vtkTextureMapToSphere *aNewOne = vtkTextureMapToSphere::New();
  return (jlong)(size_t)(void*)aNewOne;
}
