// tcl wrapper for vtkUnstructuredGridGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridGeometryFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkUnstructuredGridGeometryFilterNewCommand()
{
  vtkUnstructuredGridGeometryFilter *temp = vtkUnstructuredGridGeometryFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUnstructuredGridGeometryFilterCppCommand(vtkUnstructuredGridGeometryFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkUnstructuredGridGeometryFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUnstructuredGridGeometryFilterCppCommand(static_cast<vtkUnstructuredGridGeometryFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUnstructuredGridGeometryFilterCppCommand(vtkUnstructuredGridGeometryFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUnstructuredGridGeometryFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridGeometryFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridGeometryFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridGeometryFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridGeometryFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUnstructuredGridGeometryFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridGeometryFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointClipping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointClipping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointClipping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointClipping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointClippingOn",argv[1]))&&(argc == 2))
    {
    op->PointClippingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointClippingOff",argv[1]))&&(argc == 2))
    {
    op->PointClippingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellClipping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellClipping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellClipping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellClipping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CellClippingOn",argv[1]))&&(argc == 2))
    {
    op->CellClippingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CellClippingOff",argv[1]))&&(argc == 2))
    {
    op->CellClippingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtentClipping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtentClipping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentClipping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtentClipping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtentClippingOn",argv[1]))&&(argc == 2))
    {
    op->ExtentClippingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtentClippingOff",argv[1]))&&(argc == 2))
    {
    op->ExtentClippingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointMinimum",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointMinimumMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMinimumMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointMinimumMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMinimumMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointMinimum",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMinimum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointMaximum",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointMaximumMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMaximumMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointMaximumMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMaximumMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointMaximum",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointMaximum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellMinimum",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellMinimumMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMinimumMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellMinimumMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMinimumMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellMinimum",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMinimum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellMaximum",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCellMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellMaximumMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMaximumMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellMaximumMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMaximumMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellMaximum",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellMaximum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtent",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMerging",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMerging(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMerging",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMerging();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MergingOn",argv[1]))&&(argc == 2))
    {
    op->MergingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MergingOff",argv[1]))&&(argc == 2))
    {
    op->MergingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughCellIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughCellIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughCellIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughCellIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughCellIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughCellIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPassThroughPointIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassThroughPointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassThroughPointIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassThroughPointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOn",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassThroughPointIdsOff",argv[1]))&&(argc == 2))
    {
    op->PassThroughPointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOriginalCellIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOriginalCellIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginalCellIdsName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOriginalCellIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOriginalPointIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOriginalPointIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginalPointIdsName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOriginalPointIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkIncrementalPointLocator  *temp0;
    error = 0;

    temp0 = (vtkIncrementalPointLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIncrementalPointLocator"),interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkIncrementalPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIncrementalPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkUnstructuredGridGeometryFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUnstructuredGridGeometryFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointClipping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointClipping\n",NULL);
    Tcl_AppendResult(interp,"  PointClippingOn\n",NULL);
    Tcl_AppendResult(interp,"  PointClippingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCellClipping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellClipping\n",NULL);
    Tcl_AppendResult(interp,"  CellClippingOn\n",NULL);
    Tcl_AppendResult(interp,"  CellClippingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentClipping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentClipping\n",NULL);
    Tcl_AppendResult(interp,"  ExtentClippingOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtentClippingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMinimumMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMinimumMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetPointMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMaximumMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMaximumMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetCellMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMinimumMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMinimumMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetCellMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMaximumMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMaximumMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCellMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMerging\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMerging\n",NULL);
    Tcl_AppendResult(interp,"  MergingOn\n",NULL);
    Tcl_AppendResult(interp,"  MergingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughCellIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughCellIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughCellIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPassThroughPointIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassThroughPointIds\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  PassThroughPointIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginalCellIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginalCellIdsName\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginalPointIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginalPointIdsName\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPointClipping" );
    Tcl_DStringAppendElement ( &dString, "GetPointClipping" );
    Tcl_DStringAppendElement ( &dString, "PointClippingOn" );
    Tcl_DStringAppendElement ( &dString, "PointClippingOff" );
    Tcl_DStringAppendElement ( &dString, "SetCellClipping" );
    Tcl_DStringAppendElement ( &dString, "GetCellClipping" );
    Tcl_DStringAppendElement ( &dString, "CellClippingOn" );
    Tcl_DStringAppendElement ( &dString, "CellClippingOff" );
    Tcl_DStringAppendElement ( &dString, "SetExtentClipping" );
    Tcl_DStringAppendElement ( &dString, "GetExtentClipping" );
    Tcl_DStringAppendElement ( &dString, "ExtentClippingOn" );
    Tcl_DStringAppendElement ( &dString, "ExtentClippingOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointMinimum" );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimumMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimumMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimum" );
    Tcl_DStringAppendElement ( &dString, "SetPointMaximum" );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximumMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximumMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximum" );
    Tcl_DStringAppendElement ( &dString, "SetCellMinimum" );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimumMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimumMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimum" );
    Tcl_DStringAppendElement ( &dString, "SetCellMaximum" );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximumMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximumMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximum" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    Tcl_DStringAppendElement ( &dString, "SetMerging" );
    Tcl_DStringAppendElement ( &dString, "GetMerging" );
    Tcl_DStringAppendElement ( &dString, "MergingOn" );
    Tcl_DStringAppendElement ( &dString, "MergingOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetOriginalCellIdsName" );
    Tcl_DStringAppendElement ( &dString, "GetOriginalCellIdsName" );
    Tcl_DStringAppendElement ( &dString, "SetOriginalPointIdsName" );
    Tcl_DStringAppendElement ( &dString, "GetOriginalPointIdsName" );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkUnstructuredGridGeometryFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointClipping */
    if ( strcmp ( argv[2], "SetPointClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by point id.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointClipping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetPointClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointClipping */
    if ( strcmp ( argv[2], "GetPointClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by point id.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointClipping();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointClippingOn */
    if ( strcmp ( argv[2], "PointClippingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointClippingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointClippingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by point id.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointClippingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PointClippingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointClippingOff */
    if ( strcmp ( argv[2], "PointClippingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointClippingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointClippingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by point id.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointClippingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PointClippingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellClipping */
    if ( strcmp ( argv[2], "SetCellClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by cell id.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellClipping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetCellClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellClipping */
    if ( strcmp ( argv[2], "GetCellClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by cell id.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellClipping();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CellClippingOn */
    if ( strcmp ( argv[2], "CellClippingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CellClippingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CellClippingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by cell id.\n" );
    Tcl_DStringAppendElement ( &dString, "void CellClippingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for CellClippingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CellClippingOff */
    if ( strcmp ( argv[2], "CellClippingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CellClippingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CellClippingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry by cell id.\n" );
    Tcl_DStringAppendElement ( &dString, "void CellClippingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for CellClippingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtentClipping */
    if ( strcmp ( argv[2], "SetExtentClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtentClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtentClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry via bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtentClipping(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetExtentClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtentClipping */
    if ( strcmp ( argv[2], "GetExtentClipping" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtentClipping" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtentClipping */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry via bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExtentClipping();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetExtentClipping */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtentClippingOn */
    if ( strcmp ( argv[2], "ExtentClippingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtentClippingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtentClippingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry via bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtentClippingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for ExtentClippingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtentClippingOff */
    if ( strcmp ( argv[2], "ExtentClippingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtentClippingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtentClippingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off selection of geometry via bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExtentClippingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for ExtentClippingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointMinimum */
    if ( strcmp ( argv[2], "SetPointMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointMinimum */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointMinimum(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetPointMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMinimumMinValue */
    if ( strcmp ( argv[2], "GetPointMinimumMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimumMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMinimumMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMinimumMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMinimumMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMinimumMaxValue */
    if ( strcmp ( argv[2], "GetPointMinimumMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimumMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMinimumMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMinimumMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMinimumMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMinimum */
    if ( strcmp ( argv[2], "GetPointMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMinimum */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMinimum();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointMaximum */
    if ( strcmp ( argv[2], "SetPointMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointMaximum */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointMaximum(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetPointMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMaximumMinValue */
    if ( strcmp ( argv[2], "GetPointMaximumMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximumMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMaximumMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMaximumMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMaximumMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMaximumMaxValue */
    if ( strcmp ( argv[2], "GetPointMaximumMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximumMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMaximumMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMaximumMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMaximumMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointMaximum */
    if ( strcmp ( argv[2], "GetPointMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointMaximum */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum point id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointMaximum();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPointMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellMinimum */
    if ( strcmp ( argv[2], "SetCellMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellMinimum */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellMinimum(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetCellMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMinimumMinValue */
    if ( strcmp ( argv[2], "GetCellMinimumMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimumMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMinimumMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMinimumMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMinimumMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMinimumMaxValue */
    if ( strcmp ( argv[2], "GetCellMinimumMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimumMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMinimumMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMinimumMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMinimumMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMinimum */
    if ( strcmp ( argv[2], "GetCellMinimum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMinimum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMinimum */
    Tcl_DStringAppendElement ( &dString, " Specify the minimum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMinimum();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMinimum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellMaximum */
    if ( strcmp ( argv[2], "SetCellMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellMaximum */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellMaximum(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetCellMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMaximumMinValue */
    if ( strcmp ( argv[2], "GetCellMaximumMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximumMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMaximumMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMaximumMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMaximumMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMaximumMaxValue */
    if ( strcmp ( argv[2], "GetCellMaximumMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximumMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMaximumMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMaximumMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMaximumMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellMaximum */
    if ( strcmp ( argv[2], "GetCellMaximum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellMaximum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellMaximum */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum cell id for point id selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellMaximum();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetCellMaximum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent(double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExtent */
    if ( strcmp ( argv[2], "SetExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExtent */
    Tcl_DStringAppendElement ( &dString, " Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExtent(double extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMerging */
    if ( strcmp ( argv[2], "SetMerging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMerging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMerging */
    Tcl_DStringAppendElement ( &dString, " Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMerging(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetMerging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMerging */
    if ( strcmp ( argv[2], "GetMerging" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMerging" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMerging */
    Tcl_DStringAppendElement ( &dString, " Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMerging();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetMerging */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergingOn */
    if ( strcmp ( argv[2], "MergingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for MergingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergingOff */
    if ( strcmp ( argv[2], "MergingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for MergingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughCellIds */
    if ( strcmp ( argv[2], "SetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughCellIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughCellIds */
    if ( strcmp ( argv[2], "GetPassThroughCellIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughCellIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughCellIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughCellIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPassThroughCellIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOn */
    if ( strcmp ( argv[2], "PassThroughCellIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PassThroughCellIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughCellIdsOff */
    if ( strcmp ( argv[2], "PassThroughCellIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughCellIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughCellIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughCellIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PassThroughCellIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPassThroughPointIds */
    if ( strcmp ( argv[2], "SetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPassThroughPointIds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPassThroughPointIds */
    if ( strcmp ( argv[2], "GetPassThroughPointIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPassThroughPointIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPassThroughPointIds */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPassThroughPointIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetPassThroughPointIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOn */
    if ( strcmp ( argv[2], "PassThroughPointIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PassThroughPointIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassThroughPointIdsOff */
    if ( strcmp ( argv[2], "PassThroughPointIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassThroughPointIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassThroughPointIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, the output polygonal dataset will have a celldata array that\n holds the cell index of the original 3D cell that produced each output\n cell. This is useful for cell picking. The default is off to conserve\n memory. Note that PassThroughCellIds will be ignored if UseStrips is on,\n since in that case each tringle strip can represent more than on of the\n input cells.\n" );
    Tcl_DStringAppendElement ( &dString, "void PassThroughPointIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for PassThroughPointIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginalCellIdsName */
    if ( strcmp ( argv[2], "SetOriginalCellIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginalCellIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginalCellIdsName */
    Tcl_DStringAppendElement ( &dString, " If PassThroughCellIds or PassThroughPointIds is on, then these ivars\n control the name given to the field in which the ids are written into.  If\n set to NULL, then vtkOriginalCellIds or vtkOriginalPointIds (the default)\n is used, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginalCellIdsName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetOriginalCellIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginalCellIdsName */
    if ( strcmp ( argv[2], "GetOriginalCellIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginalCellIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginalCellIdsName */
    Tcl_DStringAppendElement ( &dString, " If PassThroughCellIds or PassThroughPointIds is on, then these ivars\n control the name given to the field in which the ids are written into.  If\n set to NULL, then vtkOriginalCellIds or vtkOriginalPointIds (the default)\n is used, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetOriginalCellIdsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetOriginalCellIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginalPointIdsName */
    if ( strcmp ( argv[2], "SetOriginalPointIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginalPointIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginalPointIdsName */
    Tcl_DStringAppendElement ( &dString, " If PassThroughCellIds or PassThroughPointIds is on, then these ivars\n control the name given to the field in which the ids are written into.  If\n set to NULL, then vtkOriginalCellIds or vtkOriginalPointIds (the default)\n is used, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginalPointIdsName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetOriginalPointIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginalPointIdsName */
    if ( strcmp ( argv[2], "GetOriginalPointIdsName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginalPointIdsName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginalPointIdsName */
    Tcl_DStringAppendElement ( &dString, " If PassThroughCellIds or PassThroughPointIds is on, then these ivars\n control the name given to the field in which the ids are written into.  If\n set to NULL, then vtkOriginalCellIds or vtkOriginalPointIds (the default)\n is used, respectively.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetOriginalPointIdsName();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetOriginalPointIdsName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLocator */
    if ( strcmp ( argv[2], "SetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLocator(vtkIncrementalPointLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for SetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocator */
    if ( strcmp ( argv[2], "GetLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocator */
    Tcl_DStringAppendElement ( &dString, " Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIncrementalPointLocator *GetLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultLocator */
    if ( strcmp ( argv[2], "CreateDefaultLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultLocator */
    Tcl_DStringAppendElement ( &dString, " Create default locator. Used to create one when none is specified.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultLocator();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for CreateDefaultLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime also considering the locator.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridGeometryFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
