// java wrapper for vtkWarpScalar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWarpScalar.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWarpScalar_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWarpScalar",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWarpScalar_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;
  const char    *temp20;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpScalar_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWarpScalar *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_SetScaleFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpScalar *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpScalar_GetScaleFactor_13(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;
  double   temp20;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_SetUseNormal_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpScalar *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseNormal(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpScalar_GetUseNormal_15(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;
  int      temp20;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseNormal();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_UseNormalOn_16(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->UseNormalOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_UseNormalOff_17(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->UseNormalOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_SetNormal_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkWarpScalar *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_SetNormal_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWarpScalar *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWarpScalar_GetNormal_110(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;
  double  *temp20;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_SetXYPlane_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpScalar *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXYPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpScalar_GetXYPlane_112(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;
  int      temp20;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXYPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_XYPlaneOn_113(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->XYPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpScalar_XYPlaneOff_114(JNIEnv *env, jobject obj)
{
  vtkWarpScalar *op;

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  op->XYPlaneOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpScalar_FillInputPortInformation_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkWarpScalar *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkWarpScalar *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWarpScalar_VTKInit(JNIEnv *, jobject)
{
  vtkWarpScalar *aNewOne = vtkWarpScalar::New();
  return (jlong)(size_t)(void*)aNewOne;
}
