// java wrapper for vtkWarpTo object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWarpTo.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWarpTo_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWarpTo",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWarpTo_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;
  const char    *temp20;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTo_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWarpTo *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_SetScaleFactor_12(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkWarpTo *op;
  double   temp0;
  temp0 = id0;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkWarpTo_GetScaleFactor_13(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;
  double   temp20;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWarpTo_GetPosition_14(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;
  double  *temp20;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_SetPosition_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkWarpTo *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_SetPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkWarpTo *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_SetAbsolute_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkWarpTo *op;
  int      temp0;
  temp0 = id0;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbsolute(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTo_GetAbsolute_18(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;
  int      temp20;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbsolute();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_AbsoluteOn_19(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->AbsoluteOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWarpTo_AbsoluteOff_110(JNIEnv *env, jobject obj)
{
  vtkWarpTo *op;

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  op->AbsoluteOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWarpTo_FillInputPortInformation_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkWarpTo *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkWarpTo *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWarpTo_VTKInit(JNIEnv *, jobject)
{
  vtkWarpTo *aNewOne = vtkWarpTo::New();
  return (jlong)(size_t)(void*)aNewOne;
}
