// java wrapper for vtkBSplineTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBSplineTransform.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWarpTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBSplineTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBSplineTransform",dType)) { return me; }
  if ((res= vtkWarpTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBSplineTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  const char    *temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSplineTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBSplineTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetCoefficients_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBSplineTransform *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoefficients(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSplineTransform_GetCoefficients_13(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  vtkImageData  *temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoefficients();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetDisplacementScale_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkBSplineTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplacementScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetBorderMode_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkBSplineTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSplineTransform_GetBorderModeMinValue_16(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  int      temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSplineTransform_GetBorderModeMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  int      temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetBorderModeToEdge_18(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToEdge();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetBorderModeToZero_19(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToZero();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBSplineTransform_SetBorderModeToZeroAtBorder_110(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderModeToZeroAtBorder();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSplineTransform_GetBorderMode_111(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  int      temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBSplineTransform_GetBorderModeAsString_112(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  const char    *temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBSplineTransform_MakeTransform_113(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
  vtkAbstractTransform  *temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBSplineTransform_GetMTime_114(JNIEnv *env, jobject obj)
{
  vtkBSplineTransform *op;
   unsigned long     temp20;

  op = (vtkBSplineTransform *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBSplineTransform_VTKInit(JNIEnv *, jobject)
{
  vtkBSplineTransform *aNewOne = vtkBSplineTransform::New();
  return (jlong)(size_t)(void*)aNewOne;
}
