// java wrapper for vtkMNITransformReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMNITransformReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMNITransformReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMNITransformReader",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  const char    *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITransformReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMNITransformReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  char    *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformReader_GetFileExtensions_14(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  const char    *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformReader_GetDescriptiveName_15(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  const char    *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITransformReader_CanReadFile_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMNITransformReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMNITransformReader_GetNumberOfTransforms_17(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  int      temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTransforms();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITransformReader_GetNthTransform_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMNITransformReader *op;
  int      temp0;
  vtkAbstractTransform  *temp20;
  temp0 = id0;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNthTransform(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMNITransformReader_GetTransform_19(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  vtkAbstractTransform  *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMNITransformReader_GetComments_110(JNIEnv *env, jobject obj)
{
  vtkMNITransformReader *op;
  const char    *temp20;

  op = (vtkMNITransformReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComments();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMNITransformReader_VTKInit(JNIEnv *, jobject)
{
  vtkMNITransformReader *aNewOne = vtkMNITransformReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
