// java wrapper for vtkPCAAnalysisFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCAAnalysisFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCAAnalysisFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCAAnalysisFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCAAnalysisFilter *op;
  const char    *temp20;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAAnalysisFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAAnalysisFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetEvals_12(JNIEnv *env, jobject obj)
{
  vtkPCAAnalysisFilter *op;
  vtkFloatArray  *temp20;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEvals();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_SetNumberOfInputs_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfInputs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_SetInput_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  vtkPointSet  *temp1;
  temp0 = id0;
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_SetInput_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetInput_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkPCAAnalysisFilter *op;
  int      temp0;
  vtkPointSet  *temp20;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetParameterisedShape_17(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPCAAnalysisFilter *op;
  vtkFloatArray  *temp0;
  vtkPointSet  *temp1;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->GetParameterisedShape(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetShapeParameters_18(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkPCAAnalysisFilter *op;
  vtkPointSet  *temp0;
  vtkFloatArray  *temp1;
  int      temp2;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->GetShapeParameters(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAAnalysisFilter_GetModesRequiredFor_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkPCAAnalysisFilter *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPCAAnalysisFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModesRequiredFor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPCAAnalysisFilter_VTKInit(JNIEnv *, jobject)
{
  vtkPCAAnalysisFilter *aNewOne = vtkPCAAnalysisFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
