// tcl wrapper for vtkProjectedTerrainPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProjectedTerrainPath.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkProjectedTerrainPathNewCommand()
{
  vtkProjectedTerrainPath *temp = vtkProjectedTerrainPath::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProjectedTerrainPathCppCommand(vtkProjectedTerrainPath *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkProjectedTerrainPathCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProjectedTerrainPathCppCommand(static_cast<vtkProjectedTerrainPath *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProjectedTerrainPathCppCommand(vtkProjectedTerrainPath *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProjectedTerrainPath",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProjectedTerrainPath  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProjectedTerrainPath");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProjectedTerrainPath  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProjectedTerrainPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProjectedTerrainPath  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProjectedTerrainPath");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionModeToSimple",argv[1]))&&(argc == 2))
    {
    op->SetProjectionModeToSimple();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionModeToNonOccluded",argv[1]))&&(argc == 2))
    {
    op->SetProjectionModeToNonOccluded();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionModeToHug",argv[1]))&&(argc == 2))
    {
    op->SetProjectionModeToHug();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHeightOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeightOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeightOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeightTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHeightTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeightToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeightToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeightTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHeightTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfLines",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfLinesMinValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfLinesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfLinesMaxValue",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfLinesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfLines",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkProjectedTerrainPathCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProjectedTerrainPath:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionModeToSimple\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionModeToNonOccluded\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionModeToHug\n",NULL);
    Tcl_AppendResult(interp,"  SetHeightOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetHeightTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHeightTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfLinesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfLinesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfLines\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionMode" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToSimple" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToNonOccluded" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToHug" );
    Tcl_DStringAppendElement ( &dString, "SetHeightOffset" );
    Tcl_DStringAppendElement ( &dString, "GetHeightOffset" );
    Tcl_DStringAppendElement ( &dString, "SetHeightTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetHeightToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeightToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHeightTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfLines" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLinesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLinesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLines" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methids for printing and determining type information.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methids for printing and determining type information.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methids for printing and determining type information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methids for printing and determining type information.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkProjectedTerrainPath *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSource */
    if ( strcmp ( argv[2], "SetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the second input (the terrain) onto which the polyline(s) should\n be projected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSource(vtkImageData *source);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSource */
    if ( strcmp ( argv[2], "GetSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSource */
    Tcl_DStringAppendElement ( &dString, " Specify the second input (the terrain) onto which the polyline(s) should\n be projected.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionMode */
    if ( strcmp ( argv[2], "SetProjectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionMode */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetProjectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionModeMinValue */
    if ( strcmp ( argv[2], "GetProjectionModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetProjectionModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionModeMaxValue */
    if ( strcmp ( argv[2], "GetProjectionModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetProjectionModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionMode */
    if ( strcmp ( argv[2], "GetProjectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionMode */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetProjectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionModeToSimple */
    if ( strcmp ( argv[2], "SetProjectionModeToSimple" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToSimple" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionModeToSimple */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionModeToSimple();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetProjectionModeToSimple */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionModeToNonOccluded */
    if ( strcmp ( argv[2], "SetProjectionModeToNonOccluded" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToNonOccluded" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionModeToNonOccluded */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionModeToNonOccluded();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetProjectionModeToNonOccluded */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionModeToHug */
    if ( strcmp ( argv[2], "SetProjectionModeToHug" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionModeToHug" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionModeToHug */
    Tcl_DStringAppendElement ( &dString, " Determine how to control the projection process. Simple projection\n just projects the original polyline points. Non-occluded projection\n insures that the polyline does not intersect the terrain surface.\n Hug projection is similar to non-occulded projection except that\n produces a path that is nearly parallel to the terrain (within the\n user specified height tolerance).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionModeToHug();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetProjectionModeToHug */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeightOffset */
    if ( strcmp ( argv[2], "SetHeightOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeightOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeightOffset */
    Tcl_DStringAppendElement ( &dString, " This is the height above (or below) the terrain that the projected\n path should be. Positive values indicate distances above the terrain;\n negative values indicate distances below the terrain. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeightOffset(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetHeightOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightOffset */
    if ( strcmp ( argv[2], "GetHeightOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightOffset */
    Tcl_DStringAppendElement ( &dString, " This is the height above (or below) the terrain that the projected\n path should be. Positive values indicate distances above the terrain;\n negative values indicate distances below the terrain. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetHeightOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHeightTolerance */
    if ( strcmp ( argv[2], "SetHeightTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHeightTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHeightTolerance */
    Tcl_DStringAppendElement ( &dString, " This is the allowable variation in the altitude of the path\n with respect to the variation in the terrain. It only comes\n into play if the hug projection mode is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHeightTolerance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetHeightTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightToleranceMinValue */
    if ( strcmp ( argv[2], "GetHeightToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the allowable variation in the altitude of the path\n with respect to the variation in the terrain. It only comes\n into play if the hug projection mode is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetHeightToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightToleranceMaxValue */
    if ( strcmp ( argv[2], "GetHeightToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the allowable variation in the altitude of the path\n with respect to the variation in the terrain. It only comes\n into play if the hug projection mode is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetHeightToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeightTolerance */
    if ( strcmp ( argv[2], "GetHeightTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeightTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeightTolerance */
    Tcl_DStringAppendElement ( &dString, " This is the allowable variation in the altitude of the path\n with respect to the variation in the terrain. It only comes\n into play if the hug projection mode is enabled.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHeightTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetHeightTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfLines */
    if ( strcmp ( argv[2], "SetMaximumNumberOfLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfLines */
    Tcl_DStringAppendElement ( &dString, " This instance variable can be used to limit the total number of line\n segments created during subdivision. Note that the number of input line\n segments will be the minimum number that cab be output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfLines(vtkIdType);" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for SetMaximumNumberOfLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfLinesMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfLinesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLinesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfLinesMinValue */
    Tcl_DStringAppendElement ( &dString, " This instance variable can be used to limit the total number of line\n segments created during subdivision. Note that the number of input line\n segments will be the minimum number that cab be output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfLinesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetMaximumNumberOfLinesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfLinesMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfLinesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLinesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfLinesMaxValue */
    Tcl_DStringAppendElement ( &dString, " This instance variable can be used to limit the total number of line\n segments created during subdivision. Note that the number of input line\n segments will be the minimum number that cab be output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfLinesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetMaximumNumberOfLinesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfLines */
    if ( strcmp ( argv[2], "GetMaximumNumberOfLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfLines */
    Tcl_DStringAppendElement ( &dString, " This instance variable can be used to limit the total number of line\n segments created during subdivision. Note that the number of input line\n segments will be the minimum number that cab be output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumNumberOfLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkProjectedTerrainPath" );
    /* Closing for GetMaximumNumberOfLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
