// java wrapper for vtkVideoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVideoSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVideoSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVideoSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVideoSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  const char    *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVideoSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Record_12(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Record();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Play_13(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Play();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Stop_14(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Stop();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Rewind_15(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Rewind();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_FastForward_16(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->FastForward();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Seek_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Seek(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Grab_18(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Grab();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetRecording_19(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecording();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetPlaying_110(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaying();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetFrameSize_111(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkVideoSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameSize(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetFrameSize_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVideoSource *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVideoSource_GetFrameSize_113(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int     *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetFrameRate_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVideoSource *op;
  float    temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVideoSource_GetFrameRate_115(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  float    temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputFormat_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormat(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputFormatToLuminance_117(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToLuminance();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputFormatToRGB_118(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGB();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputFormatToRGBA_119(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputFormatToRGBA();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetOutputFormat_120(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetFrameBufferSize_121(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameBufferSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetFrameBufferSize_122(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameBufferSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetNumberOfOutputFrames_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfOutputFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetNumberOfOutputFrames_124(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfOutputFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_AutoAdvanceOn_125(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdvanceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_AutoAdvanceOff_126(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoAdvanceOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetAutoAdvance_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdvance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetAutoAdvance_128(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoAdvance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetClipRegion_129(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVideoSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipRegion(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetClipRegion_130(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkVideoSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipRegion(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVideoSource_GetClipRegion_131(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int     *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipRegion();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputWholeExtent_132(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkVideoSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOutputWholeExtent_133(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkVideoSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVideoSource_GetOutputWholeExtent_134(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int     *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetDataSpacing_135(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVideoSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetDataSpacing_136(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVideoSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVideoSource_GetDataSpacing_137(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  double  *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetDataOrigin_138(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkVideoSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetDataOrigin_139(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkVideoSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkVideoSource_GetDataOrigin_140(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  double  *temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetOpacity_141(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVideoSource *op;
  float    temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVideoSource_GetOpacity_142(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  float    temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetFrameCount_143(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetFrameCount_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrameCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetFrameIndex_145(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameIndex();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVideoSource_GetFrameTimeStamp_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkVideoSource *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameTimeStamp(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVideoSource_GetFrameTimeStamp_147(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  double   temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrameTimeStamp();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_Initialize_148(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVideoSource_GetInitialized_149(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  int      temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInitialized();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_ReleaseSystemResources_150(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseSystemResources();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_InternalGrab_151(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->InternalGrab();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVideoSource_SetStartTimeStamp_152(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkVideoSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartTimeStamp(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkVideoSource_GetStartTimeStamp_153(JNIEnv *env, jobject obj)
{
  vtkVideoSource *op;
  double   temp20;

  op = (vtkVideoSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartTimeStamp();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkVideoSource_VTKInit(JNIEnv *, jobject)
{
  vtkVideoSource *aNewOne = vtkVideoSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
