// java wrapper for vtkArrayReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayReader",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;
  const char    *temp20;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayReader_GetFileName_12(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;
  char    *temp20;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayReader_SetFileName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayReader_SetInputString_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayReader *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputString(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayReader_GetInputString_15(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;
  vtkStdString   temp20;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputString();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayReader_SetReadFromInputString_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkArrayReader *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadFromInputString(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayReader_GetReadFromInputString_17(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;
  bool   temp20;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadFromInputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayReader_ReadFromInputStringOn_18(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFromInputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkArrayReader_ReadFromInputStringOff_19(JNIEnv *env, jobject obj)
{
  vtkArrayReader *op;

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFromInputStringOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkArrayReader_Read_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayReader *op;
  vtkStdString   temp0;
  vtkArray  *temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkArrayReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Read(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayReader_VTKInit(JNIEnv *, jobject)
{
  vtkArrayReader *aNewOne = vtkArrayReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
