// tcl wrapper for vtkChacoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkChacoReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkChacoReaderNewCommand()
{
  vtkChacoReader *temp = vtkChacoReader::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkChacoReaderCppCommand(vtkChacoReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkChacoReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkChacoReaderCppCommand(static_cast<vtkChacoReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkChacoReaderCppCommand(vtkChacoReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkChacoReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkChacoReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChacoReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkChacoReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChacoReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkChacoReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkChacoReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBaseName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBaseName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBaseName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetBaseName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateGlobalElementIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalElementIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateVertexWeightArrays",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateVertexWeightArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateVertexWeightArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateVertexWeightArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVertexWeightArraysOn",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexWeightArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateVertexWeightArraysOff",argv[1]))&&(argc == 2))
    {
    op->GenerateVertexWeightArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVertexWeights",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVertexWeights();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertexWeightArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVertexWeightArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateEdgeWeightArrays",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateEdgeWeightArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateEdgeWeightArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateEdgeWeightArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgeWeightArraysOn",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgeWeightArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateEdgeWeightArraysOff",argv[1]))&&(argc == 2))
    {
    op->GenerateEdgeWeightArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdgeWeights",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeWeights();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeWeightArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeWeightArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVertices",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfVertices();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCellWeightArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellWeightArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointWeightArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointWeightArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkChacoReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkChacoReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBaseName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBaseName\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalElementIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalElementIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalNodeIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalNodeIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateVertexWeightArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateVertexWeightArrays\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexWeightArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateVertexWeightArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertexWeights\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexWeightArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateEdgeWeightArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateEdgeWeightArrays\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgeWeightArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateEdgeWeightArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeWeights\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeWeightArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVertices\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellWeightArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointWeightArrays\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetBaseName" );
    Tcl_DStringAppendElement ( &dString, "GetBaseName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexWeightArrays" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexWeightArrays" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexWeightArraysOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexWeightArraysOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertexWeights" );
    Tcl_DStringAppendElement ( &dString, "GetVertexWeightArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgeWeightArrays" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgeWeightArrays" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgeWeightArraysOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgeWeightArraysOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeWeights" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeWeightArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellWeightArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointWeightArrays" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkChacoReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBaseName */
    if ( strcmp ( argv[2], "SetBaseName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBaseName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBaseName */
    Tcl_DStringAppendElement ( &dString, " Specify the base name of the Chaco files.  The reader will try to\n open BaseName.coords and BaseName.graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBaseName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SetBaseName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBaseName */
    if ( strcmp ( argv[2], "GetBaseName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBaseName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBaseName */
    Tcl_DStringAppendElement ( &dString, " Specify the base name of the Chaco files.  The reader will try to\n open BaseName.coords and BaseName.graph.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetBaseName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetBaseName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a cell array containing\n global IDs for the cells in the output vtkUnstructuredGrid.  These cells\n represent the edges that were in the Chaco file.  Each edge is a vtkLine.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateGlobalElementIdArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a cell array containing\n global IDs for the cells in the output vtkUnstructuredGrid.  These cells\n represent the edges that were in the Chaco file.  Each edge is a vtkLine.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalElementIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a cell array containing\n global IDs for the cells in the output vtkUnstructuredGrid.  These cells\n represent the edges that were in the Chaco file.  Each edge is a vtkLine.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateGlobalElementIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a cell array containing\n global IDs for the cells in the output vtkUnstructuredGrid.  These cells\n represent the edges that were in the Chaco file.  Each edge is a vtkLine.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateGlobalElementIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGlobalElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array of global IDs for \n the points in the output vtkUnstructuredGrid.  These points are the vertices\n that were in the Chaco file.  Global point IDs start at \"1\" for the first\n vertex in BaseName.coords and go up from there.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateGlobalNodeIdArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array of global IDs for \n the points in the output vtkUnstructuredGrid.  These points are the vertices\n that were in the Chaco file.  Global point IDs start at \"1\" for the first\n vertex in BaseName.coords and go up from there.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalNodeIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array of global IDs for \n the points in the output vtkUnstructuredGrid.  These points are the vertices\n that were in the Chaco file.  Global point IDs start at \"1\" for the first\n vertex in BaseName.coords and go up from there.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateGlobalNodeIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array of global IDs for \n the points in the output vtkUnstructuredGrid.  These points are the vertices\n that were in the Chaco file.  Global point IDs start at \"1\" for the first\n vertex in BaseName.coords and go up from there.\n Default is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateGlobalNodeIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGlobalNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateVertexWeightArrays */
    if ( strcmp ( argv[2], "SetGenerateVertexWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateVertexWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateVertexWeightArrays */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array for each\n vertex weight in the Chaco file.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateVertexWeightArrays(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SetGenerateVertexWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateVertexWeightArrays */
    if ( strcmp ( argv[2], "GetGenerateVertexWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateVertexWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateVertexWeightArrays */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array for each\n vertex weight in the Chaco file.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateVertexWeightArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGenerateVertexWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexWeightArraysOn */
    if ( strcmp ( argv[2], "GenerateVertexWeightArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexWeightArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexWeightArraysOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array for each\n vertex weight in the Chaco file.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexWeightArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateVertexWeightArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateVertexWeightArraysOff */
    if ( strcmp ( argv[2], "GenerateVertexWeightArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateVertexWeightArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateVertexWeightArraysOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether this reader should create a point array for each\n vertex weight in the Chaco file.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateVertexWeightArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateVertexWeightArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertexWeights */
    if ( strcmp ( argv[2], "GetNumberOfVertexWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertexWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertexWeights */
    Tcl_DStringAppendElement ( &dString, " Returns the number of weights per vertex in the Chaco file, whether or\n not GenerateVertexWeightArrays is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVertexWeights();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfVertexWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexWeightArrayName */
    if ( strcmp ( argv[2], "GetVertexWeightArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexWeightArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexWeightArrayName */
    Tcl_DStringAppendElement ( &dString, " This method returns the name of the selected Vertex weight point\n array.  If you did not turn on GenerateVertexWeightArrays, or\n if the weight you requested is invalid, it returns NULL.\n Weights begin at one and go up to NumberOfVertexWeights. \n This is a pointer to our copy of the name, so don't \"delete\" it.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVertexWeightArrayName(int weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetVertexWeightArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateEdgeWeightArrays */
    if ( strcmp ( argv[2], "SetGenerateEdgeWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateEdgeWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateEdgeWeightArrays */
    Tcl_DStringAppendElement ( &dString, " Each edge in the Chaco file connects two vertices.  The file may \n specify one or more weights for each edge.  (The weight for an\n edge from vertex A to vertex B equals the weight from B to A.)\n Indicate with the following parameter whether this reader should\n create a cell array for each weight for every edge.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateEdgeWeightArrays(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for SetGenerateEdgeWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateEdgeWeightArrays */
    if ( strcmp ( argv[2], "GetGenerateEdgeWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateEdgeWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateEdgeWeightArrays */
    Tcl_DStringAppendElement ( &dString, " Each edge in the Chaco file connects two vertices.  The file may \n specify one or more weights for each edge.  (The weight for an\n edge from vertex A to vertex B equals the weight from B to A.)\n Indicate with the following parameter whether this reader should\n create a cell array for each weight for every edge.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateEdgeWeightArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetGenerateEdgeWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgeWeightArraysOn */
    if ( strcmp ( argv[2], "GenerateEdgeWeightArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgeWeightArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgeWeightArraysOn */
    Tcl_DStringAppendElement ( &dString, " Each edge in the Chaco file connects two vertices.  The file may \n specify one or more weights for each edge.  (The weight for an\n edge from vertex A to vertex B equals the weight from B to A.)\n Indicate with the following parameter whether this reader should\n create a cell array for each weight for every edge.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgeWeightArraysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateEdgeWeightArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateEdgeWeightArraysOff */
    if ( strcmp ( argv[2], "GenerateEdgeWeightArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateEdgeWeightArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateEdgeWeightArraysOff */
    Tcl_DStringAppendElement ( &dString, " Each edge in the Chaco file connects two vertices.  The file may \n specify one or more weights for each edge.  (The weight for an\n edge from vertex A to vertex B equals the weight from B to A.)\n Indicate with the following parameter whether this reader should\n create a cell array for each weight for every edge.\n Default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateEdgeWeightArraysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GenerateEdgeWeightArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeWeights */
    if ( strcmp ( argv[2], "GetNumberOfEdgeWeights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeWeights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeWeights */
    Tcl_DStringAppendElement ( &dString, " Returns the number of weights per edge in the Chaco file, whether or\n not GenerateEdgeWeightArrays is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeWeights();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfEdgeWeights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeWeightArrayName */
    if ( strcmp ( argv[2], "GetEdgeWeightArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeWeightArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeWeightArrayName */
    Tcl_DStringAppendElement ( &dString, " This method returns the name of the selected Edge weight cell\n array.  If you did not turn on GenerateEdgeWeightArrays, or\n if the weight you requested is invalid, it returns NULL.\n Weights begin at one and go up to NumberOfEdgeWeights. \n This is a pointer to our copy of the name, so don't \"delete\" it.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeWeightArrayName(int weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetEdgeWeightArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionality */
    if ( strcmp ( argv[2], "GetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by RequestInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensionality();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdges */
    if ( strcmp ( argv[2], "GetNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by RequestInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVertices */
    if ( strcmp ( argv[2], "GetNumberOfVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVertices */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by RequestInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfVertices();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellWeightArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellWeightArrays */
    Tcl_DStringAppendElement ( &dString, " After this filter executes, this method returns the number of\n cell arrays that were created to hold the edge weights.  It\n is equal to NumberOfEdgeWeights if GenerateEdgeWeightArrays was ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellWeightArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfCellWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointWeightArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointWeightArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointWeightArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointWeightArrays */
    Tcl_DStringAppendElement ( &dString, " After this filter executes, this method returns the number of\n point arrays that were created to hold the vertex weights.  It\n is equal to NumberOfVertexWeights if GenerateVertexWeightArrays was ON.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointWeightArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkChacoReader" );
    /* Closing for GetNumberOfPointWeightArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
