// java wrapper for vtkDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataReader",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  const char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFileValid_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFileValid(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFileStructuredPoints_15(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFileStructuredPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFilePolyData_16(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFilePolyData();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFileStructuredGrid_17(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFileStructuredGrid();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFileUnstructuredGrid_18(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFileUnstructuredGrid();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_IsFileRectilinearGrid_19(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFileRectilinearGrid();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetInputString_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputString(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetInputString_111(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetInputString_112(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputString(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetInputStringLength_113(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputStringLength();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataReader_SetBinaryInputString_114(JNIEnv *env, jobject obj, jbyteArray id0, jint id1)
{
  vtkDataReader *op;
  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  jboolean isCopy;
  jbyte *data = env->GetByteArrayElements(id0,&isCopy);
  op->SetBinaryInputString((const char *)data,id1);
  env->ReleaseByteArrayElements(id0,data,JNI_ABORT);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetInputArray_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataReader *op;
  vtkCharArray  *temp0;
  temp0 = (vtkCharArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputArray(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataReader_GetInputArray_116(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  vtkCharArray  *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputArray();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetHeader_117(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeader();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadFromInputString_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadFromInputString(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadFromInputString_119(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadFromInputString();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadFromInputStringOn_120(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFromInputStringOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadFromInputStringOff_121(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadFromInputStringOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetFileType_122(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfScalarsInFile_123(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfScalarsInFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfVectorsInFile_124(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVectorsInFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfTensorsInFile_125(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTensorsInFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfNormalsInFile_126(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfNormalsInFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfTCoordsInFile_127(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTCoordsInFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetNumberOfFieldDataInFile_128(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfFieldDataInFile();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetScalarsNameInFile_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarsNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetVectorsNameInFile_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetTensorsNameInFile_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorsNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetNormalsNameInFile_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalsNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetTCoordsNameInFile_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoordsNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetFieldDataNameInFile_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDataNameInFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetScalarsName_135(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetScalarsName_136(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetVectorsName_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetVectorsName_138(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetTensorsName_139(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTensorsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetTensorsName_140(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTensorsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetNormalsName_141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetNormalsName_142(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetTCoordsName_143(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTCoordsName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetTCoordsName_144(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTCoordsName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetLookupTableName_145(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTableName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetLookupTableName_146(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTableName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetFieldDataName_147(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFieldDataName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataReader_GetFieldDataName_148(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  char    *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldDataName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllScalars_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllScalars_150(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllScalarsOn_151(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllScalarsOff_152(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllVectors_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllVectors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllVectors_154(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllVectors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllVectorsOn_155(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllVectorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllVectorsOff_156(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllVectorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllNormals_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllNormals_158(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllNormalsOn_159(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllNormalsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllNormalsOff_160(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllNormalsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllTensors_161(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllTensors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllTensors_162(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllTensors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllTensorsOn_163(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllTensorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllTensorsOff_164(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllTensorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllColorScalars_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllColorScalars(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllColorScalars_166(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllColorScalars();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllColorScalarsOn_167(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllColorScalarsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllColorScalarsOff_168(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllColorScalarsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllTCoords_169(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllTCoords(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllTCoords_170(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllTCoords();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllTCoordsOn_171(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllTCoordsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllTCoordsOff_172(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllTCoordsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_SetReadAllFields_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReadAllFields(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_GetReadAllFields_174(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReadAllFields();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllFieldsOn_175(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllFieldsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_ReadAllFieldsOff_176(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadAllFieldsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_OpenVTKFile_177(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->OpenVTKFile();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadHeader_178(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  int      temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadHeader();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadCellData_179(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadCellData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadPointData_180(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadPointData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadPoints_181(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkPointSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadPoints(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadPoints_182(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadPoints(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadVertexData_183(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadVertexData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadEdgeData_184(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadEdgeData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadRowData_185(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkDataReader *op;
  vtkTable  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadRowData(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadCoordinates_186(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataReader *op;
  vtkRectilinearGrid  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkRectilinearGrid *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadCoordinates(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataReader_ReadArray_187(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp1;
  int      temp2;
  vtkAbstractArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadArray(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataReader_ReadFieldData_188(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;
  vtkFieldData  *temp20;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadFieldData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_Read_189(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Read(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataReader_CloseVTKFile_190(JNIEnv *env, jobject obj)
{
  vtkDataReader *op;

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  op->CloseVTKFile();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadLine_191(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadLine(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadString_192(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadString(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataReader_ReadMetaData_193(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataReader *op;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReadMetaData(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataReader_VTKInit(JNIEnv *, jobject)
{
  vtkDataReader *aNewOne = vtkDataReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
