// java wrapper for vtkImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageWriter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  const char    *temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  char    *temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_SetFilePrefix_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePrefix(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageWriter_GetFilePrefix_15(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  char    *temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_SetFilePattern_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePattern(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageWriter_GetFilePattern_17(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  char    *temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePattern();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_SetFileDimensionality_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWriter_GetFileDimensionality_19(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  int      temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageWriter_GetInput_110(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;
  vtkImageData  *temp20;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_Write_111(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWriter_DeleteFiles_112(JNIEnv *env, jobject obj)
{
  vtkImageWriter *op;

  op = (vtkImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteFiles();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageWriter_VTKInit(JNIEnv *, jobject)
{
  vtkImageWriter *aNewOne = vtkImageWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
