// java wrapper for vtkInputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInputStream.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInputStream_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInputStream",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInputStream_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInputStream *op;
  const char    *temp20;

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInputStream_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInputStream *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInputStream_StartReading_12(JNIEnv *env, jobject obj)
{
  vtkInputStream *op;

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  op->StartReading();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInputStream_Seek_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkInputStream *op;
   unsigned long     temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Seek(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInputStream_Read_14(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkInputStream *op;
  char    *temp0;
   unsigned long     temp1;
   unsigned long     temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Read(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInputStream_EndReading_15(JNIEnv *env, jobject obj)
{
  vtkInputStream *op;

  op = (vtkInputStream *)vtkJavaGetPointerFromObject(env,obj);
  op->EndReading();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInputStream_VTKInit(JNIEnv *, jobject)
{
  vtkInputStream *aNewOne = vtkInputStream::New();
  return (jlong)(size_t)(void*)aNewOne;
}
