// java wrapper for vtkMINCImageWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMINCImageWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMINCImageWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMINCImageWriter",dType)) { return me; }
  if ((res= vtkImageWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMINCImageWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  const char    *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMINCImageWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMINCImageWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMINCImageWriter_GetFileExtensions_12(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  const char    *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileExtensions();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMINCImageWriter_GetDescriptiveName_13(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  const char    *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDescriptiveName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMINCImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_Write_15(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetDirectionCosines_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMINCImageWriter *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDirectionCosines(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMINCImageWriter_GetDirectionCosines_17(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  vtkMatrix4x4  *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDirectionCosines();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetRescaleSlope_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMINCImageWriter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRescaleSlope(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMINCImageWriter_GetRescaleSlope_19(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  double   temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRescaleSlope();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetRescaleIntercept_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMINCImageWriter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRescaleIntercept(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMINCImageWriter_GetRescaleIntercept_111(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  double   temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRescaleIntercept();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetImageAttributes_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMINCImageWriter *op;
  vtkMINCImageAttributes  *temp0;
  temp0 = (vtkMINCImageAttributes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetImageAttributes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMINCImageWriter_GetImageAttributes_113(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  vtkMINCImageAttributes  *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImageAttributes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetStrictValidation_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMINCImageWriter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStrictValidation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_StrictValidationOn_115(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->StrictValidationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_StrictValidationOff_116(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->StrictValidationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMINCImageWriter_GetStrictValidation_117(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  int      temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStrictValidation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMINCImageWriter_SetHistoryAddition_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMINCImageWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHistoryAddition(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMINCImageWriter_GetHistoryAddition_119(JNIEnv *env, jobject obj)
{
  vtkMINCImageWriter *op;
  char    *temp20;

  op = (vtkMINCImageWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHistoryAddition();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMINCImageWriter_VTKInit(JNIEnv *, jobject)
{
  vtkMINCImageWriter *aNewOne = vtkMINCImageWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
