// java wrapper for vtkSQLiteDatabase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSQLiteDatabase.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSQLDatabase_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSQLiteDatabase_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSQLiteDatabase",dType)) { return me; }
  if ((res= vtkSQLDatabase_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  const char    *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSQLiteDatabase_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteDatabase *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteDatabase_Open_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteDatabase *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Open(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteDatabase_Open_13(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSQLiteDatabase *op;
  char    *temp0;
  int      temp1;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Open(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLiteDatabase_Close_14(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->Close();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteDatabase_IsOpen_15(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  bool   temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsOpen();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLiteDatabase_GetQueryInstance_16(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  vtkSQLQuery  *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQueryInstance();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLiteDatabase_GetTables_17(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  vtkStringArray  *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTables();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSQLiteDatabase_GetRecord_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteDatabase *op;
  char    *temp0;
  vtkStringArray  *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecord(temp0);
  if (temp0) delete[] temp0;
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteDatabase_IsSupported_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkSQLiteDatabase *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsSupported(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSQLiteDatabase_HasError_110(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  bool   temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetLastErrorText_111(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  const char    *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastErrorText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetDatabaseType_112(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  char    *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseType();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetDatabaseFileName_113(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  char    *temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDatabaseFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSQLiteDatabase_SetDatabaseFileName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSQLiteDatabase *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDatabaseFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetURL_115(JNIEnv *env, jobject obj)
{
  vtkSQLiteDatabase *op;
  vtkStdString   temp20;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetURL();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSQLiteDatabase_GetColumnSpecification_116(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkSQLiteDatabase *op;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  vtkStdString   temp20;
  temp0 = (vtkSQLDatabaseSchema *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkSQLiteDatabase *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColumnSpecification(temp0,temp1,temp2);
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSQLiteDatabase_VTKInit(JNIEnv *, jobject)
{
  vtkSQLiteDatabase *aNewOne = vtkSQLiteDatabase::New();
  return (jlong)(size_t)(void*)aNewOne;
}
