// java wrapper for vtkXMLDataParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataParser.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkXMLParser_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLDataParser_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLDataParser",dType)) { return me; }
  if ((res= vtkXMLParser_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLDataParser_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  const char    *temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLDataParser *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLDataParser_GetRootElement_12(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  vtkXMLDataElement  *temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRootElement();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetCompressor_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLDataParser *op;
  vtkDataCompressor  *temp0;
  temp0 = (vtkDataCompressor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompressor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkXMLDataParser_GetCompressor_14(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  vtkDataCompressor  *temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompressor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetWordTypeSize_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
   unsigned long     temp20;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWordTypeSize(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_Parse_16(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Parse();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAbort_17(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbort();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetAbort_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbort(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkXMLDataParser_GetProgress_19(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  float    temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProgress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetProgress_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkXMLDataParser *op;
  float    temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProgress(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_SetAttributesEncoding_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLDataParser *op;
  int      temp0;
  temp0 = id0;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAttributesEncoding(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncodingMinValue_112(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesEncodingMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncodingMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesEncodingMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLDataParser_GetAttributesEncoding_114(JNIEnv *env, jobject obj)
{
  vtkXMLDataParser *op;
  int      temp20;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAttributesEncoding();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLDataParser_CharacterDataHandler_115(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkXMLDataParser *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkXMLDataParser *)vtkJavaGetPointerFromObject(env,obj);
  op->CharacterDataHandler(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkXMLDataParser_VTKInit(JNIEnv *, jobject)
{
  vtkXMLDataParser *aNewOne = vtkXMLDataParser::New();
  return (jlong)(size_t)(void*)aNewOne;
}
