// java wrapper for vtkExtractVOI object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractVOI.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractVOI_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractVOI",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractVOI_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractVOI *op;
  const char    *temp20;

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractVOI_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractVOI *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVOI_SetVOI_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkExtractVOI *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVOI_SetVOI_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractVOI *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVOI(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractVOI_GetVOI_14(JNIEnv *env, jobject obj)
{
  vtkExtractVOI *op;
  int     *temp20;

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVOI();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVOI_SetSampleRate_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkExtractVOI *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleRate(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractVOI_SetSampleRate_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractVOI *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleRate(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractVOI_GetSampleRate_17(JNIEnv *env, jobject obj)
{
  vtkExtractVOI *op;
  int     *temp20;

  op = (vtkExtractVOI *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleRate();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractVOI_VTKInit(JNIEnv *, jobject)
{
  vtkExtractVOI *aNewOne = vtkExtractVOI::New();
  return (jlong)(size_t)(void*)aNewOne;
}
