// java wrapper for vtkFastSplatter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFastSplatter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkFastSplatter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkFastSplatter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkFastSplatter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  const char    *temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastSplatter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkFastSplatter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetModelBounds_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkFastSplatter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetModelBounds_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkFastSplatter *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFastSplatter_GetModelBounds_14(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  double  *temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetOutputDimensions_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkFastSplatter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetOutputDimensions_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkFastSplatter *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkFastSplatter_GetOutputDimensions_17(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  int     *temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetLimitMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkFastSplatter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastSplatter_GetLimitMode_19(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  int      temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLimitMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetLimitModeToNone_110(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitModeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetLimitModeToClamp_111(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitModeToClamp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetLimitModeToScale_112(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitModeToScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetLimitModeToFreezeScale_113(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitModeToFreezeScale();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetMinValue_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFastSplatter_GetMinValue_115(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  double   temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetMaxValue_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkFastSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkFastSplatter_GetMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  double   temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkFastSplatter_GetNumberOfPointsSplatted_118(JNIEnv *env, jobject obj)
{
  vtkFastSplatter *op;
  int      temp20;

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointsSplatted();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkFastSplatter_SetSplatConnection_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkFastSplatter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkFastSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSplatConnection(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkFastSplatter_VTKInit(JNIEnv *, jobject)
{
  vtkFastSplatter *aNewOne = vtkFastSplatter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
