// java wrapper for vtkGaussianSplatter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGaussianSplatter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGaussianSplatter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGaussianSplatter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGaussianSplatter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  const char    *temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGaussianSplatter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetSampleDimensions_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkGaussianSplatter *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetSampleDimensions_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkGaussianSplatter *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGaussianSplatter_GetSampleDimensions_14(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int     *temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetModelBounds_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkGaussianSplatter *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetModelBounds_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGaussianSplatter *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGaussianSplatter_GetModelBounds_17(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double  *temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetRadius_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetRadiusMinValue_19(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetRadiusMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadiusMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetRadius_111(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetScaleFactor_112(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetScaleFactorMinValue_113(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetScaleFactorMaxValue_114(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetScaleFactor_115(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetExponentFactor_116(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExponentFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetExponentFactor_117(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExponentFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetNormalWarping_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkGaussianSplatter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalWarping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetNormalWarping_119(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalWarping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_NormalWarpingOn_120(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalWarpingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_NormalWarpingOff_121(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalWarpingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetEccentricity_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEccentricity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetEccentricityMinValue_123(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEccentricityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetEccentricityMaxValue_124(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEccentricityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetEccentricity_125(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEccentricity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetScalarWarping_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkGaussianSplatter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarWarping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetScalarWarping_127(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarWarping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_ScalarWarpingOn_128(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarWarpingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_ScalarWarpingOff_129(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalarWarpingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetCapping_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkGaussianSplatter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetCapping_131(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_CappingOn_132(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_CappingOff_133(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->CappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetCapValue_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCapValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetCapValue_135(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCapValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetAccumulationMode_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkGaussianSplatter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAccumulationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetAccumulationModeMinValue_137(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccumulationModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetAccumulationModeMaxValue_138(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccumulationModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGaussianSplatter_GetAccumulationMode_139(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  int      temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccumulationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetAccumulationModeToMin_140(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAccumulationModeToMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetAccumulationModeToMax_141(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAccumulationModeToMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetAccumulationModeToSum_142(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAccumulationModeToSum();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGaussianSplatter_GetAccumulationModeAsString_143(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  const char    *temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAccumulationModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_SetNullValue_144(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGaussianSplatter *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGaussianSplatter_GetNullValue_145(JNIEnv *env, jobject obj)
{
  vtkGaussianSplatter *op;
  double   temp20;

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNullValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGaussianSplatter_ComputeModelBounds_146(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkGaussianSplatter *op;
  vtkDataSet  *temp0;
  vtkImageData  *temp1;
  vtkInformation  *temp2;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkGaussianSplatter *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeModelBounds(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGaussianSplatter_VTKInit(JNIEnv *, jobject)
{
  vtkGaussianSplatter *aNewOne = vtkGaussianSplatter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
