// tcl wrapper for vtkImageAccumulate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageAccumulate.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageAccumulateNewCommand()
{
  vtkImageAccumulate *temp = vtkImageAccumulate::New();
  return static_cast<ClientData>(temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageAccumulateCppCommand(vtkImageAccumulate *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageAccumulateCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageAccumulateCppCommand(static_cast<vtkImageAccumulate *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageAccumulateCppCommand(vtkImageAccumulate *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageAccumulate",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageAccumulate  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAccumulate");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageAccumulate  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAccumulate");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageAccumulate  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAccumulate");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponentSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetComponentSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponentSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetComponentSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetComponentSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetComponentOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponentOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetComponentOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetComponentOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetComponentExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetComponentExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetComponentExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetComponentExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetComponentExtent();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStencil",argv[1]))&&(argc == 3))
    {
    vtkImageStencilData  *temp0;
    error = 0;

    temp0 = (vtkImageStencilData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageStencilData"),interp,error));
    if (!error)
    {
    op->SetStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencil",argv[1]))&&(argc == 2))
    {
    vtkImageStencilData  *temp20;
    temp20 = (op)->GetStencil();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageStencilData");
    return TCL_OK;
    }
  if ((!strcmp("SetReverseStencil",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseStencilMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseStencilMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReverseStencilMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseStencilMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseStencilOn",argv[1]))&&(argc == 2))
    {
    op->ReverseStencilOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseStencilOff",argv[1]))&&(argc == 2))
    {
    op->ReverseStencilOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReverseStencil",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseStencil();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMax",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMax();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMean",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMean();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStandardDeviation",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStandardDeviation();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVoxelCount",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetVoxelCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIgnoreZero",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIgnoreZero(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIgnoreZeroMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnoreZeroMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIgnoreZeroMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnoreZeroMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIgnoreZero",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIgnoreZero();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IgnoreZeroOn",argv[1]))&&(argc == 2))
    {
    op->IgnoreZeroOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IgnoreZeroOff",argv[1]))&&(argc == 2))
    {
    op->IgnoreZeroOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageAccumulateCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageAccumulate:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencil\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseStencilMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseStencilMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  ReverseStencilOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseStencilOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseStencil\n",NULL);
    Tcl_AppendResult(interp,"  GetMin\n",NULL);
    Tcl_AppendResult(interp,"  GetMax\n",NULL);
    Tcl_AppendResult(interp,"  GetMean\n",NULL);
    Tcl_AppendResult(interp,"  GetStandardDeviation\n",NULL);
    Tcl_AppendResult(interp,"  GetVoxelCount\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnoreZero\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreZeroMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreZeroMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreZero\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreZeroOn\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreZeroOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetComponentSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetComponentSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetComponentSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetComponentOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetComponentOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetComponentOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetComponentExtent" );
    Tcl_DStringAppendElement ( &dString, "SetComponentExtent" );
    Tcl_DStringAppendElement ( &dString, "GetComponentExtent" );
    Tcl_DStringAppendElement ( &dString, "GetComponentExtent" );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    Tcl_DStringAppendElement ( &dString, "SetReverseStencil" );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencilMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencilMaxValue" );
    Tcl_DStringAppendElement ( &dString, "ReverseStencilOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseStencilOff" );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencil" );
    Tcl_DStringAppendElement ( &dString, "GetMin" );
    Tcl_DStringAppendElement ( &dString, "GetMax" );
    Tcl_DStringAppendElement ( &dString, "GetMean" );
    Tcl_DStringAppendElement ( &dString, "GetStandardDeviation" );
    Tcl_DStringAppendElement ( &dString, "GetVoxelCount" );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreZero" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZero" );
    Tcl_DStringAppendElement ( &dString, "IgnoreZeroOn" );
    Tcl_DStringAppendElement ( &dString, "IgnoreZeroOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageAccumulate *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentSpacing */
    if ( strcmp ( argv[2], "SetComponentSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentSpacing(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentSpacing */
    if ( strcmp ( argv[2], "SetComponentSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentSpacing(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentSpacing */
    if ( strcmp ( argv[2], "GetComponentSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentSpacing */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetComponentSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetComponentSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentOrigin */
    if ( strcmp ( argv[2], "SetComponentOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentOrigin(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentOrigin */
    if ( strcmp ( argv[2], "SetComponentOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentOrigin(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentOrigin */
    if ( strcmp ( argv[2], "GetComponentOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetComponentOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetComponentOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentExtent */
    if ( strcmp ( argv[2], "SetComponentExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n Initial value is (0,255,0,0,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentExtent */
    if ( strcmp ( argv[2], "SetComponentExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n Initial value is (0,255,0,0,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentExtent(int minX, int maxX, int minY, int maxY, int minZ, int maxZ);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetComponentExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentExtent */
    if ( strcmp ( argv[2], "GetComponentExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n Initial value is (0,255,0,0,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "void GetComponentExtent(int extent\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetComponentExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentExtent */
    if ( strcmp ( argv[2], "GetComponentExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentExtent */
    Tcl_DStringAppendElement ( &dString, " Set/Get - The component extent sets the number/extent of the bins.\n For a 1D histogram with 10 bins spanning the values 1000 to 2000,\n this extent should be set to 0, 9, 0, 0, 0, 0.\n The extent specifies inclusive min/max values.\n This implies that the top extent should be set to the number of bins - 1.\n Initial value is (0,255,0,0,0,0)\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetComponentExtent();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetComponentExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStencil */
    if ( strcmp ( argv[2], "SetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to specify which voxels to accumulate.\n Backcompatible methods.\n It set and get the stencil on input port 1.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStencil(vtkImageStencilData *stencil);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStencil */
    if ( strcmp ( argv[2], "GetStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStencil */
    Tcl_DStringAppendElement ( &dString, " Use a stencil to specify which voxels to accumulate.\n Backcompatible methods.\n It set and get the stencil on input port 1.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageStencilData *GetStencil();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverseStencil */
    if ( strcmp ( argv[2], "SetReverseStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverseStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverseStencil */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverseStencil(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetReverseStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseStencilMinValue */
    if ( strcmp ( argv[2], "GetReverseStencilMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencilMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseStencilMinValue */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseStencilMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetReverseStencilMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseStencilMaxValue */
    if ( strcmp ( argv[2], "GetReverseStencilMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencilMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseStencilMaxValue */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseStencilMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetReverseStencilMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseStencilOn */
    if ( strcmp ( argv[2], "ReverseStencilOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseStencilOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseStencilOn */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseStencilOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for ReverseStencilOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseStencilOff */
    if ( strcmp ( argv[2], "ReverseStencilOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseStencilOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseStencilOff */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseStencilOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for ReverseStencilOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseStencil */
    if ( strcmp ( argv[2], "GetReverseStencil" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseStencil" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseStencil */
    Tcl_DStringAppendElement ( &dString, " Reverse the stencil. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseStencil();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetReverseStencil */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMin */
    if ( strcmp ( argv[2], "GetMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMin();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMax */
    if ( strcmp ( argv[2], "GetMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMean */
    if ( strcmp ( argv[2], "GetMean" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMean" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMean */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMean();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetMean */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStandardDeviation */
    if ( strcmp ( argv[2], "GetStandardDeviation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStandardDeviation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStandardDeviation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetStandardDeviation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetStandardDeviation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVoxelCount */
    if ( strcmp ( argv[2], "GetVoxelCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVoxelCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVoxelCount */
    Tcl_DStringAppendElement ( &dString, " Get the statistics information for the data.\n The values only make sense after the execution of the filter.\n Initial values are 0.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetVoxelCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetVoxelCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnoreZero */
    if ( strcmp ( argv[2], "SetIgnoreZero" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreZero" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnoreZero */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnoreZero(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for SetIgnoreZero */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreZeroMinValue */
    if ( strcmp ( argv[2], "GetIgnoreZeroMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreZeroMinValue */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnoreZeroMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetIgnoreZeroMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreZeroMaxValue */
    if ( strcmp ( argv[2], "GetIgnoreZeroMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZeroMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreZeroMaxValue */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnoreZeroMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetIgnoreZeroMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreZero */
    if ( strcmp ( argv[2], "GetIgnoreZero" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreZero" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreZero */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIgnoreZero();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for GetIgnoreZero */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreZeroOn */
    if ( strcmp ( argv[2], "IgnoreZeroOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreZeroOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreZeroOn */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreZeroOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for IgnoreZeroOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreZeroOff */
    if ( strcmp ( argv[2], "IgnoreZeroOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreZeroOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreZeroOff */
    Tcl_DStringAppendElement ( &dString, " Should the data with value 0 be ignored? Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreZeroOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAccumulate" );
    /* Closing for IgnoreZeroOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageAlgorithmCppCommand(static_cast<vtkImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
