// java wrapper for vtkImageButterworthHighPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageButterworthHighPass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageButterworthHighPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageButterworthHighPass",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageButterworthHighPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  const char    *temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageButterworthHighPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageButterworthHighPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetCutOff_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageButterworthHighPass *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutOff(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetCutOff_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageButterworthHighPass *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutOff(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetCutOff_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageButterworthHighPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCutOff(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetXCutOff_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageButterworthHighPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXCutOff(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetYCutOff_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageButterworthHighPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYCutOff(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetZCutOff_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageButterworthHighPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZCutOff(temp0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageButterworthHighPass_GetCutOff_18(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  double  *temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCutOff();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageButterworthHighPass_GetXCutOff_19(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  double   temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXCutOff();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageButterworthHighPass_GetYCutOff_110(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  double   temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYCutOff();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageButterworthHighPass_GetZCutOff_111(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  double   temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZCutOff();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageButterworthHighPass_SetOrder_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageButterworthHighPass *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageButterworthHighPass_GetOrder_113(JNIEnv *env, jobject obj)
{
  vtkImageButterworthHighPass *op;
  int      temp20;

  op = (vtkImageButterworthHighPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrder();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageButterworthHighPass_VTKInit(JNIEnv *, jobject)
{
  vtkImageButterworthHighPass *aNewOne = vtkImageButterworthHighPass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
