// java wrapper for vtkImageChangeInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageChangeInformation.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageChangeInformation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageChangeInformation",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageChangeInformation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  const char    *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageChangeInformation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageChangeInformation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetInformationInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageChangeInformation *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformationInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageChangeInformation_GetInformationInput_13(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  vtkImageData  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformationInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputExtentStart_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageChangeInformation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputExtentStart(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputExtentStart_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageChangeInformation *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputExtentStart(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetOutputExtentStart_16(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  int     *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputExtentStart();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputSpacing_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageChangeInformation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputSpacing_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageChangeInformation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetOutputSpacing_19(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  double  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputOrigin_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageChangeInformation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOutputOrigin_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageChangeInformation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetOutputOrigin_112(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  double  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetCenterImage_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageChangeInformation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenterImage(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_CenterImageOn_114(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CenterImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_CenterImageOff_115(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->CenterImageOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageChangeInformation_GetCenterImage_116(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  int      temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenterImage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetExtentTranslation_117(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageChangeInformation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentTranslation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetExtentTranslation_118(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageChangeInformation *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExtentTranslation(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetExtentTranslation_119(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  int     *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtentTranslation();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetSpacingScale_120(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageChangeInformation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacingScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetSpacingScale_121(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageChangeInformation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSpacingScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetSpacingScale_122(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  double  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSpacingScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOriginTranslation_123(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageChangeInformation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginTranslation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOriginTranslation_124(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageChangeInformation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginTranslation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetOriginTranslation_125(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  double  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginTranslation();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOriginScale_126(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageChangeInformation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginScale(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageChangeInformation_SetOriginScale_127(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageChangeInformation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOriginScale(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageChangeInformation_GetOriginScale_128(JNIEnv *env, jobject obj)
{
  vtkImageChangeInformation *op;
  double  *temp20;

  op = (vtkImageChangeInformation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOriginScale();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageChangeInformation_VTKInit(JNIEnv *, jobject)
{
  vtkImageChangeInformation *aNewOne = vtkImageChangeInformation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
