// java wrapper for vtkImageConvolve object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageConvolve.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageConvolve_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageConvolve",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageConvolve_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageConvolve *op;
  const char    *temp20;

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageConvolve_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageConvolve *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageConvolve_GetKernelSize_12(JNIEnv *env, jobject obj)
{
  vtkImageConvolve *op;
  int     *temp20;

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKernelSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel3x3_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel5x5_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[25];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel7x7_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[49];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel7x7(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel3x3_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel5x5_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[25];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel7x7_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[49];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel7x7(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel3x3x3_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[27];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel3x3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel5x5x5_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[125];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];
  temp0[49] = ((jdouble *)tempArray0)[49];
  temp0[50] = ((jdouble *)tempArray0)[50];
  temp0[51] = ((jdouble *)tempArray0)[51];
  temp0[52] = ((jdouble *)tempArray0)[52];
  temp0[53] = ((jdouble *)tempArray0)[53];
  temp0[54] = ((jdouble *)tempArray0)[54];
  temp0[55] = ((jdouble *)tempArray0)[55];
  temp0[56] = ((jdouble *)tempArray0)[56];
  temp0[57] = ((jdouble *)tempArray0)[57];
  temp0[58] = ((jdouble *)tempArray0)[58];
  temp0[59] = ((jdouble *)tempArray0)[59];
  temp0[60] = ((jdouble *)tempArray0)[60];
  temp0[61] = ((jdouble *)tempArray0)[61];
  temp0[62] = ((jdouble *)tempArray0)[62];
  temp0[63] = ((jdouble *)tempArray0)[63];
  temp0[64] = ((jdouble *)tempArray0)[64];
  temp0[65] = ((jdouble *)tempArray0)[65];
  temp0[66] = ((jdouble *)tempArray0)[66];
  temp0[67] = ((jdouble *)tempArray0)[67];
  temp0[68] = ((jdouble *)tempArray0)[68];
  temp0[69] = ((jdouble *)tempArray0)[69];
  temp0[70] = ((jdouble *)tempArray0)[70];
  temp0[71] = ((jdouble *)tempArray0)[71];
  temp0[72] = ((jdouble *)tempArray0)[72];
  temp0[73] = ((jdouble *)tempArray0)[73];
  temp0[74] = ((jdouble *)tempArray0)[74];
  temp0[75] = ((jdouble *)tempArray0)[75];
  temp0[76] = ((jdouble *)tempArray0)[76];
  temp0[77] = ((jdouble *)tempArray0)[77];
  temp0[78] = ((jdouble *)tempArray0)[78];
  temp0[79] = ((jdouble *)tempArray0)[79];
  temp0[80] = ((jdouble *)tempArray0)[80];
  temp0[81] = ((jdouble *)tempArray0)[81];
  temp0[82] = ((jdouble *)tempArray0)[82];
  temp0[83] = ((jdouble *)tempArray0)[83];
  temp0[84] = ((jdouble *)tempArray0)[84];
  temp0[85] = ((jdouble *)tempArray0)[85];
  temp0[86] = ((jdouble *)tempArray0)[86];
  temp0[87] = ((jdouble *)tempArray0)[87];
  temp0[88] = ((jdouble *)tempArray0)[88];
  temp0[89] = ((jdouble *)tempArray0)[89];
  temp0[90] = ((jdouble *)tempArray0)[90];
  temp0[91] = ((jdouble *)tempArray0)[91];
  temp0[92] = ((jdouble *)tempArray0)[92];
  temp0[93] = ((jdouble *)tempArray0)[93];
  temp0[94] = ((jdouble *)tempArray0)[94];
  temp0[95] = ((jdouble *)tempArray0)[95];
  temp0[96] = ((jdouble *)tempArray0)[96];
  temp0[97] = ((jdouble *)tempArray0)[97];
  temp0[98] = ((jdouble *)tempArray0)[98];
  temp0[99] = ((jdouble *)tempArray0)[99];
  temp0[100] = ((jdouble *)tempArray0)[100];
  temp0[101] = ((jdouble *)tempArray0)[101];
  temp0[102] = ((jdouble *)tempArray0)[102];
  temp0[103] = ((jdouble *)tempArray0)[103];
  temp0[104] = ((jdouble *)tempArray0)[104];
  temp0[105] = ((jdouble *)tempArray0)[105];
  temp0[106] = ((jdouble *)tempArray0)[106];
  temp0[107] = ((jdouble *)tempArray0)[107];
  temp0[108] = ((jdouble *)tempArray0)[108];
  temp0[109] = ((jdouble *)tempArray0)[109];
  temp0[110] = ((jdouble *)tempArray0)[110];
  temp0[111] = ((jdouble *)tempArray0)[111];
  temp0[112] = ((jdouble *)tempArray0)[112];
  temp0[113] = ((jdouble *)tempArray0)[113];
  temp0[114] = ((jdouble *)tempArray0)[114];
  temp0[115] = ((jdouble *)tempArray0)[115];
  temp0[116] = ((jdouble *)tempArray0)[116];
  temp0[117] = ((jdouble *)tempArray0)[117];
  temp0[118] = ((jdouble *)tempArray0)[118];
  temp0[119] = ((jdouble *)tempArray0)[119];
  temp0[120] = ((jdouble *)tempArray0)[120];
  temp0[121] = ((jdouble *)tempArray0)[121];
  temp0[122] = ((jdouble *)tempArray0)[122];
  temp0[123] = ((jdouble *)tempArray0)[123];
  temp0[124] = ((jdouble *)tempArray0)[124];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel5x5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  ((jdouble *)tempArray0)[49] = temp0[49];
  ((jdouble *)tempArray0)[50] = temp0[50];
  ((jdouble *)tempArray0)[51] = temp0[51];
  ((jdouble *)tempArray0)[52] = temp0[52];
  ((jdouble *)tempArray0)[53] = temp0[53];
  ((jdouble *)tempArray0)[54] = temp0[54];
  ((jdouble *)tempArray0)[55] = temp0[55];
  ((jdouble *)tempArray0)[56] = temp0[56];
  ((jdouble *)tempArray0)[57] = temp0[57];
  ((jdouble *)tempArray0)[58] = temp0[58];
  ((jdouble *)tempArray0)[59] = temp0[59];
  ((jdouble *)tempArray0)[60] = temp0[60];
  ((jdouble *)tempArray0)[61] = temp0[61];
  ((jdouble *)tempArray0)[62] = temp0[62];
  ((jdouble *)tempArray0)[63] = temp0[63];
  ((jdouble *)tempArray0)[64] = temp0[64];
  ((jdouble *)tempArray0)[65] = temp0[65];
  ((jdouble *)tempArray0)[66] = temp0[66];
  ((jdouble *)tempArray0)[67] = temp0[67];
  ((jdouble *)tempArray0)[68] = temp0[68];
  ((jdouble *)tempArray0)[69] = temp0[69];
  ((jdouble *)tempArray0)[70] = temp0[70];
  ((jdouble *)tempArray0)[71] = temp0[71];
  ((jdouble *)tempArray0)[72] = temp0[72];
  ((jdouble *)tempArray0)[73] = temp0[73];
  ((jdouble *)tempArray0)[74] = temp0[74];
  ((jdouble *)tempArray0)[75] = temp0[75];
  ((jdouble *)tempArray0)[76] = temp0[76];
  ((jdouble *)tempArray0)[77] = temp0[77];
  ((jdouble *)tempArray0)[78] = temp0[78];
  ((jdouble *)tempArray0)[79] = temp0[79];
  ((jdouble *)tempArray0)[80] = temp0[80];
  ((jdouble *)tempArray0)[81] = temp0[81];
  ((jdouble *)tempArray0)[82] = temp0[82];
  ((jdouble *)tempArray0)[83] = temp0[83];
  ((jdouble *)tempArray0)[84] = temp0[84];
  ((jdouble *)tempArray0)[85] = temp0[85];
  ((jdouble *)tempArray0)[86] = temp0[86];
  ((jdouble *)tempArray0)[87] = temp0[87];
  ((jdouble *)tempArray0)[88] = temp0[88];
  ((jdouble *)tempArray0)[89] = temp0[89];
  ((jdouble *)tempArray0)[90] = temp0[90];
  ((jdouble *)tempArray0)[91] = temp0[91];
  ((jdouble *)tempArray0)[92] = temp0[92];
  ((jdouble *)tempArray0)[93] = temp0[93];
  ((jdouble *)tempArray0)[94] = temp0[94];
  ((jdouble *)tempArray0)[95] = temp0[95];
  ((jdouble *)tempArray0)[96] = temp0[96];
  ((jdouble *)tempArray0)[97] = temp0[97];
  ((jdouble *)tempArray0)[98] = temp0[98];
  ((jdouble *)tempArray0)[99] = temp0[99];
  ((jdouble *)tempArray0)[100] = temp0[100];
  ((jdouble *)tempArray0)[101] = temp0[101];
  ((jdouble *)tempArray0)[102] = temp0[102];
  ((jdouble *)tempArray0)[103] = temp0[103];
  ((jdouble *)tempArray0)[104] = temp0[104];
  ((jdouble *)tempArray0)[105] = temp0[105];
  ((jdouble *)tempArray0)[106] = temp0[106];
  ((jdouble *)tempArray0)[107] = temp0[107];
  ((jdouble *)tempArray0)[108] = temp0[108];
  ((jdouble *)tempArray0)[109] = temp0[109];
  ((jdouble *)tempArray0)[110] = temp0[110];
  ((jdouble *)tempArray0)[111] = temp0[111];
  ((jdouble *)tempArray0)[112] = temp0[112];
  ((jdouble *)tempArray0)[113] = temp0[113];
  ((jdouble *)tempArray0)[114] = temp0[114];
  ((jdouble *)tempArray0)[115] = temp0[115];
  ((jdouble *)tempArray0)[116] = temp0[116];
  ((jdouble *)tempArray0)[117] = temp0[117];
  ((jdouble *)tempArray0)[118] = temp0[118];
  ((jdouble *)tempArray0)[119] = temp0[119];
  ((jdouble *)tempArray0)[120] = temp0[120];
  ((jdouble *)tempArray0)[121] = temp0[121];
  ((jdouble *)tempArray0)[122] = temp0[122];
  ((jdouble *)tempArray0)[123] = temp0[123];
  ((jdouble *)tempArray0)[124] = temp0[124];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_SetKernel7x7x7_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[343];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];
  temp0[49] = ((jdouble *)tempArray0)[49];
  temp0[50] = ((jdouble *)tempArray0)[50];
  temp0[51] = ((jdouble *)tempArray0)[51];
  temp0[52] = ((jdouble *)tempArray0)[52];
  temp0[53] = ((jdouble *)tempArray0)[53];
  temp0[54] = ((jdouble *)tempArray0)[54];
  temp0[55] = ((jdouble *)tempArray0)[55];
  temp0[56] = ((jdouble *)tempArray0)[56];
  temp0[57] = ((jdouble *)tempArray0)[57];
  temp0[58] = ((jdouble *)tempArray0)[58];
  temp0[59] = ((jdouble *)tempArray0)[59];
  temp0[60] = ((jdouble *)tempArray0)[60];
  temp0[61] = ((jdouble *)tempArray0)[61];
  temp0[62] = ((jdouble *)tempArray0)[62];
  temp0[63] = ((jdouble *)tempArray0)[63];
  temp0[64] = ((jdouble *)tempArray0)[64];
  temp0[65] = ((jdouble *)tempArray0)[65];
  temp0[66] = ((jdouble *)tempArray0)[66];
  temp0[67] = ((jdouble *)tempArray0)[67];
  temp0[68] = ((jdouble *)tempArray0)[68];
  temp0[69] = ((jdouble *)tempArray0)[69];
  temp0[70] = ((jdouble *)tempArray0)[70];
  temp0[71] = ((jdouble *)tempArray0)[71];
  temp0[72] = ((jdouble *)tempArray0)[72];
  temp0[73] = ((jdouble *)tempArray0)[73];
  temp0[74] = ((jdouble *)tempArray0)[74];
  temp0[75] = ((jdouble *)tempArray0)[75];
  temp0[76] = ((jdouble *)tempArray0)[76];
  temp0[77] = ((jdouble *)tempArray0)[77];
  temp0[78] = ((jdouble *)tempArray0)[78];
  temp0[79] = ((jdouble *)tempArray0)[79];
  temp0[80] = ((jdouble *)tempArray0)[80];
  temp0[81] = ((jdouble *)tempArray0)[81];
  temp0[82] = ((jdouble *)tempArray0)[82];
  temp0[83] = ((jdouble *)tempArray0)[83];
  temp0[84] = ((jdouble *)tempArray0)[84];
  temp0[85] = ((jdouble *)tempArray0)[85];
  temp0[86] = ((jdouble *)tempArray0)[86];
  temp0[87] = ((jdouble *)tempArray0)[87];
  temp0[88] = ((jdouble *)tempArray0)[88];
  temp0[89] = ((jdouble *)tempArray0)[89];
  temp0[90] = ((jdouble *)tempArray0)[90];
  temp0[91] = ((jdouble *)tempArray0)[91];
  temp0[92] = ((jdouble *)tempArray0)[92];
  temp0[93] = ((jdouble *)tempArray0)[93];
  temp0[94] = ((jdouble *)tempArray0)[94];
  temp0[95] = ((jdouble *)tempArray0)[95];
  temp0[96] = ((jdouble *)tempArray0)[96];
  temp0[97] = ((jdouble *)tempArray0)[97];
  temp0[98] = ((jdouble *)tempArray0)[98];
  temp0[99] = ((jdouble *)tempArray0)[99];
  temp0[100] = ((jdouble *)tempArray0)[100];
  temp0[101] = ((jdouble *)tempArray0)[101];
  temp0[102] = ((jdouble *)tempArray0)[102];
  temp0[103] = ((jdouble *)tempArray0)[103];
  temp0[104] = ((jdouble *)tempArray0)[104];
  temp0[105] = ((jdouble *)tempArray0)[105];
  temp0[106] = ((jdouble *)tempArray0)[106];
  temp0[107] = ((jdouble *)tempArray0)[107];
  temp0[108] = ((jdouble *)tempArray0)[108];
  temp0[109] = ((jdouble *)tempArray0)[109];
  temp0[110] = ((jdouble *)tempArray0)[110];
  temp0[111] = ((jdouble *)tempArray0)[111];
  temp0[112] = ((jdouble *)tempArray0)[112];
  temp0[113] = ((jdouble *)tempArray0)[113];
  temp0[114] = ((jdouble *)tempArray0)[114];
  temp0[115] = ((jdouble *)tempArray0)[115];
  temp0[116] = ((jdouble *)tempArray0)[116];
  temp0[117] = ((jdouble *)tempArray0)[117];
  temp0[118] = ((jdouble *)tempArray0)[118];
  temp0[119] = ((jdouble *)tempArray0)[119];
  temp0[120] = ((jdouble *)tempArray0)[120];
  temp0[121] = ((jdouble *)tempArray0)[121];
  temp0[122] = ((jdouble *)tempArray0)[122];
  temp0[123] = ((jdouble *)tempArray0)[123];
  temp0[124] = ((jdouble *)tempArray0)[124];
  temp0[125] = ((jdouble *)tempArray0)[125];
  temp0[126] = ((jdouble *)tempArray0)[126];
  temp0[127] = ((jdouble *)tempArray0)[127];
  temp0[128] = ((jdouble *)tempArray0)[128];
  temp0[129] = ((jdouble *)tempArray0)[129];
  temp0[130] = ((jdouble *)tempArray0)[130];
  temp0[131] = ((jdouble *)tempArray0)[131];
  temp0[132] = ((jdouble *)tempArray0)[132];
  temp0[133] = ((jdouble *)tempArray0)[133];
  temp0[134] = ((jdouble *)tempArray0)[134];
  temp0[135] = ((jdouble *)tempArray0)[135];
  temp0[136] = ((jdouble *)tempArray0)[136];
  temp0[137] = ((jdouble *)tempArray0)[137];
  temp0[138] = ((jdouble *)tempArray0)[138];
  temp0[139] = ((jdouble *)tempArray0)[139];
  temp0[140] = ((jdouble *)tempArray0)[140];
  temp0[141] = ((jdouble *)tempArray0)[141];
  temp0[142] = ((jdouble *)tempArray0)[142];
  temp0[143] = ((jdouble *)tempArray0)[143];
  temp0[144] = ((jdouble *)tempArray0)[144];
  temp0[145] = ((jdouble *)tempArray0)[145];
  temp0[146] = ((jdouble *)tempArray0)[146];
  temp0[147] = ((jdouble *)tempArray0)[147];
  temp0[148] = ((jdouble *)tempArray0)[148];
  temp0[149] = ((jdouble *)tempArray0)[149];
  temp0[150] = ((jdouble *)tempArray0)[150];
  temp0[151] = ((jdouble *)tempArray0)[151];
  temp0[152] = ((jdouble *)tempArray0)[152];
  temp0[153] = ((jdouble *)tempArray0)[153];
  temp0[154] = ((jdouble *)tempArray0)[154];
  temp0[155] = ((jdouble *)tempArray0)[155];
  temp0[156] = ((jdouble *)tempArray0)[156];
  temp0[157] = ((jdouble *)tempArray0)[157];
  temp0[158] = ((jdouble *)tempArray0)[158];
  temp0[159] = ((jdouble *)tempArray0)[159];
  temp0[160] = ((jdouble *)tempArray0)[160];
  temp0[161] = ((jdouble *)tempArray0)[161];
  temp0[162] = ((jdouble *)tempArray0)[162];
  temp0[163] = ((jdouble *)tempArray0)[163];
  temp0[164] = ((jdouble *)tempArray0)[164];
  temp0[165] = ((jdouble *)tempArray0)[165];
  temp0[166] = ((jdouble *)tempArray0)[166];
  temp0[167] = ((jdouble *)tempArray0)[167];
  temp0[168] = ((jdouble *)tempArray0)[168];
  temp0[169] = ((jdouble *)tempArray0)[169];
  temp0[170] = ((jdouble *)tempArray0)[170];
  temp0[171] = ((jdouble *)tempArray0)[171];
  temp0[172] = ((jdouble *)tempArray0)[172];
  temp0[173] = ((jdouble *)tempArray0)[173];
  temp0[174] = ((jdouble *)tempArray0)[174];
  temp0[175] = ((jdouble *)tempArray0)[175];
  temp0[176] = ((jdouble *)tempArray0)[176];
  temp0[177] = ((jdouble *)tempArray0)[177];
  temp0[178] = ((jdouble *)tempArray0)[178];
  temp0[179] = ((jdouble *)tempArray0)[179];
  temp0[180] = ((jdouble *)tempArray0)[180];
  temp0[181] = ((jdouble *)tempArray0)[181];
  temp0[182] = ((jdouble *)tempArray0)[182];
  temp0[183] = ((jdouble *)tempArray0)[183];
  temp0[184] = ((jdouble *)tempArray0)[184];
  temp0[185] = ((jdouble *)tempArray0)[185];
  temp0[186] = ((jdouble *)tempArray0)[186];
  temp0[187] = ((jdouble *)tempArray0)[187];
  temp0[188] = ((jdouble *)tempArray0)[188];
  temp0[189] = ((jdouble *)tempArray0)[189];
  temp0[190] = ((jdouble *)tempArray0)[190];
  temp0[191] = ((jdouble *)tempArray0)[191];
  temp0[192] = ((jdouble *)tempArray0)[192];
  temp0[193] = ((jdouble *)tempArray0)[193];
  temp0[194] = ((jdouble *)tempArray0)[194];
  temp0[195] = ((jdouble *)tempArray0)[195];
  temp0[196] = ((jdouble *)tempArray0)[196];
  temp0[197] = ((jdouble *)tempArray0)[197];
  temp0[198] = ((jdouble *)tempArray0)[198];
  temp0[199] = ((jdouble *)tempArray0)[199];
  temp0[200] = ((jdouble *)tempArray0)[200];
  temp0[201] = ((jdouble *)tempArray0)[201];
  temp0[202] = ((jdouble *)tempArray0)[202];
  temp0[203] = ((jdouble *)tempArray0)[203];
  temp0[204] = ((jdouble *)tempArray0)[204];
  temp0[205] = ((jdouble *)tempArray0)[205];
  temp0[206] = ((jdouble *)tempArray0)[206];
  temp0[207] = ((jdouble *)tempArray0)[207];
  temp0[208] = ((jdouble *)tempArray0)[208];
  temp0[209] = ((jdouble *)tempArray0)[209];
  temp0[210] = ((jdouble *)tempArray0)[210];
  temp0[211] = ((jdouble *)tempArray0)[211];
  temp0[212] = ((jdouble *)tempArray0)[212];
  temp0[213] = ((jdouble *)tempArray0)[213];
  temp0[214] = ((jdouble *)tempArray0)[214];
  temp0[215] = ((jdouble *)tempArray0)[215];
  temp0[216] = ((jdouble *)tempArray0)[216];
  temp0[217] = ((jdouble *)tempArray0)[217];
  temp0[218] = ((jdouble *)tempArray0)[218];
  temp0[219] = ((jdouble *)tempArray0)[219];
  temp0[220] = ((jdouble *)tempArray0)[220];
  temp0[221] = ((jdouble *)tempArray0)[221];
  temp0[222] = ((jdouble *)tempArray0)[222];
  temp0[223] = ((jdouble *)tempArray0)[223];
  temp0[224] = ((jdouble *)tempArray0)[224];
  temp0[225] = ((jdouble *)tempArray0)[225];
  temp0[226] = ((jdouble *)tempArray0)[226];
  temp0[227] = ((jdouble *)tempArray0)[227];
  temp0[228] = ((jdouble *)tempArray0)[228];
  temp0[229] = ((jdouble *)tempArray0)[229];
  temp0[230] = ((jdouble *)tempArray0)[230];
  temp0[231] = ((jdouble *)tempArray0)[231];
  temp0[232] = ((jdouble *)tempArray0)[232];
  temp0[233] = ((jdouble *)tempArray0)[233];
  temp0[234] = ((jdouble *)tempArray0)[234];
  temp0[235] = ((jdouble *)tempArray0)[235];
  temp0[236] = ((jdouble *)tempArray0)[236];
  temp0[237] = ((jdouble *)tempArray0)[237];
  temp0[238] = ((jdouble *)tempArray0)[238];
  temp0[239] = ((jdouble *)tempArray0)[239];
  temp0[240] = ((jdouble *)tempArray0)[240];
  temp0[241] = ((jdouble *)tempArray0)[241];
  temp0[242] = ((jdouble *)tempArray0)[242];
  temp0[243] = ((jdouble *)tempArray0)[243];
  temp0[244] = ((jdouble *)tempArray0)[244];
  temp0[245] = ((jdouble *)tempArray0)[245];
  temp0[246] = ((jdouble *)tempArray0)[246];
  temp0[247] = ((jdouble *)tempArray0)[247];
  temp0[248] = ((jdouble *)tempArray0)[248];
  temp0[249] = ((jdouble *)tempArray0)[249];
  temp0[250] = ((jdouble *)tempArray0)[250];
  temp0[251] = ((jdouble *)tempArray0)[251];
  temp0[252] = ((jdouble *)tempArray0)[252];
  temp0[253] = ((jdouble *)tempArray0)[253];
  temp0[254] = ((jdouble *)tempArray0)[254];
  temp0[255] = ((jdouble *)tempArray0)[255];
  temp0[256] = ((jdouble *)tempArray0)[256];
  temp0[257] = ((jdouble *)tempArray0)[257];
  temp0[258] = ((jdouble *)tempArray0)[258];
  temp0[259] = ((jdouble *)tempArray0)[259];
  temp0[260] = ((jdouble *)tempArray0)[260];
  temp0[261] = ((jdouble *)tempArray0)[261];
  temp0[262] = ((jdouble *)tempArray0)[262];
  temp0[263] = ((jdouble *)tempArray0)[263];
  temp0[264] = ((jdouble *)tempArray0)[264];
  temp0[265] = ((jdouble *)tempArray0)[265];
  temp0[266] = ((jdouble *)tempArray0)[266];
  temp0[267] = ((jdouble *)tempArray0)[267];
  temp0[268] = ((jdouble *)tempArray0)[268];
  temp0[269] = ((jdouble *)tempArray0)[269];
  temp0[270] = ((jdouble *)tempArray0)[270];
  temp0[271] = ((jdouble *)tempArray0)[271];
  temp0[272] = ((jdouble *)tempArray0)[272];
  temp0[273] = ((jdouble *)tempArray0)[273];
  temp0[274] = ((jdouble *)tempArray0)[274];
  temp0[275] = ((jdouble *)tempArray0)[275];
  temp0[276] = ((jdouble *)tempArray0)[276];
  temp0[277] = ((jdouble *)tempArray0)[277];
  temp0[278] = ((jdouble *)tempArray0)[278];
  temp0[279] = ((jdouble *)tempArray0)[279];
  temp0[280] = ((jdouble *)tempArray0)[280];
  temp0[281] = ((jdouble *)tempArray0)[281];
  temp0[282] = ((jdouble *)tempArray0)[282];
  temp0[283] = ((jdouble *)tempArray0)[283];
  temp0[284] = ((jdouble *)tempArray0)[284];
  temp0[285] = ((jdouble *)tempArray0)[285];
  temp0[286] = ((jdouble *)tempArray0)[286];
  temp0[287] = ((jdouble *)tempArray0)[287];
  temp0[288] = ((jdouble *)tempArray0)[288];
  temp0[289] = ((jdouble *)tempArray0)[289];
  temp0[290] = ((jdouble *)tempArray0)[290];
  temp0[291] = ((jdouble *)tempArray0)[291];
  temp0[292] = ((jdouble *)tempArray0)[292];
  temp0[293] = ((jdouble *)tempArray0)[293];
  temp0[294] = ((jdouble *)tempArray0)[294];
  temp0[295] = ((jdouble *)tempArray0)[295];
  temp0[296] = ((jdouble *)tempArray0)[296];
  temp0[297] = ((jdouble *)tempArray0)[297];
  temp0[298] = ((jdouble *)tempArray0)[298];
  temp0[299] = ((jdouble *)tempArray0)[299];
  temp0[300] = ((jdouble *)tempArray0)[300];
  temp0[301] = ((jdouble *)tempArray0)[301];
  temp0[302] = ((jdouble *)tempArray0)[302];
  temp0[303] = ((jdouble *)tempArray0)[303];
  temp0[304] = ((jdouble *)tempArray0)[304];
  temp0[305] = ((jdouble *)tempArray0)[305];
  temp0[306] = ((jdouble *)tempArray0)[306];
  temp0[307] = ((jdouble *)tempArray0)[307];
  temp0[308] = ((jdouble *)tempArray0)[308];
  temp0[309] = ((jdouble *)tempArray0)[309];
  temp0[310] = ((jdouble *)tempArray0)[310];
  temp0[311] = ((jdouble *)tempArray0)[311];
  temp0[312] = ((jdouble *)tempArray0)[312];
  temp0[313] = ((jdouble *)tempArray0)[313];
  temp0[314] = ((jdouble *)tempArray0)[314];
  temp0[315] = ((jdouble *)tempArray0)[315];
  temp0[316] = ((jdouble *)tempArray0)[316];
  temp0[317] = ((jdouble *)tempArray0)[317];
  temp0[318] = ((jdouble *)tempArray0)[318];
  temp0[319] = ((jdouble *)tempArray0)[319];
  temp0[320] = ((jdouble *)tempArray0)[320];
  temp0[321] = ((jdouble *)tempArray0)[321];
  temp0[322] = ((jdouble *)tempArray0)[322];
  temp0[323] = ((jdouble *)tempArray0)[323];
  temp0[324] = ((jdouble *)tempArray0)[324];
  temp0[325] = ((jdouble *)tempArray0)[325];
  temp0[326] = ((jdouble *)tempArray0)[326];
  temp0[327] = ((jdouble *)tempArray0)[327];
  temp0[328] = ((jdouble *)tempArray0)[328];
  temp0[329] = ((jdouble *)tempArray0)[329];
  temp0[330] = ((jdouble *)tempArray0)[330];
  temp0[331] = ((jdouble *)tempArray0)[331];
  temp0[332] = ((jdouble *)tempArray0)[332];
  temp0[333] = ((jdouble *)tempArray0)[333];
  temp0[334] = ((jdouble *)tempArray0)[334];
  temp0[335] = ((jdouble *)tempArray0)[335];
  temp0[336] = ((jdouble *)tempArray0)[336];
  temp0[337] = ((jdouble *)tempArray0)[337];
  temp0[338] = ((jdouble *)tempArray0)[338];
  temp0[339] = ((jdouble *)tempArray0)[339];
  temp0[340] = ((jdouble *)tempArray0)[340];
  temp0[341] = ((jdouble *)tempArray0)[341];
  temp0[342] = ((jdouble *)tempArray0)[342];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKernel7x7x7(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  ((jdouble *)tempArray0)[49] = temp0[49];
  ((jdouble *)tempArray0)[50] = temp0[50];
  ((jdouble *)tempArray0)[51] = temp0[51];
  ((jdouble *)tempArray0)[52] = temp0[52];
  ((jdouble *)tempArray0)[53] = temp0[53];
  ((jdouble *)tempArray0)[54] = temp0[54];
  ((jdouble *)tempArray0)[55] = temp0[55];
  ((jdouble *)tempArray0)[56] = temp0[56];
  ((jdouble *)tempArray0)[57] = temp0[57];
  ((jdouble *)tempArray0)[58] = temp0[58];
  ((jdouble *)tempArray0)[59] = temp0[59];
  ((jdouble *)tempArray0)[60] = temp0[60];
  ((jdouble *)tempArray0)[61] = temp0[61];
  ((jdouble *)tempArray0)[62] = temp0[62];
  ((jdouble *)tempArray0)[63] = temp0[63];
  ((jdouble *)tempArray0)[64] = temp0[64];
  ((jdouble *)tempArray0)[65] = temp0[65];
  ((jdouble *)tempArray0)[66] = temp0[66];
  ((jdouble *)tempArray0)[67] = temp0[67];
  ((jdouble *)tempArray0)[68] = temp0[68];
  ((jdouble *)tempArray0)[69] = temp0[69];
  ((jdouble *)tempArray0)[70] = temp0[70];
  ((jdouble *)tempArray0)[71] = temp0[71];
  ((jdouble *)tempArray0)[72] = temp0[72];
  ((jdouble *)tempArray0)[73] = temp0[73];
  ((jdouble *)tempArray0)[74] = temp0[74];
  ((jdouble *)tempArray0)[75] = temp0[75];
  ((jdouble *)tempArray0)[76] = temp0[76];
  ((jdouble *)tempArray0)[77] = temp0[77];
  ((jdouble *)tempArray0)[78] = temp0[78];
  ((jdouble *)tempArray0)[79] = temp0[79];
  ((jdouble *)tempArray0)[80] = temp0[80];
  ((jdouble *)tempArray0)[81] = temp0[81];
  ((jdouble *)tempArray0)[82] = temp0[82];
  ((jdouble *)tempArray0)[83] = temp0[83];
  ((jdouble *)tempArray0)[84] = temp0[84];
  ((jdouble *)tempArray0)[85] = temp0[85];
  ((jdouble *)tempArray0)[86] = temp0[86];
  ((jdouble *)tempArray0)[87] = temp0[87];
  ((jdouble *)tempArray0)[88] = temp0[88];
  ((jdouble *)tempArray0)[89] = temp0[89];
  ((jdouble *)tempArray0)[90] = temp0[90];
  ((jdouble *)tempArray0)[91] = temp0[91];
  ((jdouble *)tempArray0)[92] = temp0[92];
  ((jdouble *)tempArray0)[93] = temp0[93];
  ((jdouble *)tempArray0)[94] = temp0[94];
  ((jdouble *)tempArray0)[95] = temp0[95];
  ((jdouble *)tempArray0)[96] = temp0[96];
  ((jdouble *)tempArray0)[97] = temp0[97];
  ((jdouble *)tempArray0)[98] = temp0[98];
  ((jdouble *)tempArray0)[99] = temp0[99];
  ((jdouble *)tempArray0)[100] = temp0[100];
  ((jdouble *)tempArray0)[101] = temp0[101];
  ((jdouble *)tempArray0)[102] = temp0[102];
  ((jdouble *)tempArray0)[103] = temp0[103];
  ((jdouble *)tempArray0)[104] = temp0[104];
  ((jdouble *)tempArray0)[105] = temp0[105];
  ((jdouble *)tempArray0)[106] = temp0[106];
  ((jdouble *)tempArray0)[107] = temp0[107];
  ((jdouble *)tempArray0)[108] = temp0[108];
  ((jdouble *)tempArray0)[109] = temp0[109];
  ((jdouble *)tempArray0)[110] = temp0[110];
  ((jdouble *)tempArray0)[111] = temp0[111];
  ((jdouble *)tempArray0)[112] = temp0[112];
  ((jdouble *)tempArray0)[113] = temp0[113];
  ((jdouble *)tempArray0)[114] = temp0[114];
  ((jdouble *)tempArray0)[115] = temp0[115];
  ((jdouble *)tempArray0)[116] = temp0[116];
  ((jdouble *)tempArray0)[117] = temp0[117];
  ((jdouble *)tempArray0)[118] = temp0[118];
  ((jdouble *)tempArray0)[119] = temp0[119];
  ((jdouble *)tempArray0)[120] = temp0[120];
  ((jdouble *)tempArray0)[121] = temp0[121];
  ((jdouble *)tempArray0)[122] = temp0[122];
  ((jdouble *)tempArray0)[123] = temp0[123];
  ((jdouble *)tempArray0)[124] = temp0[124];
  ((jdouble *)tempArray0)[125] = temp0[125];
  ((jdouble *)tempArray0)[126] = temp0[126];
  ((jdouble *)tempArray0)[127] = temp0[127];
  ((jdouble *)tempArray0)[128] = temp0[128];
  ((jdouble *)tempArray0)[129] = temp0[129];
  ((jdouble *)tempArray0)[130] = temp0[130];
  ((jdouble *)tempArray0)[131] = temp0[131];
  ((jdouble *)tempArray0)[132] = temp0[132];
  ((jdouble *)tempArray0)[133] = temp0[133];
  ((jdouble *)tempArray0)[134] = temp0[134];
  ((jdouble *)tempArray0)[135] = temp0[135];
  ((jdouble *)tempArray0)[136] = temp0[136];
  ((jdouble *)tempArray0)[137] = temp0[137];
  ((jdouble *)tempArray0)[138] = temp0[138];
  ((jdouble *)tempArray0)[139] = temp0[139];
  ((jdouble *)tempArray0)[140] = temp0[140];
  ((jdouble *)tempArray0)[141] = temp0[141];
  ((jdouble *)tempArray0)[142] = temp0[142];
  ((jdouble *)tempArray0)[143] = temp0[143];
  ((jdouble *)tempArray0)[144] = temp0[144];
  ((jdouble *)tempArray0)[145] = temp0[145];
  ((jdouble *)tempArray0)[146] = temp0[146];
  ((jdouble *)tempArray0)[147] = temp0[147];
  ((jdouble *)tempArray0)[148] = temp0[148];
  ((jdouble *)tempArray0)[149] = temp0[149];
  ((jdouble *)tempArray0)[150] = temp0[150];
  ((jdouble *)tempArray0)[151] = temp0[151];
  ((jdouble *)tempArray0)[152] = temp0[152];
  ((jdouble *)tempArray0)[153] = temp0[153];
  ((jdouble *)tempArray0)[154] = temp0[154];
  ((jdouble *)tempArray0)[155] = temp0[155];
  ((jdouble *)tempArray0)[156] = temp0[156];
  ((jdouble *)tempArray0)[157] = temp0[157];
  ((jdouble *)tempArray0)[158] = temp0[158];
  ((jdouble *)tempArray0)[159] = temp0[159];
  ((jdouble *)tempArray0)[160] = temp0[160];
  ((jdouble *)tempArray0)[161] = temp0[161];
  ((jdouble *)tempArray0)[162] = temp0[162];
  ((jdouble *)tempArray0)[163] = temp0[163];
  ((jdouble *)tempArray0)[164] = temp0[164];
  ((jdouble *)tempArray0)[165] = temp0[165];
  ((jdouble *)tempArray0)[166] = temp0[166];
  ((jdouble *)tempArray0)[167] = temp0[167];
  ((jdouble *)tempArray0)[168] = temp0[168];
  ((jdouble *)tempArray0)[169] = temp0[169];
  ((jdouble *)tempArray0)[170] = temp0[170];
  ((jdouble *)tempArray0)[171] = temp0[171];
  ((jdouble *)tempArray0)[172] = temp0[172];
  ((jdouble *)tempArray0)[173] = temp0[173];
  ((jdouble *)tempArray0)[174] = temp0[174];
  ((jdouble *)tempArray0)[175] = temp0[175];
  ((jdouble *)tempArray0)[176] = temp0[176];
  ((jdouble *)tempArray0)[177] = temp0[177];
  ((jdouble *)tempArray0)[178] = temp0[178];
  ((jdouble *)tempArray0)[179] = temp0[179];
  ((jdouble *)tempArray0)[180] = temp0[180];
  ((jdouble *)tempArray0)[181] = temp0[181];
  ((jdouble *)tempArray0)[182] = temp0[182];
  ((jdouble *)tempArray0)[183] = temp0[183];
  ((jdouble *)tempArray0)[184] = temp0[184];
  ((jdouble *)tempArray0)[185] = temp0[185];
  ((jdouble *)tempArray0)[186] = temp0[186];
  ((jdouble *)tempArray0)[187] = temp0[187];
  ((jdouble *)tempArray0)[188] = temp0[188];
  ((jdouble *)tempArray0)[189] = temp0[189];
  ((jdouble *)tempArray0)[190] = temp0[190];
  ((jdouble *)tempArray0)[191] = temp0[191];
  ((jdouble *)tempArray0)[192] = temp0[192];
  ((jdouble *)tempArray0)[193] = temp0[193];
  ((jdouble *)tempArray0)[194] = temp0[194];
  ((jdouble *)tempArray0)[195] = temp0[195];
  ((jdouble *)tempArray0)[196] = temp0[196];
  ((jdouble *)tempArray0)[197] = temp0[197];
  ((jdouble *)tempArray0)[198] = temp0[198];
  ((jdouble *)tempArray0)[199] = temp0[199];
  ((jdouble *)tempArray0)[200] = temp0[200];
  ((jdouble *)tempArray0)[201] = temp0[201];
  ((jdouble *)tempArray0)[202] = temp0[202];
  ((jdouble *)tempArray0)[203] = temp0[203];
  ((jdouble *)tempArray0)[204] = temp0[204];
  ((jdouble *)tempArray0)[205] = temp0[205];
  ((jdouble *)tempArray0)[206] = temp0[206];
  ((jdouble *)tempArray0)[207] = temp0[207];
  ((jdouble *)tempArray0)[208] = temp0[208];
  ((jdouble *)tempArray0)[209] = temp0[209];
  ((jdouble *)tempArray0)[210] = temp0[210];
  ((jdouble *)tempArray0)[211] = temp0[211];
  ((jdouble *)tempArray0)[212] = temp0[212];
  ((jdouble *)tempArray0)[213] = temp0[213];
  ((jdouble *)tempArray0)[214] = temp0[214];
  ((jdouble *)tempArray0)[215] = temp0[215];
  ((jdouble *)tempArray0)[216] = temp0[216];
  ((jdouble *)tempArray0)[217] = temp0[217];
  ((jdouble *)tempArray0)[218] = temp0[218];
  ((jdouble *)tempArray0)[219] = temp0[219];
  ((jdouble *)tempArray0)[220] = temp0[220];
  ((jdouble *)tempArray0)[221] = temp0[221];
  ((jdouble *)tempArray0)[222] = temp0[222];
  ((jdouble *)tempArray0)[223] = temp0[223];
  ((jdouble *)tempArray0)[224] = temp0[224];
  ((jdouble *)tempArray0)[225] = temp0[225];
  ((jdouble *)tempArray0)[226] = temp0[226];
  ((jdouble *)tempArray0)[227] = temp0[227];
  ((jdouble *)tempArray0)[228] = temp0[228];
  ((jdouble *)tempArray0)[229] = temp0[229];
  ((jdouble *)tempArray0)[230] = temp0[230];
  ((jdouble *)tempArray0)[231] = temp0[231];
  ((jdouble *)tempArray0)[232] = temp0[232];
  ((jdouble *)tempArray0)[233] = temp0[233];
  ((jdouble *)tempArray0)[234] = temp0[234];
  ((jdouble *)tempArray0)[235] = temp0[235];
  ((jdouble *)tempArray0)[236] = temp0[236];
  ((jdouble *)tempArray0)[237] = temp0[237];
  ((jdouble *)tempArray0)[238] = temp0[238];
  ((jdouble *)tempArray0)[239] = temp0[239];
  ((jdouble *)tempArray0)[240] = temp0[240];
  ((jdouble *)tempArray0)[241] = temp0[241];
  ((jdouble *)tempArray0)[242] = temp0[242];
  ((jdouble *)tempArray0)[243] = temp0[243];
  ((jdouble *)tempArray0)[244] = temp0[244];
  ((jdouble *)tempArray0)[245] = temp0[245];
  ((jdouble *)tempArray0)[246] = temp0[246];
  ((jdouble *)tempArray0)[247] = temp0[247];
  ((jdouble *)tempArray0)[248] = temp0[248];
  ((jdouble *)tempArray0)[249] = temp0[249];
  ((jdouble *)tempArray0)[250] = temp0[250];
  ((jdouble *)tempArray0)[251] = temp0[251];
  ((jdouble *)tempArray0)[252] = temp0[252];
  ((jdouble *)tempArray0)[253] = temp0[253];
  ((jdouble *)tempArray0)[254] = temp0[254];
  ((jdouble *)tempArray0)[255] = temp0[255];
  ((jdouble *)tempArray0)[256] = temp0[256];
  ((jdouble *)tempArray0)[257] = temp0[257];
  ((jdouble *)tempArray0)[258] = temp0[258];
  ((jdouble *)tempArray0)[259] = temp0[259];
  ((jdouble *)tempArray0)[260] = temp0[260];
  ((jdouble *)tempArray0)[261] = temp0[261];
  ((jdouble *)tempArray0)[262] = temp0[262];
  ((jdouble *)tempArray0)[263] = temp0[263];
  ((jdouble *)tempArray0)[264] = temp0[264];
  ((jdouble *)tempArray0)[265] = temp0[265];
  ((jdouble *)tempArray0)[266] = temp0[266];
  ((jdouble *)tempArray0)[267] = temp0[267];
  ((jdouble *)tempArray0)[268] = temp0[268];
  ((jdouble *)tempArray0)[269] = temp0[269];
  ((jdouble *)tempArray0)[270] = temp0[270];
  ((jdouble *)tempArray0)[271] = temp0[271];
  ((jdouble *)tempArray0)[272] = temp0[272];
  ((jdouble *)tempArray0)[273] = temp0[273];
  ((jdouble *)tempArray0)[274] = temp0[274];
  ((jdouble *)tempArray0)[275] = temp0[275];
  ((jdouble *)tempArray0)[276] = temp0[276];
  ((jdouble *)tempArray0)[277] = temp0[277];
  ((jdouble *)tempArray0)[278] = temp0[278];
  ((jdouble *)tempArray0)[279] = temp0[279];
  ((jdouble *)tempArray0)[280] = temp0[280];
  ((jdouble *)tempArray0)[281] = temp0[281];
  ((jdouble *)tempArray0)[282] = temp0[282];
  ((jdouble *)tempArray0)[283] = temp0[283];
  ((jdouble *)tempArray0)[284] = temp0[284];
  ((jdouble *)tempArray0)[285] = temp0[285];
  ((jdouble *)tempArray0)[286] = temp0[286];
  ((jdouble *)tempArray0)[287] = temp0[287];
  ((jdouble *)tempArray0)[288] = temp0[288];
  ((jdouble *)tempArray0)[289] = temp0[289];
  ((jdouble *)tempArray0)[290] = temp0[290];
  ((jdouble *)tempArray0)[291] = temp0[291];
  ((jdouble *)tempArray0)[292] = temp0[292];
  ((jdouble *)tempArray0)[293] = temp0[293];
  ((jdouble *)tempArray0)[294] = temp0[294];
  ((jdouble *)tempArray0)[295] = temp0[295];
  ((jdouble *)tempArray0)[296] = temp0[296];
  ((jdouble *)tempArray0)[297] = temp0[297];
  ((jdouble *)tempArray0)[298] = temp0[298];
  ((jdouble *)tempArray0)[299] = temp0[299];
  ((jdouble *)tempArray0)[300] = temp0[300];
  ((jdouble *)tempArray0)[301] = temp0[301];
  ((jdouble *)tempArray0)[302] = temp0[302];
  ((jdouble *)tempArray0)[303] = temp0[303];
  ((jdouble *)tempArray0)[304] = temp0[304];
  ((jdouble *)tempArray0)[305] = temp0[305];
  ((jdouble *)tempArray0)[306] = temp0[306];
  ((jdouble *)tempArray0)[307] = temp0[307];
  ((jdouble *)tempArray0)[308] = temp0[308];
  ((jdouble *)tempArray0)[309] = temp0[309];
  ((jdouble *)tempArray0)[310] = temp0[310];
  ((jdouble *)tempArray0)[311] = temp0[311];
  ((jdouble *)tempArray0)[312] = temp0[312];
  ((jdouble *)tempArray0)[313] = temp0[313];
  ((jdouble *)tempArray0)[314] = temp0[314];
  ((jdouble *)tempArray0)[315] = temp0[315];
  ((jdouble *)tempArray0)[316] = temp0[316];
  ((jdouble *)tempArray0)[317] = temp0[317];
  ((jdouble *)tempArray0)[318] = temp0[318];
  ((jdouble *)tempArray0)[319] = temp0[319];
  ((jdouble *)tempArray0)[320] = temp0[320];
  ((jdouble *)tempArray0)[321] = temp0[321];
  ((jdouble *)tempArray0)[322] = temp0[322];
  ((jdouble *)tempArray0)[323] = temp0[323];
  ((jdouble *)tempArray0)[324] = temp0[324];
  ((jdouble *)tempArray0)[325] = temp0[325];
  ((jdouble *)tempArray0)[326] = temp0[326];
  ((jdouble *)tempArray0)[327] = temp0[327];
  ((jdouble *)tempArray0)[328] = temp0[328];
  ((jdouble *)tempArray0)[329] = temp0[329];
  ((jdouble *)tempArray0)[330] = temp0[330];
  ((jdouble *)tempArray0)[331] = temp0[331];
  ((jdouble *)tempArray0)[332] = temp0[332];
  ((jdouble *)tempArray0)[333] = temp0[333];
  ((jdouble *)tempArray0)[334] = temp0[334];
  ((jdouble *)tempArray0)[335] = temp0[335];
  ((jdouble *)tempArray0)[336] = temp0[336];
  ((jdouble *)tempArray0)[337] = temp0[337];
  ((jdouble *)tempArray0)[338] = temp0[338];
  ((jdouble *)tempArray0)[339] = temp0[339];
  ((jdouble *)tempArray0)[340] = temp0[340];
  ((jdouble *)tempArray0)[341] = temp0[341];
  ((jdouble *)tempArray0)[342] = temp0[342];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel3x3x3_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[27];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel3x3x3(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel5x5x5_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[125];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];
  temp0[49] = ((jdouble *)tempArray0)[49];
  temp0[50] = ((jdouble *)tempArray0)[50];
  temp0[51] = ((jdouble *)tempArray0)[51];
  temp0[52] = ((jdouble *)tempArray0)[52];
  temp0[53] = ((jdouble *)tempArray0)[53];
  temp0[54] = ((jdouble *)tempArray0)[54];
  temp0[55] = ((jdouble *)tempArray0)[55];
  temp0[56] = ((jdouble *)tempArray0)[56];
  temp0[57] = ((jdouble *)tempArray0)[57];
  temp0[58] = ((jdouble *)tempArray0)[58];
  temp0[59] = ((jdouble *)tempArray0)[59];
  temp0[60] = ((jdouble *)tempArray0)[60];
  temp0[61] = ((jdouble *)tempArray0)[61];
  temp0[62] = ((jdouble *)tempArray0)[62];
  temp0[63] = ((jdouble *)tempArray0)[63];
  temp0[64] = ((jdouble *)tempArray0)[64];
  temp0[65] = ((jdouble *)tempArray0)[65];
  temp0[66] = ((jdouble *)tempArray0)[66];
  temp0[67] = ((jdouble *)tempArray0)[67];
  temp0[68] = ((jdouble *)tempArray0)[68];
  temp0[69] = ((jdouble *)tempArray0)[69];
  temp0[70] = ((jdouble *)tempArray0)[70];
  temp0[71] = ((jdouble *)tempArray0)[71];
  temp0[72] = ((jdouble *)tempArray0)[72];
  temp0[73] = ((jdouble *)tempArray0)[73];
  temp0[74] = ((jdouble *)tempArray0)[74];
  temp0[75] = ((jdouble *)tempArray0)[75];
  temp0[76] = ((jdouble *)tempArray0)[76];
  temp0[77] = ((jdouble *)tempArray0)[77];
  temp0[78] = ((jdouble *)tempArray0)[78];
  temp0[79] = ((jdouble *)tempArray0)[79];
  temp0[80] = ((jdouble *)tempArray0)[80];
  temp0[81] = ((jdouble *)tempArray0)[81];
  temp0[82] = ((jdouble *)tempArray0)[82];
  temp0[83] = ((jdouble *)tempArray0)[83];
  temp0[84] = ((jdouble *)tempArray0)[84];
  temp0[85] = ((jdouble *)tempArray0)[85];
  temp0[86] = ((jdouble *)tempArray0)[86];
  temp0[87] = ((jdouble *)tempArray0)[87];
  temp0[88] = ((jdouble *)tempArray0)[88];
  temp0[89] = ((jdouble *)tempArray0)[89];
  temp0[90] = ((jdouble *)tempArray0)[90];
  temp0[91] = ((jdouble *)tempArray0)[91];
  temp0[92] = ((jdouble *)tempArray0)[92];
  temp0[93] = ((jdouble *)tempArray0)[93];
  temp0[94] = ((jdouble *)tempArray0)[94];
  temp0[95] = ((jdouble *)tempArray0)[95];
  temp0[96] = ((jdouble *)tempArray0)[96];
  temp0[97] = ((jdouble *)tempArray0)[97];
  temp0[98] = ((jdouble *)tempArray0)[98];
  temp0[99] = ((jdouble *)tempArray0)[99];
  temp0[100] = ((jdouble *)tempArray0)[100];
  temp0[101] = ((jdouble *)tempArray0)[101];
  temp0[102] = ((jdouble *)tempArray0)[102];
  temp0[103] = ((jdouble *)tempArray0)[103];
  temp0[104] = ((jdouble *)tempArray0)[104];
  temp0[105] = ((jdouble *)tempArray0)[105];
  temp0[106] = ((jdouble *)tempArray0)[106];
  temp0[107] = ((jdouble *)tempArray0)[107];
  temp0[108] = ((jdouble *)tempArray0)[108];
  temp0[109] = ((jdouble *)tempArray0)[109];
  temp0[110] = ((jdouble *)tempArray0)[110];
  temp0[111] = ((jdouble *)tempArray0)[111];
  temp0[112] = ((jdouble *)tempArray0)[112];
  temp0[113] = ((jdouble *)tempArray0)[113];
  temp0[114] = ((jdouble *)tempArray0)[114];
  temp0[115] = ((jdouble *)tempArray0)[115];
  temp0[116] = ((jdouble *)tempArray0)[116];
  temp0[117] = ((jdouble *)tempArray0)[117];
  temp0[118] = ((jdouble *)tempArray0)[118];
  temp0[119] = ((jdouble *)tempArray0)[119];
  temp0[120] = ((jdouble *)tempArray0)[120];
  temp0[121] = ((jdouble *)tempArray0)[121];
  temp0[122] = ((jdouble *)tempArray0)[122];
  temp0[123] = ((jdouble *)tempArray0)[123];
  temp0[124] = ((jdouble *)tempArray0)[124];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel5x5x5(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  ((jdouble *)tempArray0)[49] = temp0[49];
  ((jdouble *)tempArray0)[50] = temp0[50];
  ((jdouble *)tempArray0)[51] = temp0[51];
  ((jdouble *)tempArray0)[52] = temp0[52];
  ((jdouble *)tempArray0)[53] = temp0[53];
  ((jdouble *)tempArray0)[54] = temp0[54];
  ((jdouble *)tempArray0)[55] = temp0[55];
  ((jdouble *)tempArray0)[56] = temp0[56];
  ((jdouble *)tempArray0)[57] = temp0[57];
  ((jdouble *)tempArray0)[58] = temp0[58];
  ((jdouble *)tempArray0)[59] = temp0[59];
  ((jdouble *)tempArray0)[60] = temp0[60];
  ((jdouble *)tempArray0)[61] = temp0[61];
  ((jdouble *)tempArray0)[62] = temp0[62];
  ((jdouble *)tempArray0)[63] = temp0[63];
  ((jdouble *)tempArray0)[64] = temp0[64];
  ((jdouble *)tempArray0)[65] = temp0[65];
  ((jdouble *)tempArray0)[66] = temp0[66];
  ((jdouble *)tempArray0)[67] = temp0[67];
  ((jdouble *)tempArray0)[68] = temp0[68];
  ((jdouble *)tempArray0)[69] = temp0[69];
  ((jdouble *)tempArray0)[70] = temp0[70];
  ((jdouble *)tempArray0)[71] = temp0[71];
  ((jdouble *)tempArray0)[72] = temp0[72];
  ((jdouble *)tempArray0)[73] = temp0[73];
  ((jdouble *)tempArray0)[74] = temp0[74];
  ((jdouble *)tempArray0)[75] = temp0[75];
  ((jdouble *)tempArray0)[76] = temp0[76];
  ((jdouble *)tempArray0)[77] = temp0[77];
  ((jdouble *)tempArray0)[78] = temp0[78];
  ((jdouble *)tempArray0)[79] = temp0[79];
  ((jdouble *)tempArray0)[80] = temp0[80];
  ((jdouble *)tempArray0)[81] = temp0[81];
  ((jdouble *)tempArray0)[82] = temp0[82];
  ((jdouble *)tempArray0)[83] = temp0[83];
  ((jdouble *)tempArray0)[84] = temp0[84];
  ((jdouble *)tempArray0)[85] = temp0[85];
  ((jdouble *)tempArray0)[86] = temp0[86];
  ((jdouble *)tempArray0)[87] = temp0[87];
  ((jdouble *)tempArray0)[88] = temp0[88];
  ((jdouble *)tempArray0)[89] = temp0[89];
  ((jdouble *)tempArray0)[90] = temp0[90];
  ((jdouble *)tempArray0)[91] = temp0[91];
  ((jdouble *)tempArray0)[92] = temp0[92];
  ((jdouble *)tempArray0)[93] = temp0[93];
  ((jdouble *)tempArray0)[94] = temp0[94];
  ((jdouble *)tempArray0)[95] = temp0[95];
  ((jdouble *)tempArray0)[96] = temp0[96];
  ((jdouble *)tempArray0)[97] = temp0[97];
  ((jdouble *)tempArray0)[98] = temp0[98];
  ((jdouble *)tempArray0)[99] = temp0[99];
  ((jdouble *)tempArray0)[100] = temp0[100];
  ((jdouble *)tempArray0)[101] = temp0[101];
  ((jdouble *)tempArray0)[102] = temp0[102];
  ((jdouble *)tempArray0)[103] = temp0[103];
  ((jdouble *)tempArray0)[104] = temp0[104];
  ((jdouble *)tempArray0)[105] = temp0[105];
  ((jdouble *)tempArray0)[106] = temp0[106];
  ((jdouble *)tempArray0)[107] = temp0[107];
  ((jdouble *)tempArray0)[108] = temp0[108];
  ((jdouble *)tempArray0)[109] = temp0[109];
  ((jdouble *)tempArray0)[110] = temp0[110];
  ((jdouble *)tempArray0)[111] = temp0[111];
  ((jdouble *)tempArray0)[112] = temp0[112];
  ((jdouble *)tempArray0)[113] = temp0[113];
  ((jdouble *)tempArray0)[114] = temp0[114];
  ((jdouble *)tempArray0)[115] = temp0[115];
  ((jdouble *)tempArray0)[116] = temp0[116];
  ((jdouble *)tempArray0)[117] = temp0[117];
  ((jdouble *)tempArray0)[118] = temp0[118];
  ((jdouble *)tempArray0)[119] = temp0[119];
  ((jdouble *)tempArray0)[120] = temp0[120];
  ((jdouble *)tempArray0)[121] = temp0[121];
  ((jdouble *)tempArray0)[122] = temp0[122];
  ((jdouble *)tempArray0)[123] = temp0[123];
  ((jdouble *)tempArray0)[124] = temp0[124];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageConvolve_GetKernel7x7x7_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageConvolve *op;
  double temp0[343];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];
  temp0[9] = ((jdouble *)tempArray0)[9];
  temp0[10] = ((jdouble *)tempArray0)[10];
  temp0[11] = ((jdouble *)tempArray0)[11];
  temp0[12] = ((jdouble *)tempArray0)[12];
  temp0[13] = ((jdouble *)tempArray0)[13];
  temp0[14] = ((jdouble *)tempArray0)[14];
  temp0[15] = ((jdouble *)tempArray0)[15];
  temp0[16] = ((jdouble *)tempArray0)[16];
  temp0[17] = ((jdouble *)tempArray0)[17];
  temp0[18] = ((jdouble *)tempArray0)[18];
  temp0[19] = ((jdouble *)tempArray0)[19];
  temp0[20] = ((jdouble *)tempArray0)[20];
  temp0[21] = ((jdouble *)tempArray0)[21];
  temp0[22] = ((jdouble *)tempArray0)[22];
  temp0[23] = ((jdouble *)tempArray0)[23];
  temp0[24] = ((jdouble *)tempArray0)[24];
  temp0[25] = ((jdouble *)tempArray0)[25];
  temp0[26] = ((jdouble *)tempArray0)[26];
  temp0[27] = ((jdouble *)tempArray0)[27];
  temp0[28] = ((jdouble *)tempArray0)[28];
  temp0[29] = ((jdouble *)tempArray0)[29];
  temp0[30] = ((jdouble *)tempArray0)[30];
  temp0[31] = ((jdouble *)tempArray0)[31];
  temp0[32] = ((jdouble *)tempArray0)[32];
  temp0[33] = ((jdouble *)tempArray0)[33];
  temp0[34] = ((jdouble *)tempArray0)[34];
  temp0[35] = ((jdouble *)tempArray0)[35];
  temp0[36] = ((jdouble *)tempArray0)[36];
  temp0[37] = ((jdouble *)tempArray0)[37];
  temp0[38] = ((jdouble *)tempArray0)[38];
  temp0[39] = ((jdouble *)tempArray0)[39];
  temp0[40] = ((jdouble *)tempArray0)[40];
  temp0[41] = ((jdouble *)tempArray0)[41];
  temp0[42] = ((jdouble *)tempArray0)[42];
  temp0[43] = ((jdouble *)tempArray0)[43];
  temp0[44] = ((jdouble *)tempArray0)[44];
  temp0[45] = ((jdouble *)tempArray0)[45];
  temp0[46] = ((jdouble *)tempArray0)[46];
  temp0[47] = ((jdouble *)tempArray0)[47];
  temp0[48] = ((jdouble *)tempArray0)[48];
  temp0[49] = ((jdouble *)tempArray0)[49];
  temp0[50] = ((jdouble *)tempArray0)[50];
  temp0[51] = ((jdouble *)tempArray0)[51];
  temp0[52] = ((jdouble *)tempArray0)[52];
  temp0[53] = ((jdouble *)tempArray0)[53];
  temp0[54] = ((jdouble *)tempArray0)[54];
  temp0[55] = ((jdouble *)tempArray0)[55];
  temp0[56] = ((jdouble *)tempArray0)[56];
  temp0[57] = ((jdouble *)tempArray0)[57];
  temp0[58] = ((jdouble *)tempArray0)[58];
  temp0[59] = ((jdouble *)tempArray0)[59];
  temp0[60] = ((jdouble *)tempArray0)[60];
  temp0[61] = ((jdouble *)tempArray0)[61];
  temp0[62] = ((jdouble *)tempArray0)[62];
  temp0[63] = ((jdouble *)tempArray0)[63];
  temp0[64] = ((jdouble *)tempArray0)[64];
  temp0[65] = ((jdouble *)tempArray0)[65];
  temp0[66] = ((jdouble *)tempArray0)[66];
  temp0[67] = ((jdouble *)tempArray0)[67];
  temp0[68] = ((jdouble *)tempArray0)[68];
  temp0[69] = ((jdouble *)tempArray0)[69];
  temp0[70] = ((jdouble *)tempArray0)[70];
  temp0[71] = ((jdouble *)tempArray0)[71];
  temp0[72] = ((jdouble *)tempArray0)[72];
  temp0[73] = ((jdouble *)tempArray0)[73];
  temp0[74] = ((jdouble *)tempArray0)[74];
  temp0[75] = ((jdouble *)tempArray0)[75];
  temp0[76] = ((jdouble *)tempArray0)[76];
  temp0[77] = ((jdouble *)tempArray0)[77];
  temp0[78] = ((jdouble *)tempArray0)[78];
  temp0[79] = ((jdouble *)tempArray0)[79];
  temp0[80] = ((jdouble *)tempArray0)[80];
  temp0[81] = ((jdouble *)tempArray0)[81];
  temp0[82] = ((jdouble *)tempArray0)[82];
  temp0[83] = ((jdouble *)tempArray0)[83];
  temp0[84] = ((jdouble *)tempArray0)[84];
  temp0[85] = ((jdouble *)tempArray0)[85];
  temp0[86] = ((jdouble *)tempArray0)[86];
  temp0[87] = ((jdouble *)tempArray0)[87];
  temp0[88] = ((jdouble *)tempArray0)[88];
  temp0[89] = ((jdouble *)tempArray0)[89];
  temp0[90] = ((jdouble *)tempArray0)[90];
  temp0[91] = ((jdouble *)tempArray0)[91];
  temp0[92] = ((jdouble *)tempArray0)[92];
  temp0[93] = ((jdouble *)tempArray0)[93];
  temp0[94] = ((jdouble *)tempArray0)[94];
  temp0[95] = ((jdouble *)tempArray0)[95];
  temp0[96] = ((jdouble *)tempArray0)[96];
  temp0[97] = ((jdouble *)tempArray0)[97];
  temp0[98] = ((jdouble *)tempArray0)[98];
  temp0[99] = ((jdouble *)tempArray0)[99];
  temp0[100] = ((jdouble *)tempArray0)[100];
  temp0[101] = ((jdouble *)tempArray0)[101];
  temp0[102] = ((jdouble *)tempArray0)[102];
  temp0[103] = ((jdouble *)tempArray0)[103];
  temp0[104] = ((jdouble *)tempArray0)[104];
  temp0[105] = ((jdouble *)tempArray0)[105];
  temp0[106] = ((jdouble *)tempArray0)[106];
  temp0[107] = ((jdouble *)tempArray0)[107];
  temp0[108] = ((jdouble *)tempArray0)[108];
  temp0[109] = ((jdouble *)tempArray0)[109];
  temp0[110] = ((jdouble *)tempArray0)[110];
  temp0[111] = ((jdouble *)tempArray0)[111];
  temp0[112] = ((jdouble *)tempArray0)[112];
  temp0[113] = ((jdouble *)tempArray0)[113];
  temp0[114] = ((jdouble *)tempArray0)[114];
  temp0[115] = ((jdouble *)tempArray0)[115];
  temp0[116] = ((jdouble *)tempArray0)[116];
  temp0[117] = ((jdouble *)tempArray0)[117];
  temp0[118] = ((jdouble *)tempArray0)[118];
  temp0[119] = ((jdouble *)tempArray0)[119];
  temp0[120] = ((jdouble *)tempArray0)[120];
  temp0[121] = ((jdouble *)tempArray0)[121];
  temp0[122] = ((jdouble *)tempArray0)[122];
  temp0[123] = ((jdouble *)tempArray0)[123];
  temp0[124] = ((jdouble *)tempArray0)[124];
  temp0[125] = ((jdouble *)tempArray0)[125];
  temp0[126] = ((jdouble *)tempArray0)[126];
  temp0[127] = ((jdouble *)tempArray0)[127];
  temp0[128] = ((jdouble *)tempArray0)[128];
  temp0[129] = ((jdouble *)tempArray0)[129];
  temp0[130] = ((jdouble *)tempArray0)[130];
  temp0[131] = ((jdouble *)tempArray0)[131];
  temp0[132] = ((jdouble *)tempArray0)[132];
  temp0[133] = ((jdouble *)tempArray0)[133];
  temp0[134] = ((jdouble *)tempArray0)[134];
  temp0[135] = ((jdouble *)tempArray0)[135];
  temp0[136] = ((jdouble *)tempArray0)[136];
  temp0[137] = ((jdouble *)tempArray0)[137];
  temp0[138] = ((jdouble *)tempArray0)[138];
  temp0[139] = ((jdouble *)tempArray0)[139];
  temp0[140] = ((jdouble *)tempArray0)[140];
  temp0[141] = ((jdouble *)tempArray0)[141];
  temp0[142] = ((jdouble *)tempArray0)[142];
  temp0[143] = ((jdouble *)tempArray0)[143];
  temp0[144] = ((jdouble *)tempArray0)[144];
  temp0[145] = ((jdouble *)tempArray0)[145];
  temp0[146] = ((jdouble *)tempArray0)[146];
  temp0[147] = ((jdouble *)tempArray0)[147];
  temp0[148] = ((jdouble *)tempArray0)[148];
  temp0[149] = ((jdouble *)tempArray0)[149];
  temp0[150] = ((jdouble *)tempArray0)[150];
  temp0[151] = ((jdouble *)tempArray0)[151];
  temp0[152] = ((jdouble *)tempArray0)[152];
  temp0[153] = ((jdouble *)tempArray0)[153];
  temp0[154] = ((jdouble *)tempArray0)[154];
  temp0[155] = ((jdouble *)tempArray0)[155];
  temp0[156] = ((jdouble *)tempArray0)[156];
  temp0[157] = ((jdouble *)tempArray0)[157];
  temp0[158] = ((jdouble *)tempArray0)[158];
  temp0[159] = ((jdouble *)tempArray0)[159];
  temp0[160] = ((jdouble *)tempArray0)[160];
  temp0[161] = ((jdouble *)tempArray0)[161];
  temp0[162] = ((jdouble *)tempArray0)[162];
  temp0[163] = ((jdouble *)tempArray0)[163];
  temp0[164] = ((jdouble *)tempArray0)[164];
  temp0[165] = ((jdouble *)tempArray0)[165];
  temp0[166] = ((jdouble *)tempArray0)[166];
  temp0[167] = ((jdouble *)tempArray0)[167];
  temp0[168] = ((jdouble *)tempArray0)[168];
  temp0[169] = ((jdouble *)tempArray0)[169];
  temp0[170] = ((jdouble *)tempArray0)[170];
  temp0[171] = ((jdouble *)tempArray0)[171];
  temp0[172] = ((jdouble *)tempArray0)[172];
  temp0[173] = ((jdouble *)tempArray0)[173];
  temp0[174] = ((jdouble *)tempArray0)[174];
  temp0[175] = ((jdouble *)tempArray0)[175];
  temp0[176] = ((jdouble *)tempArray0)[176];
  temp0[177] = ((jdouble *)tempArray0)[177];
  temp0[178] = ((jdouble *)tempArray0)[178];
  temp0[179] = ((jdouble *)tempArray0)[179];
  temp0[180] = ((jdouble *)tempArray0)[180];
  temp0[181] = ((jdouble *)tempArray0)[181];
  temp0[182] = ((jdouble *)tempArray0)[182];
  temp0[183] = ((jdouble *)tempArray0)[183];
  temp0[184] = ((jdouble *)tempArray0)[184];
  temp0[185] = ((jdouble *)tempArray0)[185];
  temp0[186] = ((jdouble *)tempArray0)[186];
  temp0[187] = ((jdouble *)tempArray0)[187];
  temp0[188] = ((jdouble *)tempArray0)[188];
  temp0[189] = ((jdouble *)tempArray0)[189];
  temp0[190] = ((jdouble *)tempArray0)[190];
  temp0[191] = ((jdouble *)tempArray0)[191];
  temp0[192] = ((jdouble *)tempArray0)[192];
  temp0[193] = ((jdouble *)tempArray0)[193];
  temp0[194] = ((jdouble *)tempArray0)[194];
  temp0[195] = ((jdouble *)tempArray0)[195];
  temp0[196] = ((jdouble *)tempArray0)[196];
  temp0[197] = ((jdouble *)tempArray0)[197];
  temp0[198] = ((jdouble *)tempArray0)[198];
  temp0[199] = ((jdouble *)tempArray0)[199];
  temp0[200] = ((jdouble *)tempArray0)[200];
  temp0[201] = ((jdouble *)tempArray0)[201];
  temp0[202] = ((jdouble *)tempArray0)[202];
  temp0[203] = ((jdouble *)tempArray0)[203];
  temp0[204] = ((jdouble *)tempArray0)[204];
  temp0[205] = ((jdouble *)tempArray0)[205];
  temp0[206] = ((jdouble *)tempArray0)[206];
  temp0[207] = ((jdouble *)tempArray0)[207];
  temp0[208] = ((jdouble *)tempArray0)[208];
  temp0[209] = ((jdouble *)tempArray0)[209];
  temp0[210] = ((jdouble *)tempArray0)[210];
  temp0[211] = ((jdouble *)tempArray0)[211];
  temp0[212] = ((jdouble *)tempArray0)[212];
  temp0[213] = ((jdouble *)tempArray0)[213];
  temp0[214] = ((jdouble *)tempArray0)[214];
  temp0[215] = ((jdouble *)tempArray0)[215];
  temp0[216] = ((jdouble *)tempArray0)[216];
  temp0[217] = ((jdouble *)tempArray0)[217];
  temp0[218] = ((jdouble *)tempArray0)[218];
  temp0[219] = ((jdouble *)tempArray0)[219];
  temp0[220] = ((jdouble *)tempArray0)[220];
  temp0[221] = ((jdouble *)tempArray0)[221];
  temp0[222] = ((jdouble *)tempArray0)[222];
  temp0[223] = ((jdouble *)tempArray0)[223];
  temp0[224] = ((jdouble *)tempArray0)[224];
  temp0[225] = ((jdouble *)tempArray0)[225];
  temp0[226] = ((jdouble *)tempArray0)[226];
  temp0[227] = ((jdouble *)tempArray0)[227];
  temp0[228] = ((jdouble *)tempArray0)[228];
  temp0[229] = ((jdouble *)tempArray0)[229];
  temp0[230] = ((jdouble *)tempArray0)[230];
  temp0[231] = ((jdouble *)tempArray0)[231];
  temp0[232] = ((jdouble *)tempArray0)[232];
  temp0[233] = ((jdouble *)tempArray0)[233];
  temp0[234] = ((jdouble *)tempArray0)[234];
  temp0[235] = ((jdouble *)tempArray0)[235];
  temp0[236] = ((jdouble *)tempArray0)[236];
  temp0[237] = ((jdouble *)tempArray0)[237];
  temp0[238] = ((jdouble *)tempArray0)[238];
  temp0[239] = ((jdouble *)tempArray0)[239];
  temp0[240] = ((jdouble *)tempArray0)[240];
  temp0[241] = ((jdouble *)tempArray0)[241];
  temp0[242] = ((jdouble *)tempArray0)[242];
  temp0[243] = ((jdouble *)tempArray0)[243];
  temp0[244] = ((jdouble *)tempArray0)[244];
  temp0[245] = ((jdouble *)tempArray0)[245];
  temp0[246] = ((jdouble *)tempArray0)[246];
  temp0[247] = ((jdouble *)tempArray0)[247];
  temp0[248] = ((jdouble *)tempArray0)[248];
  temp0[249] = ((jdouble *)tempArray0)[249];
  temp0[250] = ((jdouble *)tempArray0)[250];
  temp0[251] = ((jdouble *)tempArray0)[251];
  temp0[252] = ((jdouble *)tempArray0)[252];
  temp0[253] = ((jdouble *)tempArray0)[253];
  temp0[254] = ((jdouble *)tempArray0)[254];
  temp0[255] = ((jdouble *)tempArray0)[255];
  temp0[256] = ((jdouble *)tempArray0)[256];
  temp0[257] = ((jdouble *)tempArray0)[257];
  temp0[258] = ((jdouble *)tempArray0)[258];
  temp0[259] = ((jdouble *)tempArray0)[259];
  temp0[260] = ((jdouble *)tempArray0)[260];
  temp0[261] = ((jdouble *)tempArray0)[261];
  temp0[262] = ((jdouble *)tempArray0)[262];
  temp0[263] = ((jdouble *)tempArray0)[263];
  temp0[264] = ((jdouble *)tempArray0)[264];
  temp0[265] = ((jdouble *)tempArray0)[265];
  temp0[266] = ((jdouble *)tempArray0)[266];
  temp0[267] = ((jdouble *)tempArray0)[267];
  temp0[268] = ((jdouble *)tempArray0)[268];
  temp0[269] = ((jdouble *)tempArray0)[269];
  temp0[270] = ((jdouble *)tempArray0)[270];
  temp0[271] = ((jdouble *)tempArray0)[271];
  temp0[272] = ((jdouble *)tempArray0)[272];
  temp0[273] = ((jdouble *)tempArray0)[273];
  temp0[274] = ((jdouble *)tempArray0)[274];
  temp0[275] = ((jdouble *)tempArray0)[275];
  temp0[276] = ((jdouble *)tempArray0)[276];
  temp0[277] = ((jdouble *)tempArray0)[277];
  temp0[278] = ((jdouble *)tempArray0)[278];
  temp0[279] = ((jdouble *)tempArray0)[279];
  temp0[280] = ((jdouble *)tempArray0)[280];
  temp0[281] = ((jdouble *)tempArray0)[281];
  temp0[282] = ((jdouble *)tempArray0)[282];
  temp0[283] = ((jdouble *)tempArray0)[283];
  temp0[284] = ((jdouble *)tempArray0)[284];
  temp0[285] = ((jdouble *)tempArray0)[285];
  temp0[286] = ((jdouble *)tempArray0)[286];
  temp0[287] = ((jdouble *)tempArray0)[287];
  temp0[288] = ((jdouble *)tempArray0)[288];
  temp0[289] = ((jdouble *)tempArray0)[289];
  temp0[290] = ((jdouble *)tempArray0)[290];
  temp0[291] = ((jdouble *)tempArray0)[291];
  temp0[292] = ((jdouble *)tempArray0)[292];
  temp0[293] = ((jdouble *)tempArray0)[293];
  temp0[294] = ((jdouble *)tempArray0)[294];
  temp0[295] = ((jdouble *)tempArray0)[295];
  temp0[296] = ((jdouble *)tempArray0)[296];
  temp0[297] = ((jdouble *)tempArray0)[297];
  temp0[298] = ((jdouble *)tempArray0)[298];
  temp0[299] = ((jdouble *)tempArray0)[299];
  temp0[300] = ((jdouble *)tempArray0)[300];
  temp0[301] = ((jdouble *)tempArray0)[301];
  temp0[302] = ((jdouble *)tempArray0)[302];
  temp0[303] = ((jdouble *)tempArray0)[303];
  temp0[304] = ((jdouble *)tempArray0)[304];
  temp0[305] = ((jdouble *)tempArray0)[305];
  temp0[306] = ((jdouble *)tempArray0)[306];
  temp0[307] = ((jdouble *)tempArray0)[307];
  temp0[308] = ((jdouble *)tempArray0)[308];
  temp0[309] = ((jdouble *)tempArray0)[309];
  temp0[310] = ((jdouble *)tempArray0)[310];
  temp0[311] = ((jdouble *)tempArray0)[311];
  temp0[312] = ((jdouble *)tempArray0)[312];
  temp0[313] = ((jdouble *)tempArray0)[313];
  temp0[314] = ((jdouble *)tempArray0)[314];
  temp0[315] = ((jdouble *)tempArray0)[315];
  temp0[316] = ((jdouble *)tempArray0)[316];
  temp0[317] = ((jdouble *)tempArray0)[317];
  temp0[318] = ((jdouble *)tempArray0)[318];
  temp0[319] = ((jdouble *)tempArray0)[319];
  temp0[320] = ((jdouble *)tempArray0)[320];
  temp0[321] = ((jdouble *)tempArray0)[321];
  temp0[322] = ((jdouble *)tempArray0)[322];
  temp0[323] = ((jdouble *)tempArray0)[323];
  temp0[324] = ((jdouble *)tempArray0)[324];
  temp0[325] = ((jdouble *)tempArray0)[325];
  temp0[326] = ((jdouble *)tempArray0)[326];
  temp0[327] = ((jdouble *)tempArray0)[327];
  temp0[328] = ((jdouble *)tempArray0)[328];
  temp0[329] = ((jdouble *)tempArray0)[329];
  temp0[330] = ((jdouble *)tempArray0)[330];
  temp0[331] = ((jdouble *)tempArray0)[331];
  temp0[332] = ((jdouble *)tempArray0)[332];
  temp0[333] = ((jdouble *)tempArray0)[333];
  temp0[334] = ((jdouble *)tempArray0)[334];
  temp0[335] = ((jdouble *)tempArray0)[335];
  temp0[336] = ((jdouble *)tempArray0)[336];
  temp0[337] = ((jdouble *)tempArray0)[337];
  temp0[338] = ((jdouble *)tempArray0)[338];
  temp0[339] = ((jdouble *)tempArray0)[339];
  temp0[340] = ((jdouble *)tempArray0)[340];
  temp0[341] = ((jdouble *)tempArray0)[341];
  temp0[342] = ((jdouble *)tempArray0)[342];

  op = (vtkImageConvolve *)vtkJavaGetPointerFromObject(env,obj);
  op->GetKernel7x7x7(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  ((jdouble *)tempArray0)[9] = temp0[9];
  ((jdouble *)tempArray0)[10] = temp0[10];
  ((jdouble *)tempArray0)[11] = temp0[11];
  ((jdouble *)tempArray0)[12] = temp0[12];
  ((jdouble *)tempArray0)[13] = temp0[13];
  ((jdouble *)tempArray0)[14] = temp0[14];
  ((jdouble *)tempArray0)[15] = temp0[15];
  ((jdouble *)tempArray0)[16] = temp0[16];
  ((jdouble *)tempArray0)[17] = temp0[17];
  ((jdouble *)tempArray0)[18] = temp0[18];
  ((jdouble *)tempArray0)[19] = temp0[19];
  ((jdouble *)tempArray0)[20] = temp0[20];
  ((jdouble *)tempArray0)[21] = temp0[21];
  ((jdouble *)tempArray0)[22] = temp0[22];
  ((jdouble *)tempArray0)[23] = temp0[23];
  ((jdouble *)tempArray0)[24] = temp0[24];
  ((jdouble *)tempArray0)[25] = temp0[25];
  ((jdouble *)tempArray0)[26] = temp0[26];
  ((jdouble *)tempArray0)[27] = temp0[27];
  ((jdouble *)tempArray0)[28] = temp0[28];
  ((jdouble *)tempArray0)[29] = temp0[29];
  ((jdouble *)tempArray0)[30] = temp0[30];
  ((jdouble *)tempArray0)[31] = temp0[31];
  ((jdouble *)tempArray0)[32] = temp0[32];
  ((jdouble *)tempArray0)[33] = temp0[33];
  ((jdouble *)tempArray0)[34] = temp0[34];
  ((jdouble *)tempArray0)[35] = temp0[35];
  ((jdouble *)tempArray0)[36] = temp0[36];
  ((jdouble *)tempArray0)[37] = temp0[37];
  ((jdouble *)tempArray0)[38] = temp0[38];
  ((jdouble *)tempArray0)[39] = temp0[39];
  ((jdouble *)tempArray0)[40] = temp0[40];
  ((jdouble *)tempArray0)[41] = temp0[41];
  ((jdouble *)tempArray0)[42] = temp0[42];
  ((jdouble *)tempArray0)[43] = temp0[43];
  ((jdouble *)tempArray0)[44] = temp0[44];
  ((jdouble *)tempArray0)[45] = temp0[45];
  ((jdouble *)tempArray0)[46] = temp0[46];
  ((jdouble *)tempArray0)[47] = temp0[47];
  ((jdouble *)tempArray0)[48] = temp0[48];
  ((jdouble *)tempArray0)[49] = temp0[49];
  ((jdouble *)tempArray0)[50] = temp0[50];
  ((jdouble *)tempArray0)[51] = temp0[51];
  ((jdouble *)tempArray0)[52] = temp0[52];
  ((jdouble *)tempArray0)[53] = temp0[53];
  ((jdouble *)tempArray0)[54] = temp0[54];
  ((jdouble *)tempArray0)[55] = temp0[55];
  ((jdouble *)tempArray0)[56] = temp0[56];
  ((jdouble *)tempArray0)[57] = temp0[57];
  ((jdouble *)tempArray0)[58] = temp0[58];
  ((jdouble *)tempArray0)[59] = temp0[59];
  ((jdouble *)tempArray0)[60] = temp0[60];
  ((jdouble *)tempArray0)[61] = temp0[61];
  ((jdouble *)tempArray0)[62] = temp0[62];
  ((jdouble *)tempArray0)[63] = temp0[63];
  ((jdouble *)tempArray0)[64] = temp0[64];
  ((jdouble *)tempArray0)[65] = temp0[65];
  ((jdouble *)tempArray0)[66] = temp0[66];
  ((jdouble *)tempArray0)[67] = temp0[67];
  ((jdouble *)tempArray0)[68] = temp0[68];
  ((jdouble *)tempArray0)[69] = temp0[69];
  ((jdouble *)tempArray0)[70] = temp0[70];
  ((jdouble *)tempArray0)[71] = temp0[71];
  ((jdouble *)tempArray0)[72] = temp0[72];
  ((jdouble *)tempArray0)[73] = temp0[73];
  ((jdouble *)tempArray0)[74] = temp0[74];
  ((jdouble *)tempArray0)[75] = temp0[75];
  ((jdouble *)tempArray0)[76] = temp0[76];
  ((jdouble *)tempArray0)[77] = temp0[77];
  ((jdouble *)tempArray0)[78] = temp0[78];
  ((jdouble *)tempArray0)[79] = temp0[79];
  ((jdouble *)tempArray0)[80] = temp0[80];
  ((jdouble *)tempArray0)[81] = temp0[81];
  ((jdouble *)tempArray0)[82] = temp0[82];
  ((jdouble *)tempArray0)[83] = temp0[83];
  ((jdouble *)tempArray0)[84] = temp0[84];
  ((jdouble *)tempArray0)[85] = temp0[85];
  ((jdouble *)tempArray0)[86] = temp0[86];
  ((jdouble *)tempArray0)[87] = temp0[87];
  ((jdouble *)tempArray0)[88] = temp0[88];
  ((jdouble *)tempArray0)[89] = temp0[89];
  ((jdouble *)tempArray0)[90] = temp0[90];
  ((jdouble *)tempArray0)[91] = temp0[91];
  ((jdouble *)tempArray0)[92] = temp0[92];
  ((jdouble *)tempArray0)[93] = temp0[93];
  ((jdouble *)tempArray0)[94] = temp0[94];
  ((jdouble *)tempArray0)[95] = temp0[95];
  ((jdouble *)tempArray0)[96] = temp0[96];
  ((jdouble *)tempArray0)[97] = temp0[97];
  ((jdouble *)tempArray0)[98] = temp0[98];
  ((jdouble *)tempArray0)[99] = temp0[99];
  ((jdouble *)tempArray0)[100] = temp0[100];
  ((jdouble *)tempArray0)[101] = temp0[101];
  ((jdouble *)tempArray0)[102] = temp0[102];
  ((jdouble *)tempArray0)[103] = temp0[103];
  ((jdouble *)tempArray0)[104] = temp0[104];
  ((jdouble *)tempArray0)[105] = temp0[105];
  ((jdouble *)tempArray0)[106] = temp0[106];
  ((jdouble *)tempArray0)[107] = temp0[107];
  ((jdouble *)tempArray0)[108] = temp0[108];
  ((jdouble *)tempArray0)[109] = temp0[109];
  ((jdouble *)tempArray0)[110] = temp0[110];
  ((jdouble *)tempArray0)[111] = temp0[111];
  ((jdouble *)tempArray0)[112] = temp0[112];
  ((jdouble *)tempArray0)[113] = temp0[113];
  ((jdouble *)tempArray0)[114] = temp0[114];
  ((jdouble *)tempArray0)[115] = temp0[115];
  ((jdouble *)tempArray0)[116] = temp0[116];
  ((jdouble *)tempArray0)[117] = temp0[117];
  ((jdouble *)tempArray0)[118] = temp0[118];
  ((jdouble *)tempArray0)[119] = temp0[119];
  ((jdouble *)tempArray0)[120] = temp0[120];
  ((jdouble *)tempArray0)[121] = temp0[121];
  ((jdouble *)tempArray0)[122] = temp0[122];
  ((jdouble *)tempArray0)[123] = temp0[123];
  ((jdouble *)tempArray0)[124] = temp0[124];
  ((jdouble *)tempArray0)[125] = temp0[125];
  ((jdouble *)tempArray0)[126] = temp0[126];
  ((jdouble *)tempArray0)[127] = temp0[127];
  ((jdouble *)tempArray0)[128] = temp0[128];
  ((jdouble *)tempArray0)[129] = temp0[129];
  ((jdouble *)tempArray0)[130] = temp0[130];
  ((jdouble *)tempArray0)[131] = temp0[131];
  ((jdouble *)tempArray0)[132] = temp0[132];
  ((jdouble *)tempArray0)[133] = temp0[133];
  ((jdouble *)tempArray0)[134] = temp0[134];
  ((jdouble *)tempArray0)[135] = temp0[135];
  ((jdouble *)tempArray0)[136] = temp0[136];
  ((jdouble *)tempArray0)[137] = temp0[137];
  ((jdouble *)tempArray0)[138] = temp0[138];
  ((jdouble *)tempArray0)[139] = temp0[139];
  ((jdouble *)tempArray0)[140] = temp0[140];
  ((jdouble *)tempArray0)[141] = temp0[141];
  ((jdouble *)tempArray0)[142] = temp0[142];
  ((jdouble *)tempArray0)[143] = temp0[143];
  ((jdouble *)tempArray0)[144] = temp0[144];
  ((jdouble *)tempArray0)[145] = temp0[145];
  ((jdouble *)tempArray0)[146] = temp0[146];
  ((jdouble *)tempArray0)[147] = temp0[147];
  ((jdouble *)tempArray0)[148] = temp0[148];
  ((jdouble *)tempArray0)[149] = temp0[149];
  ((jdouble *)tempArray0)[150] = temp0[150];
  ((jdouble *)tempArray0)[151] = temp0[151];
  ((jdouble *)tempArray0)[152] = temp0[152];
  ((jdouble *)tempArray0)[153] = temp0[153];
  ((jdouble *)tempArray0)[154] = temp0[154];
  ((jdouble *)tempArray0)[155] = temp0[155];
  ((jdouble *)tempArray0)[156] = temp0[156];
  ((jdouble *)tempArray0)[157] = temp0[157];
  ((jdouble *)tempArray0)[158] = temp0[158];
  ((jdouble *)tempArray0)[159] = temp0[159];
  ((jdouble *)tempArray0)[160] = temp0[160];
  ((jdouble *)tempArray0)[161] = temp0[161];
  ((jdouble *)tempArray0)[162] = temp0[162];
  ((jdouble *)tempArray0)[163] = temp0[163];
  ((jdouble *)tempArray0)[164] = temp0[164];
  ((jdouble *)tempArray0)[165] = temp0[165];
  ((jdouble *)tempArray0)[166] = temp0[166];
  ((jdouble *)tempArray0)[167] = temp0[167];
  ((jdouble *)tempArray0)[168] = temp0[168];
  ((jdouble *)tempArray0)[169] = temp0[169];
  ((jdouble *)tempArray0)[170] = temp0[170];
  ((jdouble *)tempArray0)[171] = temp0[171];
  ((jdouble *)tempArray0)[172] = temp0[172];
  ((jdouble *)tempArray0)[173] = temp0[173];
  ((jdouble *)tempArray0)[174] = temp0[174];
  ((jdouble *)tempArray0)[175] = temp0[175];
  ((jdouble *)tempArray0)[176] = temp0[176];
  ((jdouble *)tempArray0)[177] = temp0[177];
  ((jdouble *)tempArray0)[178] = temp0[178];
  ((jdouble *)tempArray0)[179] = temp0[179];
  ((jdouble *)tempArray0)[180] = temp0[180];
  ((jdouble *)tempArray0)[181] = temp0[181];
  ((jdouble *)tempArray0)[182] = temp0[182];
  ((jdouble *)tempArray0)[183] = temp0[183];
  ((jdouble *)tempArray0)[184] = temp0[184];
  ((jdouble *)tempArray0)[185] = temp0[185];
  ((jdouble *)tempArray0)[186] = temp0[186];
  ((jdouble *)tempArray0)[187] = temp0[187];
  ((jdouble *)tempArray0)[188] = temp0[188];
  ((jdouble *)tempArray0)[189] = temp0[189];
  ((jdouble *)tempArray0)[190] = temp0[190];
  ((jdouble *)tempArray0)[191] = temp0[191];
  ((jdouble *)tempArray0)[192] = temp0[192];
  ((jdouble *)tempArray0)[193] = temp0[193];
  ((jdouble *)tempArray0)[194] = temp0[194];
  ((jdouble *)tempArray0)[195] = temp0[195];
  ((jdouble *)tempArray0)[196] = temp0[196];
  ((jdouble *)tempArray0)[197] = temp0[197];
  ((jdouble *)tempArray0)[198] = temp0[198];
  ((jdouble *)tempArray0)[199] = temp0[199];
  ((jdouble *)tempArray0)[200] = temp0[200];
  ((jdouble *)tempArray0)[201] = temp0[201];
  ((jdouble *)tempArray0)[202] = temp0[202];
  ((jdouble *)tempArray0)[203] = temp0[203];
  ((jdouble *)tempArray0)[204] = temp0[204];
  ((jdouble *)tempArray0)[205] = temp0[205];
  ((jdouble *)tempArray0)[206] = temp0[206];
  ((jdouble *)tempArray0)[207] = temp0[207];
  ((jdouble *)tempArray0)[208] = temp0[208];
  ((jdouble *)tempArray0)[209] = temp0[209];
  ((jdouble *)tempArray0)[210] = temp0[210];
  ((jdouble *)tempArray0)[211] = temp0[211];
  ((jdouble *)tempArray0)[212] = temp0[212];
  ((jdouble *)tempArray0)[213] = temp0[213];
  ((jdouble *)tempArray0)[214] = temp0[214];
  ((jdouble *)tempArray0)[215] = temp0[215];
  ((jdouble *)tempArray0)[216] = temp0[216];
  ((jdouble *)tempArray0)[217] = temp0[217];
  ((jdouble *)tempArray0)[218] = temp0[218];
  ((jdouble *)tempArray0)[219] = temp0[219];
  ((jdouble *)tempArray0)[220] = temp0[220];
  ((jdouble *)tempArray0)[221] = temp0[221];
  ((jdouble *)tempArray0)[222] = temp0[222];
  ((jdouble *)tempArray0)[223] = temp0[223];
  ((jdouble *)tempArray0)[224] = temp0[224];
  ((jdouble *)tempArray0)[225] = temp0[225];
  ((jdouble *)tempArray0)[226] = temp0[226];
  ((jdouble *)tempArray0)[227] = temp0[227];
  ((jdouble *)tempArray0)[228] = temp0[228];
  ((jdouble *)tempArray0)[229] = temp0[229];
  ((jdouble *)tempArray0)[230] = temp0[230];
  ((jdouble *)tempArray0)[231] = temp0[231];
  ((jdouble *)tempArray0)[232] = temp0[232];
  ((jdouble *)tempArray0)[233] = temp0[233];
  ((jdouble *)tempArray0)[234] = temp0[234];
  ((jdouble *)tempArray0)[235] = temp0[235];
  ((jdouble *)tempArray0)[236] = temp0[236];
  ((jdouble *)tempArray0)[237] = temp0[237];
  ((jdouble *)tempArray0)[238] = temp0[238];
  ((jdouble *)tempArray0)[239] = temp0[239];
  ((jdouble *)tempArray0)[240] = temp0[240];
  ((jdouble *)tempArray0)[241] = temp0[241];
  ((jdouble *)tempArray0)[242] = temp0[242];
  ((jdouble *)tempArray0)[243] = temp0[243];
  ((jdouble *)tempArray0)[244] = temp0[244];
  ((jdouble *)tempArray0)[245] = temp0[245];
  ((jdouble *)tempArray0)[246] = temp0[246];
  ((jdouble *)tempArray0)[247] = temp0[247];
  ((jdouble *)tempArray0)[248] = temp0[248];
  ((jdouble *)tempArray0)[249] = temp0[249];
  ((jdouble *)tempArray0)[250] = temp0[250];
  ((jdouble *)tempArray0)[251] = temp0[251];
  ((jdouble *)tempArray0)[252] = temp0[252];
  ((jdouble *)tempArray0)[253] = temp0[253];
  ((jdouble *)tempArray0)[254] = temp0[254];
  ((jdouble *)tempArray0)[255] = temp0[255];
  ((jdouble *)tempArray0)[256] = temp0[256];
  ((jdouble *)tempArray0)[257] = temp0[257];
  ((jdouble *)tempArray0)[258] = temp0[258];
  ((jdouble *)tempArray0)[259] = temp0[259];
  ((jdouble *)tempArray0)[260] = temp0[260];
  ((jdouble *)tempArray0)[261] = temp0[261];
  ((jdouble *)tempArray0)[262] = temp0[262];
  ((jdouble *)tempArray0)[263] = temp0[263];
  ((jdouble *)tempArray0)[264] = temp0[264];
  ((jdouble *)tempArray0)[265] = temp0[265];
  ((jdouble *)tempArray0)[266] = temp0[266];
  ((jdouble *)tempArray0)[267] = temp0[267];
  ((jdouble *)tempArray0)[268] = temp0[268];
  ((jdouble *)tempArray0)[269] = temp0[269];
  ((jdouble *)tempArray0)[270] = temp0[270];
  ((jdouble *)tempArray0)[271] = temp0[271];
  ((jdouble *)tempArray0)[272] = temp0[272];
  ((jdouble *)tempArray0)[273] = temp0[273];
  ((jdouble *)tempArray0)[274] = temp0[274];
  ((jdouble *)tempArray0)[275] = temp0[275];
  ((jdouble *)tempArray0)[276] = temp0[276];
  ((jdouble *)tempArray0)[277] = temp0[277];
  ((jdouble *)tempArray0)[278] = temp0[278];
  ((jdouble *)tempArray0)[279] = temp0[279];
  ((jdouble *)tempArray0)[280] = temp0[280];
  ((jdouble *)tempArray0)[281] = temp0[281];
  ((jdouble *)tempArray0)[282] = temp0[282];
  ((jdouble *)tempArray0)[283] = temp0[283];
  ((jdouble *)tempArray0)[284] = temp0[284];
  ((jdouble *)tempArray0)[285] = temp0[285];
  ((jdouble *)tempArray0)[286] = temp0[286];
  ((jdouble *)tempArray0)[287] = temp0[287];
  ((jdouble *)tempArray0)[288] = temp0[288];
  ((jdouble *)tempArray0)[289] = temp0[289];
  ((jdouble *)tempArray0)[290] = temp0[290];
  ((jdouble *)tempArray0)[291] = temp0[291];
  ((jdouble *)tempArray0)[292] = temp0[292];
  ((jdouble *)tempArray0)[293] = temp0[293];
  ((jdouble *)tempArray0)[294] = temp0[294];
  ((jdouble *)tempArray0)[295] = temp0[295];
  ((jdouble *)tempArray0)[296] = temp0[296];
  ((jdouble *)tempArray0)[297] = temp0[297];
  ((jdouble *)tempArray0)[298] = temp0[298];
  ((jdouble *)tempArray0)[299] = temp0[299];
  ((jdouble *)tempArray0)[300] = temp0[300];
  ((jdouble *)tempArray0)[301] = temp0[301];
  ((jdouble *)tempArray0)[302] = temp0[302];
  ((jdouble *)tempArray0)[303] = temp0[303];
  ((jdouble *)tempArray0)[304] = temp0[304];
  ((jdouble *)tempArray0)[305] = temp0[305];
  ((jdouble *)tempArray0)[306] = temp0[306];
  ((jdouble *)tempArray0)[307] = temp0[307];
  ((jdouble *)tempArray0)[308] = temp0[308];
  ((jdouble *)tempArray0)[309] = temp0[309];
  ((jdouble *)tempArray0)[310] = temp0[310];
  ((jdouble *)tempArray0)[311] = temp0[311];
  ((jdouble *)tempArray0)[312] = temp0[312];
  ((jdouble *)tempArray0)[313] = temp0[313];
  ((jdouble *)tempArray0)[314] = temp0[314];
  ((jdouble *)tempArray0)[315] = temp0[315];
  ((jdouble *)tempArray0)[316] = temp0[316];
  ((jdouble *)tempArray0)[317] = temp0[317];
  ((jdouble *)tempArray0)[318] = temp0[318];
  ((jdouble *)tempArray0)[319] = temp0[319];
  ((jdouble *)tempArray0)[320] = temp0[320];
  ((jdouble *)tempArray0)[321] = temp0[321];
  ((jdouble *)tempArray0)[322] = temp0[322];
  ((jdouble *)tempArray0)[323] = temp0[323];
  ((jdouble *)tempArray0)[324] = temp0[324];
  ((jdouble *)tempArray0)[325] = temp0[325];
  ((jdouble *)tempArray0)[326] = temp0[326];
  ((jdouble *)tempArray0)[327] = temp0[327];
  ((jdouble *)tempArray0)[328] = temp0[328];
  ((jdouble *)tempArray0)[329] = temp0[329];
  ((jdouble *)tempArray0)[330] = temp0[330];
  ((jdouble *)tempArray0)[331] = temp0[331];
  ((jdouble *)tempArray0)[332] = temp0[332];
  ((jdouble *)tempArray0)[333] = temp0[333];
  ((jdouble *)tempArray0)[334] = temp0[334];
  ((jdouble *)tempArray0)[335] = temp0[335];
  ((jdouble *)tempArray0)[336] = temp0[336];
  ((jdouble *)tempArray0)[337] = temp0[337];
  ((jdouble *)tempArray0)[338] = temp0[338];
  ((jdouble *)tempArray0)[339] = temp0[339];
  ((jdouble *)tempArray0)[340] = temp0[340];
  ((jdouble *)tempArray0)[341] = temp0[341];
  ((jdouble *)tempArray0)[342] = temp0[342];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageConvolve_VTKInit(JNIEnv *, jobject)
{
  vtkImageConvolve *aNewOne = vtkImageConvolve::New();
  return (jlong)(size_t)(void*)aNewOne;
}
