// java wrapper for vtkImageCursor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCursor3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageInPlaceFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageCursor3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageCursor3D",dType)) { return me; }
  if ((res= vtkImageInPlaceFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageCursor3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageCursor3D *op;
  const char    *temp20;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCursor3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageCursor3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCursor3D_SetCursorPosition_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageCursor3D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorPosition(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCursor3D_SetCursorPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageCursor3D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageCursor3D_GetCursorPosition_14(JNIEnv *env, jobject obj)
{
  vtkImageCursor3D *op;
  double  *temp20;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorPosition();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCursor3D_SetCursorValue_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageCursor3D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageCursor3D_GetCursorValue_16(JNIEnv *env, jobject obj)
{
  vtkImageCursor3D *op;
  double   temp20;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageCursor3D_SetCursorRadius_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageCursor3D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorRadius(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageCursor3D_GetCursorRadius_18(JNIEnv *env, jobject obj)
{
  vtkImageCursor3D *op;
  int      temp20;

  op = (vtkImageCursor3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCursorRadius();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageCursor3D_VTKInit(JNIEnv *, jobject)
{
  vtkImageCursor3D *aNewOne = vtkImageCursor3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
