// java wrapper for vtkImageGaussianSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageGaussianSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageGaussianSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageGaussianSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageGaussianSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageGaussianSource *op;
  const char    *temp20;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageGaussianSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageGaussianSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGaussianSource_SetWholeExtent_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageGaussianSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGaussianSource_SetCenter_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageGaussianSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGaussianSource_SetCenter_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageGaussianSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageGaussianSource_GetCenter_15(JNIEnv *env, jobject obj)
{
  vtkImageGaussianSource *op;
  double  *temp20;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGaussianSource_SetMaximum_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageGaussianSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageGaussianSource_GetMaximum_17(JNIEnv *env, jobject obj)
{
  vtkImageGaussianSource *op;
  double   temp20;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageGaussianSource_SetStandardDeviation_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageGaussianSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStandardDeviation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageGaussianSource_GetStandardDeviation_19(JNIEnv *env, jobject obj)
{
  vtkImageGaussianSource *op;
  double   temp20;

  op = (vtkImageGaussianSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStandardDeviation();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageGaussianSource_VTKInit(JNIEnv *, jobject)
{
  vtkImageGaussianSource *aNewOne = vtkImageGaussianSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
