// java wrapper for vtkImageLogic object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageLogic.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageLogic_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageLogic",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageLogic_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;
  const char    *temp20;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLogic_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageLogic *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperation_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageLogic *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageLogic_GetOperation_13(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;
  int      temp20;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOperation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToAnd_14(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToAnd();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToOr_15(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToOr();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToXor_16(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToXor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToNand_17(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToNand();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToNor_18(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToNor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOperationToNot_19(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOperationToNot();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetOutputTrueValue_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageLogic *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputTrueValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageLogic_GetOutputTrueValue_111(JNIEnv *env, jobject obj)
{
  vtkImageLogic *op;
  double   temp20;

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputTrueValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetInput1_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageLogic *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput1(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageLogic_SetInput2_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageLogic *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageLogic *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput2(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageLogic_VTKInit(JNIEnv *, jobject)
{
  vtkImageLogic *aNewOne = vtkImageLogic::New();
  return (jlong)(size_t)(void*)aNewOne;
}
