// java wrapper for vtkImageMagnify object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMagnify.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageMagnify_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageMagnify",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageMagnify_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageMagnify *op;
  const char    *temp20;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMagnify_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageMagnify *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMagnify_SetMagnificationFactors_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImageMagnify *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnificationFactors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMagnify_SetMagnificationFactors_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageMagnify *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnificationFactors(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageMagnify_GetMagnificationFactors_14(JNIEnv *env, jobject obj)
{
  vtkImageMagnify *op;
  int     *temp20;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationFactors();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMagnify_SetInterpolate_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageMagnify *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageMagnify_GetInterpolate_16(JNIEnv *env, jobject obj)
{
  vtkImageMagnify *op;
  int      temp20;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMagnify_InterpolateOn_17(JNIEnv *env, jobject obj)
{
  vtkImageMagnify *op;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageMagnify_InterpolateOff_18(JNIEnv *env, jobject obj)
{
  vtkImageMagnify *op;

  op = (vtkImageMagnify *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageMagnify_VTKInit(JNIEnv *, jobject)
{
  vtkImageMagnify *aNewOne = vtkImageMagnify::New();
  return (jlong)(size_t)(void*)aNewOne;
}
