// java wrapper for vtkImageReslice object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageReslice.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageReslice_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageReslice",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReslice_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  const char    *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageReslice *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxes_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetResliceAxes_13(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkMatrix4x4  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceAxes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxesDirectionCosines_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8)
{
  vtkImageReslice *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxesDirectionCosines(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxesDirectionCosines_15(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxesDirectionCosines(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxesDirectionCosines_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxesDirectionCosines(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_GetResliceAxesDirectionCosines_17(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->GetResliceAxesDirectionCosines(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_GetResliceAxesDirectionCosines_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[9];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  temp0[6] = ((jdouble *)tempArray0)[6];
  temp0[7] = ((jdouble *)tempArray0)[7];
  temp0[8] = ((jdouble *)tempArray0)[8];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->GetResliceAxesDirectionCosines(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  ((jdouble *)tempArray0)[6] = temp0[6];
  ((jdouble *)tempArray0)[7] = temp0[7];
  ((jdouble *)tempArray0)[8] = temp0[8];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetResliceAxesDirectionCosines_19(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceAxesDirectionCosines();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,9);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxesOrigin_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageReslice *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxesOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceAxesOrigin_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceAxesOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_GetResliceAxesOrigin_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->GetResliceAxesOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetResliceAxesOrigin_113(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceAxesOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetResliceTransform_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetResliceTransform_115(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkAbstractTransform  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInformationInput_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformationInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetInformationInput_117(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkImageData  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformationInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetTransformInputSampling_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransformInputSampling(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_TransformInputSamplingOn_119(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformInputSamplingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_TransformInputSamplingOff_120(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformInputSamplingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetTransformInputSampling_121(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransformInputSampling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetAutoCropOutput_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoCropOutput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_AutoCropOutputOn_123(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCropOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_AutoCropOutputOff_124(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoCropOutputOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetAutoCropOutput_125(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoCropOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetWrap_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrap(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetWrap_127(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrap();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_WrapOn_128(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->WrapOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_WrapOff_129(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->WrapOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetMirror_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMirror(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetMirror_131(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMirror();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_MirrorOn_132(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->MirrorOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_MirrorOff_133(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->MirrorOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetBorder_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetBorder_135(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorder();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_BorderOn_136(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_BorderOff_137(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->BorderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolationMode_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetInterpolationModeMinValue_139(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetInterpolationModeMaxValue_140(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetInterpolationMode_141(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolationModeToNearestNeighbor_142(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToNearestNeighbor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolationModeToLinear_143(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolationModeToCubic_144(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToCubic();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReslice_GetInterpolationModeAsString_145(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  const char    *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolator_146(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkAbstractImageInterpolator  *temp0;
  temp0 = (vtkAbstractImageInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetInterpolator_147(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkAbstractImageInterpolator  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabMode_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetSlabModeMinValue_149(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetSlabModeMaxValue_150(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetSlabMode_151(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabModeToMin_152(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabModeToMin();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabModeToMax_153(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabModeToMax();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabModeToMean_154(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabModeToMean();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabModeToSum_155(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabModeToSum();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageReslice_GetSlabModeAsString_156(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  const char    *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabNumberOfSlices_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabNumberOfSlices(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetSlabNumberOfSlices_158(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabNumberOfSlices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetSlabTrapezoidIntegration_159(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSlabTrapezoidIntegration(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SlabTrapezoidIntegrationOn_160(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SlabTrapezoidIntegrationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SlabTrapezoidIntegrationOff_161(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SlabTrapezoidIntegrationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetSlabTrapezoidIntegration_162(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSlabTrapezoidIntegration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOptimization_163(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOptimization(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetOptimization_164(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOptimization();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_OptimizationOn_165(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->OptimizationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_OptimizationOff_166(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->OptimizationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetBackgroundColor_167(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageReslice *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetBackgroundColor_168(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetBackgroundColor_169(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetBackgroundLevel_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageReslice *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundLevel(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageReslice_GetBackgroundLevel_171(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double   temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputSpacing_172(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageReslice *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputSpacing_173(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetOutputSpacing_174(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputSpacingToDefault_175(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacingToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputOrigin_176(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageReslice *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputOrigin_177(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageReslice *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetOutputOrigin_178(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  double  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputOriginToDefault_179(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOriginToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputExtent_180(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageReslice *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputExtent_181(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageReslice *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageReslice_GetOutputExtent_182(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int     *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputExtentToDefault_183(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputExtentToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetOutputDimensionality_184(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputDimensionality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetOutputDimensionality_185(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputDimensionality();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetMTime_186(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
   unsigned long     temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_ReportReferences_187(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkGarbageCollector  *temp0;
  temp0 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->ReportReferences(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetInterpolate_188(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_InterpolateOn_189(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_InterpolateOff_190(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetInterpolate_191(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetStencil_192(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencil(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetStencil_193(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkImageStencilData  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencil();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetGenerateStencilOutput_194(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageReslice *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGenerateStencilOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageReslice_GetGenerateStencilOutput_195(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  int      temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGenerateStencilOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_GenerateStencilOutputOn_196(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateStencilOutputOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_GenerateStencilOutputOff_197(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->GenerateStencilOutputOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetStencilOutputPort_198(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencilOutputPort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageReslice_GetStencilOutput_199(JNIEnv *env, jobject obj)
{
  vtkImageReslice *op;
  vtkImageStencilData  *temp20;

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencilOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageReslice_SetStencilOutput_1100(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageReslice *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageReslice *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencilOutput(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageReslice_VTKInit(JNIEnv *, jobject)
{
  vtkImageReslice *aNewOne = vtkImageReslice::New();
  return (jlong)(size_t)(void*)aNewOne;
}
