// java wrapper for vtkImageSeparableConvolution object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageSeparableConvolution.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageDecomposeFilter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageSeparableConvolution_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageSeparableConvolution",dType)) { return me; }
  if ((res= vtkImageDecomposeFilter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageSeparableConvolution_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  const char    *temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSeparableConvolution_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageSeparableConvolution *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetXKernel_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXKernel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSeparableConvolution_GetXKernel_13(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXKernel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetYKernel_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYKernel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSeparableConvolution_GetYKernel_15(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYKernel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageSeparableConvolution_SetZKernel_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp0;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZKernel(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageSeparableConvolution_GetZKernel_17(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
  vtkFloatArray  *temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZKernel();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageSeparableConvolution_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkImageSeparableConvolution *op;
   unsigned long     temp20;

  op = (vtkImageSeparableConvolution *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageSeparableConvolution_VTKInit(JNIEnv *, jobject)
{
  vtkImageSeparableConvolution *aNewOne = vtkImageSeparableConvolution::New();
  return (jlong)(size_t)(void*)aNewOne;
}
