// java wrapper for vtkImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageStencil.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageStencil",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  const char    *temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetStencil_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStencil *op;
  vtkImageStencilData  *temp0;
  temp0 = (vtkImageStencilData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencil(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStencil_GetStencil_13(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  vtkImageStencilData  *temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencil();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetReverseStencil_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageStencil *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverseStencil(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_ReverseStencilOn_15(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseStencilOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_ReverseStencilOff_16(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseStencilOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStencil_GetReverseStencil_17(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  int      temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverseStencil();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetBackgroundInput_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStencil *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStencil_GetBackgroundInput_19(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  vtkImageData  *temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetBackgroundValue_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageStencil_GetBackgroundValue_111(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  double   temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetBackgroundColor_112(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkImageStencil *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencil_SetBackgroundColor_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageStencil *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundColor(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageStencil_GetBackgroundColor_114(JNIEnv *env, jobject obj)
{
  vtkImageStencil *op;
  double  *temp20;

  op = (vtkImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundColor();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageStencil_VTKInit(JNIEnv *, jobject)
{
  vtkImageStencil *aNewOne = vtkImageStencil::New();
  return (jlong)(size_t)(void*)aNewOne;
}
