// java wrapper for vtkImageStencilSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageStencilSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageStencilAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageStencilSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageStencilSource",dType)) { return me; }
  if ((res= vtkImageStencilAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageStencilSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  const char    *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStencilSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageStencilSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetInformationInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStencilSource *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInformationInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStencilSource_GetInformationInput_13(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  vtkImageData  *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInformationInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputOrigin_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageStencilSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputOrigin_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageStencilSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageStencilSource_GetOutputOrigin_16(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  double  *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputSpacing_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImageStencilSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputSpacing_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageStencilSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputSpacing(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageStencilSource_GetOutputSpacing_19(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  double  *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputSpacing();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputWholeExtent_110(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageStencilSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_SetOutputWholeExtent_111(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageStencilSource *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageStencilSource_GetOutputWholeExtent_112(JNIEnv *env, jobject obj)
{
  vtkImageStencilSource *op;
  int     *temp20;

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStencilSource_ReportReferences_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStencilSource *op;
  vtkGarbageCollector  *temp0;
  temp0 = (vtkGarbageCollector *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStencilSource *)vtkJavaGetPointerFromObject(env,obj);
  op->ReportReferences(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageStencilSource_VTKInit(JNIEnv *, jobject)
{
  vtkImageStencilSource *aNewOne = vtkImageStencilSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
