// java wrapper for vtkImageToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageToImageStencil.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageStencilAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageToImageStencil_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageToImageStencil",dType)) { return me; }
  if ((res= vtkImageStencilAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageToImageStencil_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  const char    *temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageToImageStencil_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageToImageStencil *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageToImageStencil *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageToImageStencil_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  vtkImageData  *temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdByUpper_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdByUpper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdByLower_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdByLower(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_ThresholdBetween_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkImageToImageStencil *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->ThresholdBetween(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetUpperThreshold_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUpperThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToImageStencil_GetUpperThreshold_18(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  double   temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUpperThreshold();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageToImageStencil_SetLowerThreshold_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageToImageStencil *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLowerThreshold(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageToImageStencil_GetLowerThreshold_110(JNIEnv *env, jobject obj)
{
  vtkImageToImageStencil *op;
  double   temp20;

  op = (vtkImageToImageStencil *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLowerThreshold();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageToImageStencil_VTKInit(JNIEnv *, jobject)
{
  vtkImageToImageStencil *aNewOne = vtkImageToImageStencil::New();
  return (jlong)(size_t)(void*)aNewOne;
}
