// java wrapper for vtkImageWeightedSum object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageWeightedSum.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkThreadedImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageWeightedSum_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageWeightedSum",dType)) { return me; }
  if ((res= vtkThreadedImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageWeightedSum_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  const char    *temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWeightedSum_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageWeightedSum *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWeightedSum_SetWeights_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageWeightedSum *op;
  vtkDoubleArray  *temp0;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWeights(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageWeightedSum_GetWeights_13(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  vtkDoubleArray  *temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWeights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWeightedSum_SetWeight_14(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkImageWeightedSum *op;
  vtkIdType   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWeight(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWeightedSum_GetNormalizeByWeight_15(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  int      temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizeByWeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWeightedSum_SetNormalizeByWeight_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageWeightedSum *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalizeByWeight(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWeightedSum_GetNormalizeByWeightMinValue_17(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  int      temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizeByWeightMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageWeightedSum_GetNormalizeByWeightMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  int      temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalizeByWeightMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWeightedSum_NormalizeByWeightOn_19(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeByWeightOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageWeightedSum_NormalizeByWeightOff_110(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalizeByWeightOff();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageWeightedSum_CalculateTotalWeight_111(JNIEnv *env, jobject obj)
{
  vtkImageWeightedSum *op;
  double   temp20;

  op = (vtkImageWeightedSum *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CalculateTotalWeight();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageWeightedSum_VTKInit(JNIEnv *, jobject)
{
  vtkImageWeightedSum *aNewOne = vtkImageWeightedSum::New();
  return (jlong)(size_t)(void*)aNewOne;
}
