// java wrapper for vtkRTAnalyticSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRTAnalyticSource.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRTAnalyticSource_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRTAnalyticSource",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRTAnalyticSource_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  const char    *temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRTAnalyticSource_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRTAnalyticSource *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetWholeExtent_12(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkRTAnalyticSource *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRTAnalyticSource_GetWholeExtent_13(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  int     *temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetCenter_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetCenter_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRTAnalyticSource *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRTAnalyticSource_GetCenter_16(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double  *temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetMaximum_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximum(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetMaximum_18(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximum();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetStandardDeviation_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStandardDeviation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetStandardDeviation_110(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStandardDeviation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetXFreq_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXFreq(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetXFreq_112(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXFreq();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetYFreq_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYFreq(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetYFreq_114(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYFreq();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetZFreq_115(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZFreq(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetZFreq_116(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZFreq();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetXMag_117(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXMag(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetXMag_118(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXMag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetYMag_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYMag(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetYMag_120(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYMag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetZMag_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRTAnalyticSource *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZMag(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRTAnalyticSource_GetZMag_122(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  double   temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZMag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRTAnalyticSource_SetSubsampleRate_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkRTAnalyticSource *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubsampleRate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRTAnalyticSource_GetSubsampleRate_124(JNIEnv *env, jobject obj)
{
  vtkRTAnalyticSource *op;
  int      temp20;

  op = (vtkRTAnalyticSource *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubsampleRate();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRTAnalyticSource_VTKInit(JNIEnv *, jobject)
{
  vtkRTAnalyticSource *aNewOne = vtkRTAnalyticSource::New();
  return (jlong)(size_t)(void*)aNewOne;
}
