// java wrapper for vtkShepardMethod object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShepardMethod.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShepardMethod_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShepardMethod",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShepardMethod_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  const char    *temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShepardMethod_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShepardMethod *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShepardMethod_ComputeModelBounds_12(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkShepardMethod *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeModelBounds(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkShepardMethod_GetSampleDimensions_13(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  int     *temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleDimensions();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetSampleDimensions_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkShepardMethod *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetSampleDimensions_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkShepardMethod *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleDimensions(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetMaximumDistance_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkShepardMethod *op;
  double   temp0;
  temp0 = id0;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShepardMethod_GetMaximumDistanceMinValue_17(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  double   temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistanceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShepardMethod_GetMaximumDistanceMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  double   temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistanceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShepardMethod_GetMaximumDistance_19(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  double   temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetModelBounds_110(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkShepardMethod *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetModelBounds_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkShepardMethod *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetModelBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkShepardMethod_GetModelBounds_112(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  double  *temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetModelBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShepardMethod_SetNullValue_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkShepardMethod *op;
  double   temp0;
  temp0 = id0;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNullValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShepardMethod_GetNullValue_114(JNIEnv *env, jobject obj)
{
  vtkShepardMethod *op;
  double   temp20;

  op = (vtkShepardMethod *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNullValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShepardMethod_VTKInit(JNIEnv *, jobject)
{
  vtkShepardMethod *aNewOne = vtkShepardMethod::New();
  return (jlong)(size_t)(void*)aNewOne;
}
