// java wrapper for vtkCosmicTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCosmicTreeLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCosmicTreeLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCosmicTreeLayoutStrategy",dType)) { return me; }
  if ((res= vtkGraphLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;
  const char    *temp20;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCosmicTreeLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_Layout_12(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SetSizeLeafNodesOnly_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmicTreeLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSizeLeafNodesOnly(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_GetSizeLeafNodesOnly_14(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;
  int      temp20;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSizeLeafNodesOnly();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOn_15(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SizeLeafNodesOnlyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SizeLeafNodesOnlyOff_16(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SizeLeafNodesOnlyOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SetLayoutDepth_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmicTreeLayoutStrategy *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutDepth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_GetLayoutDepth_18(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;
  int      temp20;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutDepth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SetLayoutRoot_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkCosmicTreeLayoutStrategy *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutRoot(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_GetLayoutRoot_110(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;
  vtkIdType   temp20;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutRoot();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_SetNodeSizeArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCosmicTreeLayoutStrategy *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNodeSizeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_GetNodeSizeArrayName_112(JNIEnv *env, jobject obj)
{
  vtkCosmicTreeLayoutStrategy *op;
  char    *temp20;

  op = (vtkCosmicTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNodeSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCosmicTreeLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkCosmicTreeLayoutStrategy *aNewOne = vtkCosmicTreeLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
