// tcl wrapper for vtkDelimitedTextReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelimitedTextReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDelimitedTextReaderNewCommand()
{
  vtkDelimitedTextReader *temp = vtkDelimitedTextReader::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDelimitedTextReaderCppCommand(vtkDelimitedTextReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDelimitedTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDelimitedTextReaderCppCommand(static_cast<vtkDelimitedTextReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDelimitedTextReaderCppCommand(vtkDelimitedTextReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDelimitedTextReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDelimitedTextReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDelimitedTextReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDelimitedTextReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDelimitedTextReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUnicodeCharacterSet",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetUnicodeCharacterSet();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUnicodeCharacterSet",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUnicodeCharacterSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUTF8RecordDelimiters",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUTF8RecordDelimiters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUTF8RecordDelimiters",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetUTF8RecordDelimiters();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDelimiterCharacters",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDelimiterCharacters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDelimiterCharacters",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDelimiterCharacters();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUTF8FieldDelimiters",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUTF8FieldDelimiters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUTF8FieldDelimiters",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetUTF8FieldDelimiters();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStringDelimiter",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetStringDelimiter();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStringDelimiter",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetStringDelimiter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUTF8StringDelimiters",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUTF8StringDelimiters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUTF8StringDelimiters",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetUTF8StringDelimiters();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseStringDelimiter",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseStringDelimiter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseStringDelimiter",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseStringDelimiter();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseStringDelimiterOn",argv[1]))&&(argc == 2))
    {
    op->UseStringDelimiterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseStringDelimiterOff",argv[1]))&&(argc == 2))
    {
    op->UseStringDelimiterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetHaveHeaders",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetHaveHeaders();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHaveHeaders",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetHaveHeaders(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMergeConsecutiveDelimiters",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetMergeConsecutiveDelimiters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergeConsecutiveDelimiters",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetMergeConsecutiveDelimiters();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MergeConsecutiveDelimitersOn",argv[1]))&&(argc == 2))
    {
    op->MergeConsecutiveDelimitersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MergeConsecutiveDelimitersOff",argv[1]))&&(argc == 2))
    {
    op->MergeConsecutiveDelimitersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxRecords",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxRecords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxRecords",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxRecords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDetectNumericColumns",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDetectNumericColumns(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDetectNumericColumns",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDetectNumericColumns();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DetectNumericColumnsOn",argv[1]))&&(argc == 2))
    {
    op->DetectNumericColumnsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DetectNumericColumnsOff",argv[1]))&&(argc == 2))
    {
    op->DetectNumericColumnsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetForceDouble",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetForceDouble(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceDouble",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetForceDouble();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ForceDoubleOn",argv[1]))&&(argc == 2))
    {
    op->ForceDoubleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceDoubleOff",argv[1]))&&(argc == 2))
    {
    op->ForceDoubleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTrimWhitespacePriorToNumericConversion",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetTrimWhitespacePriorToNumericConversion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTrimWhitespacePriorToNumericConversion",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetTrimWhitespacePriorToNumericConversion();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TrimWhitespacePriorToNumericConversionOn",argv[1]))&&(argc == 2))
    {
    op->TrimWhitespacePriorToNumericConversionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TrimWhitespacePriorToNumericConversionOff",argv[1]))&&(argc == 2))
    {
    op->TrimWhitespacePriorToNumericConversionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultIntegerValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultIntegerValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultIntegerValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultIntegerValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultDoubleValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultDoubleValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultDoubleValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDefaultDoubleValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPedigreeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPedigreeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPedigreeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPedigreeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePedigreeIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGeneratePedigreeIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePedigreeIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGeneratePedigreeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputPedigreeIds",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetOutputPedigreeIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPedigreeIds",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetOutputPedigreeIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutputPedigreeIdsOn",argv[1]))&&(argc == 2))
    {
    op->OutputPedigreeIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutputPedigreeIdsOff",argv[1]))&&(argc == 2))
    {
    op->OutputPedigreeIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastError",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetLastError();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplacementCharacter",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetReplacementCharacter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplacementCharacter",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetReplacementCharacter();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDelimitedTextReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDelimitedTextReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUnicodeCharacterSet\n",NULL);
    Tcl_AppendResult(interp,"  SetUnicodeCharacterSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUTF8RecordDelimiters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUTF8RecordDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDelimiterCharacters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDelimiterCharacters\n",NULL);
    Tcl_AppendResult(interp,"  SetUTF8FieldDelimiters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUTF8FieldDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  GetStringDelimiter\n",NULL);
    Tcl_AppendResult(interp,"  SetStringDelimiter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUTF8StringDelimiters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUTF8StringDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  SetUseStringDelimiter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseStringDelimiter\n",NULL);
    Tcl_AppendResult(interp,"  UseStringDelimiterOn\n",NULL);
    Tcl_AppendResult(interp,"  UseStringDelimiterOff\n",NULL);
    Tcl_AppendResult(interp,"  GetHaveHeaders\n",NULL);
    Tcl_AppendResult(interp,"  SetHaveHeaders\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMergeConsecutiveDelimiters\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeConsecutiveDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  MergeConsecutiveDelimitersOn\n",NULL);
    Tcl_AppendResult(interp,"  MergeConsecutiveDelimitersOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxRecords\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxRecords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDetectNumericColumns\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDetectNumericColumns\n",NULL);
    Tcl_AppendResult(interp,"  DetectNumericColumnsOn\n",NULL);
    Tcl_AppendResult(interp,"  DetectNumericColumnsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetForceDouble\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceDouble\n",NULL);
    Tcl_AppendResult(interp,"  ForceDoubleOn\n",NULL);
    Tcl_AppendResult(interp,"  ForceDoubleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTrimWhitespacePriorToNumericConversion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTrimWhitespacePriorToNumericConversion\n",NULL);
    Tcl_AppendResult(interp,"  TrimWhitespacePriorToNumericConversionOn\n",NULL);
    Tcl_AppendResult(interp,"  TrimWhitespacePriorToNumericConversionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultIntegerValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultIntegerValue\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDoubleValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultDoubleValue\n",NULL);
    Tcl_AppendResult(interp,"  SetPedigreeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputPedigreeIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPedigreeIds\n",NULL);
    Tcl_AppendResult(interp,"  OutputPedigreeIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  OutputPedigreeIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLastError\n",NULL);
    Tcl_AppendResult(interp,"  SetReplacementCharacter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplacementCharacter\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetUnicodeCharacterSet" );
    Tcl_DStringAppendElement ( &dString, "SetUnicodeCharacterSet" );
    Tcl_DStringAppendElement ( &dString, "SetUTF8RecordDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetUTF8RecordDelimiters" );
    Tcl_DStringAppendElement ( &dString, "SetFieldDelimiterCharacters" );
    Tcl_DStringAppendElement ( &dString, "GetFieldDelimiterCharacters" );
    Tcl_DStringAppendElement ( &dString, "SetUTF8FieldDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetUTF8FieldDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "SetStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "SetUTF8StringDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetUTF8StringDelimiters" );
    Tcl_DStringAppendElement ( &dString, "SetUseStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "GetUseStringDelimiter" );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOn" );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOff" );
    Tcl_DStringAppendElement ( &dString, "GetHaveHeaders" );
    Tcl_DStringAppendElement ( &dString, "SetHaveHeaders" );
    Tcl_DStringAppendElement ( &dString, "SetMergeConsecutiveDelimiters" );
    Tcl_DStringAppendElement ( &dString, "GetMergeConsecutiveDelimiters" );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOn" );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaxRecords" );
    Tcl_DStringAppendElement ( &dString, "SetMaxRecords" );
    Tcl_DStringAppendElement ( &dString, "SetDetectNumericColumns" );
    Tcl_DStringAppendElement ( &dString, "GetDetectNumericColumns" );
    Tcl_DStringAppendElement ( &dString, "DetectNumericColumnsOn" );
    Tcl_DStringAppendElement ( &dString, "DetectNumericColumnsOff" );
    Tcl_DStringAppendElement ( &dString, "SetForceDouble" );
    Tcl_DStringAppendElement ( &dString, "GetForceDouble" );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOn" );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOff" );
    Tcl_DStringAppendElement ( &dString, "SetTrimWhitespacePriorToNumericConversion" );
    Tcl_DStringAppendElement ( &dString, "GetTrimWhitespacePriorToNumericConversion" );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOn" );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOff" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIntegerValue" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIntegerValue" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDoubleValue" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDoubleValue" );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GeneratePedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "GeneratePedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutputPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "GetOutputPedigreeIds" );
    Tcl_DStringAppendElement ( &dString, "OutputPedigreeIdsOn" );
    Tcl_DStringAppendElement ( &dString, "OutputPedigreeIdsOff" );
    Tcl_DStringAppendElement ( &dString, "GetLastError" );
    Tcl_DStringAppendElement ( &dString, "SetReplacementCharacter" );
    Tcl_DStringAppendElement ( &dString, "GetReplacementCharacter" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDelimitedTextReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specifies the delimited text file to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specifies the delimited text file to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUnicodeCharacterSet */
    if ( strcmp ( argv[2], "GetUnicodeCharacterSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUnicodeCharacterSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUnicodeCharacterSet */
    Tcl_DStringAppendElement ( &dString, " Specifies the character set used in the input file.  Valid character set\n names will be drawn from the list maintained by the Internet Assigned Name\n Authority at\n\n   http://www.iana.org/assignments/character-sets\n\n Where multiple aliases are provided for a character set, the preferred MIME name\n will be used.  vtkUnicodeDelimitedTextReader currently supports \"US-ASCII\", \"UTF-8\",\n \"UTF-16\", \"UTF-16BE\", and \"UTF-16LE\" character sets.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetUnicodeCharacterSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUnicodeCharacterSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUnicodeCharacterSet */
    if ( strcmp ( argv[2], "SetUnicodeCharacterSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUnicodeCharacterSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUnicodeCharacterSet */
    Tcl_DStringAppendElement ( &dString, " Specifies the character set used in the input file.  Valid character set\n names will be drawn from the list maintained by the Internet Assigned Name\n Authority at\n\n   http://www.iana.org/assignments/character-sets\n\n Where multiple aliases are provided for a character set, the preferred MIME name\n will be used.  vtkUnicodeDelimitedTextReader currently supports \"US-ASCII\", \"UTF-8\",\n \"UTF-16\", \"UTF-16BE\", and \"UTF-16LE\" character sets.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUnicodeCharacterSet(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUnicodeCharacterSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUTF8RecordDelimiters */
    if ( strcmp ( argv[2], "SetUTF8RecordDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUTF8RecordDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUTF8RecordDelimiters */
    Tcl_DStringAppendElement ( &dString, " Specify the character(s) that will be used to separate records.\n The order of characters in the string does not matter.  Defaults\n to \"\\r\\n\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUTF8RecordDelimiters(const char *delimiters);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUTF8RecordDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUTF8RecordDelimiters */
    if ( strcmp ( argv[2], "GetUTF8RecordDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUTF8RecordDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUTF8RecordDelimiters */
    Tcl_DStringAppendElement ( &dString, " Specify the character(s) that will be used to separate records.\n The order of characters in the string does not matter.  Defaults\n to \"\\r\\n\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUTF8RecordDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUTF8RecordDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFieldDelimiterCharacters */
    if ( strcmp ( argv[2], "SetFieldDelimiterCharacters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFieldDelimiterCharacters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFieldDelimiterCharacters */
    Tcl_DStringAppendElement ( &dString, " Specify the character(s) that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFieldDelimiterCharacters(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetFieldDelimiterCharacters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFieldDelimiterCharacters */
    if ( strcmp ( argv[2], "GetFieldDelimiterCharacters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFieldDelimiterCharacters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFieldDelimiterCharacters */
    Tcl_DStringAppendElement ( &dString, " Specify the character(s) that will be used to separate fields.  For\n example, set this to \",\" for a comma-separated value file.  Set\n it to \".:;\" for a file where columns can be separated by a\n period, colon or semicolon.  The order of the characters in the\n string does not matter.  Defaults to a comma.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFieldDelimiterCharacters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetFieldDelimiterCharacters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUTF8FieldDelimiters */
    if ( strcmp ( argv[2], "SetUTF8FieldDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUTF8FieldDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUTF8FieldDelimiters */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUTF8FieldDelimiters(const char *delimiters);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUTF8FieldDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUTF8FieldDelimiters */
    if ( strcmp ( argv[2], "GetUTF8FieldDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUTF8FieldDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUTF8FieldDelimiters */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUTF8FieldDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUTF8FieldDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStringDelimiter */
    if ( strcmp ( argv[2], "GetStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n" );
    Tcl_DStringAppendElement ( &dString, "char GetStringDelimiter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStringDelimiter */
    if ( strcmp ( argv[2], "SetStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Get/set the character that will begin and end strings.  Microsoft\n Excel, for example, will export the following format:\n\n \"First Field\",\"Second Field\",\"Field, With, Commas\",\"Fourth Field\"\n\n The third field has a comma in it.  By using a string delimiter,\n this will be correctly read.  The delimiter defaults to '\"'.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStringDelimiter(char a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUTF8StringDelimiters */
    if ( strcmp ( argv[2], "SetUTF8StringDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUTF8StringDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUTF8StringDelimiters */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetUTF8StringDelimiters(const char *delimiters);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUTF8StringDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUTF8StringDelimiters */
    if ( strcmp ( argv[2], "GetUTF8StringDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUTF8StringDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUTF8StringDelimiters */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetUTF8StringDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUTF8StringDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseStringDelimiter */
    if ( strcmp ( argv[2], "SetUseStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseStringDelimiter(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetUseStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseStringDelimiter */
    if ( strcmp ( argv[2], "GetUseStringDelimiter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseStringDelimiter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseStringDelimiter */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseStringDelimiter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetUseStringDelimiter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStringDelimiterOn */
    if ( strcmp ( argv[2], "UseStringDelimiterOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStringDelimiterOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStringDelimiterOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for UseStringDelimiterOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseStringDelimiterOff */
    if ( strcmp ( argv[2], "UseStringDelimiterOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseStringDelimiterOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseStringDelimiterOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to use the string delimiter.  Defaults to on.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseStringDelimiterOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for UseStringDelimiterOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHaveHeaders */
    if ( strcmp ( argv[2], "GetHaveHeaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHaveHeaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHaveHeaders */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to treat the first line of the file as headers.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetHaveHeaders();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetHaveHeaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHaveHeaders */
    if ( strcmp ( argv[2], "SetHaveHeaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHaveHeaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHaveHeaders */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to treat the first line of the file as headers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHaveHeaders(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetHaveHeaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMergeConsecutiveDelimiters */
    if ( strcmp ( argv[2], "SetMergeConsecutiveDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMergeConsecutiveDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMergeConsecutiveDelimiters */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMergeConsecutiveDelimiters(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetMergeConsecutiveDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMergeConsecutiveDelimiters */
    if ( strcmp ( argv[2], "GetMergeConsecutiveDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMergeConsecutiveDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMergeConsecutiveDelimiters */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetMergeConsecutiveDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetMergeConsecutiveDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeConsecutiveDelimitersOn */
    if ( strcmp ( argv[2], "MergeConsecutiveDelimitersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeConsecutiveDelimitersOn */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeConsecutiveDelimitersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for MergeConsecutiveDelimitersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MergeConsecutiveDelimitersOff */
    if ( strcmp ( argv[2], "MergeConsecutiveDelimitersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MergeConsecutiveDelimitersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MergeConsecutiveDelimitersOff */
    Tcl_DStringAppendElement ( &dString, " Set/get whether to merge successive delimiters.  Use this if (for\n example) your fields are separated by spaces but you don't know\n exactly how many.\n" );
    Tcl_DStringAppendElement ( &dString, "void MergeConsecutiveDelimitersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for MergeConsecutiveDelimitersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxRecords */
    if ( strcmp ( argv[2], "GetMaxRecords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxRecords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxRecords */
    Tcl_DStringAppendElement ( &dString, " Specifies the maximum number of records to read from the file.  Limiting the\n number of records to read is useful for previewing the contents of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaxRecords();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetMaxRecords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxRecords */
    if ( strcmp ( argv[2], "SetMaxRecords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxRecords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxRecords */
    Tcl_DStringAppendElement ( &dString, " Specifies the maximum number of records to read from the file.  Limiting the\n number of records to read is useful for previewing the contents of a file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxRecords(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetMaxRecords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDetectNumericColumns */
    if ( strcmp ( argv[2], "SetDetectNumericColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDetectNumericColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDetectNumericColumns */
    Tcl_DStringAppendElement ( &dString, " When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDetectNumericColumns(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetDetectNumericColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDetectNumericColumns */
    if ( strcmp ( argv[2], "GetDetectNumericColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDetectNumericColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDetectNumericColumns */
    Tcl_DStringAppendElement ( &dString, " When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDetectNumericColumns();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetDetectNumericColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DetectNumericColumnsOn */
    if ( strcmp ( argv[2], "DetectNumericColumnsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DetectNumericColumnsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DetectNumericColumnsOn */
    Tcl_DStringAppendElement ( &dString, " When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DetectNumericColumnsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for DetectNumericColumnsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DetectNumericColumnsOff */
    if ( strcmp ( argv[2], "DetectNumericColumnsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DetectNumericColumnsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DetectNumericColumnsOff */
    Tcl_DStringAppendElement ( &dString, " When set to true, the reader will detect numeric columns and create\n vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default\n is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DetectNumericColumnsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for DetectNumericColumnsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceDouble */
    if ( strcmp ( argv[2], "SetForceDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceDouble */
    Tcl_DStringAppendElement ( &dString, " When set to true and DetectNumericColumns is also true, forces all\n numeric columns to vtkDoubleArray even if they contain only\n integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceDouble(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetForceDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetForceDouble */
    if ( strcmp ( argv[2], "GetForceDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetForceDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetForceDouble */
    Tcl_DStringAppendElement ( &dString, " When set to true and DetectNumericColumns is also true, forces all\n numeric columns to vtkDoubleArray even if they contain only\n integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetForceDouble();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetForceDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceDoubleOn */
    if ( strcmp ( argv[2], "ForceDoubleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceDoubleOn */
    Tcl_DStringAppendElement ( &dString, " When set to true and DetectNumericColumns is also true, forces all\n numeric columns to vtkDoubleArray even if they contain only\n integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceDoubleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for ForceDoubleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ForceDoubleOff */
    if ( strcmp ( argv[2], "ForceDoubleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ForceDoubleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ForceDoubleOff */
    Tcl_DStringAppendElement ( &dString, " When set to true and DetectNumericColumns is also true, forces all\n numeric columns to vtkDoubleArray even if they contain only\n integer values. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ForceDoubleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for ForceDoubleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTrimWhitespacePriorToNumericConversion */
    if ( strcmp ( argv[2], "SetTrimWhitespacePriorToNumericConversion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTrimWhitespacePriorToNumericConversion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTrimWhitespacePriorToNumericConversion */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, whether to trim whitespace from\n strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToD ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTrimWhitespacePriorToNumericConversion(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetTrimWhitespacePriorToNumericConversion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTrimWhitespacePriorToNumericConversion */
    if ( strcmp ( argv[2], "GetTrimWhitespacePriorToNumericConversion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTrimWhitespacePriorToNumericConversion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTrimWhitespacePriorToNumericConversion */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, whether to trim whitespace from\n strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToD ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetTrimWhitespacePriorToNumericConversion();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetTrimWhitespacePriorToNumericConversion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrimWhitespacePriorToNumericConversionOn */
    if ( strcmp ( argv[2], "TrimWhitespacePriorToNumericConversionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrimWhitespacePriorToNumericConversionOn */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, whether to trim whitespace from\n strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToD ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TrimWhitespacePriorToNumericConversionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for TrimWhitespacePriorToNumericConversionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TrimWhitespacePriorToNumericConversionOff */
    if ( strcmp ( argv[2], "TrimWhitespacePriorToNumericConversionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TrimWhitespacePriorToNumericConversionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TrimWhitespacePriorToNumericConversionOff */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, whether to trim whitespace from\n strings prior to conversion to a numeric.\n Default is false to preserve backward compatibility.\n\n vtkVariant handles whitespace inconsistently, so trim it before we try to\n convert it.  For example:\n\n vtkVariant(\"  2.0\").ToDouble() == 2.0 <-- leading whitespace is not a problem\n vtkVariant(\"  2.0  \").ToDouble() == NaN <-- trailing whitespace is a problem\n vtkVariant(\"  infinity  \").ToD ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TrimWhitespacePriorToNumericConversionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for TrimWhitespacePriorToNumericConversionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultIntegerValue */
    if ( strcmp ( argv[2], "SetDefaultIntegerValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultIntegerValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultIntegerValue */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, the reader use this value to populate\n the vtkIntArray where empty strings are found. Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultIntegerValue(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetDefaultIntegerValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultIntegerValue */
    if ( strcmp ( argv[2], "GetDefaultIntegerValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultIntegerValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultIntegerValue */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, the reader use this value to populate\n the vtkIntArray where empty strings are found. Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDefaultIntegerValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetDefaultIntegerValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDoubleValue */
    if ( strcmp ( argv[2], "SetDefaultDoubleValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDoubleValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDoubleValue */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, the reader use this value to populate\n the vtkDoubleArray where empty strings are found. Default is 0.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDoubleValue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetDefaultDoubleValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultDoubleValue */
    if ( strcmp ( argv[2], "GetDefaultDoubleValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDoubleValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultDoubleValue */
    Tcl_DStringAppendElement ( &dString, " When DetectNumericColumns is set to true, the reader use this value to populate\n the vtkDoubleArray where empty strings are found. Default is 0.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDefaultDoubleValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetDefaultDoubleValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPedigreeIdArrayName */
    if ( strcmp ( argv[2], "SetPedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array for generating or assigning pedigree ids\n (default \"id\").\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPedigreeIdArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetPedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array for generating or assigning pedigree ids\n (default \"id\").\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetPedigreeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetPedigreeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGeneratePedigreeIds */
    if ( strcmp ( argv[2], "SetGeneratePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGeneratePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGeneratePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGeneratePedigreeIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetGeneratePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGeneratePedigreeIds */
    if ( strcmp ( argv[2], "GetGeneratePedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGeneratePedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGeneratePedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGeneratePedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetGeneratePedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePedigreeIdsOn */
    if ( strcmp ( argv[2], "GeneratePedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GeneratePedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GeneratePedigreeIdsOff */
    if ( strcmp ( argv[2], "GeneratePedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GeneratePedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GeneratePedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on (default), generates pedigree ids automatically.\n If off, assign one of the arrays to be the pedigree id.\n" );
    Tcl_DStringAppendElement ( &dString, "void GeneratePedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GeneratePedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputPedigreeIds */
    if ( strcmp ( argv[2], "SetOutputPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on, assigns pedigree ids to output. Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputPedigreeIds(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetOutputPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputPedigreeIds */
    if ( strcmp ( argv[2], "GetOutputPedigreeIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputPedigreeIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputPedigreeIds */
    Tcl_DStringAppendElement ( &dString, " If on, assigns pedigree ids to output. Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetOutputPedigreeIds();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetOutputPedigreeIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputPedigreeIdsOn */
    if ( strcmp ( argv[2], "OutputPedigreeIdsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputPedigreeIdsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputPedigreeIdsOn */
    Tcl_DStringAppendElement ( &dString, " If on, assigns pedigree ids to output. Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputPedigreeIdsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for OutputPedigreeIdsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutputPedigreeIdsOff */
    if ( strcmp ( argv[2], "OutputPedigreeIdsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutputPedigreeIdsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutputPedigreeIdsOff */
    Tcl_DStringAppendElement ( &dString, " If on, assigns pedigree ids to output. Defaults to off.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutputPedigreeIdsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for OutputPedigreeIdsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastError */
    if ( strcmp ( argv[2], "GetLastError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastError */
    Tcl_DStringAppendElement ( &dString, " Returns a human-readable description of the most recent error, if any.\n Otherwise, returns an empty string.  Note that the result is only valid\n after calling Update().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStdString GetLastError();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetLastError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReplacementCharacter */
    if ( strcmp ( argv[2], "SetReplacementCharacter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReplacementCharacter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReplacementCharacter */
    Tcl_DStringAppendElement ( &dString, " Fallback character for use in the US-ASCII-WITH-FALLBACK\n character set.  Any characters that have their 8th bit set will\n be replaced with this code point.  Defaults to 'x'.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReplacementCharacter(vtkTypeUInt32 a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for SetReplacementCharacter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReplacementCharacter */
    if ( strcmp ( argv[2], "GetReplacementCharacter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReplacementCharacter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReplacementCharacter */
    Tcl_DStringAppendElement ( &dString, " Fallback character for use in the US-ASCII-WITH-FALLBACK\n character set.  Any characters that have their 8th bit set will\n be replaced with this code point.  Defaults to 'x'.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTypeUInt32 GetReplacementCharacter();" );
    Tcl_DStringAppendElement ( &dString, "vtkDelimitedTextReader" );
    /* Closing for GetReplacementCharacter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
