// java wrapper for vtkExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractHistogram2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExtractHistogram2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExtractHistogram2D",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExtractHistogram2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  const char    *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExtractHistogram2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetNumberOfBins_12(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExtractHistogram2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBins(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetNumberOfBins_13(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractHistogram2D *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfBins(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractHistogram2D_GetNumberOfBins_14(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  int     *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBins();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetComponentsToProcess_15(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkExtractHistogram2D *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponentsToProcess(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetComponentsToProcess_16(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkExtractHistogram2D *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetComponentsToProcess(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractHistogram2D_GetComponentsToProcess_17(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  int     *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetComponentsToProcess();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetCustomHistogramExtents_18(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkExtractHistogram2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomHistogramExtents(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetCustomHistogramExtents_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkExtractHistogram2D *op;
  double temp0[4];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCustomHistogramExtents(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkExtractHistogram2D_GetCustomHistogramExtents_110(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  double  *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCustomHistogramExtents();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetUseCustomHistogramExtents_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractHistogram2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCustomHistogramExtents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_GetUseCustomHistogramExtents_112(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  int      temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseCustomHistogramExtents();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_UseCustomHistogramExtentsOn_113(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCustomHistogramExtentsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_UseCustomHistogramExtentsOff_114(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseCustomHistogramExtentsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarType_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractHistogram2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToUnsignedInt_116(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedInt();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToUnsignedLong_117(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedLong();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToUnsignedShort_118(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedShort();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToUnsignedChar_119(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToUnsignedChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToFloat_120(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToFloat();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetScalarTypeToDouble_121(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarTypeToDouble();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_GetScalarType_122(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  int      temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarType();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkExtractHistogram2D_GetMaximumBinCount_123(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  double   temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumBinCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_GetBinRange_124(JNIEnv *env, jobject obj,jint id0,jint id1,jdoubleArray id2)
{
  vtkExtractHistogram2D *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[4];
  void *tempArray2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinRange(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_GetBinRange_125(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkExtractHistogram2D *op;
  vtkIdType   temp0;
  double temp1[4];
  void *tempArray1;
  int      temp20;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinRange(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_GetBinWidth_126(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkExtractHistogram2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBinWidth(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExtractHistogram2D_GetOutputHistogramImage_127(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  vtkImageData  *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputHistogramImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetSwapColumns_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkExtractHistogram2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSwapColumns(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExtractHistogram2D_GetSwapColumns_129(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  int      temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapColumns();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SwapColumnsOn_130(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapColumnsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SwapColumnsOff_131(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapColumnsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_SetRowMask_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExtractHistogram2D *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRowMask(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExtractHistogram2D_GetRowMask_133(JNIEnv *env, jobject obj)
{
  vtkExtractHistogram2D *op;
  vtkDataArray  *temp20;

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRowMask();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExtractHistogram2D_Aggregate_134(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkExtractHistogram2D *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkExtractHistogram2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkExtractHistogram2D_VTKInit(JNIEnv *, jobject)
{
  vtkExtractHistogram2D *aNewOne = vtkExtractHistogram2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
