// java wrapper for vtkGeoMath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoMath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoMath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoMath",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoMath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoMath *op;
  const char    *temp20;

  op = (vtkGeoMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoMath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoMath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoMath_EarthRadiusMeters_12(JNIEnv *env, jobject obj)
{
  vtkGeoMath *op;
  double   temp20;

  op = (vtkGeoMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->EarthRadiusMeters();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoMath_DistanceSquared_13(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkGeoMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGeoMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DistanceSquared(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoMath_LongLatAltToRect_14(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkGeoMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkGeoMath *)vtkJavaGetPointerFromObject(env,obj);
  op->LongLatAltToRect(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoMath_VTKInit(JNIEnv *, jobject)
{
  vtkGeoMath *aNewOne = vtkGeoMath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
