// java wrapper for vtkGraphLayout object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphLayout.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphLayout_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphLayout",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGraphLayout_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  const char    *temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayout_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGraphLayout *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_SetLayoutStrategy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayout *op;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = (vtkGraphLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphLayout_GetLayoutStrategy_13(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  vtkGraphLayoutStrategy  *temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayout_IsLayoutComplete_14(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  int      temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsLayoutComplete();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGraphLayout_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
   unsigned long     temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGraphLayout_GetZRange_16(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  double   temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_SetZRange_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGraphLayout *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZRange(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGraphLayout_GetTransform_18(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_SetTransform_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGraphLayout *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_SetUseTransform_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGraphLayout *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseTransform(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGraphLayout_GetUseTransform_111(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;
  bool   temp20;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseTransform();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_UseTransformOn_112(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTransformOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGraphLayout_UseTransformOff_113(JNIEnv *env, jobject obj)
{
  vtkGraphLayout *op;

  op = (vtkGraphLayout *)vtkJavaGetPointerFromObject(env,obj);
  op->UseTransformOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphLayout_VTKInit(JNIEnv *, jobject)
{
  vtkGraphLayout *aNewOne = vtkGraphLayout::New();
  return (jlong)(size_t)(void*)aNewOne;
}
