// java wrapper for vtkKMeansStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKMeansStatistics.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkKMeansStatistics_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkKMeansStatistics",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKMeansStatistics_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  const char    *temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKMeansStatistics_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKMeansStatistics *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_SetDistanceFunctor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkKMeansStatistics *op;
  vtkKMeansDistanceFunctor  *temp0;
  temp0 = (vtkKMeansDistanceFunctor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDistanceFunctor(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkKMeansStatistics_GetDistanceFunctor_13(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  vtkKMeansDistanceFunctor  *temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDistanceFunctor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_SetDefaultNumberOfClusters_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkKMeansStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultNumberOfClusters(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKMeansStatistics_GetDefaultNumberOfClusters_15(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  int      temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDefaultNumberOfClusters();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_SetKValuesArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkKMeansStatistics *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetKValuesArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkKMeansStatistics_GetKValuesArrayName_17(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  char    *temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKValuesArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_SetMaxNumIterations_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkKMeansStatistics *op;
  int      temp0;
  temp0 = id0;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxNumIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkKMeansStatistics_GetMaxNumIterations_19(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  int      temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxNumIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_SetTolerance_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkKMeansStatistics *op;
  double   temp0;
  temp0 = id0;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkKMeansStatistics_GetTolerance_111(JNIEnv *env, jobject obj)
{
  vtkKMeansStatistics *op;
  double   temp20;

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkKMeansStatistics_Aggregate_112(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkKMeansStatistics *op;
  vtkDataObjectCollection  *temp0;
  vtkMultiBlockDataSet  *temp1;
  temp0 = (vtkDataObjectCollection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMultiBlockDataSet *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkKMeansStatistics *)vtkJavaGetPointerFromObject(env,obj);
  op->Aggregate(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkKMeansStatistics_VTKInit(JNIEnv *, jobject)
{
  vtkKMeansStatistics *aNewOne = vtkKMeansStatistics::New();
  return (jlong)(size_t)(void*)aNewOne;
}
