// java wrapper for vtkMergeGraphs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeGraphs.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeGraphs_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeGraphs",dType)) { return me; }
  if ((res= vtkGraphAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeGraphs_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;
  const char    *temp20;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeGraphs_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeGraphs *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeGraphs_ExtendGraph_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMergeGraphs *op;
  vtkMutableGraphHelper  *temp0;
  vtkGraph  *temp1;
  int      temp20;
  temp0 = (vtkMutableGraphHelper *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtendGraph(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeGraphs_SetUseEdgeWindow_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkMergeGraphs *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseEdgeWindow(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMergeGraphs_GetUseEdgeWindow_14(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;
  bool   temp20;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseEdgeWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeGraphs_UseEdgeWindowOn_15(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeGraphs_UseEdgeWindowOff_16(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  op->UseEdgeWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeGraphs_SetEdgeWindowArrayName_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeGraphs *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWindowArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeGraphs_GetEdgeWindowArrayName_18(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;
  char    *temp20;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWindowArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeGraphs_SetEdgeWindow_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMergeGraphs *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeWindow(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMergeGraphs_GetEdgeWindow_110(JNIEnv *env, jobject obj)
{
  vtkMergeGraphs *op;
  double   temp20;

  op = (vtkMergeGraphs *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeWindow();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMergeGraphs_VTKInit(JNIEnv *, jobject)
{
  vtkMergeGraphs *aNewOne = vtkMergeGraphs::New();
  return (jlong)(size_t)(void*)aNewOne;
}
