// java wrapper for vtkMutableGraphHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMutableGraphHelper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMutableGraphHelper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMutableGraphHelper",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMutableGraphHelper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMutableGraphHelper *op;
  const char    *temp20;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableGraphHelper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMutableGraphHelper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableGraphHelper_SetGraph_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableGraphHelper *op;
  vtkGraph  *temp0;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraph(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMutableGraphHelper_GetGraph_13(JNIEnv *env, jobject obj)
{
  vtkMutableGraphHelper *op;
  vtkGraph  *temp20;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraph();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMutableGraphHelper_AddGraphEdge_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMutableGraphHelper *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddGraphEdge(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMutableGraphHelper_AddVertex_15(JNIEnv *env, jobject obj)
{
  vtkMutableGraphHelper *op;
  vtkIdType   temp20;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddVertex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableGraphHelper_RemoveVertex_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableGraphHelper *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertex(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableGraphHelper_RemoveVertices_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableGraphHelper *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertices(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableGraphHelper_RemoveEdge_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkMutableGraphHelper *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdge(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMutableGraphHelper_RemoveEdges_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMutableGraphHelper *op;
  vtkIdTypeArray  *temp0;
  temp0 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMutableGraphHelper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveEdges(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMutableGraphHelper_VTKInit(JNIEnv *, jobject)
{
  vtkMutableGraphHelper *aNewOne = vtkMutableGraphHelper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
