// tcl wrapper for vtkOrderStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrderStatistics.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOrderStatisticsNewCommand()
{
  vtkOrderStatistics *temp = vtkOrderStatistics::New();
  return static_cast<ClientData>(temp);
}

int vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOrderStatisticsCppCommand(vtkOrderStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOrderStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOrderStatisticsCppCommand(static_cast<vtkOrderStatistics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOrderStatisticsCppCommand(vtkOrderStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOrderStatistics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkStatisticsAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOrderStatistics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOrderStatistics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderStatistics");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOrderStatistics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrderStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfIntervals",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfIntervals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfIntervals",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfIntervals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQuantileDefinition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQuantileDefinition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetQuantize",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetQuantize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQuantize",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetQuantize();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumHistogramSize",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumHistogramSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumHistogramSize",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumHistogramSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetQuantileDefinition",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetQuantileDefinition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Aggregate",argv[1]))&&(argc == 4))
    {
    vtkDataObjectCollection  *temp0;
    vtkMultiBlockDataSet  *temp1;
    error = 0;

    temp0 = (vtkDataObjectCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObjectCollection"),interp,error));
    temp1 = (vtkMultiBlockDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMultiBlockDataSet"),interp,error));
    if (!error)
    {
    op->Aggregate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOrderStatisticsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOrderStatistics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfIntervals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIntervals\n",NULL);
    Tcl_AppendResult(interp,"  SetQuantileDefinition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetQuantize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQuantize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumHistogramSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumHistogramSize\n",NULL);
    Tcl_AppendResult(interp,"  GetQuantileDefinition\n",NULL);
    Tcl_AppendResult(interp,"  Aggregate\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIntervals" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntervals" );
    Tcl_DStringAppendElement ( &dString, "SetQuantileDefinition" );
    Tcl_DStringAppendElement ( &dString, "SetQuantize" );
    Tcl_DStringAppendElement ( &dString, "GetQuantize" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHistogramSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHistogramSize" );
    Tcl_DStringAppendElement ( &dString, "GetQuantileDefinition" );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkStatisticsAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOrderStatistics *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfIntervals */
    if ( strcmp ( argv[2], "SetNumberOfIntervals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfIntervals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfIntervals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of quantiles (with uniform spacing).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfIntervals(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for SetNumberOfIntervals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIntervals */
    if ( strcmp ( argv[2], "GetNumberOfIntervals" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIntervals" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIntervals */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of quantiles (with uniform spacing).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfIntervals();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for GetNumberOfIntervals */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuantileDefinition */
    if ( strcmp ( argv[2], "SetQuantileDefinition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuantileDefinition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuantileDefinition */
    Tcl_DStringAppendElement ( &dString, " Set the quantile definition.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuantileDefinition(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for SetQuantileDefinition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuantize */
    if ( strcmp ( argv[2], "SetQuantize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuantize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuantize */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quantization will be allowed to enforce maximum histogram size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuantize(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for SetQuantize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuantize */
    if ( strcmp ( argv[2], "GetQuantize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuantize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuantize */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether quantization will be allowed to enforce maximum histogram size.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetQuantize();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for GetQuantize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumHistogramSize */
    if ( strcmp ( argv[2], "SetMaximumHistogramSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHistogramSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumHistogramSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum histogram size.\n This maximum size is enforced only when Quantize is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumHistogramSize(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for SetMaximumHistogramSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumHistogramSize */
    if ( strcmp ( argv[2], "GetMaximumHistogramSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHistogramSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumHistogramSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum histogram size.\n This maximum size is enforced only when Quantize is TRUE.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaximumHistogramSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for GetMaximumHistogramSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuantileDefinition */
    if ( strcmp ( argv[2], "GetQuantileDefinition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuantileDefinition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuantileDefinition */
    Tcl_DStringAppendElement ( &dString, " Get the quantile definition.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetQuantileDefinition();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for GetQuantileDefinition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Aggregate */
    if ( strcmp ( argv[2], "Aggregate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Aggregate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectCollection" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiBlockDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Aggregate */
    Tcl_DStringAppendElement ( &dString, " Given a collection of models, calculate aggregate model\n NB: not implemented\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Aggregate(vtkDataObjectCollection *, vtkMultiBlockDataSet *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrderStatistics" );
    /* Closing for Aggregate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
