// tcl wrapper for vtkPKMeansStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPKMeansStatistics.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPKMeansStatisticsNewCommand()
{
  vtkPKMeansStatistics *temp = vtkPKMeansStatistics::New();
  return static_cast<ClientData>(temp);
}

int vtkKMeansStatisticsCppCommand(vtkKMeansStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPKMeansStatisticsCppCommand(vtkPKMeansStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPKMeansStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPKMeansStatisticsCppCommand(static_cast<vtkPKMeansStatistics *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPKMeansStatisticsCppCommand(vtkPKMeansStatistics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPKMeansStatistics",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkKMeansStatisticsCppCommand(static_cast<vtkKMeansStatistics *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkKMeansStatistics"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPKMeansStatistics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKMeansStatistics");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPKMeansStatistics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKMeansStatistics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPKMeansStatistics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPKMeansStatistics");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("UpdateClusterCenters",argv[1]))&&(argc == 10))
    {
    vtkTable  *temp0;
    vtkTable  *temp1;
    vtkIdTypeArray  *temp2;
    vtkIdTypeArray  *temp3;
    vtkDoubleArray  *temp4;
    vtkIdTypeArray  *temp5;
    vtkIdTypeArray  *temp6;
    vtkIntArray  *temp7;
    error = 0;

    temp0 = (vtkTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTable"),interp,error));
    temp1 = (vtkTable *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTable"),interp,error));
    temp2 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp3 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp4 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkDoubleArray"),interp,error));
    temp5 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp6 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[8],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp7 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[9],const_cast<char *>("vtkIntArray"),interp,error));
    if (!error)
    {
    op->UpdateClusterCenters(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfObservations",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTotalNumberOfObservations(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateInitialClusterCenters",argv[1]))&&(argc == 7))
    {
    vtkIdType   temp0;
    vtkIdTypeArray  *temp1;
    vtkTable  *temp2;
    vtkTable  *temp3;
    vtkTable  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp2 = (vtkTable *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkTable"),interp,error));
    temp3 = (vtkTable *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkTable"),interp,error));
    temp4 = (vtkTable *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkTable"),interp,error));
    if (!error)
    {
    op->CreateInitialClusterCenters(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPKMeansStatisticsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKMeansStatisticsCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPKMeansStatistics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  UpdateClusterCenters\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfObservations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateInitialClusterCenters\t with 5 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkKMeansStatisticsCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    Tcl_DStringAppendElement ( &dString, "UpdateClusterCenters" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfObservations" );
    Tcl_DStringAppendElement ( &dString, "CreateInitialClusterCenters" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkKMeansStatisticsCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPKMeansStatistics *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetController */
    if ( strcmp ( argv[2], "SetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetController */
    Tcl_DStringAppendElement ( &dString, " Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetController(vtkMultiProcessController *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for SetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetController */
    if ( strcmp ( argv[2], "GetController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetController */
    Tcl_DStringAppendElement ( &dString, " Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *GetController();" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for GetController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateClusterCenters */
    if ( strcmp ( argv[2], "UpdateClusterCenters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateClusterCenters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDoubleArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateClusterCenters */
    Tcl_DStringAppendElement ( &dString, " Subroutine to update new cluster centers from the old centers.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateClusterCenters(vtkTable *newClusterElements, vtkTable *curClusterElements, vtkIdTypeArray *numMembershipChanges, vtkIdTypeArray *numElementsInCluster, vtkDoubleArray *error, vtkIdTypeArray *startRunID, vtkIdTypeArray *endRunID, vtkIntArray *computeRun);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for UpdateClusterCenters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfObservations */
    if ( strcmp ( argv[2], "GetTotalNumberOfObservations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfObservations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfObservations */
    Tcl_DStringAppendElement ( &dString, " Subroutine to get the total number of data objects.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetTotalNumberOfObservations(vtkIdType numObservations);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for GetTotalNumberOfObservations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateInitialClusterCenters */
    if ( strcmp ( argv[2], "CreateInitialClusterCenters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateInitialClusterCenters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringAppendElement ( &dString, "vtkTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateInitialClusterCenters */
    Tcl_DStringAppendElement ( &dString, " Subroutine to initialize cluster centerss if not provided by the user.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateInitialClusterCenters(vtkIdType numToAllocate, vtkIdTypeArray *numberOfClusters, vtkTable *inData, vtkTable *curClusterElements, vtkTable *newClusterElements);" );
    Tcl_DStringAppendElement ( &dString, "vtkPKMeansStatistics" );
    /* Closing for CreateInitialClusterCenters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkKMeansStatisticsCppCommand(static_cast<vtkKMeansStatistics *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
