// java wrapper for vtkSCurveSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSCurveSpline.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSpline_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSCurveSpline_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSCurveSpline",dType)) { return me; }
  if ((res= vtkSpline_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSCurveSpline_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSCurveSpline *op;
  const char    *temp20;

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSCurveSpline_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSCurveSpline *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSCurveSpline_Compute_12(JNIEnv *env, jobject obj)
{
  vtkSCurveSpline *op;

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->Compute();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSCurveSpline_Evaluate_13(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSCurveSpline *op;
  double   temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Evaluate(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSCurveSpline_DeepCopy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSCurveSpline *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSCurveSpline_SetNodeWeight_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkSCurveSpline *op;
  double   temp0;
  temp0 = id0;

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNodeWeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkSCurveSpline_GetNodeWeight_16(JNIEnv *env, jobject obj)
{
  vtkSCurveSpline *op;
  double   temp20;

  op = (vtkSCurveSpline *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNodeWeight();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSCurveSpline_VTKInit(JNIEnv *, jobject)
{
  vtkSCurveSpline *aNewOne = vtkSCurveSpline::New();
  return (jlong)(size_t)(void*)aNewOne;
}
