// java wrapper for vtkStackedTreeLayoutStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStackedTreeLayoutStrategy.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAreaLayoutStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStackedTreeLayoutStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStackedTreeLayoutStrategy",dType)) { return me; }
  if ((res= vtkAreaLayoutStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  const char    *temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStackedTreeLayoutStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_Layout_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkStackedTreeLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->Layout(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_LayoutEdgePoints_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkStackedTreeLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  vtkTree  *temp3;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->LayoutEdgePoints(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetInteriorRadius_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteriorRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetInteriorRadius_15(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteriorRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetRingThickness_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRingThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetRingThickness_17(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRingThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetRootStartAngle_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRootStartAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetRootStartAngle_19(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRootStartAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetRootEndAngle_110(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRootEndAngle(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetRootEndAngle_111(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRootEndAngle();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetUseRectangularCoordinates_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStackedTreeLayoutStrategy *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRectangularCoordinates(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetUseRectangularCoordinates_113(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  bool   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRectangularCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOn_114(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_UseRectangularCoordinatesOff_115(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetReverse_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStackedTreeLayoutStrategy *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReverse(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetReverse_117(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  bool   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReverse();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_ReverseOn_118(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_ReverseOff_119(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ReverseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_SetInteriorLogSpacingValue_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteriorLogSpacingValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_GetInteriorLogSpacingValue_121(JNIEnv *env, jobject obj)
{
  vtkStackedTreeLayoutStrategy *op;
  double   temp20;

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteriorLogSpacingValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_FindVertex_122(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2)
{
  vtkStackedTreeLayoutStrategy *op;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  float  temp2[2];
  void *tempArray2;
  vtkIdType   temp20;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];

  op = (vtkStackedTreeLayoutStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FindVertex(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStackedTreeLayoutStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkStackedTreeLayoutStrategy *aNewOne = vtkStackedTreeLayoutStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
