// java wrapper for vtkTreeMapToPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapToPolyData.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapToPolyData_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapToPolyData",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapToPolyData_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeMapToPolyData *op;
  const char    *temp20;

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapToPolyData_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapToPolyData *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapToPolyData_SetRectanglesArrayName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRectanglesArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapToPolyData_SetLevelArrayName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapToPolyData *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeMapToPolyData_GetLevelDeltaZ_14(JNIEnv *env, jobject obj)
{
  vtkTreeMapToPolyData *op;
  double   temp20;

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevelDeltaZ();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapToPolyData_SetLevelDeltaZ_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeMapToPolyData *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevelDeltaZ(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeMapToPolyData_GetAddNormals_16(JNIEnv *env, jobject obj)
{
  vtkTreeMapToPolyData *op;
  bool   temp20;

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAddNormals();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapToPolyData_SetAddNormals_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeMapToPolyData *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAddNormals(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapToPolyData_FillInputPortInformation_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkTreeMapToPolyData *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTreeMapToPolyData *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeMapToPolyData_VTKInit(JNIEnv *, jobject)
{
  vtkTreeMapToPolyData *aNewOne = vtkTreeMapToPolyData::New();
  return (jlong)(size_t)(void*)aNewOne;
}
