// java wrapper for vtkCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCommunicator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCommunicator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCommunicator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCommunicator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;
  const char    *temp20;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCommunicator_SetNumberOfProcesses_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfProcesses(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GetNumberOfProcesses_13(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;
  int      temp20;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfProcesses();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GetLocalProcessId_14(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;
  int      temp20;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocalProcessId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_15(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_16(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Send_17(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_18(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCommunicator_ReceiveDataObject_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkCommunicator *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReceiveDataObject(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_110(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Receive_111(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GetCount_112(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;
  vtkIdType   temp20;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCommunicator_Barrier_113(JNIEnv *env, jobject obj)
{
  vtkCommunicator *op;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->Barrier();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Broadcast_114(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkCommunicator *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Broadcast_115(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Broadcast_116(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Gather_117(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Gather(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Gather_118(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Gather(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GatherV_119(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GatherV(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Scatter_120(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Scatter(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Scatter_121(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Scatter(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_AllGather_122(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkCommunicator *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGather(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_AllGather_123(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGather(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_AllGatherV_124(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGatherV(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Reduce_125(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3,jint id4)
{
  vtkCommunicator *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Reduce(temp0,temp1,temp2,temp3,temp4);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_Reduce_126(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Reduce(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_AllReduce_127(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkCommunicator *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllReduce(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_AllReduce_128(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkCommunicator *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllReduce(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCommunicator_SetUseCopy_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GetParentProcessor_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkCommunicator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParentProcessor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_GetLeftChildProcessor_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkCommunicator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLeftChildProcessor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_MarshalDataObject_132(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCommunicator *op;
  vtkDataObject  *temp0;
  vtkCharArray  *temp1;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkCharArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MarshalDataObject(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCommunicator_UnMarshalDataObject_133(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCommunicator *op;
  vtkCharArray  *temp0;
  vtkDataObject  *temp1;
  int      temp20;
  temp0 = (vtkCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UnMarshalDataObject(temp0,temp1);
  return temp20;
}
