// tcl wrapper for vtkCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCommunicator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCommunicatorCppCommand(vtkCommunicator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCommunicatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCommunicatorCppCommand(static_cast<vtkCommunicator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCommunicatorCppCommand(vtkCommunicator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCommunicator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCommunicator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCommunicator");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfProcesses",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProcesses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLocalProcessId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLocalProcessId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 5))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 5))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReceiveDataObject",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReceiveDataObject(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCount",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Barrier",argv[1]))&&(argc == 2))
    {
    op->Barrier();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 4))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Gather",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Gather(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Gather",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Gather(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GatherV",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GatherV(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scatter",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Scatter(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scatter",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Scatter(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGather",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AllGather(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGather",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AllGather(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGatherV",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AllGatherV(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reduce",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->Reduce(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reduce",argv[1]))&&(argc == 6))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Reduce(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllReduce",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->AllReduce(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllReduce",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AllReduce(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseCopy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParentProcessor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParentProcessor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftChildProcessor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLeftChildProcessor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MarshalDataObject",argv[1]))&&(argc == 4))
    {
    vtkDataObject  *temp0;
    vtkCharArray  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    temp1 = (vtkCharArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkCharArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->MarshalDataObject(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnMarshalDataObject",argv[1]))&&(argc == 4))
    {
    vtkCharArray  *temp0;
    vtkDataObject  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkCharArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCharArray"),interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->UnMarshalDataObject(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCommunicatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCommunicator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProcesses\n",NULL);
    Tcl_AppendResult(interp,"  GetLocalProcessId\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReceiveDataObject\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCount\n",NULL);
    Tcl_AppendResult(interp,"  Barrier\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Gather\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Gather\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GatherV\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Scatter\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Scatter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGather\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGather\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGatherV\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Reduce\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Reduce\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AllReduce\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AllReduce\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParentProcessor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftChildProcessor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MarshalDataObject\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UnMarshalDataObject\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProcesses" );
    Tcl_DStringAppendElement ( &dString, "GetLocalProcessId" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "ReceiveDataObject" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "GetCount" );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    Tcl_DStringAppendElement ( &dString, "GatherV" );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    Tcl_DStringAppendElement ( &dString, "AllGatherV" );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    Tcl_DStringAppendElement ( &dString, "SetUseCopy" );
    Tcl_DStringAppendElement ( &dString, "GetParentProcessor" );
    Tcl_DStringAppendElement ( &dString, "GetLeftChildProcessor" );
    Tcl_DStringAppendElement ( &dString, "MarshalDataObject" );
    Tcl_DStringAppendElement ( &dString, "UnMarshalDataObject" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfProcesses */
    if ( strcmp ( argv[2], "SetNumberOfProcesses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfProcesses */
    Tcl_DStringAppendElement ( &dString, " Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfProcesses(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for SetNumberOfProcesses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfProcesses */
    if ( strcmp ( argv[2], "GetNumberOfProcesses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProcesses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfProcesses */
    Tcl_DStringAppendElement ( &dString, " Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfProcesses();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetNumberOfProcesses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocalProcessId */
    if ( strcmp ( argv[2], "GetLocalProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocalProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocalProcessId */
    Tcl_DStringAppendElement ( &dString, " Tells you which process \\[0, NumProcess) you are in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLocalProcessId();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetLocalProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " This method sends a data object to a destination.\n Tag eliminates ambiguity\n and is used to match sends to receives.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(vtkDataObject *data, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " This method sends a data array to a destination.\n Tag eliminates ambiguity\n and is used to match sends to receives.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(vtkDataArray *data, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for sending data arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(const char *data, vtkIdType length, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " This method receives a data object from a corresponding send. It blocks\n until the receive is finished.\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(vtkDataObject *data, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReceiveDataObject */
    if ( strcmp ( argv[2], "ReceiveDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReceiveDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReceiveDataObject */
    Tcl_DStringAppendElement ( &dString, " The caller does not have to know the data type before this call is made.\n It returns the newly created object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *ReceiveDataObject(int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for ReceiveDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " This method receives a data array from a corresponding send. It blocks\n until the receive is finished.\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(vtkDataArray *data, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for receiving data arrays.\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(char *data, vtkIdType maxlength, int remoteHandle, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCount */
    if ( strcmp ( argv[2], "GetCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCount */
    Tcl_DStringAppendElement ( &dString, " Returns the number of words received by the most recent Receive().\n Note that this is not the number of bytes received, but the number of items\n of the data-type received by the most recent Receive() eg. if\n Receive(int*,..) was used, then this returns the number of ints received;\n if Receive(double*,..) was used, then this returns the number of doubles\n received etc. The return value is valid only after a successful Receive().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Barrier */
    if ( strcmp ( argv[2], "Barrier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Barrier */
    Tcl_DStringAppendElement ( &dString, " Will block the processes until all other processes reach the Barrier\n function.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Barrier();" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Barrier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(char *data, vtkIdType length, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(vtkDataObject *data, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(vtkDataArray *data, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Gather */
    if ( strcmp ( argv[2], "Gather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Gather */
    Tcl_DStringAppendElement ( &dString, " Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse oper ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Gather(const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Gather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Gather */
    if ( strcmp ( argv[2], "Gather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Gather */
    Tcl_DStringAppendElement ( &dString, " Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse oper ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Gather(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Gather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GatherV */
    if ( strcmp ( argv[2], "GatherV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GatherV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GatherV */
    Tcl_DStringAppendElement ( &dString, " GatherV is the vector variant of Gather.  It extends the functionality of\n Gather by allowing a varying count of data from each process.\n GatherV collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c sendLength argument\n defines how much the local process sends to \\c d ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GatherV(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GatherV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scatter */
    if ( strcmp ( argv[2], "Scatter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scatter */
    Tcl_DStringAppendElement ( &dString, " Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n" );
    Tcl_DStringAppendElement ( &dString, "int Scatter(const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Scatter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scatter */
    if ( strcmp ( argv[2], "Scatter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scatter */
    Tcl_DStringAppendElement ( &dString, " Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n" );
    Tcl_DStringAppendElement ( &dString, "int Scatter(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Scatter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGather */
    if ( strcmp ( argv[2], "AllGather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGather */
    Tcl_DStringAppendElement ( &dString, " Same as gather except that the result ends up on all processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGather(const char *sendBuffer, char *recvBuffer, vtkIdType length);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for AllGather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGather */
    if ( strcmp ( argv[2], "AllGather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGather */
    Tcl_DStringAppendElement ( &dString, " Same as gather except that the result ends up on all processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGather(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for AllGather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGatherV */
    if ( strcmp ( argv[2], "AllGatherV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGatherV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGatherV */
    Tcl_DStringAppendElement ( &dString, " Same as GatherV except that the result is placed in all processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGatherV(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for AllGatherV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reduce */
    if ( strcmp ( argv[2], "Reduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reduce */
    Tcl_DStringAppendElement ( &dString, " Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int Reduce(const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Reduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reduce */
    if ( strcmp ( argv[2], "Reduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reduce */
    Tcl_DStringAppendElement ( &dString, " Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int Reduce(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for Reduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllReduce */
    if ( strcmp ( argv[2], "AllReduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllReduce */
    Tcl_DStringAppendElement ( &dString, " Same as Reduce except that the result is placed in all of the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllReduce(const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for AllReduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllReduce */
    if ( strcmp ( argv[2], "AllReduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllReduce */
    Tcl_DStringAppendElement ( &dString, " Same as Reduce except that the result is placed in all of the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllReduce(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for AllReduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCopy */
    if ( strcmp ( argv[2], "SetUseCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCopy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static void SetUseCopy(int useCopy);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for SetUseCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParentProcessor */
    if ( strcmp ( argv[2], "GetParentProcessor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParentProcessor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParentProcessor */
    Tcl_DStringAppendElement ( &dString, " Some helper functions when dealing with heap tree - based\n algorthims - we don't need a function for getting the right\n processor since it is 1 + theLeftProcessor\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetParentProcessor(int pid);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetParentProcessor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftChildProcessor */
    if ( strcmp ( argv[2], "GetLeftChildProcessor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftChildProcessor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftChildProcessor */
    Tcl_DStringAppendElement ( &dString, " Some helper functions when dealing with heap tree - based\n algorthims - we don't need a function for getting the right\n processor since it is 1 + theLeftProcessor\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetLeftChildProcessor(int pid);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for GetLeftChildProcessor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MarshalDataObject */
    if ( strcmp ( argv[2], "MarshalDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MarshalDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "vtkCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MarshalDataObject */
    Tcl_DStringAppendElement ( &dString, " Convert a data object into a string that can be transmitted and vice versa.\n Returns 1 for success and 0 for failure.\n WARNING: This will only work for types that have a vtkDataWriter class.\n" );
    Tcl_DStringAppendElement ( &dString, "static int MarshalDataObject(vtkDataObject *object, vtkCharArray *buffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for MarshalDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnMarshalDataObject */
    if ( strcmp ( argv[2], "UnMarshalDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnMarshalDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCharArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnMarshalDataObject */
    Tcl_DStringAppendElement ( &dString, " Convert a data object into a string that can be transmitted and vice versa.\n Returns 1 for success and 0 for failure.\n WARNING: This will only work for types that have a vtkDataWriter class.\n" );
    Tcl_DStringAppendElement ( &dString, "static int UnMarshalDataObject(vtkCharArray *buffer, vtkDataObject *object);" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator" );
    /* Closing for UnMarshalDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
