// java wrapper for vtkCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositer *op;
  const char    *temp20;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_CompositeBuffer_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkCompositer *op;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->CompositeBuffer(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_SetController_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositer *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositer_GetController_14(JNIEnv *env, jobject obj)
{
  vtkCompositer *op;
  vtkMultiProcessController  *temp20;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_SetNumberOfProcesses_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfProcesses(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositer_GetNumberOfProcesses_16(JNIEnv *env, jobject obj)
{
  vtkCompositer *op;
  int      temp20;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfProcesses();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_DeleteArray_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositer *op;
  vtkDataArray  *temp0;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->DeleteArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_ResizeFloatArray_18(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCompositer *op;
  vtkFloatArray  *temp0;
  int      temp1;
  vtkIdType   temp2;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResizeFloatArray(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositer_ResizeUnsignedCharArray_19(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkCompositer *op;
  vtkUnsignedCharArray  *temp0;
  int      temp1;
  vtkIdType   temp2;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResizeUnsignedCharArray(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositer_VTKInit(JNIEnv *, jobject)
{
  vtkCompositer *aNewOne = vtkCompositer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
