// java wrapper for vtkCompressCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompressCompositer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompressCompositer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompressCompositer",dType)) { return me; }
  if ((res= vtkCompositer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompressCompositer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompressCompositer *op;
  const char    *temp20;

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompressCompositer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompressCompositer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompressCompositer_CompositeBuffer_12(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkCompressCompositer *op;
  vtkDataArray  *temp0;
  vtkFloatArray  *temp1;
  vtkDataArray  *temp2;
  vtkFloatArray  *temp3;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->CompositeBuffer(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompressCompositer_Compress_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkCompressCompositer *op;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->Compress(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompressCompositer_Uncompress_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jint id4)
{
  vtkCompressCompositer *op;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  int      temp4;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = id4;

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->Uncompress(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompressCompositer_CompositeImagePair_15(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5)
{
  vtkCompressCompositer *op;
  vtkFloatArray  *temp0;
  vtkDataArray  *temp1;
  vtkFloatArray  *temp2;
  vtkDataArray  *temp3;
  vtkFloatArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3));
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkCompressCompositer *)vtkJavaGetPointerFromObject(env,obj);
  op->CompositeImagePair(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompressCompositer_VTKInit(JNIEnv *, jobject)
{
  vtkCompressCompositer *aNewOne = vtkCompressCompositer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
