// java wrapper for vtkDistributedDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedDataFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDistributedDataFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDistributedDataFilter",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetController_10(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistributedDataFilter *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedDataFilter_GetController_11(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  vtkMultiProcessController  *temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedDataFilter_GetKdtree_12(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  vtkPKdTree  *temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetKdtree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_RetainKdtreeOn_13(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RetainKdtreeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_RetainKdtreeOff_14(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RetainKdtreeOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetRetainKdtree_15(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRetainKdtree();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetRetainKdtree_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRetainKdtree(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_IncludeAllIntersectingCellsOn_17(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeAllIntersectingCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_IncludeAllIntersectingCellsOff_18(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->IncludeAllIntersectingCellsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetIncludeAllIntersectingCells_19(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIncludeAllIntersectingCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetIncludeAllIntersectingCells_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIncludeAllIntersectingCells(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_ClipCellsOn_111(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipCellsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_ClipCellsOff_112(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->ClipCellsOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetClipCells_113(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClipCells();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetClipCells_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClipCells(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryMode_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundaryMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToAssignToOneRegion_116(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundaryModeToAssignToOneRegion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToAssignToAllIntersectingRegions_117(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundaryModeToAssignToAllIntersectingRegions();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetBoundaryModeToSplitBoundaryCells_118(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBoundaryModeToSplitBoundaryCells();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetBoundaryMode_119(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBoundaryMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_UseMinimalMemoryOn_120(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseMinimalMemoryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_UseMinimalMemoryOff_121(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->UseMinimalMemoryOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetUseMinimalMemory_122(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseMinimalMemory();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetUseMinimalMemory_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseMinimalMemory(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_TimingOn_124(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->TimingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_TimingOff_125(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->TimingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetTiming_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkDistributedDataFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTiming(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDistributedDataFilter_GetTiming_127(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  int      temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTiming();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDistributedDataFilter_GetCuts_128(JNIEnv *env, jobject obj)
{
  vtkDistributedDataFilter *op;
  vtkBSPCuts  *temp20;

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCuts();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDistributedDataFilter_SetCuts_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDistributedDataFilter *op;
  vtkBSPCuts  *temp0;
  temp0 = (vtkBSPCuts *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDistributedDataFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCuts(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDistributedDataFilter_VTKInit(JNIEnv *, jobject)
{
  vtkDistributedDataFilter *aNewOne = vtkDistributedDataFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
