// java wrapper for vtkMultiProcessController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiProcessController.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiProcessController_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiProcessController",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiProcessController_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  const char    *temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiProcessController *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Finalize_12(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Finalize_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetNumberOfProcesses_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfProcesses(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetNumberOfProcesses_15(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfProcesses();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetSingleProcessObject_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiProcessController *op;
  vtkProcess  *temp0;
  temp0 = (vtkProcess *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSingleProcessObject(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SingleMethodExecute_17(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->SingleMethodExecute();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_MultipleMethodExecute_18(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->MultipleMethodExecute();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetLocalProcessId_19(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLocalProcessId();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiProcessController_GetGlobalController_110(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  vtkMultiProcessController  *temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGlobalController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_CreateOutputWindow_111(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateOutputWindow();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiProcessController_CreateSubController_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiProcessController *op;
  vtkProcessGroup  *temp0;
  vtkMultiProcessController  *temp20;
  temp0 = (vtkProcessGroup *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateSubController(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiProcessController_PartitionController_113(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp1;
  vtkMultiProcessController  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PartitionController(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_RemoveFirstRMI_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveFirstRMI(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_RemoveRMI_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
   unsigned long     temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveRMI(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_RemoveAllRMICallbacks_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllRMICallbacks(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMultiProcessController_RemoveRMICallback_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
   unsigned long     temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RemoveRMICallback(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerBreakRMIs_118(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerBreakRMIs();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMI_119(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2)
{
  vtkMultiProcessController *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerRMI(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMI_120(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerRMI(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMIOnAllChildren_121(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMultiProcessController *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerRMIOnAllChildren(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_TriggerRMIOnAllChildren_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->TriggerRMIOnAllChildren(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_ProcessRMIs_123(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ProcessRMIs(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_ProcessRMIs_124(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ProcessRMIs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetBreakFlag_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiProcessController *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBreakFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetBreakFlag_126(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBreakFlag();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiProcessController_GetCommunicator_127(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  vtkCommunicator  *temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCommunicator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetBreakRMITag_128(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBreakRMITag();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetRMITag_129(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRMITag();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetRMIArgTag_130(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  int      temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRMIArgTag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_Barrier_131(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->Barrier();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiProcessController_SetGlobalController_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMultiProcessController *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGlobalController(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_133(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_134(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Send_135(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Send(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_136(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_137(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Receive_138(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Receive(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMultiProcessController_ReceiveDataObject_139(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMultiProcessController *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReceiveDataObject(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GetCount_140(JNIEnv *env, jobject obj)
{
  vtkMultiProcessController *op;
  vtkIdType   temp20;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Broadcast_141(JNIEnv *env, jobject obj,jstring id0,jint id1,jint id2)
{
  vtkMultiProcessController *op;
  char    *temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Broadcast_142(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkMultiProcessController *op;
  vtkDataObject  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Broadcast_143(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  int      temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Broadcast(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Gather_144(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Gather(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Gather_145(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Gather(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_GatherV_146(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GatherV(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Scatter_147(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Scatter(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Scatter_148(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Scatter(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_AllGather_149(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2)
{
  vtkMultiProcessController *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGather(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_AllGather_150(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGather(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_AllGatherV_151(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllGatherV(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Reduce_152(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3,jint id4)
{
  vtkMultiProcessController *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Reduce(temp0,temp1,temp2,temp3,temp4);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_Reduce_153(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Reduce(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_AllReduce_154(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkMultiProcessController *op;
  char    *temp0;
  char    *temp1;
  vtkIdType   temp2;
  int      temp3;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllReduce(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiProcessController_AllReduce_155(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2)
{
  vtkMultiProcessController *op;
  vtkDataArray  *temp0;
  vtkDataArray  *temp1;
  int      temp2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;

  op = (vtkMultiProcessController *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AllReduce(temp0,temp1,temp2);
  return temp20;
}
