// tcl wrapper for vtkMultiProcessController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiProcessController.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMultiProcessControllerCppCommand(vtkMultiProcessController *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMultiProcessControllerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMultiProcessControllerCppCommand(static_cast<vtkMultiProcessController *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMultiProcessControllerCppCommand(vtkMultiProcessController *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMultiProcessController",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Finalize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfProcesses",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProcesses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSingleProcessObject",argv[1]))&&(argc == 3))
    {
    vtkProcess  *temp0;
    error = 0;

    temp0 = (vtkProcess *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProcess"),interp,error));
    if (!error)
    {
    op->SetSingleProcessObject(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SingleMethodExecute",argv[1]))&&(argc == 2))
    {
    op->SingleMethodExecute();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultipleMethodExecute",argv[1]))&&(argc == 2))
    {
    op->MultipleMethodExecute();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLocalProcessId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLocalProcessId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetGlobalController();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("CreateOutputWindow",argv[1]))&&(argc == 2))
    {
    op->CreateOutputWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateSubController",argv[1]))&&(argc == 3))
    {
    vtkProcessGroup  *temp0;
    vtkMultiProcessController  *temp20;
    error = 0;

    temp0 = (vtkProcessGroup *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProcessGroup"),interp,error));
    if (!error)
    {
    temp20 = (op)->CreateSubController(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
    }
  if ((!strcmp("PartitionController",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkMultiProcessController  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->PartitionController(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMultiProcessController");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveFirstRMI",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemoveFirstRMI(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRMI",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->RemoveRMI(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllRMICallbacks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveAllRMICallbacks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRMICallback",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->RemoveRMICallback(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriggerBreakRMIs",argv[1]))&&(argc == 2))
    {
    op->TriggerBreakRMIs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriggerRMI",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->TriggerRMI(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriggerRMI",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->TriggerRMI(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriggerRMIOnAllChildren",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->TriggerRMIOnAllChildren(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriggerRMIOnAllChildren",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->TriggerRMIOnAllChildren(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ProcessRMIs",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ProcessRMIs(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ProcessRMIs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ProcessRMIs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBreakFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBreakFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBreakFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBreakFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCommunicator",argv[1]))&&(argc == 2))
    {
    vtkCommunicator  *temp20;
    temp20 = (op)->GetCommunicator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCommunicator");
    return TCL_OK;
    }
  if ((!strcmp("GetBreakRMITag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBreakRMITag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRMITag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRMITag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRMIArgTag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRMIArgTag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Barrier",argv[1]))&&(argc == 2))
    {
    op->Barrier();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMultiProcessController"),interp,error));
    if (!error)
    {
    op->SetGlobalController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 5))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Send",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Send(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 5))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Receive",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Receive(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReceiveDataObject",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReceiveDataObject(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCount",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkIdType   temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 4))
    {
    vtkDataObject  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Broadcast",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Broadcast(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Gather",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Gather(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Gather",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Gather(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GatherV",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GatherV(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scatter",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Scatter(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Scatter",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Scatter(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGather",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AllGather(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGather",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AllGather(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllGatherV",argv[1]))&&(argc == 4))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->AllGatherV(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reduce",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp4;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->Reduce(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reduce",argv[1]))&&(argc == 6))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Reduce(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllReduce",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    vtkIdType   temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->AllReduce(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllReduce",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AllReduce(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMultiProcessControllerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMultiProcessController:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProcesses\n",NULL);
    Tcl_AppendResult(interp,"  SetSingleProcessObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SingleMethodExecute\n",NULL);
    Tcl_AppendResult(interp,"  MultipleMethodExecute\n",NULL);
    Tcl_AppendResult(interp,"  GetLocalProcessId\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalController\n",NULL);
    Tcl_AppendResult(interp,"  CreateOutputWindow\n",NULL);
    Tcl_AppendResult(interp,"  CreateSubController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PartitionController\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFirstRMI\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRMI\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllRMICallbacks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRMICallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriggerBreakRMIs\n",NULL);
    Tcl_AppendResult(interp,"  TriggerRMI\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  TriggerRMI\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  TriggerRMIOnAllChildren\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  TriggerRMIOnAllChildren\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ProcessRMIs\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ProcessRMIs\n",NULL);
    Tcl_AppendResult(interp,"  SetBreakFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBreakFlag\n",NULL);
    Tcl_AppendResult(interp,"  GetCommunicator\n",NULL);
    Tcl_AppendResult(interp,"  GetBreakRMITag\n",NULL);
    Tcl_AppendResult(interp,"  GetRMITag\n",NULL);
    Tcl_AppendResult(interp,"  GetRMIArgTag\n",NULL);
    Tcl_AppendResult(interp,"  Barrier\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Send\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Receive\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReceiveDataObject\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCount\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Broadcast\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Gather\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Gather\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GatherV\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Scatter\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Scatter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGather\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGather\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AllGatherV\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Reduce\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Reduce\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AllReduce\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AllReduce\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProcesses" );
    Tcl_DStringAppendElement ( &dString, "SetSingleProcessObject" );
    Tcl_DStringAppendElement ( &dString, "SingleMethodExecute" );
    Tcl_DStringAppendElement ( &dString, "MultipleMethodExecute" );
    Tcl_DStringAppendElement ( &dString, "GetLocalProcessId" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalController" );
    Tcl_DStringAppendElement ( &dString, "CreateOutputWindow" );
    Tcl_DStringAppendElement ( &dString, "CreateSubController" );
    Tcl_DStringAppendElement ( &dString, "PartitionController" );
    Tcl_DStringAppendElement ( &dString, "RemoveFirstRMI" );
    Tcl_DStringAppendElement ( &dString, "RemoveRMI" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRMICallbacks" );
    Tcl_DStringAppendElement ( &dString, "RemoveRMICallback" );
    Tcl_DStringAppendElement ( &dString, "TriggerBreakRMIs" );
    Tcl_DStringAppendElement ( &dString, "TriggerRMI" );
    Tcl_DStringAppendElement ( &dString, "TriggerRMI" );
    Tcl_DStringAppendElement ( &dString, "TriggerRMIOnAllChildren" );
    Tcl_DStringAppendElement ( &dString, "TriggerRMIOnAllChildren" );
    Tcl_DStringAppendElement ( &dString, "ProcessRMIs" );
    Tcl_DStringAppendElement ( &dString, "ProcessRMIs" );
    Tcl_DStringAppendElement ( &dString, "SetBreakFlag" );
    Tcl_DStringAppendElement ( &dString, "GetBreakFlag" );
    Tcl_DStringAppendElement ( &dString, "GetCommunicator" );
    Tcl_DStringAppendElement ( &dString, "GetBreakRMITag" );
    Tcl_DStringAppendElement ( &dString, "GetRMITag" );
    Tcl_DStringAppendElement ( &dString, "GetRMIArgTag" );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalController" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Send" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    Tcl_DStringAppendElement ( &dString, "ReceiveDataObject" );
    Tcl_DStringAppendElement ( &dString, "GetCount" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    Tcl_DStringAppendElement ( &dString, "GatherV" );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    Tcl_DStringAppendElement ( &dString, "AllGatherV" );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " This method is for cleaning up.\n If a subclass needs to clean up process communication (i.e. MPI)\n it would over ride this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Finalize() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " This method is for cleaning up.\n If a subclass needs to clean up process communication (i.e. MPI)\n it would over ride this method.  Provided for finalization outside vtk.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Finalize(int finalizedExternally) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfProcesses */
    if ( strcmp ( argv[2], "SetNumberOfProcesses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfProcesses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfProcesses */
    Tcl_DStringAppendElement ( &dString, " Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfProcesses(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for SetNumberOfProcesses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfProcesses */
    if ( strcmp ( argv[2], "GetNumberOfProcesses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfProcesses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfProcesses */
    Tcl_DStringAppendElement ( &dString, " Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfProcesses();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetNumberOfProcesses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSingleProcessObject */
    if ( strcmp ( argv[2], "SetSingleProcessObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSingleProcessObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProcess" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSingleProcessObject */
    Tcl_DStringAppendElement ( &dString, " Object-oriented flavor of SetSingleMethod(). Instead of passing\n some function pointer and user data, a vtkProcess object is passed\n where the method to execute is Execute() and the data the object itself.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSingleProcessObject(vtkProcess *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for SetSingleProcessObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SingleMethodExecute */
    if ( strcmp ( argv[2], "SingleMethodExecute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SingleMethodExecute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SingleMethodExecute */
    Tcl_DStringAppendElement ( &dString, " Execute the SingleMethod (as define by SetSingleMethod) using\n this->NumberOfProcesses processes.  This will only return when\n all the processes finish executing their methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SingleMethodExecute() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for SingleMethodExecute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MultipleMethodExecute */
    if ( strcmp ( argv[2], "MultipleMethodExecute" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MultipleMethodExecute" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MultipleMethodExecute */
    Tcl_DStringAppendElement ( &dString, " Execute the MultipleMethods (as define by calling SetMultipleMethod\n for each of the required this->NumberOfProcesses methods) using\n this->NumberOfProcesses processes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MultipleMethodExecute() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for MultipleMethodExecute */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLocalProcessId */
    if ( strcmp ( argv[2], "GetLocalProcessId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLocalProcessId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLocalProcessId */
    Tcl_DStringAppendElement ( &dString, " Tells you which process \\[0, NumProcess) you are in.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLocalProcessId();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetLocalProcessId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalController */
    if ( strcmp ( argv[2], "GetGlobalController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalController */
    Tcl_DStringAppendElement ( &dString, " This convenience method returns the controller associated with the \n local process.  It returns NULL until the processes are spawned.\n It is better if you hang on to the controller passed as an argument to the\n SingleMethod or MultipleMethod functions.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkMultiProcessController *GetGlobalController();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetGlobalController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateOutputWindow */
    if ( strcmp ( argv[2], "CreateOutputWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateOutputWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateOutputWindow */
    Tcl_DStringAppendElement ( &dString, " This method can be used to tell the controller to create\n a special output window in which all messages are preceded\n by the process id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateOutputWindow() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for CreateOutputWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateSubController */
    if ( strcmp ( argv[2], "CreateSubController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateSubController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProcessGroup" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateSubController */
    Tcl_DStringAppendElement ( &dString, " Creates a new controller with the processes specified by the given group.\n The new controller will already be initialized for you.  You are\n responsible for deleting the controller once you are done.  It is invalid\n to pass this method a group with a different communicator than is used by\n this controller.  This operation is collective accross all processes\n defined in the group.  It is undefined what will happen if the group is not\n the same on all processes.  This m ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *CreateSubController(vtkProcessGroup *group);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for CreateSubController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PartitionController */
    if ( strcmp ( argv[2], "PartitionController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PartitionController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PartitionController */
    Tcl_DStringAppendElement ( &dString, " Partitions this controller based on a coloring.  That is, each process\n passes in a color.  All processes with the same color are grouped into the\n same partition.  The processes are ordered by their self-assigned key.\n Lower keys have lower process ids.  Ties are broken by the current process\n ids.  (For example, if all the keys are 0, then the resulting processes\n will be ordered in the same way.)  This method returns a new controller to\n each process that represent ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkMultiProcessController *PartitionController(int localColor, int localKey);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for PartitionController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFirstRMI */
    if ( strcmp ( argv[2], "RemoveFirstRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFirstRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFirstRMI */
    Tcl_DStringAppendElement ( &dString, " Remove the first RMI matching the tag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RemoveFirstRMI(int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for RemoveFirstRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRMI */
    if ( strcmp ( argv[2], "RemoveRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRMI */
    Tcl_DStringAppendElement ( &dString, " Remove the  RMI matching the id. The id is the same id returned by\n AddRMI().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RemoveRMI(unsigned long id);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for RemoveRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllRMICallbacks */
    if ( strcmp ( argv[2], "RemoveAllRMICallbacks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRMICallbacks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllRMICallbacks */
    Tcl_DStringAppendElement ( &dString, " These methods are a part of the newer API to add multiple rmi callbacks.\n When the RMI is triggered, all the callbacks are called\n Removes all callbacks for the tag.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllRMICallbacks(int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for RemoveAllRMICallbacks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRMICallback */
    if ( strcmp ( argv[2], "RemoveRMICallback" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRMICallback" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRMICallback */
    Tcl_DStringAppendElement ( &dString, " Remove a callback. Returns true is the remove was successful.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool RemoveRMICallback(unsigned long id);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for RemoveRMICallback */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerBreakRMIs */
    if ( strcmp ( argv[2], "TriggerBreakRMIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerBreakRMIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerBreakRMIs */
    Tcl_DStringAppendElement ( &dString, " A conveniance method.  Called on process 0 to break \"ProcessRMIs\" loop\n on all other processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriggerBreakRMIs();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for TriggerBreakRMIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerRMI */
    if ( strcmp ( argv[2], "TriggerRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerRMI */
    Tcl_DStringAppendElement ( &dString, " Convenience method when the arg is a string. \n" );
    Tcl_DStringAppendElement ( &dString, "void TriggerRMI(int remoteProcessId, const char *arg, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for TriggerRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerRMI */
    if ( strcmp ( argv[2], "TriggerRMI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerRMI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerRMI */
    Tcl_DStringAppendElement ( &dString, " Convenience method when there is no argument.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriggerRMI(int remoteProcessId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for TriggerRMI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerRMIOnAllChildren */
    if ( strcmp ( argv[2], "TriggerRMIOnAllChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerRMIOnAllChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerRMIOnAllChildren */
    Tcl_DStringAppendElement ( &dString, " This is a convenicence method to trigger an RMI call on all the \"children\"\n of the current node. The children of the current node can be determined by\n drawing a binary tree starting at node 0 and then assigned nodes ids\n incrementally in a breadth-first fashion from left to right. This is\n designed to be used when trigger an RMI call on all satellites from the\n root node.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriggerRMIOnAllChildren(const char *arg, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for TriggerRMIOnAllChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriggerRMIOnAllChildren */
    if ( strcmp ( argv[2], "TriggerRMIOnAllChildren" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriggerRMIOnAllChildren" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriggerRMIOnAllChildren */
    Tcl_DStringAppendElement ( &dString, " This is a convenicence method to trigger an RMI call on all the \"children\"\n of the current node. The children of the current node can be determined by\n drawing a binary tree starting at node 0 and then assigned nodes ids\n incrementally in a breadth-first fashion from left to right. This is\n designed to be used when trigger an RMI call on all satellites from the\n root node.\n" );
    Tcl_DStringAppendElement ( &dString, "void TriggerRMIOnAllChildren(int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for TriggerRMIOnAllChildren */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessRMIs */
    if ( strcmp ( argv[2], "ProcessRMIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessRMIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessRMIs */
    Tcl_DStringAppendElement ( &dString, " Calling this method gives control to the controller to start\n processing RMIs. Possible return values are:\n RMI_NO_ERROR,\n RMI_TAG_ERROR : rmi tag could not be received,\n RMI_ARG_ERROR : rmi arg could not be received.\n If reportErrors is false, no vtkErrorMacro is called.\n ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.\n If dont_loop is 1, this call just process one RMI message\n and exits.\n" );
    Tcl_DStringAppendElement ( &dString, "int ProcessRMIs(int reportErrors, int dont_loop=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for ProcessRMIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessRMIs */
    if ( strcmp ( argv[2], "ProcessRMIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessRMIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessRMIs */
    Tcl_DStringAppendElement ( &dString, " Calling this method gives control to the controller to start\n processing RMIs. Possible return values are:\n RMI_NO_ERROR,\n RMI_TAG_ERROR : rmi tag could not be received,\n RMI_ARG_ERROR : rmi arg could not be received.\n If reportErrors is false, no vtkErrorMacro is called.\n ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.\n If dont_loop is 1, this call just process one RMI message\n and exits.\n" );
    Tcl_DStringAppendElement ( &dString, "int ProcessRMIs();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for ProcessRMIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBreakFlag */
    if ( strcmp ( argv[2], "SetBreakFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBreakFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBreakFlag */
    Tcl_DStringAppendElement ( &dString, " Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBreakFlag(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for SetBreakFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBreakFlag */
    if ( strcmp ( argv[2], "GetBreakFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBreakFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBreakFlag */
    Tcl_DStringAppendElement ( &dString, " Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBreakFlag();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetBreakFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCommunicator */
    if ( strcmp ( argv[2], "GetCommunicator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCommunicator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCommunicator */
    Tcl_DStringAppendElement ( &dString, " Returns the communicator associated with this controller.\n A default communicator is created in constructor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCommunicator *GetCommunicator();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetCommunicator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBreakRMITag */
    if ( strcmp ( argv[2], "GetBreakRMITag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBreakRMITag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBreakRMITag */
    Tcl_DStringAppendElement ( &dString, " Accessor to some default tags.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetBreakRMITag();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetBreakRMITag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRMITag */
    if ( strcmp ( argv[2], "GetRMITag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRMITag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRMITag */
    Tcl_DStringAppendElement ( &dString, " Accessor to some default tags.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetRMITag();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetRMITag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRMIArgTag */
    if ( strcmp ( argv[2], "GetRMIArgTag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRMIArgTag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRMIArgTag */
    Tcl_DStringAppendElement ( &dString, " Accessor to some default tags.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetRMIArgTag();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetRMIArgTag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Barrier */
    if ( strcmp ( argv[2], "Barrier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Barrier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Barrier */
    Tcl_DStringAppendElement ( &dString, " This method can be used to synchronize processes.\n" );
    Tcl_DStringAppendElement ( &dString, "void Barrier();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Barrier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalController */
    if ( strcmp ( argv[2], "SetGlobalController" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalController" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalController */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalController(vtkMultiProcessController *controller);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for SetGlobalController */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n It is recommended to use custom tag number over 100.\n vtkMultiProcessController has reserved tags between 1 and 4.\n vtkCommunicator has reserved tags between 10 and 16.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(const char *data, vtkIdType length, int remoteProcessId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n It is recommended to use custom tag number over 100.\n vtkMultiProcessController has reserved tags between 1 and 4.\n vtkCommunicator has reserved tags between 10 and 16.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(vtkDataObject *data, int remoteId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Send */
    if ( strcmp ( argv[2], "Send" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Send" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Send */
    Tcl_DStringAppendElement ( &dString, " This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n It is recommended to use custom tag number over 100.\n vtkMultiProcessController has reserved tags between 1 and 4.\n vtkCommunicator has reserved tags between 10 and 16.\n" );
    Tcl_DStringAppendElement ( &dString, "int Send(vtkDataArray *data, int remoteId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Send */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data. In the overrloads that take in a \\c\n maxlength argument, this length is the maximum length of the message to\n receive. If the maxlength is less than the length of the message sent by\n the sender, an error will be flagged. Once a message is received, use the\n GetCount() method to determine the actual size of the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(char *data, vtkIdType maxlength, int remoteProcessId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data. In the overrloads that take in a \\c\n maxlength argument, this length is the maximum length of the message to\n receive. If the maxlength is less than the length of the message sent by\n the sender, an error will be flagged. Once a message is received, use the\n GetCount() method to determine the actual size of the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(vtkDataObject *data, int remoteId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Receive */
    if ( strcmp ( argv[2], "Receive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Receive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Receive */
    Tcl_DStringAppendElement ( &dString, " This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data. In the overrloads that take in a \\c\n maxlength argument, this length is the maximum length of the message to\n receive. If the maxlength is less than the length of the message sent by\n the sender, an error will be flagged. Once a message is received, use the\n GetCount() method to determine the actual size of the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Receive(vtkDataArray *data, int remoteId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Receive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReceiveDataObject */
    if ( strcmp ( argv[2], "ReceiveDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReceiveDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReceiveDataObject */
    Tcl_DStringAppendElement ( &dString, " Receive a stream from the other processes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject *ReceiveDataObject(int remoteId, int tag);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for ReceiveDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCount */
    if ( strcmp ( argv[2], "GetCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCount */
    Tcl_DStringAppendElement ( &dString, " Returns the number of words received by the most recent Receive().\n Note that this is not the number of bytes received, but the number of items\n of the data-type received by the most recent Receive() eg. if\n Receive(int*,..) was used, then this returns the number of ints received;\n if Receive(double*,..) was used, then this returns the number of doubles\n received etc. The return value is valid only after a successful Receive().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GetCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(char *data, vtkIdType length, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(vtkDataObject *data, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Broadcast */
    if ( strcmp ( argv[2], "Broadcast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Broadcast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Broadcast */
    Tcl_DStringAppendElement ( &dString, " Broadcast sends the array in the process with id \\c srcProcessId to all of\n the other processes.  All processes must call these method with the same\n arguments in order for it to complete.\n" );
    Tcl_DStringAppendElement ( &dString, "int Broadcast(vtkDataArray *data, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Broadcast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Gather */
    if ( strcmp ( argv[2], "Gather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Gather */
    Tcl_DStringAppendElement ( &dString, " Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse oper ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Gather(const char *sendBuffer, char *recvBuffer, vtkIdType length, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Gather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Gather */
    if ( strcmp ( argv[2], "Gather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Gather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Gather */
    Tcl_DStringAppendElement ( &dString, " Gather collects arrays in the process with id \\c destProcessId.  Each\n process (including the destination) sends the contents of its send buffer\n to the destination process.  The destination process receives the\n messages and stores them in rank order.  The \\c length argument\n (which must be the same on all processes) is the length of the\n sendBuffers.  The \\c recvBuffer (on te destination process) must be of\n length length*numProcesses.  Gather is the inverse oper ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int Gather(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Gather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GatherV */
    if ( strcmp ( argv[2], "GatherV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GatherV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GatherV */
    Tcl_DStringAppendElement ( &dString, " This special form of GatherV will automatically determine \\c recvLengths\n and \\c offsets to tightly pack the data in the \\c recvBuffer in process\n order.  It will also resize \\c recvBuffer in order to accommodate the\n incoming data (unlike the other GatherV variants).\n" );
    Tcl_DStringAppendElement ( &dString, "int GatherV(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for GatherV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scatter */
    if ( strcmp ( argv[2], "Scatter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scatter */
    Tcl_DStringAppendElement ( &dString, " Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n" );
    Tcl_DStringAppendElement ( &dString, "int Scatter(const char *sendBuffer, char *recvBuffer, vtkIdType length, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Scatter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Scatter */
    if ( strcmp ( argv[2], "Scatter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Scatter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Scatter */
    Tcl_DStringAppendElement ( &dString, " Scatter takes an array in the process with id \\c srcProcessId and\n distributes it.  Each process (including the source) receives a portion of\n the send buffer.  Process 0 receives the first \\c length values, process 1\n receives the second \\c length values, and so on.  Scatter is the inverse\n operation of Gather.\n" );
    Tcl_DStringAppendElement ( &dString, "int Scatter(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int srcProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Scatter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGather */
    if ( strcmp ( argv[2], "AllGather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGather */
    Tcl_DStringAppendElement ( &dString, " Same as gather except that the result ends up on all processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGather(const char *sendBuffer, char *recvBuffer, vtkIdType length);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for AllGather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGather */
    if ( strcmp ( argv[2], "AllGather" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGather" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGather */
    Tcl_DStringAppendElement ( &dString, " Same as gather except that the result ends up on all processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGather(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for AllGather */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllGatherV */
    if ( strcmp ( argv[2], "AllGatherV" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllGatherV" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllGatherV */
    Tcl_DStringAppendElement ( &dString, " This special form of AllGatherV will automatically determine \\c recvLengths\n and \\c offsets to tightly pack the data in the \\c recvBuffer in process\n order.  It will also resize \\c recvBuffer in order to accommodate the\n incoming data (unlike the other GatherV variants).\n" );
    Tcl_DStringAppendElement ( &dString, "int AllGatherV(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for AllGatherV */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reduce */
    if ( strcmp ( argv[2], "Reduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reduce */
    Tcl_DStringAppendElement ( &dString, " Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int Reduce(const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Reduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reduce */
    if ( strcmp ( argv[2], "Reduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reduce */
    Tcl_DStringAppendElement ( &dString, " Reduce an array to the given destination process.  This version of Reduce\n takes an identifier defined in the\n vtkCommunicator::StandardOperations enum to define the operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int Reduce(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation, int destProcessId);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for Reduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllReduce */
    if ( strcmp ( argv[2], "AllReduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllReduce */
    Tcl_DStringAppendElement ( &dString, " Same as Reduce except that the result is placed in all of the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllReduce(const char *sendBuffer, char *recvBuffer, vtkIdType length, int operation);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for AllReduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllReduce */
    if ( strcmp ( argv[2], "AllReduce" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllReduce" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllReduce */
    Tcl_DStringAppendElement ( &dString, " Same as Reduce except that the result is placed in all of the processes.\n" );
    Tcl_DStringAppendElement ( &dString, "int AllReduce(vtkDataArray *sendBuffer, vtkDataArray *recvBuffer, int operation);" );
    Tcl_DStringAppendElement ( &dString, "vtkMultiProcessController" );
    /* Closing for AllReduce */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
