// java wrapper for vtkSocketCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSocketCommunicator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCommunicator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSocketCommunicator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSocketCommunicator",dType)) { return me; }
  if ((res= vtkCommunicator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSocketCommunicator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  const char    *temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_WaitForConnection_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WaitForConnection(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_WaitForConnection_13(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkSocketCommunicator *op;
  vtkServerSocket  *temp0;
   unsigned long     temp1;
  int      temp20;
  temp0 = (vtkServerSocket *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->WaitForConnection(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_CloseConnection_14(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->CloseConnection();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_ConnectTo_15(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ConnectTo(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetSwapBytesInReceivedData_16(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapBytesInReceivedData();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetIsConnected_17(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsConnected();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetNumberOfProcesses_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfProcesses(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_Barrier_19(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->Barrier();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetPerformHandshake_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPerformHandshake(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshakeMinValue_111(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPerformHandshakeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshakeMaxValue_112(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPerformHandshakeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_PerformHandshakeOn_113(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->PerformHandshakeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_PerformHandshakeOff_114(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->PerformHandshakeOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetPerformHandshake_115(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPerformHandshake();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_LogToFile_116(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LogToFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_LogToFile_117(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkSocketCommunicator *op;
  char    *temp0;
  int      temp1;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LogToFile(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetReportErrors_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkSocketCommunicator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReportErrors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetReportErrors_119(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReportErrors();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkSocketCommunicator_GetSocket_120(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  vtkClientSocket  *temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSocket();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_SetSocket_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkSocketCommunicator *op;
  vtkClientSocket  *temp0;
  temp0 = (vtkClientSocket *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSocket(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_Handshake_122(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Handshake();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_ServerSideHandshake_123(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ServerSideHandshake();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_ClientSideHandshake_124(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ClientSideHandshake();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetIsServer_125(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsServer();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSocketCommunicator_GetVersion_126(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  int      temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVersion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkSocketCommunicator_BufferCurrentMessage_127(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferCurrentMessage();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkSocketCommunicator_HasBufferredMessages_128(JNIEnv *env, jobject obj)
{
  vtkSocketCommunicator *op;
  bool   temp20;

  op = (vtkSocketCommunicator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBufferredMessages();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkSocketCommunicator_VTKInit(JNIEnv *, jobject)
{
  vtkSocketCommunicator *aNewOne = vtkSocketCommunicator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
