// java wrapper for vtkWindBladeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindBladeReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkWindBladeReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkWindBladeReader",dType)) { return me; }
  if ((res= vtkStructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindBladeReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  const char    *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindBladeReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindBladeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetFilename_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindBladeReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilename(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindBladeReader_GetFilename_13(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  char    *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilename();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetWholeExtent_14(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkWindBladeReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetWholeExtent_15(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkWindBladeReader *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindBladeReader_GetWholeExtent_16(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  int     *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetSubExtent_17(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkWindBladeReader *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetSubExtent_18(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkWindBladeReader *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkWindBladeReader_GetSubExtent_19(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  int     *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWindBladeReader_GetFieldOutput_110(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  vtkStructuredGrid  *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFieldOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWindBladeReader_GetBladeOutput_111(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  vtkUnstructuredGrid  *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBladeOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkWindBladeReader_GetGroundOutput_112(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  vtkStructuredGrid  *temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGroundOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindBladeReader_GetNumberOfPointArrays_113(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;
  int      temp20;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPointArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkWindBladeReader_GetPointArrayName_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkWindBladeReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkWindBladeReader_GetPointArrayStatus_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkWindBladeReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_SetPointArrayStatus_116(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkWindBladeReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_DisableAllPointArrays_117(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableAllPointArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkWindBladeReader_EnableAllPointArrays_118(JNIEnv *env, jobject obj)
{
  vtkWindBladeReader *op;

  op = (vtkWindBladeReader *)vtkJavaGetPointerFromObject(env,obj);
  op->EnableAllPointArrays();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkWindBladeReader_VTKInit(JNIEnv *, jobject)
{
  vtkWindBladeReader *aNewOne = vtkWindBladeReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
