// java wrapper for vtkActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkActor",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  const char    *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_GetActors_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_RenderTranslucentPolygonalGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  int      temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_Render_16(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkActor *op;
  vtkRenderer  *temp0;
  vtkMapper  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_ShallowCopy_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_ReleaseGraphicsResources_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_SetProperty_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_GetProperty_110(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkProperty  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_MakeProperty_111(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkProperty  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_SetBackfaceProperty_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackfaceProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_GetBackfaceProperty_113(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkProperty  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackfaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_SetTexture_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexture(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_GetTexture_115(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkTexture  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_SetMapper_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActor *op;
  vtkMapper  *temp0;
  temp0 = (vtkMapper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_GetMapper_117(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkMapper  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_GetBounds_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkActor_GetBounds_119(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  double  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_ApplyProperties_120(JNIEnv *env, jobject obj)
{
  vtkActor *op;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyProperties();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_GetMTime_121(JNIEnv *env, jobject obj)
{
  vtkActor *op;
   unsigned long     temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_GetRedrawMTime_122(JNIEnv *env, jobject obj)
{
  vtkActor *op;
   unsigned long     temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRedrawMTime();
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActor_InitPartTraversal_123(JNIEnv *env, jobject obj)
{
  vtkActor *op;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  op->InitPartTraversal();
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkActor_GetNextPart_124(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  vtkActor  *temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextPart();
  return (jlong)(size_t)temp20;}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActor_GetNumberOfParts_125(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  int      temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfParts();
  return temp20;
}
#endif

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkActor_GetSupportsSelection_126(JNIEnv *env, jobject obj)
{
  vtkActor *op;
  bool   temp20;

  op = (vtkActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSupportsSelection();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkActor_VTKInit(JNIEnv *, jobject)
{
  vtkActor *aNewOne = vtkActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
