// java wrapper for vtkCameraInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCameraInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCameraInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCameraInterpolator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCameraInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  const char    *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCameraInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_GetNumberOfCameras_12(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  int      temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCameras();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCameraInterpolator_GetMinimumT_13(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  double   temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumT();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCameraInterpolator_GetMaximumT_14(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  double   temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_AddCamera_16(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkCameraInterpolator *op;
  double   temp0;
  vtkCamera  *temp1;
  temp0 = id0;
  temp1 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCamera(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_RemoveCamera_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCameraInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCamera(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_InterpolateCamera_18(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkCameraInterpolator *op;
  double   temp0;
  vtkCamera  *temp1;
  temp0 = id0;
  temp1 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateCamera(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetInterpolationType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkCameraInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_GetInterpolationTypeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  int      temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_GetInterpolationTypeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  int      temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_GetInterpolationType_112(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  int      temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetInterpolationTypeToLinear_113(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetInterpolationTypeToSpline_114(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToSpline();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetInterpolationTypeToManual_115(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToManual();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetPositionInterpolator_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPositionInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetPositionInterpolator_117(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPositionInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetFocalPointInterpolator_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFocalPointInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetFocalPointInterpolator_119(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFocalPointInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetViewUpInterpolator_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewUpInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetViewUpInterpolator_121(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewUpInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetViewAngleInterpolator_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewAngleInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetViewAngleInterpolator_123(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewAngleInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetParallelScaleInterpolator_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParallelScaleInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetParallelScaleInterpolator_125(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParallelScaleInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCameraInterpolator_SetClippingRangeInterpolator_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingRangeInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCameraInterpolator_GetClippingRangeInterpolator_127(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippingRangeInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCameraInterpolator_GetMTime_128(JNIEnv *env, jobject obj)
{
  vtkCameraInterpolator *op;
   unsigned long     temp20;

  op = (vtkCameraInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCameraInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkCameraInterpolator *aNewOne = vtkCameraInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
