// java wrapper for vtkCellPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCellPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCellPicker",dType)) { return me; }
  if ((res= vtkPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCellPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  const char    *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCellPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_Pick_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkCellPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_AddLocator_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellPicker *op;
  vtkAbstractCellLocator  *temp0;
  temp0 = (vtkAbstractCellLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLocator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_RemoveLocator_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCellPicker *op;
  vtkAbstractCellLocator  *temp0;
  temp0 = (vtkAbstractCellLocator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveLocator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_RemoveAllLocators_15(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllLocators();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_SetVolumeOpacityIsovalue_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCellPicker *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVolumeOpacityIsovalue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCellPicker_GetVolumeOpacityIsovalue_17(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  double   temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumeOpacityIsovalue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_SetUseVolumeGradientOpacity_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellPicker *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseVolumeGradientOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_UseVolumeGradientOpacityOn_19(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->UseVolumeGradientOpacityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_UseVolumeGradientOpacityOff_110(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->UseVolumeGradientOpacityOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetUseVolumeGradientOpacity_111(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseVolumeGradientOpacity();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_SetPickClippingPlanes_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellPicker *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPickClippingPlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_PickClippingPlanesOn_113(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickClippingPlanesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_PickClippingPlanesOff_114(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickClippingPlanesOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetPickClippingPlanes_115(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickClippingPlanes();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetClippingPlaneId_116(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippingPlaneId();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetPickNormal_117(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  double  *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetMapperNormal_118(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  double  *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapperNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetPointIJK_119(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int     *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointIJK();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetCellIJK_120(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int     *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellIJK();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetPointId_121(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  vtkIdType   temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetCellId_122(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  vtkIdType   temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetSubId_123(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubId();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCellPicker_GetPCoords_124(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  double  *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPCoords();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCellPicker_GetTexture_125(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  vtkTexture  *temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_SetPickTextureData_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkCellPicker *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPickTextureData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_PickTextureDataOn_127(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickTextureDataOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCellPicker_PickTextureDataOff_128(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->PickTextureDataOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCellPicker_GetPickTextureData_129(JNIEnv *env, jobject obj)
{
  vtkCellPicker *op;
  int      temp20;

  op = (vtkCellPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickTextureData();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCellPicker_VTKInit(JNIEnv *, jobject)
{
  vtkCellPicker *aNewOne = vtkCellPicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
