// tcl wrapper for vtkCellPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCellPicker.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCellPickerNewCommand()
{
  vtkCellPicker *temp = vtkCellPicker::New();
  return static_cast<ClientData>(temp);
}

int vtkPickerCppCommand(vtkPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellPickerCppCommand(vtkCellPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellPickerCppCommand(static_cast<vtkCellPicker *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellPickerCppCommand(vtkCellPicker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCellPicker",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPickerCppCommand(static_cast<vtkPicker *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPicker"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCellPicker  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellPicker");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCellPicker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellPicker");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCellPicker  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellPicker");
    return TCL_OK;
    }
    }
  if ((!strcmp("Pick",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkRenderer  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    temp3 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLocator",argv[1]))&&(argc == 3))
    {
    vtkAbstractCellLocator  *temp0;
    error = 0;

    temp0 = (vtkAbstractCellLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractCellLocator"),interp,error));
    if (!error)
    {
    op->AddLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLocator",argv[1]))&&(argc == 3))
    {
    vtkAbstractCellLocator  *temp0;
    error = 0;

    temp0 = (vtkAbstractCellLocator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractCellLocator"),interp,error));
    if (!error)
    {
    op->RemoveLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllLocators",argv[1]))&&(argc == 2))
    {
    op->RemoveAllLocators();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVolumeOpacityIsovalue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVolumeOpacityIsovalue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeOpacityIsovalue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVolumeOpacityIsovalue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseVolumeGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseVolumeGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseVolumeGradientOpacityOn",argv[1]))&&(argc == 2))
    {
    op->UseVolumeGradientOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseVolumeGradientOpacityOff",argv[1]))&&(argc == 2))
    {
    op->UseVolumeGradientOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseVolumeGradientOpacity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseVolumeGradientOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPickClippingPlanes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPickClippingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PickClippingPlanesOn",argv[1]))&&(argc == 2))
    {
    op->PickClippingPlanesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PickClippingPlanesOff",argv[1]))&&(argc == 2))
    {
    op->PickClippingPlanesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPickClippingPlanes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickClippingPlanes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClippingPlaneId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClippingPlaneId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPickNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetMapperNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMapperNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPointIJK",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPointIJK();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCellIJK",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetCellIJK();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPointId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetPointId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetCellId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPCoords",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPCoords();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTexture",argv[1]))&&(argc == 2))
    {
    vtkTexture  *temp20;
    temp20 = (op)->GetTexture();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
  if ((!strcmp("SetPickTextureData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPickTextureData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PickTextureDataOn",argv[1]))&&(argc == 2))
    {
    op->PickTextureDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PickTextureDataOff",argv[1]))&&(argc == 2))
    {
    op->PickTextureDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPickTextureData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickTextureData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCellPickerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPickerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCellPicker:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pick\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllLocators\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeOpacityIsovalue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeOpacityIsovalue\n",NULL);
    Tcl_AppendResult(interp,"  SetUseVolumeGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseVolumeGradientOpacityOn\n",NULL);
    Tcl_AppendResult(interp,"  UseVolumeGradientOpacityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseVolumeGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetPickClippingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PickClippingPlanesOn\n",NULL);
    Tcl_AppendResult(interp,"  PickClippingPlanesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPickClippingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  GetClippingPlaneId\n",NULL);
    Tcl_AppendResult(interp,"  GetPickNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetMapperNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIJK\n",NULL);
    Tcl_AppendResult(interp,"  GetCellIJK\n",NULL);
    Tcl_AppendResult(interp,"  GetPointId\n",NULL);
    Tcl_AppendResult(interp,"  GetCellId\n",NULL);
    Tcl_AppendResult(interp,"  GetSubId\n",NULL);
    Tcl_AppendResult(interp,"  GetPCoords\n",NULL);
    Tcl_AppendResult(interp,"  GetTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetPickTextureData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PickTextureDataOn\n",NULL);
    Tcl_AppendResult(interp,"  PickTextureDataOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPickTextureData\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPickerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    Tcl_DStringAppendElement ( &dString, "AddLocator" );
    Tcl_DStringAppendElement ( &dString, "RemoveLocator" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLocators" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeOpacityIsovalue" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeOpacityIsovalue" );
    Tcl_DStringAppendElement ( &dString, "SetUseVolumeGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "UseVolumeGradientOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "UseVolumeGradientOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "GetUseVolumeGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetPickClippingPlanes" );
    Tcl_DStringAppendElement ( &dString, "PickClippingPlanesOn" );
    Tcl_DStringAppendElement ( &dString, "PickClippingPlanesOff" );
    Tcl_DStringAppendElement ( &dString, "GetPickClippingPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetClippingPlaneId" );
    Tcl_DStringAppendElement ( &dString, "GetPickNormal" );
    Tcl_DStringAppendElement ( &dString, "GetMapperNormal" );
    Tcl_DStringAppendElement ( &dString, "GetPointIJK" );
    Tcl_DStringAppendElement ( &dString, "GetCellIJK" );
    Tcl_DStringAppendElement ( &dString, "GetPointId" );
    Tcl_DStringAppendElement ( &dString, "GetCellId" );
    Tcl_DStringAppendElement ( &dString, "GetSubId" );
    Tcl_DStringAppendElement ( &dString, "GetPCoords" );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    Tcl_DStringAppendElement ( &dString, "SetPickTextureData" );
    Tcl_DStringAppendElement ( &dString, "PickTextureDataOn" );
    Tcl_DStringAppendElement ( &dString, "PickTextureDataOff" );
    Tcl_DStringAppendElement ( &dString, "GetPickTextureData" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPickerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCellPicker *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pick */
    if ( strcmp ( argv[2], "Pick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pick */
    Tcl_DStringAppendElement ( &dString, " Perform pick operation with selection point provided. Normally the \n first two values are the (x,y) pixel coordinates for the pick, and\n the third value is z=0. The return value will be non-zero if\n something was successfully picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Pick(double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for Pick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLocator */
    if ( strcmp ( argv[2], "AddLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLocator */
    Tcl_DStringAppendElement ( &dString, " Add a locator for one of the data sets that will be included in the\n scene.  You must set up the locator with exactly the same data set\n that was input to the mapper of one or more of the actors in the\n scene.  As well, you must either build the locator before doing the\n pick, or you must turn on LazyEvaluation in the locator to make it\n build itself on the first pick.  Note that if you try to add the\n same locator to the picker twice, the second addition will be igno ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLocator(vtkAbstractCellLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for AddLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLocator */
    if ( strcmp ( argv[2], "RemoveLocator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLocator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractCellLocator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLocator */
    Tcl_DStringAppendElement ( &dString, " Remove a locator that was previously added.  If you try to remove a\n nonexistent locator, then nothing will happen and no errors will be\n raised.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveLocator(vtkAbstractCellLocator *locator);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for RemoveLocator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllLocators */
    if ( strcmp ( argv[2], "RemoveAllLocators" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLocators" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllLocators */
    Tcl_DStringAppendElement ( &dString, " Remove all locators associated with this picker.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllLocators();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for RemoveAllLocators */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeOpacityIsovalue */
    if ( strcmp ( argv[2], "SetVolumeOpacityIsovalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeOpacityIsovalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeOpacityIsovalue */
    Tcl_DStringAppendElement ( &dString, " Set the opacity isovalue to use for defining volume surfaces.  The\n pick will occur at the location along the pick ray where the \n opacity of the volume is equal to this isovalue.  If you want to do\n the pick based on an actual data isovalue rather than the opacity,\n then pass the data value through the scalar opacity function before\n using this method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVolumeOpacityIsovalue(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for SetVolumeOpacityIsovalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeOpacityIsovalue */
    if ( strcmp ( argv[2], "GetVolumeOpacityIsovalue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeOpacityIsovalue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeOpacityIsovalue */
    Tcl_DStringAppendElement ( &dString, " Set the opacity isovalue to use for defining volume surfaces.  The\n pick will occur at the location along the pick ray where the \n opacity of the volume is equal to this isovalue.  If you want to do\n the pick based on an actual data isovalue rather than the opacity,\n then pass the data value through the scalar opacity function before\n using this method.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVolumeOpacityIsovalue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetVolumeOpacityIsovalue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseVolumeGradientOpacity */
    if ( strcmp ( argv[2], "SetUseVolumeGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseVolumeGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseVolumeGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseVolumeGradientOpacity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for SetUseVolumeGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseVolumeGradientOpacityOn */
    if ( strcmp ( argv[2], "UseVolumeGradientOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseVolumeGradientOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseVolumeGradientOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseVolumeGradientOpacityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for UseVolumeGradientOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseVolumeGradientOpacityOff */
    if ( strcmp ( argv[2], "UseVolumeGradientOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseVolumeGradientOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseVolumeGradientOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseVolumeGradientOpacityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for UseVolumeGradientOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseVolumeGradientOpacity */
    if ( strcmp ( argv[2], "GetUseVolumeGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseVolumeGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseVolumeGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Use the product of the scalar and gradient opacity functions when\n computing the opacity isovalue, instead of just using the scalar\n opacity. This parameter is only relevant to volume picking and\n is off by default.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseVolumeGradientOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetUseVolumeGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickClippingPlanes */
    if ( strcmp ( argv[2], "SetPickClippingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickClippingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickClippingPlanes */
    Tcl_DStringAppendElement ( &dString, " The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() metho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPickClippingPlanes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for SetPickClippingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickClippingPlanesOn */
    if ( strcmp ( argv[2], "PickClippingPlanesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickClippingPlanesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickClippingPlanesOn */
    Tcl_DStringAppendElement ( &dString, " The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() metho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PickClippingPlanesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for PickClippingPlanesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickClippingPlanesOff */
    if ( strcmp ( argv[2], "PickClippingPlanesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickClippingPlanesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickClippingPlanesOff */
    Tcl_DStringAppendElement ( &dString, " The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() metho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PickClippingPlanesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for PickClippingPlanesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickClippingPlanes */
    if ( strcmp ( argv[2], "GetPickClippingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickClippingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickClippingPlanes */
    Tcl_DStringAppendElement ( &dString, " The PickClippingPlanes setting controls how clipping planes are\n handled by the pick.  If it is On, then the clipping planes become\n pickable objects, even though they are usually invisible.  This\n means that if the pick ray intersects a clipping plane before it\n hits anything else, the pick will stop at that clipping plane.\n The GetProp3D() and GetMapper() methods will return the Prop3D\n and Mapper that the clipping plane belongs to.  The\n GetClippingPlaneId() metho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickClippingPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPickClippingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClippingPlaneId */
    if ( strcmp ( argv[2], "GetClippingPlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClippingPlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClippingPlaneId */
    Tcl_DStringAppendElement ( &dString, " Get the index of the clipping plane that was intersected during\n the pick.  This will be set regardless of whether PickClippingPlanes\n is On, all that is required is that the pick intersected a clipping\n plane of the Prop3D that was picked.  The result will be -1 if the\n Prop3D that was picked has no clipping planes, or if the ray didn't\n intersect the planes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetClippingPlaneId();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetClippingPlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickNormal */
    if ( strcmp ( argv[2], "GetPickNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickNormal */
    Tcl_DStringAppendElement ( &dString, " Return the normal of the picked surface at the PickPosition.  If no\n surface was picked, then a vector pointing back at the camera is\n returned.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPickNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPickNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapperNormal */
    if ( strcmp ( argv[2], "GetMapperNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapperNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapperNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMapperNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetMapperNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointIJK */
    if ( strcmp ( argv[2], "GetPointIJK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointIJK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointIJK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetPointIJK();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPointIJK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellIJK */
    if ( strcmp ( argv[2], "GetCellIJK" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellIJK" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellIJK */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetCellIJK();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetCellIJK */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointId */
    if ( strcmp ( argv[2], "GetPointId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointId */
    Tcl_DStringAppendElement ( &dString, " Get the id of the picked point. If PointId = -1, nothing was picked.\n This point will be a member of any cell that is picked.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetPointId();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPointId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellId */
    if ( strcmp ( argv[2], "GetCellId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellId */
    Tcl_DStringAppendElement ( &dString, " Get the id of the picked cell. If CellId = -1, nothing was picked.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetCellId();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetCellId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubId */
    if ( strcmp ( argv[2], "GetSubId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubId */
    Tcl_DStringAppendElement ( &dString, " Get the subId of the picked cell. This is useful, for example, if\n the data is made of triangle strips. If SubId = -1, nothing was picked.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubId();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetSubId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPCoords */
    if ( strcmp ( argv[2], "GetPCoords" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPCoords" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPCoords */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPCoords();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPCoords */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexture */
    if ( strcmp ( argv[2], "GetTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexture */
    Tcl_DStringAppendElement ( &dString, " Get the texture that was picked.  This will always be set if the\n picked prop has a texture, and will always be null otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickTextureData */
    if ( strcmp ( argv[2], "SetPickTextureData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickTextureData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickTextureData */
    Tcl_DStringAppendElement ( &dString, " If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of Pi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPickTextureData(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for SetPickTextureData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickTextureDataOn */
    if ( strcmp ( argv[2], "PickTextureDataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickTextureDataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickTextureDataOn */
    Tcl_DStringAppendElement ( &dString, " If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of Pi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PickTextureDataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for PickTextureDataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickTextureDataOff */
    if ( strcmp ( argv[2], "PickTextureDataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickTextureDataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickTextureDataOff */
    Tcl_DStringAppendElement ( &dString, " If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of Pi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void PickTextureDataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for PickTextureDataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickTextureData */
    if ( strcmp ( argv[2], "GetPickTextureData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickTextureData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickTextureData */
    Tcl_DStringAppendElement ( &dString, " If this is \"On\" and if the picked prop has a texture, then the data\n returned by GetDataSet() will be the texture's data instead of the\n mapper's data.  The GetPointId(), GetCellId(), GetPCoords() etc. will\n all return information for use with the texture's data.  If the picked\n prop does not have any texture, then GetDataSet() will return the\n mapper's data instead and GetPointId() etc. will return information\n related to the mapper's data.  The default value of Pi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickTextureData();" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker" );
    /* Closing for GetPickTextureData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPickerCppCommand(static_cast<vtkPicker *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
