// java wrapper for vtkDepthPeelingPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDepthPeelingPass.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDepthPeelingPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDepthPeelingPass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDepthPeelingPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  const char    *temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthPeelingPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDepthPeelingPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthPeelingPass_ReleaseGraphicsResources_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDepthPeelingPass *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDepthPeelingPass_GetTranslucentPass_13(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  vtkRenderPass  *temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslucentPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthPeelingPass_SetTranslucentPass_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDepthPeelingPass *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslucentPass(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthPeelingPass_SetOcclusionRatio_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDepthPeelingPass *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOcclusionRatio(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDepthPeelingPass_GetOcclusionRatioMinValue_16(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  double   temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatioMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDepthPeelingPass_GetOcclusionRatioMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  double   temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatioMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDepthPeelingPass_GetOcclusionRatio_18(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  double   temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDepthPeelingPass_SetMaximumNumberOfPeels_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkDepthPeelingPass *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfPeels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDepthPeelingPass_GetMaximumNumberOfPeels_110(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  int      temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfPeels();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDepthPeelingPass_GetLastRenderingUsedDepthPeeling_111(JNIEnv *env, jobject obj)
{
  vtkDepthPeelingPass *op;
  bool   temp20;

  op = (vtkDepthPeelingPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastRenderingUsedDepthPeeling();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDepthPeelingPass_VTKInit(JNIEnv *, jobject)
{
  vtkDepthPeelingPass *aNewOne = vtkDepthPeelingPass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
