// java wrapper for vtkExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExporter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkExporter",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  const char    *temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_Write_12(JNIEnv *env, jobject obj)
{
  vtkExporter *op;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_Update_13(JNIEnv *env, jobject obj)
{
  vtkExporter *op;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetRenderWindow_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExporter *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExporter_GetRenderWindow_15(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  vtkRenderWindow  *temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetInput_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkExporter *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkExporter_GetInput_17(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
  vtkRenderWindow  *temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetStartWrite_18(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkExporter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartWrite(vtkJavaVoidFunc,(void *)temp0);
  op->SetStartWriteArgDelete(vtkJavaVoidFuncArgDelete);
  if (temp0_str) delete[] temp0_str;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkExporter_SetEndWrite_19(JNIEnv *env, jobject obj,jobject id0, jstring id1)
{
  vtkExporter *op;
  vtkJavaVoidFuncArg *temp0 = new vtkJavaVoidFuncArg;
  env->GetJavaVM(&(temp0->vm));
  temp0->uobj = env->NewGlobalRef(id0);
  char *temp0_str;
  temp0_str = vtkJavaUTFToChar(env,id1);
  temp0->mid = env->GetMethodID(env->GetObjectClass(id0),temp0_str,"()V");

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEndWrite(vtkJavaVoidFunc,(void *)temp0);
  op->SetEndWriteArgDelete(vtkJavaVoidFuncArgDelete);
  if (temp0_str) delete[] temp0_str;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkExporter_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkExporter *op;
   unsigned long     temp20;

  op = (vtkExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}
