// java wrapper for vtkImageActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageSlice_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageActor",dType)) { return me; }
  if ((res= vtkImageSlice_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  const char    *temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageActor *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageActor_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  vtkImageData  *temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetInterpolate_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetInterpolate_15(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_InterpolateOn_16(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_InterpolateOff_17(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetOpacity_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageActor *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpacity(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageActor_GetOpacity_19(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  double   temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacity();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageActor_GetOpacityMinValue_110(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  double   temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacityMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageActor_GetOpacityMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  double   temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpacityMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetDisplayExtent_112(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageActor *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetDisplayExtent_113(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkImageActor *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDisplayExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_GetDisplayExtent_114(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageActor *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDisplayExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageActor_GetDisplayExtent_115(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int     *temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDisplayExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageActor_GetBounds_116(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  double  *temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_GetBounds_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_GetDisplayBounds_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageActor *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->GetDisplayBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetSliceNumber_119(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceNumber();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetSliceNumberMax_120(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceNumberMax();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetSliceNumberMin_121(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSliceNumberMin();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageActor_SetZSlice_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZSlice(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetZSlice_123(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZSlice();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetWholeZMin_124(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeZMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_GetWholeZMax_125(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWholeZMax();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageActor_HasTranslucentPolygonalGeometry_126(JNIEnv *env, jobject obj)
{
  vtkImageActor *op;
  int      temp20;

  op = (vtkImageActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageActor_VTKInit(JNIEnv *, jobject)
{
  vtkImageActor *aNewOne = vtkImageActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
