// java wrapper for vtkImageStack object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageStack.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageSlice_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageStack_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageStack",dType)) { return me; }
  if ((res= vtkImageSlice_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageStack_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  const char    *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageStack *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_AddImage_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkImageSlice  *temp0;
  temp0 = (vtkImageSlice *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->AddImage(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_RemoveImage_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkImageSlice  *temp0;
  temp0 = (vtkImageSlice *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_HasImage_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkImageSlice  *temp0;
  int      temp20;
  temp0 = (vtkImageSlice *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasImage(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStack_GetImages_15(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  vtkImageSliceCollection  *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetImages();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_SetActiveLayer_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageStack *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveLayer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_GetActiveLayer_17(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  int      temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveLayer();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStack_GetActiveImage_18(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  vtkImageSlice  *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveImage();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStack_GetMapper_19(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  vtkImageMapper3D  *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapper();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStack_GetProperty_110(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  vtkImageProperty  *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_GetBounds_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImageStack *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_GetMTime_112(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
   unsigned long     temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_GetRedrawMTime_113(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
   unsigned long     temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRedrawMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_GetImages_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->GetImages(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_RenderOverlay_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_RenderOpaqueGeometry_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_RenderTranslucentPolygonalGeometry_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_HasTranslucentPolygonalGeometry_119(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  int      temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_ReleaseGraphicsResources_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageStack *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_InitPathTraversal_121(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->InitPathTraversal();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImageStack_GetNextPath_122(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  vtkAssemblyPath  *temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNextPath();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageStack_GetNumberOfPaths_123(JNIEnv *env, jobject obj)
{
  vtkImageStack *op;
  int      temp20;

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPaths();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageStack_BuildPaths_124(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkImageStack *op;
  vtkAssemblyPaths  *temp0;
  vtkAssemblyPath  *temp1;
  temp0 = (vtkAssemblyPaths *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkAssemblyPath *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkImageStack *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildPaths(temp0,temp1);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImageStack_VTKInit(JNIEnv *, jobject)
{
  vtkImageStack *aNewOne = vtkImageStack::New();
  return (jlong)(size_t)(void*)aNewOne;
}
