// java wrapper for vtkInteractorStyleSwitch object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleSwitch.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkInteractorStyle_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkInteractorStyleSwitch_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkInteractorStyleSwitch",dType)) { return me; }
  if ((res= vtkInteractorStyle_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkInteractorStyleSwitch_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;
  const char    *temp20;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkInteractorStyleSwitch_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkInteractorStyleSwitch *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetInteractor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleSwitch *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetAutoAdjustCameraClippingRange_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkInteractorStyleSwitch *op;
  int      temp0;
  temp0 = id0;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoAdjustCameraClippingRange(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkInteractorStyleSwitch_GetCurrentStyle_14(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;
  vtkInteractorStyle  *temp20;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentStyle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetCurrentStyleToJoystickActor_15(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentStyleToJoystickActor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetCurrentStyleToJoystickCamera_16(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentStyleToJoystickCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetCurrentStyleToTrackballActor_17(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentStyleToTrackballActor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetCurrentStyleToTrackballCamera_18(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentStyleToTrackballCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_OnChar_19(JNIEnv *env, jobject obj)
{
  vtkInteractorStyleSwitch *op;

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->OnChar();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetDefaultRenderer_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleSwitch *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDefaultRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkInteractorStyleSwitch_SetCurrentRenderer_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkInteractorStyleSwitch *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkInteractorStyleSwitch *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentRenderer(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkInteractorStyleSwitch_VTKInit(JNIEnv *, jobject)
{
  vtkInteractorStyleSwitch *aNewOne = vtkInteractorStyleSwitch::New();
  return (jlong)(size_t)(void*)aNewOne;
}
