// tcl wrapper for vtkLabelHierarchyCompositeIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelHierarchyCompositeIterator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLabelHierarchyCompositeIteratorNewCommand()
{
  vtkLabelHierarchyCompositeIterator *temp = vtkLabelHierarchyCompositeIterator::New();
  return static_cast<ClientData>(temp);
}

int vtkLabelHierarchyIteratorCppCommand(vtkLabelHierarchyIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLabelHierarchyCompositeIteratorCppCommand(vtkLabelHierarchyCompositeIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLabelHierarchyCompositeIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLabelHierarchyCompositeIteratorCppCommand(static_cast<vtkLabelHierarchyCompositeIterator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLabelHierarchyCompositeIteratorCppCommand(vtkLabelHierarchyCompositeIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLabelHierarchyCompositeIterator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLabelHierarchyIteratorCppCommand(static_cast<vtkLabelHierarchyIterator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLabelHierarchyIterator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLabelHierarchyCompositeIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchyCompositeIterator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLabelHierarchyCompositeIterator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchyCompositeIterator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLabelHierarchyCompositeIterator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchyCompositeIterator");
    return TCL_OK;
    }
  if ((!strcmp("AddIterator",argv[1]))&&(argc == 3))
    {
    vtkLabelHierarchyIterator  *temp0;
    error = 0;

    temp0 = (vtkLabelHierarchyIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLabelHierarchyIterator"),interp,error));
    if (!error)
    {
    op->AddIterator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIterator",argv[1]))&&(argc == 4))
    {
    vtkLabelHierarchyIterator  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkLabelHierarchyIterator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLabelHierarchyIterator"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddIterator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearIterators",argv[1]))&&(argc == 2))
    {
    op->ClearIterators();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->Begin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Next",argv[1]))&&(argc == 2))
    {
    op->Next();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsAtEnd",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsAtEnd();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLabelId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHierarchy",argv[1]))&&(argc == 2))
    {
    vtkLabelHierarchy  *temp20;
    temp20 = (op)->GetHierarchy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchy");
    return TCL_OK;
    }
  if ((!strcmp("BoxNode",argv[1]))&&(argc == 2))
    {
    op->BoxNode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoxAllNodes",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->BoxAllNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLabelHierarchyCompositeIteratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLabelHierarchyIteratorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLabelHierarchyCompositeIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddIterator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddIterator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearIterators\n",NULL);
    Tcl_AppendResult(interp,"  Begin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Next\n",NULL);
    Tcl_AppendResult(interp,"  IsAtEnd\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelId\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchy\n",NULL);
    Tcl_AppendResult(interp,"  BoxNode\n",NULL);
    Tcl_AppendResult(interp,"  BoxAllNodes\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLabelHierarchyIteratorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddIterator" );
    Tcl_DStringAppendElement ( &dString, "AddIterator" );
    Tcl_DStringAppendElement ( &dString, "ClearIterators" );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    Tcl_DStringAppendElement ( &dString, "Next" );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    Tcl_DStringAppendElement ( &dString, "GetLabelId" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchy" );
    Tcl_DStringAppendElement ( &dString, "BoxNode" );
    Tcl_DStringAppendElement ( &dString, "BoxAllNodes" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLabelHierarchyIteratorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLabelHierarchyCompositeIterator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIterator */
    if ( strcmp ( argv[2], "AddIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIterator */
    Tcl_DStringAppendElement ( &dString, " Adds a label iterator to this composite iterator.\n The second optional argument is the number of times to repeat the iterator\n before moving to the next one round-robin style. Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddIterator(vtkLabelHierarchyIterator *it);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for AddIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddIterator */
    if ( strcmp ( argv[2], "AddIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddIterator */
    Tcl_DStringAppendElement ( &dString, " Adds a label iterator to this composite iterator.\n The second optional argument is the number of times to repeat the iterator\n before moving to the next one round-robin style. Default is 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddIterator(vtkLabelHierarchyIterator *it, int count);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for AddIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearIterators */
    if ( strcmp ( argv[2], "ClearIterators" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearIterators" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearIterators */
    Tcl_DStringAppendElement ( &dString, " Remove all iterators from this composite iterator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearIterators();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for ClearIterators */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Begin */
    if ( strcmp ( argv[2], "Begin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Begin */
    Tcl_DStringAppendElement ( &dString, " Initializes the iterator. lastLabels is an array holding labels\n which should be traversed before any other labels in the hierarchy.\n This could include labels placed during a previous rendering or\n a label located under the mouse pointer. You may pass a null pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Begin(vtkIdTypeArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for Begin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Next */
    if ( strcmp ( argv[2], "Next" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Next" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Next */
    Tcl_DStringAppendElement ( &dString, " Advance the iterator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Next();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for Next */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsAtEnd */
    if ( strcmp ( argv[2], "IsAtEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsAtEnd */
    Tcl_DStringAppendElement ( &dString, " Returns true if the iterator is at the end.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsAtEnd();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for IsAtEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelId */
    if ( strcmp ( argv[2], "GetLabelId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelId */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetLabelId();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for GetLabelId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchy */
    if ( strcmp ( argv[2], "GetHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchy */
    Tcl_DStringAppendElement ( &dString, " Retrieve the current label hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkLabelHierarchy *GetHierarchy();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for GetHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoxNode */
    if ( strcmp ( argv[2], "BoxNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoxNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoxNode */
    Tcl_DStringAppendElement ( &dString, " Not implemented.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoxNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for BoxNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoxAllNodes */
    if ( strcmp ( argv[2], "BoxAllNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoxAllNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoxAllNodes */
    Tcl_DStringAppendElement ( &dString, " Not implemented.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoxAllNodes(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyCompositeIterator" );
    /* Closing for BoxAllNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLabelHierarchyIteratorCppCommand(static_cast<vtkLabelHierarchyIterator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
