// tcl wrapper for vtkLabelHierarchyIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLabelHierarchyIterator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLabelHierarchyIteratorCppCommand(vtkLabelHierarchyIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLabelHierarchyIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLabelHierarchyIteratorCppCommand(static_cast<vtkLabelHierarchyIterator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLabelHierarchyIteratorCppCommand(vtkLabelHierarchyIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLabelHierarchyIterator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLabelHierarchyIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchyIterator");
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->Begin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Next",argv[1]))&&(argc == 2))
    {
    op->Next();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsAtEnd",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsAtEnd();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundedSize",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetBoundedSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
    {
    vtkStdString   temp20;
    temp20 = (op)->GetLabel();
    Tcl_SetResult(interp, const_cast<char *>(temp20.c_str()), TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLabelId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHierarchy",argv[1]))&&(argc == 2))
    {
    vtkLabelHierarchy  *temp20;
    temp20 = (op)->GetHierarchy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabelHierarchy");
    return TCL_OK;
    }
  if ((!strcmp("SetTraversedBounds",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetTraversedBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BoxNode",argv[1]))&&(argc == 2))
    {
    op->BoxNode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoxAllNodes",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->BoxAllNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLabelHierarchyIteratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLabelHierarchyIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Begin\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Next\n",NULL);
    Tcl_AppendResult(interp,"  IsAtEnd\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundedSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetType\n",NULL);
    Tcl_AppendResult(interp,"  GetLabel\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelId\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchy\n",NULL);
    Tcl_AppendResult(interp,"  SetTraversedBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BoxNode\n",NULL);
    Tcl_AppendResult(interp,"  BoxAllNodes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllBounds\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    Tcl_DStringAppendElement ( &dString, "Next" );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetBoundedSize" );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetLabelId" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchy" );
    Tcl_DStringAppendElement ( &dString, "SetTraversedBounds" );
    Tcl_DStringAppendElement ( &dString, "BoxNode" );
    Tcl_DStringAppendElement ( &dString, "BoxAllNodes" );
    Tcl_DStringAppendElement ( &dString, "SetAllBounds" );
    Tcl_DStringAppendElement ( &dString, "GetAllBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Begin */
    if ( strcmp ( argv[2], "Begin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Begin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Begin */
    Tcl_DStringAppendElement ( &dString, " Initializes the iterator. lastLabels is an array holding labels\n which should be traversed before any other labels in the hierarchy.\n This could include labels placed during a previous rendering or\n a label located under the mouse pointer. You may pass a null pointer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Begin(vtkIdTypeArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for Begin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Next */
    if ( strcmp ( argv[2], "Next" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Next" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Next */
    Tcl_DStringAppendElement ( &dString, " Advance the iterator.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Next();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for Next */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsAtEnd */
    if ( strcmp ( argv[2], "IsAtEnd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsAtEnd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsAtEnd */
    Tcl_DStringAppendElement ( &dString, " Returns true if the iterator is at the end.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsAtEnd();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for IsAtEnd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint */
    if ( strcmp ( argv[2], "GetPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label location.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSize(double sz\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundedSize */
    if ( strcmp ( argv[2], "GetBoundedSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundedSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundedSize */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label maximum width in world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetBoundedSize(double sz\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetBoundedSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetType */
    if ( strcmp ( argv[2], "GetType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetType */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetType();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabel */
    if ( strcmp ( argv[2], "GetLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabel */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label string.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkStdString GetLabel();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label orientation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelId */
    if ( strcmp ( argv[2], "GetLabelId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelId */
    Tcl_DStringAppendElement ( &dString, " Retrieves the current label id.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetLabelId();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetLabelId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchy */
    if ( strcmp ( argv[2], "GetHierarchy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchy */
    Tcl_DStringAppendElement ( &dString, " Get the label hierarchy associated with the current label.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchy *GetHierarchy();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetHierarchy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTraversedBounds */
    if ( strcmp ( argv[2], "SetTraversedBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTraversedBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTraversedBounds */
    Tcl_DStringAppendElement ( &dString, " Sets a polydata to fill with geometry representing\n the bounding boxes of the traversed octree nodes.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTraversedBounds(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for SetTraversedBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoxNode */
    if ( strcmp ( argv[2], "BoxNode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoxNode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoxNode */
    Tcl_DStringAppendElement ( &dString, " Add a representation to TraversedBounds for the current octree node.\n This should be called by subclasses inside Next().\n Does nothing if TraversedBounds is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoxNode();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for BoxNode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoxAllNodes */
    if ( strcmp ( argv[2], "BoxAllNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoxAllNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoxAllNodes */
    Tcl_DStringAppendElement ( &dString, " Add a representation for all existing octree nodes to the specified polydata.\n This is equivalent to setting TraversedBounds, iterating over the entire hierarchy,\n and then resetting TraversedBounds to its original value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BoxAllNodes(vtkPolyData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for BoxAllNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllBounds */
    if ( strcmp ( argv[2], "SetAllBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllBounds */
    Tcl_DStringAppendElement ( &dString, " Set/get whether all nodes in the hierarchy should be added to the TraversedBounds\n polydata or only those traversed.\n When non-zero, all nodes will be added.\n By default, AllBounds is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllBounds(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for SetAllBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllBounds */
    if ( strcmp ( argv[2], "GetAllBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllBounds */
    Tcl_DStringAppendElement ( &dString, " Set/get whether all nodes in the hierarchy should be added to the TraversedBounds\n polydata or only those traversed.\n When non-zero, all nodes will be added.\n By default, AllBounds is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkLabelHierarchyIterator" );
    /* Closing for GetAllBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
