// java wrapper for vtkLightActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLightActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProp3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkLightActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkLightActor",dType)) { return me; }
  if ((res= vtkProp3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkLightActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkLightActor *op;
  const char    *temp20;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLightActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkLightActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLightActor_SetLight_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLightActor *op;
  vtkLight  *temp0;
  temp0 = (vtkLight *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLight(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkLightActor_GetLight_13(JNIEnv *env, jobject obj)
{
  vtkLightActor *op;
  vtkLight  *temp20;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLight();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLightActor_SetClippingRange_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkLightActor *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLightActor_SetClippingRange_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkLightActor *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetClippingRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkLightActor_GetClippingRange_16(JNIEnv *env, jobject obj)
{
  vtkLightActor *op;
  double  *temp20;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClippingRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLightActor_RenderOpaqueGeometry_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLightActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLightActor_HasTranslucentPolygonalGeometry_18(JNIEnv *env, jobject obj)
{
  vtkLightActor *op;
  int      temp20;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkLightActor_ReleaseGraphicsResources_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkLightActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkLightActor_GetMTime_110(JNIEnv *env, jobject obj)
{
  vtkLightActor *op;
   unsigned long     temp20;

  op = (vtkLightActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkLightActor_VTKInit(JNIEnv *, jobject)
{
  vtkLightActor *aNewOne = vtkLightActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
