// java wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLExtensionManager.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLExtensionManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLExtensionManager",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  const char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetRenderWindow_12(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  vtkRenderWindow  *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_SetRenderWindow_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLExtensionManager *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_Update_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetExtensionsString_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtensionsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_ExtensionSupported_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtensionSupported(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadExtension_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadSupportedExtension_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LoadSupportedExtension(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadCorePromotedExtension_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadCorePromotedExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadAsARBExtension_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadAsARBExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLExtensionManager_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLExtensionManager *aNewOne = vtkOpenGLExtensionManager::New();
  return (jlong)(size_t)(void*)aNewOne;
}
