// java wrapper for vtkPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPolyDataMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPolyDataMapper",dType)) { return me; }
  if ((res= vtkMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPolyDataMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  const char    *temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_RenderPiece_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderPiece(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_Render_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkPolyDataMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPolyDataMapper_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  vtkPolyData  *temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_Update_16(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_SetPiece_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPiece(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper_GetPiece_18(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  int      temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_SetNumberOfPieces_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper_GetNumberOfPieces_110(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  int      temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_SetNumberOfSubPieces_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSubPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper_GetNumberOfSubPieces_112(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  int      temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_SetGhostLevel_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkPolyDataMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPolyDataMapper_GetGhostLevel_114(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  int      temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkPolyDataMapper_GetBounds_115(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;
  double  *temp20;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_GetBounds_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkPolyDataMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_ShallowCopy_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPolyDataMapper *op;
  vtkAbstractMapper  *temp0;
  temp0 = (vtkAbstractMapper *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_MapDataArrayToVertexAttribute_118(JNIEnv *env, jobject obj,jstring id0,jstring id1,jint id2,jint id3)
{
  vtkPolyDataMapper *op;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MapDataArrayToVertexAttribute(temp0,temp1,temp2,temp3);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_MapDataArrayToMultiTextureAttribute_119(JNIEnv *env, jobject obj,jint id0,jstring id1,jint id2,jint id3)
{
  vtkPolyDataMapper *op;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = id2;
  temp3 = id3;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MapDataArrayToMultiTextureAttribute(temp0,temp1,temp2,temp3);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_RemoveVertexAttributeMapping_120(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPolyDataMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVertexAttributeMapping(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPolyDataMapper_RemoveAllVertexAttributeMappings_121(JNIEnv *env, jobject obj)
{
  vtkPolyDataMapper *op;

  op = (vtkPolyDataMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllVertexAttributeMappings();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPolyDataMapper_VTKInit(JNIEnv *, jobject)
{
  vtkPolyDataMapper *aNewOne = vtkPolyDataMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
