// java wrapper for vtkPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPropPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractPropPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPropPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPropPicker",dType)) { return me; }
  if ((res= vtkAbstractPropPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPropPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPropPicker *op;
  const char    *temp20;

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPropPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropPicker_PickProp_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jobject id2)
{
  vtkPropPicker *op;
  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropPicker_PickProp_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jobject id2,jobject id3)
{
  vtkPropPicker *op;
  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  vtkPropCollection  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropPicker_Pick_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkPropPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPropPicker_Pick_15(JNIEnv *env, jobject obj,jdoubleArray id0,jobject id1)
{
  vtkPropPicker *op;
  double temp0[3];
  void *tempArray0;
  vtkRenderer  *temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPropPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pick(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPropPicker_VTKInit(JNIEnv *, jobject)
{
  vtkPropPicker *aNewOne = vtkPropPicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
