// java wrapper for vtkQuaternionInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuaternionInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQuaternionInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQuaternionInterpolator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQuaternionInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  const char    *temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuaternionInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQuaternionInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuaternionInterpolator_GetNumberOfQuaternions_12(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  int      temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfQuaternions();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuaternionInterpolator_GetMinimumT_13(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  double   temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumT();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkQuaternionInterpolator_GetMaximumT_14(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  double   temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_AddQuaternion_16(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkQuaternionInterpolator *op;
  double   temp0;
  double temp1[4];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddQuaternion(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_RemoveQuaternion_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkQuaternionInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveQuaternion(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_InterpolateQuaternion_18(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1)
{
  vtkQuaternionInterpolator *op;
  double   temp0;
  double temp1[4];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateQuaternion(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_SetInterpolationType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkQuaternionInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuaternionInterpolator_GetInterpolationTypeMinValue_110(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  int      temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuaternionInterpolator_GetInterpolationTypeMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  int      temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQuaternionInterpolator_GetInterpolationType_112(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;
  int      temp20;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_SetInterpolationTypeToLinear_113(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQuaternionInterpolator_SetInterpolationTypeToSpline_114(JNIEnv *env, jobject obj)
{
  vtkQuaternionInterpolator *op;

  op = (vtkQuaternionInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToSpline();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQuaternionInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkQuaternionInterpolator *aNewOne = vtkQuaternionInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
