// java wrapper for vtkRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindow.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderWindow",dType)) { return me; }
  if ((res= vtkWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AddRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_RemoveRenderer_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRenderer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_HasRenderer_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasRenderer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetRenderLibrary_15(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderLibrary();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderWindow_GetRenderers_16(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRendererCollection  *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderers();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Render_17(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Start_18(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Finalize_19(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Frame_110(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->Frame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_WaitForCompletion_111(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->WaitForCompletion();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_CopyResultFrame_112(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->CopyResultFrame();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderWindow_MakeRenderWindowInteractor_113(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeRenderWindowInteractor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_HideCursor_114(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->HideCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ShowCursor_115(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetCursorPosition_116(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCursorPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetCurrentCursor_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCurrentCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetCurrentCursor_118(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetFullScreen_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFullScreen(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetFullScreen_120(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFullScreen();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_FullScreenOn_121(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->FullScreenOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_FullScreenOff_122(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->FullScreenOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetBorders_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorders(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetBorders_124(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorders();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_BordersOn_125(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->BordersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_BordersOff_126(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->BordersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoCapableWindow_127(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStereoCapableWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoCapableWindowOn_128(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoCapableWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoCapableWindowOff_129(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoCapableWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoCapableWindow_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoCapableWindow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoRender_131(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStereoRender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoRender_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoRender(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderOn_133(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoRenderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderOff_134(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoRenderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAlphaBitPlanes_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAlphaBitPlanes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAlphaBitPlanes_136(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAlphaBitPlanes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AlphaBitPlanesOn_137(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->AlphaBitPlanesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AlphaBitPlanesOff_138(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->AlphaBitPlanesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetPointSmoothing_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetPointSmoothing_140(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PointSmoothingOn_141(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PointSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PointSmoothingOff_142(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PointSmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetLineSmoothing_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetLineSmoothing_144(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_LineSmoothingOn_145(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->LineSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_LineSmoothingOff_146(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->LineSmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetPolygonSmoothing_147(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolygonSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetPolygonSmoothing_148(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolygonSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PolygonSmoothingOn_149(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PolygonSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PolygonSmoothingOff_150(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->PolygonSmoothingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoType_151(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStereoType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoType_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToCrystalEyes_153(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToCrystalEyes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToRedBlue_154(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToRedBlue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToInterlaced_155(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToInterlaced();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToLeft_156(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToLeft();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToRight_157(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToRight();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToDresden_158(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToDresden();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToAnaglyph_159(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToAnaglyph();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToCheckerboard_160(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStereoTypeToCheckerboard();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetStereoTypeAsString_161(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStereoTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoUpdate_162(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoUpdate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoMidpoint_163(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoMidpoint();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderComplete_164(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoRenderComplete();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorSaturation_165(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindow *op;
  float    temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnaglyphColorSaturation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturationMinValue_166(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnaglyphColorSaturationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturationMaxValue_167(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnaglyphColorSaturationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturation_168(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnaglyphColorSaturation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorMask_169(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnaglyphColorMask(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorMask_170(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAnaglyphColorMask(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorMask_171(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int     *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAnaglyphColorMask();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_WindowRemap_172(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->WindowRemap();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetSwapBuffers_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSwapBuffers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetSwapBuffers_174(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSwapBuffers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SwapBuffersOn_175(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBuffersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SwapBuffersOff_176(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SwapBuffersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetPixelData_177(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = id5;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetRGBAPixelData_178(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetRGBAPixelData_179(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = id5;
  temp6 = id6;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetRGBACharPixelData_180(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id5));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetRGBACharPixelData_181(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4));
  temp5 = id5;
  temp6 = id6;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetZbufferData_182(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetZbufferData_183(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetZbufferDataAtPoint_184(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  float    temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZbufferDataAtPoint(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAAFrames_185(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAAFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAAFrames_186(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAAFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetFDFrames_187(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFDFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetFDFrames_188(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFDFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetSubFrames_189(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSubFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetSubFrames_190(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSubFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNeverRendered_191(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNeverRendered();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAbortRender_192(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAbortRender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAbortRender_193(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAbortRender(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetInAbortCheck_194(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInAbortCheck();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetInAbortCheck_195(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInAbortCheck(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_CheckAbortStatus_196(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckAbortStatus();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetIsPicking_197(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsPicking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetIsPicking_198(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIsPicking(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_IsPickingOn_199(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->IsPickingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_IsPickingOff_1100(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->IsPickingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetEventPending_1101(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEventPending();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_CheckInRenderStatus_1102(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CheckInRenderStatus();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ClearInRenderStatus_1103(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearInRenderStatus();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetDesiredUpdateRate_1104(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindow *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDesiredUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetDesiredUpdateRate_1105(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  double   temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDesiredUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayers_1106(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLayers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetNumberOfLayers_1107(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfLayers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayersMinValue_1108(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLayersMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayersMaxValue_1109(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLayersMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderWindow_GetInteractor_1110(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractor();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetInteractor_1111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_UnRegister_1112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetWindowInfo_1113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetNextWindowInfo_1114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNextWindowInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetParentInfo_1115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParentInfo(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_MakeCurrent_1116(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->MakeCurrent();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderWindow_IsCurrent_1117(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  bool   temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsCurrent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetForceMakeCurrent_1118(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceMakeCurrent();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_ReportCapabilities_1119(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ReportCapabilities();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SupportsOpenGL_1120(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SupportsOpenGL();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_IsDirect_1121(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDirect();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetDepthBufferSize_1122(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDepthBufferSize();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderWindow_GetPainterDeviceAdapter_1123(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkPainterDeviceAdapter  *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPainterDeviceAdapter();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetMultiSamples_1124(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMultiSamples(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetMultiSamples_1125(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMultiSamples();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStencilCapable_1126(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStencilCapable(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStencilCapable_1127(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStencilCapable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StencilCapableOn_1128(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StencilCapableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StencilCapableOff_1129(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->StencilCapableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetReportGraphicErrors_1130(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->SetReportGraphicErrors(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetReportGraphicErrors_1131(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetReportGraphicErrors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ReportGraphicErrorsOn_1132(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ReportGraphicErrorsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ReportGraphicErrorsOff_1133(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->ReportGraphicErrorsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_CheckGraphicError_1134(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  op->CheckGraphicError();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_HasGraphicError_1135(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasGraphicError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetLastGraphicErrorString_1136(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastGraphicErrorString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderWindow_VTKInit(JNIEnv *, jobject)
{
  vtkRenderWindow *aNewOne = vtkRenderWindow::New();
  return (jlong)(size_t)(void*)aNewOne;
}

#include "vtkJavaAwt.h"

