// java wrapper for vtkRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkViewport_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderer",dType)) { return me; }
  if ((res= vtkViewport_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  const char    *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddActor_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddActor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddVolume_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddVolume(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveActor_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveActor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveVolume_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveVolume(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddLight_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkLight  *temp0;
  temp0 = (vtkLight *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddLight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveLight_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkLight  *temp0;
  temp0 = (vtkLight *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveLight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveAllLights_18(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllLights();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetLights_19(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkLightCollection  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLights();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetLightCollection_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkLightCollection  *temp0;
  temp0 = (vtkLightCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLightCollection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_CreateLight_111(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->CreateLight();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_MakeLight_112(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkLight  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeLight();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetTwoSidedLighting_113(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTwoSidedLighting();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetTwoSidedLighting_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTwoSidedLighting(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TwoSidedLightingOn_115(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoSidedLightingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TwoSidedLightingOff_116(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoSidedLightingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetLightFollowCamera_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLightFollowCamera(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetLightFollowCamera_118(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLightFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_LightFollowCameraOn_119(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->LightFollowCameraOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_LightFollowCameraOff_120(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->LightFollowCameraOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetAutomaticLightCreation_121(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutomaticLightCreation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAutomaticLightCreation_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutomaticLightCreation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AutomaticLightCreationOn_123(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticLightCreationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AutomaticLightCreationOff_124(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AutomaticLightCreationOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_UpdateLightsGeometryToFollowCamera_125(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->UpdateLightsGeometryToFollowCamera();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetVolumes_126(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkVolumeCollection  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVolumes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetActors_127(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkActorCollection  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActors();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetActiveCamera_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetActiveCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetActiveCamera_129(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCamera  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetActiveCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_MakeCamera_130(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCamera  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->MakeCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetErase_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetErase(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetErase_132(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetErase();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_EraseOn_133(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->EraseOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_EraseOff_134(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->EraseOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetDraw_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDraw(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetDraw_136(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDraw();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_DrawOn_137(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_DrawOff_138(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_AddCuller_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCuller  *temp0;
  temp0 = (vtkCuller *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCuller(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_RemoveCuller_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkCuller  *temp0;
  temp0 = (vtkCuller *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCuller(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetCullers_141(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkCullerCollection  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCullers();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAmbient_142(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAmbient(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAmbient_143(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAmbient(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderer_GetAmbient_144(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAmbient();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetAllocatedRenderTime_145(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAllocatedRenderTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetAllocatedRenderTime_146(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAllocatedRenderTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetTimeFactor_147(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_Render_148(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_DeviceRender_149(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->DeviceRender();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_DeviceRenderTranslucentPolygonalGeometry_150(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->DeviceRenderTranslucentPolygonalGeometry();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_Clear_151(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->Clear();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_VisibleActorCount_152(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->VisibleActorCount();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_VisibleVolumeCount_153(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->VisibleVolumeCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ComputeVisiblePropBounds_154(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeVisiblePropBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderer_ComputeVisiblePropBounds_155(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeVisiblePropBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_156(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_157(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCameraClippingRange_158(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetNearClippingPlaneTolerance_159(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNearClippingPlaneTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneToleranceMinValue_160(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNearClippingPlaneToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneToleranceMaxValue_161(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNearClippingPlaneToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetNearClippingPlaneTolerance_162(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNearClippingPlaneTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_163(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_164(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRenderer *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ResetCamera_165(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetRenderWindow_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetRenderWindow_167(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkRenderWindow  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetVTKWindow_168(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkWindow  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVTKWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetBackingStore_169(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackingStore(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetBackingStore_170(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackingStore();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_BackingStoreOn_171(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->BackingStoreOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_BackingStoreOff_172(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->BackingStoreOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetInteractive_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractive(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetInteractive_174(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractive();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_InteractiveOn_175(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->InteractiveOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_InteractiveOff_176(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->InteractiveOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetLayer_177(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetLayer_178(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetPreserveDepthBuffer_179(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPreserveDepthBuffer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetPreserveDepthBuffer_180(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPreserveDepthBuffer();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_PreserveDepthBufferOn_181(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveDepthBufferOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_PreserveDepthBufferOff_182(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->PreserveDepthBufferOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_Transparent_183(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Transparent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_WorldToView_184(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->WorldToView();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_ViewToWorld_185(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->ViewToWorld();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetZ_186(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderer *op;
  int      temp0;
  int      temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZ(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetMTime_187(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
   unsigned long     temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetLastRenderTimeInSeconds_188(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastRenderTimeInSeconds();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetNumberOfPropsRendered_189(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfPropsRendered();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_PickProp_190(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_PickProp_191(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkRenderer *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkAssemblyPath  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PickProp(temp0,temp1,temp2,temp3);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_StereoMidpoint_192(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->StereoMidpoint();
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetTiledAspectRatio_193(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTiledAspectRatio();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_IsActiveCameraCreated_194(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsActiveCameraCreated();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetUseDepthPeeling_195(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseDepthPeeling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetUseDepthPeeling_196(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseDepthPeeling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_UseDepthPeelingOn_197(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDepthPeelingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_UseDepthPeelingOff_198(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->UseDepthPeelingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetOcclusionRatio_199(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOcclusionRatio(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetOcclusionRatioMinValue_1100(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatioMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetOcclusionRatioMaxValue_1101(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatioMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderer_GetOcclusionRatio_1102(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  double   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionRatio();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetMaximumNumberOfPeels_1103(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumNumberOfPeels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetMaximumNumberOfPeels_1104(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumNumberOfPeels();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderer_GetLastRenderingUsedDepthPeeling_1105(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  int      temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastRenderingUsedDepthPeeling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetDelegate_1106(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkRendererDelegate  *temp0;
  temp0 = (vtkRendererDelegate *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDelegate(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetDelegate_1107(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkRendererDelegate  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDelegate();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetPass_1108(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPass(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetPass_1109(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkRenderPass  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetSelector_1110(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkHardwareSelector  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelector();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetBackgroundTexture_1111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderer *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBackgroundTexture(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkRenderer_GetBackgroundTexture_1112(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  vtkTexture  *temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBackgroundTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_SetTexturedBackground_1113(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkRenderer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexturedBackground(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkRenderer_GetTexturedBackground_1114(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;
  bool   temp20;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexturedBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TexturedBackgroundOn_1115(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->TexturedBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderer_TexturedBackgroundOff_1116(JNIEnv *env, jobject obj)
{
  vtkRenderer *op;

  op = (vtkRenderer *)vtkJavaGetPointerFromObject(env,obj);
  op->TexturedBackgroundOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRenderer_VTKInit(JNIEnv *, jobject)
{
  vtkRenderer *aNewOne = vtkRenderer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
