// java wrapper for vtkResliceCursorPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorPicker.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPicker_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkResliceCursorPicker_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkResliceCursorPicker",dType)) { return me; }
  if ((res= vtkPicker_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkResliceCursorPicker_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPicker *op;
  const char    *temp20;

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPicker_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkResliceCursorPicker *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPicker_Pick_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jobject id3)
{
  vtkResliceCursorPicker *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPicker_GetPickedAxis1_13(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPicker *op;
  int      temp20;

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedAxis1();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPicker_GetPickedAxis2_14(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPicker *op;
  int      temp20;

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedAxis2();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkResliceCursorPicker_GetPickedCenter_15(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPicker *op;
  int      temp20;

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedCenter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPicker_SetResliceCursorAlgorithm_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorPicker *op;
  vtkResliceCursorPolyDataAlgorithm  *temp0;
  temp0 = (vtkResliceCursorPolyDataAlgorithm *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResliceCursorAlgorithm(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkResliceCursorPicker_GetResliceCursorAlgorithm_17(JNIEnv *env, jobject obj)
{
  vtkResliceCursorPicker *op;
  vtkResliceCursorPolyDataAlgorithm  *temp20;

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResliceCursorAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPicker_SetTransformMatrix_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkResliceCursorPicker *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransformMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkResliceCursorPicker_Pick_19(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jobject id2)
{
  vtkResliceCursorPicker *op;
  double temp0[2];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  vtkRenderer  *temp2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkResliceCursorPicker *)vtkJavaGetPointerFromObject(env,obj);
  op->Pick(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkResliceCursorPicker_VTKInit(JNIEnv *, jobject)
{
  vtkResliceCursorPicker *aNewOne = vtkResliceCursorPicker::New();
  return (jlong)(size_t)(void*)aNewOne;
}
