// java wrapper for vtkShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShader",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShader *op;
  const char    *temp20;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_Compile_12(JNIEnv *env, jobject obj)
{
  vtkShader *op;
  int      temp20;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Compile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShader_PassShaderVariables_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkShader *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  op->PassShaderVariables(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShader_Bind_14(JNIEnv *env, jobject obj)
{
  vtkShader *op;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  op->Bind();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShader_Unbind_15(JNIEnv *env, jobject obj)
{
  vtkShader *op;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  op->Unbind();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShader_ReleaseGraphicsResources_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShader *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShader_SetXMLShader_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShader *op;
  vtkXMLShader  *temp0;
  temp0 = (vtkXMLShader *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXMLShader(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShader_GetXMLShader_18(JNIEnv *env, jobject obj)
{
  vtkShader *op;
  vtkXMLShader  *temp20;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXMLShader();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_HasShaderVariable_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasShaderVariable(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_GetShaderVariableSize_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderVariableSize(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_GetShaderVariableType_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderVariableType(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShader_GetScope_112(JNIEnv *env, jobject obj)
{
  vtkShader *op;
  int      temp20;

  op = (vtkShader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScope();
  return temp20;
}
