// java wrapper for vtkShaderProgram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShaderProgram.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShaderProgram_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShaderProgram",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShaderProgram_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;
  const char    *temp20;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShaderProgram_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShaderProgram *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShaderProgram_GetMaterial_12(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;
  vtkXMLMaterial  *temp20;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaterial();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_SetMaterial_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShaderProgram *op;
  vtkXMLMaterial  *temp0;
  temp0 = (vtkXMLMaterial *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterial(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShaderProgram_AddShader_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShaderProgram *op;
  vtkShader  *temp0;
  int      temp20;
  temp0 = (vtkShader *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddShader(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_RemoveShader_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkShaderProgram *op;
  int      temp0;
  temp0 = id0;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveShader(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_RemoveShader_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShaderProgram *op;
  vtkShader  *temp0;
  temp0 = (vtkShader *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveShader(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShaderProgram_NewShaderIterator_17(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;
  vtkCollectionIterator  *temp20;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NewShaderIterator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShaderProgram_GetNumberOfShaders_18(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;
  int      temp20;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfShaders();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShaderProgram_CreateShaderProgram_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkShaderProgram *op;
  int      temp0;
  vtkShaderProgram  *temp20;
  temp0 = id0;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateShaderProgram(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_ReadMaterial_110(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->ReadMaterial();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_Render_111(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkShaderProgram *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_PostRender_112(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkShaderProgram *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShaderProgram_ReleaseGraphicsResources_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShaderProgram *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShaderProgram_GetShaderDeviceAdapter_114(JNIEnv *env, jobject obj)
{
  vtkShaderProgram *op;
  vtkShaderDeviceAdapter  *temp20;

  op = (vtkShaderProgram *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderDeviceAdapter();
  return (jlong)(size_t)temp20;}
