// java wrapper for vtkTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextActor.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextActor_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextActor",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  const char    *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ShallowCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMapper_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkPolyDataMapper2D  *temp0;
  temp0 = (vtkPolyDataMapper2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapper(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetInput_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextActor *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextActor_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  char    *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMinimumSize_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTextActor *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMinimumSize_17(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkTextActor *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinimumSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkTextActor_GetMinimumSize_18(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int     *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetMaximumLineHeight_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextActor *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaximumLineHeight(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextActor_GetMaximumLineHeight_110(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  float    temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumLineHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextScaleMode_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextScaleMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetTextScaleModeMinValue_112(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextScaleModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetTextScaleModeMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextScaleModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetTextScaleMode_114(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextScaleMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextScaleModeToNone_115(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextScaleModeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextScaleModeToProp_116(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextScaleModeToProp();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextScaleModeToViewport_117(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextScaleModeToViewport();
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetScaledText_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaledText(temp0);
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetScaledText_119(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledText();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ScaledTextOn_120(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledTextOn();
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ScaledTextOff_121(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledTextOff();
}
#endif

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetUseBorderAlign_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseBorderAlign(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetUseBorderAlign_123(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseBorderAlign();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_UseBorderAlignOn_124(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBorderAlignOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_UseBorderAlignOff_125(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->UseBorderAlignOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetAlignmentPoint_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkTextActor *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAlignmentPoint(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_GetAlignmentPoint_127(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAlignmentPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetOrientation_128(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTextActor *op;
  float    temp0;
  temp0 = id0;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrientation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextActor_GetOrientation_129(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  float    temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrientation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetTextProperty_130(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextActor_GetTextProperty_131(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  vtkTextProperty  *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_SetNonLinearFontScale_132(JNIEnv *env, jobject obj,jdouble id0,jint id1)
{
  vtkTextActor *op;
  double   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNonLinearFontScale(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ComputeScaledFont_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ComputeScaledFont(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTextActor_GetScaledTextProperty_134(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  vtkTextProperty  *temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTextActor_GetFontScale_135(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkViewport  *temp0;
  float    temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontScale(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextActor_ReleaseGraphicsResources_136(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_RenderOpaqueGeometry_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_RenderTranslucentPolygonalGeometry_138(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_RenderOverlay_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextActor *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextActor_HasTranslucentPolygonalGeometry_140(JNIEnv *env, jobject obj)
{
  vtkTextActor *op;
  int      temp20;

  op = (vtkTextActor *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextActor_VTKInit(JNIEnv *, jobject)
{
  vtkTextActor *aNewOne = vtkTextActor::New();
  return (jlong)(size_t)(void*)aNewOne;
}
