// java wrapper for vtkTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexture.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTexture",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTexture_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  const char    *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_Render_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_PostRender_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_Load_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->Load(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetRepeat_16(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepeat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetRepeat_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepeat(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RepeatOn_18(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->RepeatOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RepeatOff_19(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->RepeatOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetEdgeClamp_110(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeClamp();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetEdgeClamp_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeClamp(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_EdgeClampOn_112(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeClampOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_EdgeClampOff_113(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeClampOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetInterpolate_114(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetInterpolate_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_InterpolateOn_116(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_InterpolateOff_117(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQuality_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQuality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetQuality_119(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQuality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityToDefault_120(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQualityToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityTo16Bit_121(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQualityTo16Bit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityTo32Bit_122(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQualityTo32Bit();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetMapColorScalarsThroughLookupTable_123(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMapColorScalarsThroughLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetMapColorScalarsThroughLookupTable_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMapColorScalarsThroughLookupTable(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_MapColorScalarsThroughLookupTableOn_125(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->MapColorScalarsThroughLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_MapColorScalarsThroughLookupTableOff_126(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->MapColorScalarsThroughLookupTableOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexture_GetInput_127(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkImageData  *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetLookupTable_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexture_GetLookupTable_129(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkScalarsToColors  *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexture_GetMappedScalars_130(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkUnsignedCharArray  *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMappedScalars();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetTransform_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexture_GetTransform_132(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkTransform  *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetBlendingMode_133(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendingMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetBlendingMode_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendingMode(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTexture_GetPremultipliedAlpha_135(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  bool   temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPremultipliedAlpha();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetPremultipliedAlpha_136(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTexture *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPremultipliedAlpha(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_PremultipliedAlphaOn_137(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->PremultipliedAlphaOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_PremultipliedAlphaOff_138(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->PremultipliedAlphaOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetRestrictPowerOf2ImageSmaller_139(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRestrictPowerOf2ImageSmaller();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetRestrictPowerOf2ImageSmaller_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRestrictPowerOf2ImageSmaller(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RestrictPowerOf2ImageSmallerOn_141(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->RestrictPowerOf2ImageSmallerOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RestrictPowerOf2ImageSmallerOff_142(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  op->RestrictPowerOf2ImageSmallerOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_IsTranslucent_143(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsTranslucent();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTexture_VTKInit(JNIEnv *, jobject)
{
  vtkTexture *aNewOne = vtkTexture::New();
  return (jlong)(size_t)(void*)aNewOne;
}
