// java wrapper for vtkTexturedActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexturedActor2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTexturedActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTexturedActor2D",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTexturedActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTexturedActor2D *op;
  const char    *temp20;

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTexturedActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedActor2D_SetTexture_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTexture(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTexturedActor2D_GetTexture_13(JNIEnv *env, jobject obj)
{
  vtkTexturedActor2D *op;
  vtkTexture  *temp20;

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTexture();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedActor2D_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedActor2D_RenderOverlay_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedActor2D_RenderOpaqueGeometry_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedActor2D_RenderTranslucentPolygonalGeometry_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexturedActor2D_GetMTime_18(JNIEnv *env, jobject obj)
{
  vtkTexturedActor2D *op;
   unsigned long     temp20;

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexturedActor2D_ShallowCopy_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexturedActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTexturedActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTexturedActor2D_VTKInit(JNIEnv *, jobject)
{
  vtkTexturedActor2D *aNewOne = vtkTexturedActor2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
