// java wrapper for vtkTransformInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformInterpolator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  const char    *temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_GetNumberOfTransforms_12(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  int      temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTransforms();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTransformInterpolator_GetMinimumT_13(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  double   temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumT();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTransformInterpolator_GetMaximumT_14(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  double   temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_Initialize_15(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_AddTransform_16(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkTransformInterpolator *op;
  double   temp0;
  vtkTransform  *temp1;
  temp0 = id0;
  temp1 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddTransform(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_AddTransform_17(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkTransformInterpolator *op;
  double   temp0;
  vtkMatrix4x4  *temp1;
  temp0 = id0;
  temp1 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddTransform(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_AddTransform_18(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkTransformInterpolator *op;
  double   temp0;
  vtkProp3D  *temp1;
  temp0 = id0;
  temp1 = (vtkProp3D *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->AddTransform(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_RemoveTransform_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTransformInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_InterpolateTransform_110(JNIEnv *env, jobject obj,jdouble id0,jobject id1)
{
  vtkTransformInterpolator *op;
  double   temp0;
  vtkTransform  *temp1;
  temp0 = id0;
  temp1 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->InterpolateTransform(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetInterpolationType_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkTransformInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_GetInterpolationTypeMinValue_112(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  int      temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_GetInterpolationTypeMaxValue_113(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  int      temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationTypeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_GetInterpolationType_114(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  int      temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetInterpolationTypeToLinear_115(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetInterpolationTypeToSpline_116(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToSpline();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetInterpolationTypeToManual_117(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToManual();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetPositionInterpolator_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPositionInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransformInterpolator_GetPositionInterpolator_119(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPositionInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetScaleInterpolator_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformInterpolator *op;
  vtkTupleInterpolator  *temp0;
  temp0 = (vtkTupleInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransformInterpolator_GetScaleInterpolator_121(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  vtkTupleInterpolator  *temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformInterpolator_SetRotationInterpolator_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformInterpolator *op;
  vtkQuaternionInterpolator  *temp0;
  temp0 = (vtkQuaternionInterpolator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationInterpolator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTransformInterpolator_GetRotationInterpolator_123(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
  vtkQuaternionInterpolator  *temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationInterpolator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformInterpolator_GetMTime_124(JNIEnv *env, jobject obj)
{
  vtkTransformInterpolator *op;
   unsigned long     temp20;

  op = (vtkTransformInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTransformInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkTransformInterpolator *aNewOne = vtkTransformInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
