// java wrapper for vtkTupleInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTupleInterpolator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTupleInterpolator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTupleInterpolator",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTupleInterpolator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  const char    *temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTupleInterpolator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTupleInterpolator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_SetNumberOfComponents_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkTupleInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfComponents(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTupleInterpolator_GetNumberOfComponents_13(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  int      temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfComponents();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTupleInterpolator_GetNumberOfTuples_14(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  int      temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfTuples();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTupleInterpolator_GetMinimumT_15(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  double   temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMinimumT();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTupleInterpolator_GetMaximumT_16(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  double   temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaximumT();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_Initialize_17(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_RemoveTuple_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTupleInterpolator *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveTuple(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_SetInterpolationType_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkTupleInterpolator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTupleInterpolator_GetInterpolationType_110(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  int      temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_SetInterpolationTypeToLinear_111(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_SetInterpolationTypeToSpline_112(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationTypeToSpline();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTupleInterpolator_SetInterpolatingSpline_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTupleInterpolator *op;
  vtkSpline  *temp0;
  temp0 = (vtkSpline *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolatingSpline(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTupleInterpolator_GetInterpolatingSpline_114(JNIEnv *env, jobject obj)
{
  vtkTupleInterpolator *op;
  vtkSpline  *temp20;

  op = (vtkTupleInterpolator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolatingSpline();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTupleInterpolator_VTKInit(JNIEnv *, jobject)
{
  vtkTupleInterpolator *aNewOne = vtkTupleInterpolator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
