// java wrapper for vtkTextExtraction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextExtraction.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTextExtraction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTextExtraction",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextExtraction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTextExtraction *op;
  const char    *temp20;

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTextExtraction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextExtraction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextExtraction_ClearStrategies_12(JNIEnv *env, jobject obj)
{
  vtkTextExtraction *op;

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearStrategies();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextExtraction_PrependStrategy_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextExtraction *op;
  vtkTextExtractionStrategy  *temp0;
  temp0 = (vtkTextExtractionStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  op->PrependStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextExtraction_AppendStrategy_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTextExtraction *op;
  vtkTextExtractionStrategy  *temp0;
  temp0 = (vtkTextExtractionStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  op->AppendStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTextExtraction_SetOutputArray_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTextExtraction *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTextExtraction_GetOutputArray_16(JNIEnv *env, jobject obj)
{
  vtkTextExtraction *op;
  char    *temp20;

  op = (vtkTextExtraction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputArray();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTextExtraction_VTKInit(JNIEnv *, jobject)
{
  vtkTextExtraction *aNewOne = vtkTextExtraction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
