// java wrapper for vtkTokenizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTokenizer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTokenizer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTokenizer",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTokenizer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;
  const char    *temp20;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTokenizer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTokenizer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_DropPunctuation_12(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->DropPunctuation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_DropWhitespace_13(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->DropWhitespace();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_KeepPunctuation_14(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->KeepPunctuation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_KeepWhitespace_15(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->KeepWhitespace();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_KeepLogosyllabic_16(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->KeepLogosyllabic();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_ClearDroppedDelimiters_17(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearDroppedDelimiters();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTokenizer_ClearKeptDelimiters_18(JNIEnv *env, jobject obj)
{
  vtkTokenizer *op;

  op = (vtkTokenizer *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearKeptDelimiters();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTokenizer_VTKInit(JNIEnv *, jobject)
{
  vtkTokenizer *aNewOne = vtkTokenizer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
