// java wrapper for vtkHierarchicalGraphView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalGraphView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkGraphLayoutView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalGraphView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalGraphView",dType)) { return me; }
  if ((res= vtkGraphLayoutView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetHierarchyFromInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetHierarchyFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetHierarchyFromInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetHierarchyFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphFromInputConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphFromInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphEdgeLabelArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphEdgeLabelArrayName_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphEdgeLabelVisibility_18(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphEdgeLabelVisibility_19(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_GraphEdgeLabelVisibilityOn_110(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_GraphEdgeLabelVisibilityOff_111(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphEdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphEdgeColorArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphEdgeColorArrayName_113(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphEdgeColorToSplineFraction_114(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeColorToSplineFraction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetColorGraphEdgesByArray_115(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorGraphEdgesByArray(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetColorGraphEdgesByArray_116(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorGraphEdgesByArray();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorGraphEdgesByArrayOn_117(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorGraphEdgesByArrayOff_118(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorGraphEdgesByArrayOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetBundlingStrength_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHierarchicalGraphView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHierarchicalGraphView_GetBundlingStrength_120(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  double   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphVisibility_121(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphVisibility_122(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_GraphVisibilityOn_123(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_GraphVisibilityOff_124(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->GraphVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphEdgeLabelFontSize_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGraphEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphEdgeLabelFontSize_126(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  int      temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHierarchicalGraphView_VTKInit(JNIEnv *, jobject)
{
  vtkHierarchicalGraphView *aNewOne = vtkHierarchicalGraphView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
