// tcl wrapper for vtkInteractorStyleAreaSelectHover object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyleAreaSelectHover.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkInteractorStyleAreaSelectHoverNewCommand()
{
  vtkInteractorStyleAreaSelectHover *temp = vtkInteractorStyleAreaSelectHover::New();
  return static_cast<ClientData>(temp);
}

int vtkInteractorStyleRubberBand2DCppCommand(vtkInteractorStyleRubberBand2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleAreaSelectHoverCppCommand(vtkInteractorStyleAreaSelectHover *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleAreaSelectHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleAreaSelectHoverCppCommand(static_cast<vtkInteractorStyleAreaSelectHover *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleAreaSelectHoverCppCommand(vtkInteractorStyleAreaSelectHover *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyleAreaSelectHover",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkInteractorStyleRubberBand2DCppCommand(static_cast<vtkInteractorStyleRubberBand2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkInteractorStyleRubberBand2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleAreaSelectHover  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleAreaSelectHover");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyleAreaSelectHover  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleAreaSelectHover");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyleAreaSelectHover  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorStyleAreaSelectHover");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayout",argv[1]))&&(argc == 3))
    {
    vtkAreaLayout  *temp0;
    error = 0;

    temp0 = (vtkAreaLayout *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAreaLayout"),interp,error));
    if (!error)
    {
    op->SetLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayout",argv[1]))&&(argc == 2))
    {
    vtkAreaLayout  *temp20;
    temp20 = (op)->GetLayout();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAreaLayout");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelField",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelField(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelField",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelField();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseRectangularCoordinates",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRectangularCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRectangularCoordinates",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRectangularCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighLightColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetHighLightColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighLightWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHighLightWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHighLightWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHighLightWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIdAtPos",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIdAtPos(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkInteractorStyleAreaSelectHoverCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorStyleRubberBand2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyleAreaSelectHover:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayout\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelField\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelField\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRectangularCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRectangularCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHighLightColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHighLightWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHighLightWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetIdAtPos\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkInteractorStyleRubberBand2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLayout" );
    Tcl_DStringAppendElement ( &dString, "GetLayout" );
    Tcl_DStringAppendElement ( &dString, "SetLabelField" );
    Tcl_DStringAppendElement ( &dString, "GetLabelField" );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetHighLightColor" );
    Tcl_DStringAppendElement ( &dString, "SetHighLightWidth" );
    Tcl_DStringAppendElement ( &dString, "GetHighLightWidth" );
    Tcl_DStringAppendElement ( &dString, "GetIdAtPos" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkInteractorStyleRubberBand2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkInteractorStyleAreaSelectHover *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayout */
    if ( strcmp ( argv[2], "SetLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayout" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayout */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkAreaLayout used to compute the bounds of\n each vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayout(vtkAreaLayout *layout);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayout */
    if ( strcmp ( argv[2], "GetLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayout */
    Tcl_DStringAppendElement ( &dString, " Must be set to the vtkAreaLayout used to compute the bounds of\n each vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayout *GetLayout();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelField */
    if ( strcmp ( argv[2], "SetLabelField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelField */
    Tcl_DStringAppendElement ( &dString, " The name of the field to use when displaying text in the hover balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelField(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetLabelField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelField */
    if ( strcmp ( argv[2], "GetLabelField" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelField" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelField */
    Tcl_DStringAppendElement ( &dString, " The name of the field to use when displaying text in the hover balloon.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelField();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetLabelField */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "SetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRectangularCoordinates(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "GetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRectangularCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOn */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for UseRectangularCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOff */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for UseRectangularCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Overridden from vtkInteractorStyleImage to provide the desired\n interaction behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " Set the interactor that this interactor style works with.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor(vtkRenderWindowInteractor *rwi);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighLightColor */
    if ( strcmp ( argv[2], "SetHighLightColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighLightColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighLightColor */
    Tcl_DStringAppendElement ( &dString, " Set the color used to highlight the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHighLightColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetHighLightColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighLightWidth */
    if ( strcmp ( argv[2], "SetHighLightWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighLightWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighLightWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHighLightWidth(double lw);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for SetHighLightWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighLightWidth */
    if ( strcmp ( argv[2], "GetHighLightWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighLightWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighLightWidth */
    Tcl_DStringAppendElement ( &dString, " The width of the line around the hovered vertex.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHighLightWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetHighLightWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIdAtPos */
    if ( strcmp ( argv[2], "GetIdAtPos" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIdAtPos" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIdAtPos */
    Tcl_DStringAppendElement ( &dString, " Obtain the tree vertex id at the position specified.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetIdAtPos(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorStyleAreaSelectHover" );
    /* Closing for GetIdAtPos */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkInteractorStyleRubberBand2DCppCommand(static_cast<vtkInteractorStyleRubberBand2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
