// java wrapper for vtkTreeAreaView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeAreaView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeAreaView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeAreaView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeAreaView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeAreaView_SetTreeFromInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeAreaView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetTreeFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeAreaView_SetTreeFromInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeAreaView *op;
  vtkTree  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetTreeFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeAreaView_SetGraphFromInputConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeAreaView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeAreaView_SetGraphFromInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeAreaView *op;
  vtkGraph  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkGraph *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaLabelArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetAreaLabelArrayName_17(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaSizeArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaSizeArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetAreaSizeArrayName_19(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaSizeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetLabelPriorityArrayName_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelPriorityArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetLabelPriorityArrayName_111(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelPriorityArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeLabelArrayName_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetEdgeLabelArrayName_113(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaHoverArrayName_114(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaHoverArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetAreaHoverArrayName_115(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaHoverArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaLabelVisibility_116(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetAreaLabelVisibility_117(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_AreaLabelVisibilityOn_118(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->AreaLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_AreaLabelVisibilityOff_119(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->AreaLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeLabelVisibility_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetEdgeLabelVisibility_121(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_EdgeLabelVisibilityOn_122(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_EdgeLabelVisibilityOff_123(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaColorArrayName_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetAreaColorArrayName_125(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetColorAreas_126(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorAreas(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetColorAreas_127(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorAreas();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_ColorAreasOn_128(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorAreasOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_ColorAreasOff_129(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorAreasOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeColorArrayName_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeAreaView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeAreaView_GetEdgeColorArrayName_131(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  const char    *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeColorToSplineFraction_132(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorToSplineFraction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetShrinkPercentage_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeAreaView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShrinkPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeAreaView_GetShrinkPercentage_134(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  double   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShrinkPercentage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetColorEdges_135(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetColorEdges_136(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_ColorEdgesOn_137(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_ColorEdgesOff_138(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetBundlingStrength_139(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeAreaView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeAreaView_GetBundlingStrength_140(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  double   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBundlingStrength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetAreaLabelFontSize_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeAreaView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAreaLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeAreaView_GetAreaLabelFontSize_142(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  int      temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAreaLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeLabelFontSize_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeAreaView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeAreaView_GetEdgeLabelFontSize_144(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  int      temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetLayoutStrategy_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeAreaView *op;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = (vtkAreaLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeAreaView_GetLayoutStrategy_146(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  vtkAreaLayoutStrategy  *temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetUseRectangularCoordinates_147(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRectangularCoordinates(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetUseRectangularCoordinates_148(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRectangularCoordinates();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_UseRectangularCoordinatesOn_149(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_UseRectangularCoordinatesOff_150(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRectangularCoordinatesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeAreaView_SetEdgeScalarBarVisibility_151(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeAreaView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeScalarBarVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeAreaView_GetEdgeScalarBarVisibility_152(JNIEnv *env, jobject obj)
{
  vtkTreeAreaView *op;
  bool   temp20;

  op = (vtkTreeAreaView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeScalarBarVisibility();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeAreaView_VTKInit(JNIEnv *, jobject)
{
  vtkTreeAreaView *aNewOne = vtkTreeAreaView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
