// java wrapper for vtkTreeRingView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeRingView.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTreeAreaView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeRingView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeRingView",dType)) { return me; }
  if ((res= vtkTreeAreaView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeRingView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;
  const char    *temp20;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeRingView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeRingView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_SetRootAngles_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkTreeRingView *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRootAngles(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_SetRootAtCenter_13(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeRingView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRootAtCenter(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeRingView_GetRootAtCenter_14(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;
  bool   temp20;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRootAtCenter();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_RootAtCenterOn_15(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->RootAtCenterOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_RootAtCenterOff_16(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->RootAtCenterOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_SetLayerThickness_17(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeRingView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayerThickness(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeRingView_GetLayerThickness_18(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;
  double   temp20;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayerThickness();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_SetInteriorRadius_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeRingView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteriorRadius(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeRingView_GetInteriorRadius_110(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;
  double   temp20;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteriorRadius();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeRingView_SetInteriorLogSpacingValue_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeRingView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteriorLogSpacingValue(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeRingView_GetInteriorLogSpacingValue_112(JNIEnv *env, jobject obj)
{
  vtkTreeRingView *op;
  double   temp20;

  op = (vtkTreeRingView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteriorLogSpacingValue();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeRingView_VTKInit(JNIEnv *, jobject)
{
  vtkTreeRingView *aNewOne = vtkTreeRingView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
