// java wrapper for vtkProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProjectedTetrahedraMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProjectedTetrahedraMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProjectedTetrahedraMapper",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  const char    *temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProjectedTetrahedraMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_SetVisibilitySort_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkProjectedTetrahedraMapper *op;
  vtkVisibilitySort  *temp0;
  temp0 = (vtkVisibilitySort *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVisibilitySort(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_GetVisibilitySort_13(JNIEnv *env, jobject obj)
{
  vtkProjectedTetrahedraMapper *op;
  vtkVisibilitySort  *temp20;

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVisibilitySort();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_MapScalarsToColors_14(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkProjectedTetrahedraMapper *op;
  vtkDataArray  *temp0;
  vtkVolumeProperty  *temp1;
  vtkDataArray  *temp2;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolumeProperty *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->MapScalarsToColors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProjectedTetrahedraMapper_TransformPoints_15(JNIEnv *env, jobject obj,jobject id0,jdoubleArray id1,jdoubleArray id2,jobject id3)
{
  vtkProjectedTetrahedraMapper *op;
  vtkPoints  *temp0;
  float  temp1[16];
  void *tempArray1;
  float  temp2[16];
  void *tempArray2;
  vtkFloatArray  *temp3;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0));
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  temp1[6] = ((jdouble *)tempArray1)[6];
  temp1[7] = ((jdouble *)tempArray1)[7];
  temp1[8] = ((jdouble *)tempArray1)[8];
  temp1[9] = ((jdouble *)tempArray1)[9];
  temp1[10] = ((jdouble *)tempArray1)[10];
  temp1[11] = ((jdouble *)tempArray1)[11];
  temp1[12] = ((jdouble *)tempArray1)[12];
  temp1[13] = ((jdouble *)tempArray1)[13];
  temp1[14] = ((jdouble *)tempArray1)[14];
  temp1[15] = ((jdouble *)tempArray1)[15];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  temp2[6] = ((jdouble *)tempArray2)[6];
  temp2[7] = ((jdouble *)tempArray2)[7];
  temp2[8] = ((jdouble *)tempArray2)[8];
  temp2[9] = ((jdouble *)tempArray2)[9];
  temp2[10] = ((jdouble *)tempArray2)[10];
  temp2[11] = ((jdouble *)tempArray2)[11];
  temp2[12] = ((jdouble *)tempArray2)[12];
  temp2[13] = ((jdouble *)tempArray2)[13];
  temp2[14] = ((jdouble *)tempArray2)[14];
  temp2[15] = ((jdouble *)tempArray2)[15];
  temp3 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkProjectedTetrahedraMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->TransformPoints(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  ((jdouble *)tempArray1)[6] = temp1[6];
  ((jdouble *)tempArray1)[7] = temp1[7];
  ((jdouble *)tempArray1)[8] = temp1[8];
  ((jdouble *)tempArray1)[9] = temp1[9];
  ((jdouble *)tempArray1)[10] = temp1[10];
  ((jdouble *)tempArray1)[11] = temp1[11];
  ((jdouble *)tempArray1)[12] = temp1[12];
  ((jdouble *)tempArray1)[13] = temp1[13];
  ((jdouble *)tempArray1)[14] = temp1[14];
  ((jdouble *)tempArray1)[15] = temp1[15];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  ((jdouble *)tempArray2)[6] = temp2[6];
  ((jdouble *)tempArray2)[7] = temp2[7];
  ((jdouble *)tempArray2)[8] = temp2[8];
  ((jdouble *)tempArray2)[9] = temp2[9];
  ((jdouble *)tempArray2)[10] = temp2[10];
  ((jdouble *)tempArray2)[11] = temp2[11];
  ((jdouble *)tempArray2)[12] = temp2[12];
  ((jdouble *)tempArray2)[13] = temp2[13];
  ((jdouble *)tempArray2)[14] = temp2[14];
  ((jdouble *)tempArray2)[15] = temp2[15];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProjectedTetrahedraMapper_VTKInit(JNIEnv *, jobject)
{
  vtkProjectedTetrahedraMapper *aNewOne = vtkProjectedTetrahedraMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
