// java wrapper for vtkRecursiveSphereDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRecursiveSphereDirectionEncoder.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDirectionEncoder_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRecursiveSphereDirectionEncoder_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRecursiveSphereDirectionEncoder",dType)) { return me; }
  if ((res= vtkDirectionEncoder_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRecursiveSphereDirectionEncoder *op;
  const char    *temp20;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRecursiveSphereDirectionEncoder *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetEncodedDirection_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkRecursiveSphereDirectionEncoder *op;
  float  temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEncodedDirection(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetDecodedGradient_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp0;
  float   *temp20;
  temp0 = id0;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDecodedGradient(temp0);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetNumberOfEncodedDirections_14(JNIEnv *env, jobject obj)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp20;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfEncodedDirections();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_SetRecursionDepth_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRecursionDepth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMinValue_16(JNIEnv *env, jobject obj)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp20;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecursionDepthMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetRecursionDepthMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp20;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecursionDepthMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_GetRecursionDepth_18(JNIEnv *env, jobject obj)
{
  vtkRecursiveSphereDirectionEncoder *op;
  int      temp20;

  op = (vtkRecursiveSphereDirectionEncoder *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRecursionDepth();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRecursiveSphereDirectionEncoder_VTKInit(JNIEnv *, jobject)
{
  vtkRecursiveSphereDirectionEncoder *aNewOne = vtkRecursiveSphereDirectionEncoder::New();
  return (jlong)(size_t)(void*)aNewOne;
}
