// tcl wrapper for vtkSmartVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSmartVolumeMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSmartVolumeMapperNewCommand()
{
  vtkSmartVolumeMapper *temp = vtkSmartVolumeMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSmartVolumeMapperCppCommand(vtkSmartVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSmartVolumeMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSmartVolumeMapperCppCommand(static_cast<vtkSmartVolumeMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSmartVolumeMapperCppCommand(vtkSmartVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSmartVolumeMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSmartVolumeMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmartVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSmartVolumeMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmartVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSmartVolumeMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSmartVolumeMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFinalColorWindow",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorWindow",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFinalColorLevel",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorLevel",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestedRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequestedRenderModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToRayCastAndTexture",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToRayCastAndTexture();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedRenderModeToRayCast",argv[1]))&&(argc == 2))
    {
    op->SetRequestedRenderModeToRayCast();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRequestedRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestedRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteractiveUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveUpdateRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteractiveUpdateRateMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractiveUpdateRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteractiveUpdateRateMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractiveUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteractiveUpdateRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastUsedRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastUsedRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxMemoryInBytes",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxMemoryInBytes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxMemoryInBytes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaxMemoryInBytes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxMemoryFraction",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxMemoryFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxMemoryFractionMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxMemoryFractionMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFractionMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxMemoryFraction",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxMemoryFraction();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToNearestNeighbor",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToNearestNeighbor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationModeToCubic",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationModeToCubic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSmartVolumeMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSmartVolumeMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToRayCastAndTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedRenderModeToRayCast\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestedRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveUpdateRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveUpdateRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetLastUsedRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxMemoryInBytes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryInBytes\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxMemoryFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFractionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxMemoryFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToNearestNeighbor\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationModeToCubic\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToDefault" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCastAndTexture" );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCast" );
    Tcl_DStringAppendElement ( &dString, "GetRequestedRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetLastUsedRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSmartVolumeMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorWindow */
    if ( strcmp ( argv[2], "SetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set the final color window. This controls the contrast of\n the image. The default value is 1.0. The Window can be\n negative (this causes a \"negative\" effect on the image)\n Although Window can be set to 0.0, any value less than\n 0.00001 and greater than or equal to 0.0 will be set to\n 0.00001, and any value greater than -0.00001 but less\n than or equal to 0.0 will be set to -0.00001.\n Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorWindow(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorWindow */
    if ( strcmp ( argv[2], "GetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Get the final color window. Initial value is 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorLevel */
    if ( strcmp ( argv[2], "SetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set the final color level. The level controls the\n brightness of the image. The final color window will\n be centered at the final color level, and together\n represent a linear remapping of color values. The\n default value for the level is 0.5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorLevel(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorLevel */
    if ( strcmp ( argv[2], "GetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Get the final color level.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderMode */
    if ( strcmp ( argv[2], "SetRequestedRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderMode */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode. The default is\n vtkSmartVolumeMapper::DefaultRenderMode.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetRequestedRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToDefault */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToDefault" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToDefault" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToDefault */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to vtkSmartVolumeMapper::DefaultRenderMode.\n This is the best option for an application that must adapt to different\n data types, hardware, and rendering parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToDefault();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetRequestedRenderModeToDefault */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToRayCastAndTexture */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToRayCastAndTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCastAndTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToRayCastAndTexture */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to\n vtkSmartVolumeMapper::RayCastAndTextureRenderMode.\n This is a good option if you want to avoid using advanced OpenGL\n functionality, but would still like to used 3D texture mapping, if\n available, for interactive rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToRayCastAndTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetRequestedRenderModeToRayCastAndTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRequestedRenderModeToRayCast */
    if ( strcmp ( argv[2], "SetRequestedRenderModeToRayCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRequestedRenderModeToRayCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRequestedRenderModeToRayCast */
    Tcl_DStringAppendElement ( &dString, " Set the requested render mode to vtkSmartVolumeMapper::RayCastRenderMode.\n This option will use software rendering exclusively. This is a good option\n if you know there is no hardware acceleration.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRequestedRenderModeToRayCast();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetRequestedRenderModeToRayCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRequestedRenderMode */
    if ( strcmp ( argv[2], "GetRequestedRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRequestedRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRequestedRenderMode */
    Tcl_DStringAppendElement ( &dString, " Get the requested render mode.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRequestedRenderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetRequestedRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractiveUpdateRate */
    if ( strcmp ( argv[2], "SetInteractiveUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractiveUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set the rate at or above this render will be considered interactive.\n If the DesiredUpdateRate of the vtkRenderWindow that caused the Render\n falls at or above this rate, the render is considered interactive and\n the mapper may be adjusted (depending on the render mode).\n Initial value is 1.0e-5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractiveUpdateRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetInteractiveUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractiveUpdateRateMinValue */
    if ( strcmp ( argv[2], "GetInteractiveUpdateRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractiveUpdateRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the rate at or above this render will be considered interactive.\n If the DesiredUpdateRate of the vtkRenderWindow that caused the Render\n falls at or above this rate, the render is considered interactive and\n the mapper may be adjusted (depending on the render mode).\n Initial value is 1.0e-5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInteractiveUpdateRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInteractiveUpdateRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractiveUpdateRateMaxValue */
    if ( strcmp ( argv[2], "GetInteractiveUpdateRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractiveUpdateRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the rate at or above this render will be considered interactive.\n If the DesiredUpdateRate of the vtkRenderWindow that caused the Render\n falls at or above this rate, the render is considered interactive and\n the mapper may be adjusted (depending on the render mode).\n Initial value is 1.0e-5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInteractiveUpdateRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInteractiveUpdateRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractiveUpdateRate */
    if ( strcmp ( argv[2], "GetInteractiveUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractiveUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Get the update rate at or above which this is considered an\n interactive render.\n Initial value is 1.0e-5.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetInteractiveUpdateRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInteractiveUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastUsedRenderMode */
    if ( strcmp ( argv[2], "GetLastUsedRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastUsedRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastUsedRenderMode */
    Tcl_DStringAppendElement ( &dString, " This will return the render mode used during the previous call to\n Render().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastUsedRenderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetLastUsedRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "SetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n Useful if the automatic detection is defective or missing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxMemoryInBytes(vtkIdType a);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryInBytes */
    if ( strcmp ( argv[2], "GetMaxMemoryInBytes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryInBytes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryInBytes */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum size of the 3D texture in GPU memory.\n Will default to the size computed from the graphics\n card. Can be adjusted by the user.\n Useful if the automatic detection is defective or missing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetMaxMemoryInBytes();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetMaxMemoryInBytes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxMemoryFraction */
    if ( strcmp ( argv[2], "SetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxMemoryFraction(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFractionMinValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMinValue */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFractionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetMaxMemoryFractionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFractionMaxValue */
    if ( strcmp ( argv[2], "GetMaxMemoryFractionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFractionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFractionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFractionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetMaxMemoryFractionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxMemoryFraction */
    if ( strcmp ( argv[2], "GetMaxMemoryFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxMemoryFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxMemoryFraction */
    Tcl_DStringAppendElement ( &dString, " Value passed to the GPU mapper. Ignored by other mappers.\n Maximum fraction of the MaxMemoryInBytes that should\n be used to hold the texture. Valid values are 0.1 to\n 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxMemoryFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetMaxMemoryFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationMode */
    if ( strcmp ( argv[2], "SetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationModeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInterpolationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationModeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInterpolationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationMode */
    if ( strcmp ( argv[2], "GetInterpolationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationMode */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for GetInterpolationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToNearestNeighbor */
    if ( strcmp ( argv[2], "SetInterpolationModeToNearestNeighbor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToNearestNeighbor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToNearestNeighbor */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToNearestNeighbor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetInterpolationModeToNearestNeighbor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationModeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToLinear */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetInterpolationModeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationModeToCubic */
    if ( strcmp ( argv[2], "SetInterpolationModeToCubic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationModeToCubic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationModeToCubic */
    Tcl_DStringAppendElement ( &dString, " Set interpolation mode for downsampling (lowres GPU)\n (initial value: cubic).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationModeToCubic();" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for SetInterpolationModeToCubic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Initialize rendering for this volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSmartVolumeMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
