// java wrapper for vtkUnstructuredGridHomogeneousRayIntegrator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridHomogeneousRayIntegrator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayIntegrator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridHomogeneousRayIntegrator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridHomogeneousRayIntegrator",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayIntegrator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  const char    *temp20;

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_Integrate_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdoubleArray id3)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  void *tempArray3;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  op->Integrate(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_SetTransferFunctionTableSize_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransferFunctionTableSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_GetTransferFunctionTableSize_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *op;
  int      temp20;

  op = (vtkUnstructuredGridHomogeneousRayIntegrator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransferFunctionTableSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridHomogeneousRayIntegrator_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridHomogeneousRayIntegrator *aNewOne = vtkUnstructuredGridHomogeneousRayIntegrator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
