// java wrapper for vtkUnstructuredGridPartialPreIntegration object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridPartialPreIntegration.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayIntegrator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridPartialPreIntegration_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridPartialPreIntegration",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayIntegrator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  const char    *temp20;

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_Integrate_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdoubleArray id3)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  void *tempArray3;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2));
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  op->Integrate(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_IntegrateRay_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdoubleArray id5)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  float  temp5[4];
  void *tempArray5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];
  temp5[3] = ((jdouble *)tempArray5)[3];

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  op->IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  ((jdouble *)tempArray5)[3] = temp5[3];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_IntegrateRay_15(JNIEnv *env, jobject obj,jdouble id0,jdoubleArray id1,jdouble id2,jdoubleArray id3,jdouble id4,jdoubleArray id5)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  double   temp0;
  double temp1[3];
  void *tempArray1;
  double   temp2;
  double temp3[3];
  void *tempArray3;
  double   temp4;
  float  temp5[4];
  void *tempArray5;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp4 = id4;
  tempArray5 = (void *)(env->GetDoubleArrayElements(id5,NULL));
  temp5[0] = ((jdouble *)tempArray5)[0];
  temp5[1] = ((jdouble *)tempArray5)[1];
  temp5[2] = ((jdouble *)tempArray5)[2];
  temp5[3] = ((jdouble *)tempArray5)[3];

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  op->IntegrateRay(temp0,temp1,temp2,temp3,temp4,temp5);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  ((jdouble *)tempArray5)[0] = temp5[0];
  ((jdouble *)tempArray5)[1] = temp5[1];
  ((jdouble *)tempArray5)[2] = temp5[2];
  ((jdouble *)tempArray5)[3] = temp5[3];
  env->ReleaseDoubleArrayElements(id5,(jdouble *)tempArray5,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_Psi_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkUnstructuredGridPartialPreIntegration *op;
  float    temp0;
  float    temp1;
  float    temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Psi(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_BuildPsiTable_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPartialPreIntegration *op;

  op = (vtkUnstructuredGridPartialPreIntegration *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildPsiTable();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridPartialPreIntegration_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridPartialPreIntegration *aNewOne = vtkUnstructuredGridPartialPreIntegration::New();
  return (jlong)(size_t)(void*)aNewOne;
}
