// tcl wrapper for vtkBiDimensionalRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBiDimensionalRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBiDimensionalRepresentationCppCommand(vtkBiDimensionalRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBiDimensionalRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBiDimensionalRepresentationCppCommand(static_cast<vtkBiDimensionalRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBiDimensionalRepresentationCppCommand(vtkBiDimensionalRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBiDimensionalRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBiDimensionalRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBiDimensionalRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint3WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint3WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint4WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint4WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint3WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint3WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint4WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint4WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint3DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint3DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint4DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint4DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint3DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint3DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint4DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint4DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint1Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint2Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint2Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint3Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint3Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint4Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint4Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetLine1Visibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLine1Visibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine1Visibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLine1Visibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Line1VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->Line1VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Line1VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->Line1VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLine2Visibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLine2Visibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine2Visibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLine2Visibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Line2VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->Line2VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Line2VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->Line2VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleRepresentation",argv[1]))&&(argc == 3))
    {
    vtkHandleRepresentation  *temp0;
    error = 0;

    temp0 = (vtkHandleRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHandleRepresentation"),interp,error));
    if (!error)
    {
    op->SetHandleRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InstantiateHandleRepresentation",argv[1]))&&(argc == 2))
    {
    op->InstantiateHandleRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLength1",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength1();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLength2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength2();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShowLabelAboveWidget",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowLabelAboveWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowLabelAboveWidget",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowLabelAboveWidget();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowLabelAboveWidgetOn",argv[1]))&&(argc == 2))
    {
    op->ShowLabelAboveWidgetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowLabelAboveWidgetOff",argv[1]))&&(argc == 2))
    {
    op->ShowLabelAboveWidgetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetID",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetID",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLabelPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWorldLabelPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetWorldLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartWidgetDefinition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetDefinition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Point2WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Point2WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Point3WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Point3WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartWidgetManipulation",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetManipulation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBiDimensionalRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBiDimensionalRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint3WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint4WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint3WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint4WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint3DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint4DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint3DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint4DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1Representation\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2Representation\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint3Representation\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint4Representation\n",NULL);
    Tcl_AppendResult(interp,"  SetLine1Visibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLine1Visibility\n",NULL);
    Tcl_AppendResult(interp,"  Line1VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  Line1VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLine2Visibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLine2Visibility\n",NULL);
    Tcl_AppendResult(interp,"  Line2VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  Line2VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InstantiateHandleRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  GetLength1\n",NULL);
    Tcl_AppendResult(interp,"  GetLength2\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetShowLabelAboveWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowLabelAboveWidget\n",NULL);
    Tcl_AppendResult(interp,"  ShowLabelAboveWidgetOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowLabelAboveWidgetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetID\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelText\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetDefinition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Point2WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Point3WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetManipulation\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint3WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint4WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint3WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint4WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint3DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint4DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint3DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint4DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Representation" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Representation" );
    Tcl_DStringAppendElement ( &dString, "GetPoint3Representation" );
    Tcl_DStringAppendElement ( &dString, "GetPoint4Representation" );
    Tcl_DStringAppendElement ( &dString, "SetLine1Visibility" );
    Tcl_DStringAppendElement ( &dString, "GetLine1Visibility" );
    Tcl_DStringAppendElement ( &dString, "Line1VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "Line1VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLine2Visibility" );
    Tcl_DStringAppendElement ( &dString, "GetLine2Visibility" );
    Tcl_DStringAppendElement ( &dString, "Line2VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "Line2VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleRepresentation" );
    Tcl_DStringAppendElement ( &dString, "InstantiateHandleRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetLength1" );
    Tcl_DStringAppendElement ( &dString, "GetLength2" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetShowLabelAboveWidget" );
    Tcl_DStringAppendElement ( &dString, "GetShowLabelAboveWidget" );
    Tcl_DStringAppendElement ( &dString, "ShowLabelAboveWidgetOn" );
    Tcl_DStringAppendElement ( &dString, "ShowLabelAboveWidgetOff" );
    Tcl_DStringAppendElement ( &dString, "SetID" );
    Tcl_DStringAppendElement ( &dString, "GetID" );
    Tcl_DStringAppendElement ( &dString, "GetLabelText" );
    Tcl_DStringAppendElement ( &dString, "GetLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "GetWorldLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetDefinition" );
    Tcl_DStringAppendElement ( &dString, "Point2WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "Point3WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetManipulation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1WorldPosition */
    if ( strcmp ( argv[2], "SetPoint1WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint1WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2WorldPosition */
    if ( strcmp ( argv[2], "SetPoint2WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint2WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint3WorldPosition */
    if ( strcmp ( argv[2], "SetPoint3WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint3WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint3WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint3WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint3WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint4WorldPosition */
    if ( strcmp ( argv[2], "SetPoint4WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint4WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint4WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint4WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint4WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1WorldPosition */
    if ( strcmp ( argv[2], "GetPoint1WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint1WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint1WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2WorldPosition */
    if ( strcmp ( argv[2], "GetPoint2WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint2WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint2WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint3WorldPosition */
    if ( strcmp ( argv[2], "GetPoint3WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint3WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint3WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint3WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint3WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint4WorldPosition */
    if ( strcmp ( argv[2], "GetPoint4WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint4WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint4WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint4WorldPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint4WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint1DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint1DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint2DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint2DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint3DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint3DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint3DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint3DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint3DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint3DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint4DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint4DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint4DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint4DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint4DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetPoint4DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint1DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint1DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint1DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint2DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint2DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint2DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint3DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint3DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint3DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint3DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint3DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint3DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint4DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint4DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint4DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint4DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the four points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint4DisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint4DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1Representation */
    if ( strcmp ( argv[2], "GetPoint1Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint1Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint1Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2Representation */
    if ( strcmp ( argv[2], "GetPoint2Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint2Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint2Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint3Representation */
    if ( strcmp ( argv[2], "GetPoint3Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint3Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint3Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint3Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint3Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint4Representation */
    if ( strcmp ( argv[2], "GetPoint4Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint4Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint4Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used within the\n vtkBiDimensionalRepresentation2D. (Note: properties can be set by\n grabbing these representations and setting the properties\n appropriately.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint4Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetPoint4Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine1Visibility */
    if ( strcmp ( argv[2], "SetLine1Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine1Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine1Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLine1Visibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetLine1Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine1Visibility */
    if ( strcmp ( argv[2], "GetLine1Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine1Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine1Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLine1Visibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLine1Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Line1VisibilityOn */
    if ( strcmp ( argv[2], "Line1VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Line1VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Line1VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void Line1VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Line1VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Line1VisibilityOff */
    if ( strcmp ( argv[2], "Line1VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Line1VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Line1VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void Line1VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Line1VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine2Visibility */
    if ( strcmp ( argv[2], "SetLine2Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine2Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine2Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLine2Visibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetLine2Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine2Visibility */
    if ( strcmp ( argv[2], "GetLine2Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine2Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine2Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLine2Visibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLine2Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Line2VisibilityOn */
    if ( strcmp ( argv[2], "Line2VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Line2VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Line2VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void Line2VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Line2VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Line2VisibilityOff */
    if ( strcmp ( argv[2], "Line2VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Line2VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Line2VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the lines that define the bi-dimensional\n measure. Generally these methods are used by the vtkBiDimensionalWidget to\n control the appearance of the widget. Note: turning off Line1 actually turns\n off Line1 and Line2.\n" );
    Tcl_DStringAppendElement ( &dString, "void Line2VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Line2VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleRepresentation */
    if ( strcmp ( argv[2], "SetHandleRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleRepresentation */
    Tcl_DStringAppendElement ( &dString, " This method is used to specify the type of handle representation to use\n for the four internal vtkHandleRepresentations within\n vtkBiDimensionalRepresentation.  To use this method, create a dummy\n vtkHandleRepresentation (or subclass), and then invoke this method with\n this dummy. Then the vtkBiDimensionalRepresentation uses this dummy to\n clone four vtkHandleRepresentations of the same type. Make sure you set the\n handle representation before the widget is enabled. ( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleRepresentation(vtkHandleRepresentation *handle);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetHandleRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InstantiateHandleRepresentation */
    if ( strcmp ( argv[2], "InstantiateHandleRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InstantiateHandleRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InstantiateHandleRepresentation */
    Tcl_DStringAppendElement ( &dString, " This method is used to specify the type of handle representation to use\n for the four internal vtkHandleRepresentations within\n vtkBiDimensionalRepresentation.  To use this method, create a dummy\n vtkHandleRepresentation (or subclass), and then invoke this method with\n this dummy. Then the vtkBiDimensionalRepresentation uses this dummy to\n clone four vtkHandleRepresentations of the same type. Make sure you set the\n handle representation before the widget is enabled. ( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InstantiateHandleRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for InstantiateHandleRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength1 */
    if ( strcmp ( argv[2], "GetLength1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength1 */
    Tcl_DStringAppendElement ( &dString, " Return the length of the line defined by (Point1,Point2). This is the\n distance in the world coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLength1();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLength1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLength2 */
    if ( strcmp ( argv[2], "GetLength2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLength2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLength2 */
    Tcl_DStringAppendElement ( &dString, " Return the length of the line defined by (Point3,Point4). This is the\n distance in the world coordinate system.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLength2();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLength2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the distance value.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowLabelAboveWidget */
    if ( strcmp ( argv[2], "SetShowLabelAboveWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowLabelAboveWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowLabelAboveWidget */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to display the label above or below the widget.\n Defaults to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowLabelAboveWidget(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetShowLabelAboveWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowLabelAboveWidget */
    if ( strcmp ( argv[2], "GetShowLabelAboveWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowLabelAboveWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowLabelAboveWidget */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to display the label above or below the widget.\n Defaults to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowLabelAboveWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetShowLabelAboveWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowLabelAboveWidgetOn */
    if ( strcmp ( argv[2], "ShowLabelAboveWidgetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowLabelAboveWidgetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowLabelAboveWidgetOn */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to display the label above or below the widget.\n Defaults to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowLabelAboveWidgetOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for ShowLabelAboveWidgetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowLabelAboveWidgetOff */
    if ( strcmp ( argv[2], "ShowLabelAboveWidgetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowLabelAboveWidgetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowLabelAboveWidgetOff */
    Tcl_DStringAppendElement ( &dString, " Toggle whether to display the label above or below the widget.\n Defaults to 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowLabelAboveWidgetOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for ShowLabelAboveWidgetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetID */
    if ( strcmp ( argv[2], "SetID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetID */
    Tcl_DStringAppendElement ( &dString, " Set/get the id to display in the label.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetID(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for SetID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetID */
    if ( strcmp ( argv[2], "GetID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetID */
    Tcl_DStringAppendElement ( &dString, " Set/get the id to display in the label.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetID();" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelText */
    if ( strcmp ( argv[2], "GetLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelText */
    Tcl_DStringAppendElement ( &dString, " Get the text shown in the widget's label.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetLabelText() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelPosition */
    if ( strcmp ( argv[2], "GetLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the widget's label in display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetLabelPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldLabelPosition */
    if ( strcmp ( argv[2], "GetWorldLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the widget's label in display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetWorldLabelPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for GetWorldLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetDefinition */
    if ( strcmp ( argv[2], "StartWidgetDefinition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetDefinition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetDefinition */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetDefinition(double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for StartWidgetDefinition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Point2WidgetInteraction */
    if ( strcmp ( argv[2], "Point2WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Point2WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Point2WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Point2WidgetInteraction(double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Point2WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Point3WidgetInteraction */
    if ( strcmp ( argv[2], "Point3WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Point3WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Point3WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Point3WidgetInteraction(double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for Point3WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetManipulation */
    if ( strcmp ( argv[2], "StartWidgetManipulation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetManipulation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetManipulation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetManipulation(double e\\[2\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkBiDimensionalRepresentation" );
    /* Closing for StartWidgetManipulation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
