// java wrapper for vtkBoxWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxWidget.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtk3DWidget_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBoxWidget_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBoxWidget",dType)) { return me; }
  if ((res= vtk3DWidget_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBoxWidget_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  const char    *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBoxWidget *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetEnabled_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEnabled(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_PlaceWidget_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBoxWidget *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_PlaceWidget_14(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_PlaceWidget_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkBoxWidget *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_GetPlanes_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxWidget *op;
  vtkPlanes  *temp0;
  temp0 = (vtkPlanes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetInsideOut_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInsideOut(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetInsideOut_18(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInsideOut();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_InsideOutOn_19(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_InsideOutOff_110(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->InsideOutOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_GetTransform_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxWidget *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetTransform_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxWidget *op;
  vtkTransform  *temp0;
  temp0 = (vtkTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_GetPolyData_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBoxWidget *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetHandleProperty_114(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetSelectedHandleProperty_115(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedHandleProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_HandlesOn_116(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_HandlesOff_117(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->HandlesOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetFaceProperty_118(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetSelectedFaceProperty_119(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedFaceProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetOutlineProperty_120(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBoxWidget_GetSelectedOutlineProperty_121(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  vtkProperty  *temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetOutlineFaceWires_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineFaceWires(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetOutlineFaceWires_123(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineFaceWires();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_OutlineFaceWiresOn_124(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineFaceWiresOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_OutlineFaceWiresOff_125(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineFaceWiresOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetOutlineCursorWires_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineCursorWires(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetOutlineCursorWires_127(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineCursorWires();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_OutlineCursorWiresOn_128(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineCursorWiresOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_OutlineCursorWiresOff_129(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineCursorWiresOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetTranslationEnabled_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTranslationEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetTranslationEnabled_131(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTranslationEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_TranslationEnabledOn_132(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_TranslationEnabledOff_133(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->TranslationEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetScalingEnabled_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetScalingEnabled_135(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_ScalingEnabledOn_136(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_ScalingEnabledOff_137(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_SetRotationEnabled_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkBoxWidget *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRotationEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBoxWidget_GetRotationEnabled_139(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;
  int      temp20;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRotationEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_RotationEnabledOn_140(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->RotationEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBoxWidget_RotationEnabledOff_141(JNIEnv *env, jobject obj)
{
  vtkBoxWidget *op;

  op = (vtkBoxWidget *)vtkJavaGetPointerFromObject(env,obj);
  op->RotationEnabledOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBoxWidget_VTKInit(JNIEnv *, jobject)
{
  vtkBoxWidget *aNewOne = vtkBoxWidget::New();
  return (jlong)(size_t)(void*)aNewOne;
}
